/*
 * This software licensed under BIXOLON CO LTD
 * BgateXMLPrint JavaScript API version 1.0.0 
 * Written By Sahaya Darcius P  Feb-15-2016 Bixolon Co Ltd, Pangyo City, South Korea
 * Mail: sahaya@bixolon.kr
*/
var Bxln_endScanner, Bxln_endMSR, Bxln_endNFC, Bxln_endDlsKey, Bxln_endRFID, Bxln_endScale;
var bGateWebPrintAPI = function() {
       this.BGTParser = new BGTParser();
};
bGateWebPrintAPI["prototype"]["FeedOneLabel"] = function() {    
    this.BGTParser.ParseOneLabel();
};
bGateWebPrintAPI["prototype"]["SetSpeed"] = function() {
    var speed;
    if(arguments[0]["ips"] == 0 || arguments[0]["ips"] === undefined) {
        speed = "5"
    } else {
        speed = arguments[0]["ips"]
    };
    if(isNaN(speed) || speed < 0 || speed > 20) {
        throw new Error("Invalid Speed Argument")
    }
    this.BGTParser.ParseSpeed(speed);
    
};
bGateWebPrintAPI["prototype"]["SetDensity"] = function() {
    var dnsty;
    if(arguments[0]["density"] == 0 || arguments[0]["density"] === undefined) {
        dnsty = "0"
    } else {
        dnsty = arguments[0]["density"]
    };
    if(isNaN(dnsty) || dnsty < 0 || dnsty > 20) {
        throw new Error("Invalid Density Argument")
    }
    this.BGTParser.ParseDensity(dnsty);
};
bGateWebPrintAPI["prototype"]["SetOrientation"] = function() {
    var orientation;
    var validateOri = /^(TOP_TO_BOTTOM|BOTTOM_TO_TOP|)$/;
    if(arguments[0]["ori"] == 0 || arguments[0]["ori"] === undefined) {
        throw new Error("Invalid Orientation Argument")
    } else {
        orientation = arguments[0]["ori"]
    };
    if(!validateOri["test"](orientation)) {
        throw new Error("Invalid Orientation Argument")
    } 
    this.BGTParser.ParseOrientation(orientation);
};
bGateWebPrintAPI["prototype"]["SetCutter"] = function() {
    var en,pd;
    if(arguments["length"] == 0) 
    {
        en = 0;
        pd = 0;               
    } else 
    {
        for(var i = 0; i < arguments["length"]; i++) 
        {
            if(arguments[i]["auto"] === undefined) {
                en=0;
            } else {
                en= arguments[i]["auto"]
            };
            if(arguments[i]["period"] === undefined) {
                pd = 0
            } else {
                pd = arguments[i]["period"]
            };
            
        }
    };
    
    if(isNaN(en) || (en <0  || en>1)) {
        throw new Error("Invalid Cutter Argument")
    }
    this.BGTParser.ParseCutter(en,pd);
};
bGateWebPrintAPI["prototype"]["SetOffset"] = function() {
    var oset;
    if(arguments[0]["offset"] === undefined) {
        oset = "0"
    } else {
        oset = arguments[0]["offset"]
    };
    if(isNaN(oset) || oset < -100 || oset > 100) {
        throw new Error("Invalid Offset Argument")
    }
    this.BGTParser.ParseOffSet(oset);
};
bGateWebPrintAPI["prototype"]["SetCutPostion"] = function() {
    var p;
    
    if(arguments[0]["pos"] === undefined) {
        p = "0"
    } else {
        p = arguments[0]["pos"]
    };
     if(isNaN(p) || p < -100 || p > 100) {
        throw new Error("Invalid Offset Argument")
    }
    this.BGTParser.ParseCutPosition(p);
};
bGateWebPrintAPI["prototype"]["SetPrintingType"] = function() {
    var ty;
    var validateType = /^(DIRECT|TRANSFER)$/;
    if(arguments["length"] == 0) 
    {
       throw new Error("Invalid Type Argument")     
    }
    if( arguments[0]["type"] === undefined) {
        throw new Error("Invalid Type Argument") 
    } else {
        ty = arguments[0]["type"]
    };
    if(!validateType["test"](ty)) {
        throw new Error("Invalid Thermal Type Argument")
    } 
    
    this.BGTParser.ParsePrintingType(ty);
};
bGateWebPrintAPI["prototype"]["SetBackFeed"] = function() {
    var bkfd,st;
    if(arguments[0]["backfeed"] == 0 || arguments[0]["backfeed"] === undefined) {
        bkfd = 0
    } else {
        bkfd = arguments[0]["backfeed"]
    };
    if(arguments[0]["step"] == 0 || arguments[0]["step"] === undefined) {
        st = 0
    } else {
        st = arguments[0]["step"]
    };
    if(isNaN(bkfd) || (bkfd <0  && bkfd >1)) {
        throw new Error("Invalid BackFeed Argument")
    }
    if(isNaN(st) || (st < 0 )) {
        throw new Error("Invalid Step Argument")
    }
    this.BGTParser.ParseBackFeed(bkfd,st);
};
bGateWebPrintAPI["prototype"]["SetPaper"] = function() {
    var ty,w,h,oset,gl;
    var validateType = /^(GAP|CONTINUOUS|BLACK_MARK)$/;
    if(arguments["length"] == 0) 
    {
       throw new Error("Invalid Paper Argument")     
    }
    else{
        for(var i = 0; i < arguments["length"]; i++) 
        {
            if(arguments[i]["wd"] === undefined) {
                w=832;
            } else {
                w= arguments[i]["wd"]
            };
            if(arguments[i]["ht"] === undefined) {
                h = 1216;
            } else {
                h = arguments[i]["ht"]
            };
            if( arguments[0]["mtype"] === undefined) {
                throw new Error("Invalid Paper Type Argument") 
            } else {
                ty = arguments[0]["mtype"]
            };
            if(arguments[i]["offset"] === undefined) {
                oset = 20;
            } else {
                oset = arguments[i]["offset"]
            };
            if(arguments[i]["glen"] === undefined) {
                gl = 0;
            } else {
                gl = arguments[i]["glen"]
            };
            
        }
    };
    if(!validateType["test"](ty)) {
        throw new Error("Invalid Paper Type Argument")
    } 
    
    this.BGTParser.ParseSetPaper(w,h,ty,oset,gl);
};
bGateWebPrintAPI["prototype"]["SetMargin"] = function() {
    var v,h;
    if(arguments["length"] == 0) 
    {
        v = "0";
        h = "0";               
    } else 
    {
        for(var i = 0; i < arguments["length"]; i++) 
        {
            if(arguments[i]["hz"] === undefined) {
                h="0";
            } else {
                h= arguments[i]["hz"]
            };
            if(arguments[i]["vt"] === undefined) {
                v = "0"
            } else {
                v = arguments[i]["vt"]
            };
            
        }
    };
    if( (h <0  || v < 0)) {
        throw new Error("Invalid SetMargin Arguments")
    }
    this.BGTParser.ParseSetMargin(h,v);
};
bGateWebPrintAPI["prototype"]["SetCharacterSet"] = function() {
    var tcode,tics;
    var validateics = /^(usa|france|germany|uk|denmarkI|sweden|italy|spainI|norway|denmarkII|japan|spainII|latinamerica|korea|slovenia|china)$/;
    var validatecode = /^(CP437|CP850|CP852|CP860|CP863|CP865|WCP1252|CP865_WCP1252|CP857|CP737|WCP1250|WCP1253|WCP1254|CP855|CP862|CP866|WCP1251|WCP1255|CP928|CP864|CP755|WCP1257|CP858)$/;
    if(arguments["length"] == 0) {
        alert("invalid Character Set Arguments")
    } else {
        for(var i = 0; i < arguments["length"]; i++) {
            if(arguments[i]["ics"] === undefined) {
                throw new Error("Invalid ICS Data")
            } else {
                tics = arguments[i]["ics"]
            };
            if(arguments[i]["code"] === undefined) {
               throw new Error("Invalid Code page Data")
            } else {
                tcode = arguments[i]["code"]
            };
            
        }
    };     
    if(!validateics["test"](tics)) {
        throw new Error("Invalid International Character Set Argument")
    } 
    if(!validatecode["test"](tcode)) {
        throw new Error("Invalid Code Page Argument")
    } 
    this.BGTParser.ParseCharacterSet(tics,tcode);
};
bGateWebPrintAPI["prototype"]["PrintDeviceFont"] = function() {
    var tx,ty,tfont,tmx,tmy,trsp,trot,trev,tbold,talign,tdata;
    var validatefont = /^(DEVICE_ENG_9X15|DEVICE_ENG_12X20|DEVICE_ENG_16X25|DEVICE_ENG_19X30|DEVICE_ENG_24X38|DEVICE_ENG_32X50|DEVICE_ENG_48X76|DEVICE_ENG_22X34|DEVICE_ENG_28X44|DEVICE_ENG_37X58|DEVICE_KOR_16X16|DEVICE_KOR_24X24|DEVICE_KOR_20X20|DEVICE_KOR_26X26|DEVICE_KOR_20X26|DEVICE_KOR_38X38|DEVICE_CHN_GB2312|DEVICE_CHN_BIG5|DEVICE_SHIFT_JIS)$/;
    var validateRotate = /^(0|90|180|270)$/;
    var validatealign = /^(left|right|righttoleft)$/;
    if(arguments["length"] == 0) {
        alert("invalid PrintDeviceFont Set Arguments")
    } else {
        for(var i = 0; i < arguments["length"]; i++) {
            if(arguments[i]["data"] === undefined) {
                throw new Error("Invalid Text Data")
            } else {
                tdata = arguments[i]["data"]
            };
            if(arguments[i]["xPOS"] === undefined) {
               throw new Error("Invalid xPos Argument")
            } else {
                tx = arguments[i]["xPOS"]
            };
            if(arguments[i]["yPOS"] === undefined) {
                throw new Error("Invalid yPos Argument")
            } else {
                ty = arguments[i]["yPOS"]
            };
            if(arguments[i]["fontName"] === undefined) {
               throw new Error("Invalid Font Name Argument") 
            } else {
                tfont = arguments[i]["fontName"]
            };
            if(arguments[i]["xMulti"] === undefined) {
               throw new Error("Invalid xMulti Argument") 
            } else {
                tmx = arguments[i]["xMulti"]
            };
            if(arguments[i]["yMulti"] === undefined) {
               throw new Error("Invalid yMulti Argument")
            } else {
                tmy = arguments[i]["yMulti"]
            };
            if(arguments[i]["rSpace"] === undefined) {
               throw new Error("Invalid right space Argument") 
            } else {
                trsp = arguments[i]["rSpace"]
            };
            if(arguments[i]["rotate"] === undefined) {
               trot = 0; 
            } else {
                trot = arguments[i]["rotate"]
            };
            if(arguments[i]["reverse"] === undefined) {
               trev = 0; 
            } else {
                trev = arguments[i]["reverse"]
            };
            if(arguments[i]["bold"] === undefined) {
               tbold = 0; 
            } else {
                tbold = arguments[i]["bold"]
            };
            if(arguments[i]["align"] === undefined) {
               talign = 'left'; 
            } else {
                talign = arguments[i]["align"]
            };            
        }
    }; 

    if(!validatefont["test"](tfont)) {
        throw new Error("Invalid Font Name Argument")
    }
    if(isNaN(tmx) || tmx < 1 || tmx > 4) {
        throw new Error("Invalid xMulti Argument")
    }
    if(isNaN(tmy) || tmy < 1 || tmy > 4) {
        throw new Error("Invalid xMulti Argument")
    } 
    if(!validateRotate["test"](trot)) {
        throw new Error("Invalid Rotate Argument")
    } 
    if(isNaN(trev) || trev < 0 || trev >1) {
        throw new Error("Invalid Reverse Argument")
    }
    if(isNaN(tbold) || tbold < 0 || tbold >1) {
        throw new Error("Invalid Bold Argument")
    }
    if(!validatealign["test"](talign)) {
        throw new Error("Invalid Align Argument")
    }
    var txtData = parseEscapeText(tdata);
    var textData = [];
    for(j=0,i=0;i<txtData.length;i++)
    {
        var uData = parseInt(txtData.charCodeAt(i)); 
        //alert(uData);
        
        if(tfont == "unicode")
        {
                  textData[j++] = parseInt(uData >> 8); 
                  textData[j++] = parseInt(uData & 0xff);
        }
        else if(tfont =="DEVICE_KOR_16X16" || tfont =="DEVICE_KOR_24X24"|| tfont == "DEVICE_KOR_20X20" || tfont == "DEVICE_KOR_26X26" || tfont == "DEVICE_KOR_20X26" || tfont=="DEVICE_KOR_38X38"  || tfont == "DEVICE_CHN_BIG5" || tfont == "DEVICE_CHN_GB2312" || tfont == "DEVICE_SHIFT_JIS")
        {
        
            if (uData < 0x0080)
                textData[j++] = uData;      
            else
            {
                
                if(tfont =="DEVICE_KOR_16X16" || tfont =="DEVICE_KOR_24X24"|| tfont == "DEVICE_KOR_20X20" || tfont == "DEVICE_KOR_26X26" || tfont == "DEVICE_KOR_20X26" || tfont=="DEVICE_KOR_38X38")
                {
                    var ret = unicodetoksc5601(uData,2);
                    if (ret.length == 2) 
                    {
                
                        textData[j++] = parseInt(ret[0]+0x80);
                        textData[j++] = parseInt(ret[1]+0x80);
                
                    }
                }
                else if (tfont == "DEVICE_SHIFT_JIS")
                {
                    if (uData == 0x00a5) 
                    {
                        textData[j++] = 0x5c;
                    
                    }
                    else if (uData == 0x203e) 
                    {
                    
                        textData[j++] = 0x7e;
                    
                    }
                    else if (uData >= 0xe000 && uData < 0xe758)
                    {
                    
                        var c1, c2;                 
                        c1 = parseInt( (uData - 0xe000) / 188);
                        c2 = parseInt( (uData - 0xe000) % 188);
                        textData[j++] = parseInt(c1+0xf0);
                        textData[j++] = parseInt((c2 < 0x3f ? c2+0x40 : c2+0x41));
                    }
                    else
                    {
                        var ret = unicodetojisx0208(uData,2);
                        if (ret.length == 2) 
                        {
                            var c1, c2;
                                
                            c1 = parseInt(ret[0]);
                            c2 = parseInt(ret[1]);
                            if ((c1 >= 0x21 && c1 <= 0x74) && (c2 >= 0x21 && c2 <= 0x7e)) 
                            {
                                var t1 = parseInt((c1 - 0x21) >> 1);
                                var t2 = parseInt((((c1 - 0x21) & 1) ? 0x5e : 0) + (c2 - 0x21));
                                textData[j++] = parseInt((t1 < 0x1f ? t1+0x81 : t1+0xc1));
                                textData[j++] = parseInt((t2 < 0x3f ? t2+0x40 : t2+0x41));
                            
                            }
                        }
                    }
                }
                else if (tfont == "DEVICE_CHN_GB2312")
                {
                    //alert(uData);
                    var ret = unicodetogb2312(uData,2);
                    if (ret.length == 2) 
                    {
                        textData[j++] = parseInt(ret[0]+0x80);
                        textData[j++] = parseInt(ret[1]+0x80);
                    }
                }
                else if (tfont == "DEVICE_CHN_BIG5")
                {
                    //alert(uData);
                    var ret = unicodetobig5(uData,2);
                    if (ret.length == 2) 
                    {
                        textData[j++] = parseInt(ret[0]);
                        textData[j++] = parseInt(ret[1]);
                    }
                }
            }
            //alert(ret.length +"ret[0] "+ret[0] + " ret[1] "+ret[1]);
            
        }
        else
        {
            textData[j++] = uData;      
        }

    }
    
    //if( tics=="unicode" || tics=="chinaI" || tics == "chinaII") tics = "usa"; 
    this.BGTParser.ParseDeviceFont(tx,ty,tfont,tmx,tmy,trsp,trot,trev,tbold,talign,textData);
};
bGateWebPrintAPI["prototype"]["PrintVectorFont"] = function() {
    var tx,ty,tfont,twd,tht,trsp,trot,trev,tbold,tstyle,talign,tdir,tdata;
    var validatefont = /^(VECTOR_KS5601|VECTOR_BIG5|VECTOR_GB2312|VECTOR_JIS|VECTOR_OCRA|VECTOR_OCRB|VECTOR_ASCII)$/;
    var validateRotate = /^(0|90|180|270)$/;
    var validatealign = /^(left|right|center)$/;
    var validatedir = /^(lefttoright|righttoleft)$/;
    var validatestyle = /^(normal|italic)$/;
    if(arguments["length"] == 0) {
        alert("invalid PrintVectorFont  Arguments")
    } else {
        for(var i = 0; i < arguments["length"]; i++) {
            if(arguments[i]["data"] === undefined) {
                throw new Error("Invalid Text Data")
            } else {
                tdata = arguments[i]["data"]
            };
            if(arguments[i]["xPOS"] === undefined) {
                throw new Error("Invalid xPos Argument")
            } else {
                tx = arguments[i]["xPOS"]
            };
            if(arguments[i]["yPOS"] === undefined) {
                throw new Error("Invalid yPos Argument")
            } else {
                ty = arguments[i]["yPOS"]
            };
            if(arguments[i]["fontName"] === undefined) {
               throw new Error("Invalid Font Name Argument") 
            } else {
                tfont = arguments[i]["fontName"]
            };
            if(arguments[i]["fontWidth"] === undefined) {
               throw new Error("Invalid Font Width Argument")
            } else {
                twd = arguments[i]["fontWidth"]
            };
            if(arguments[i]["fontHeight"] === undefined) {
                throw new Error("Invalid Font Height Argument")
            } else {
                tht = arguments[i]["fontHeight"]
            };
            if(arguments[i]["rSpace"] === undefined) {
               throw new Error("Invalid right space Argument") 
            } else {
                trsp = arguments[i]["rSpace"]
            };
            if(arguments[i]["bold"] === undefined) {
               tbold = '0'; 
            } else {
                tbold = arguments[i]["bold"]
            };
            if(arguments[i]["reverse"] === undefined) {
               trev = '0'; 
            } else {
                trev = arguments[i]["reverse"]
            };
            if(arguments[i]["italic"] === undefined) {
               tstyle = "0"; 
            } else {
                tstyle = arguments[i]["italic"]
            };
            if(arguments[i]["rotate"] === undefined) {
               trot = "0"; 
            } else {
                trot = arguments[i]["rotate"]
            };            
            if(arguments[i]["align"] === undefined) {
               talign = 'left'; 
            } else {
                talign = arguments[i]["align"]
            }; 
            if(arguments[i]["direction"] === undefined) {
               tdir = 'lefttoright'; 
            } else {
                tdir = arguments[i]["direction"]
            };            
        }
    }; 
  
    if(!validatefont["test"](tfont)) {
        throw new Error("Invalid Font Name Argument")
    }
    if(!validateRotate["test"](trot)) {
        throw new Error("Invalid Rotate Argument")
    } 
    if(isNaN(trev) || trev < 0 || trev >1) {
        throw new Error("Invalid Reverse Argument")
    }
    if(isNaN(tbold) || tbold < 0 || tbold >1) {
        throw new Error("Invalid Bold Argument")
    }
    if(!validatealign["test"](talign)) {
        throw new Error("Invalid Align Argument")
    }
    if(!validatedir["test"](tdir)) {
        throw new Error("Invalid Direction Argument")
    }
    /*if(!validatestyle["test"](tstyle)) {
        throw new Error("Invalid Style Argument")
    }*/
    if(isNaN(tstyle) || tstyle < 0 || tstyle >1) {
        throw new Error("Invalid Style Italic Argument")
    }
    var txtData = parseEscapeText(tdata);
    var textData = [];
    for(j=0,i=0;i<txtData.length;i++)
    {
        var uData = parseInt(txtData.charCodeAt(i)); 
        //alert(uData);
        
        if(tfont == "unicode")
        {
                  textData[j++] = parseInt(uData >> 8); 
                  textData[j++] = parseInt(uData & 0xff);
        }
        else if(tfont =="VECTOR_KS5601" || tfont =="VECTOR_JIS"|| tfont == "VECTOR_GB2312" || tfont == "VECTOR_BIG5")
        {
        
            if (uData < 0x0080)
                textData[j++] = uData;      
            else
            {
                
                if(tfont =="VECTOR_KS5601")
                {
                    var ret = unicodetoksc5601(uData,2);
                    if (ret.length == 2) 
                    {
                
                        textData[j++] = parseInt(ret[0]+0x80);
                        textData[j++] = parseInt(ret[1]+0x80);
                
                    }
                }
                else if (tfont == "VECTOR_JIS")
                {
                    if (uData == 0x00a5) 
                    {
                        textData[j++] = 0x5c;
                    
                    }
                    else if (uData == 0x203e) 
                    {
                    
                        textData[j++] = 0x7e;
                    
                    }
                    else if (uData >= 0xe000 && uData < 0xe758)
                    {
                    
                        var c1, c2;                 
                        c1 = parseInt( (uData - 0xe000) / 188);
                        c2 = parseInt( (uData - 0xe000) % 188);
                        textData[j++] = parseInt(c1+0xf0);
                        textData[j++] = parseInt((c2 < 0x3f ? c2+0x40 : c2+0x41));
                    }
                    else
                    {
                        var ret = unicodetojisx0208(uData,2);
                        if (ret.length == 2) 
                        {
                            var c1, c2;
                                
                            c1 = parseInt(ret[0]);
                            c2 = parseInt(ret[1]);
                            if ((c1 >= 0x21 && c1 <= 0x74) && (c2 >= 0x21 && c2 <= 0x7e)) 
                            {
                                var t1 = parseInt((c1 - 0x21) >> 1);
                                var t2 = parseInt((((c1 - 0x21) & 1) ? 0x5e : 0) + (c2 - 0x21));
                                textData[j++] = parseInt((t1 < 0x1f ? t1+0x81 : t1+0xc1));
                                textData[j++] = parseInt((t2 < 0x3f ? t2+0x40 : t2+0x41));
                            
                            }
                        }
                    }
                }
                else if (tfont == "VECTOR_GB2312")
                {
                    //alert(uData);
                    var ret = unicodetogb2312(uData,2);
                    if (ret.length == 2) 
                    {
                        textData[j++] = parseInt(ret[0]+0x80);
                        textData[j++] = parseInt(ret[1]+0x80);
                    }
                }
                else if (tfont == "VECTOR_BIG5")
                {
                    //alert(uData);
                    var ret = unicodetobig5(uData,2);
                    if (ret.length == 2) 
                    {
                        textData[j++] = parseInt(ret[0]);
                        textData[j++] = parseInt(ret[1]);
                    }
                }
            }
            //alert(ret.length +"ret[0] "+ret[0] + " ret[1] "+ret[1]);
            
        }
        else
        {
            textData[j++] = uData;      
        }

    }
    this.BGTParser.ParseVectorFont(tx,ty,tfont,twd,tht,trsp,tbold,trev,trot,tstyle,talign,tdir,textData);
};
bGateWebPrintAPI["prototype"]["PrintCircle"] = function() {
    var tx,ty,tsize,tm
    if(arguments["length"] == 0) 
    {
        alert("invalid PrintCircle  Arguments")             
    } else 
    {
        for(var i = 0; i < arguments["length"]; i++) 
        {
            if(arguments[i]["xPOS"] === undefined) {
                throw new Error("Invalid xPos Argument")
            } else {
                tx= arguments[i]["xPOS"]
            };
            if(arguments[i]["yPOS"] === undefined) {
                throw new Error("Invalid yPos Argument")
            } else {
                ty= arguments[i]["yPOS"]
            };
            if(arguments[i]["csize"] === undefined) {
                throw new Error("Invalid Circle Size Argument")
            } else {
                tsize= arguments[i]["csize"]
            };
            if(arguments[i]["multiplier"] === undefined) {
                throw new Error("Invalid Circle Size Argument")
            } else {
                tm= arguments[i]["multiplier"]
            };
        }
    };
    if(isNaN(tsize) || tsize < 1 || tsize >6) {
        throw new Error("Invalid Circle Size Argument")
    }
    if(isNaN(tm) || tm < 1 || tm >4) {
        throw new Error("Invalid Multiplier Argument")
    }

    this.BGTParser.ParseCircle(tx,ty,tsize,tm);
};
bGateWebPrintAPI["prototype"]["PrintBlock"] = function() {
    var txst,tyst,txend,tyend,topt,thk;
    var validateOpt = /^(BLOCK_OVERWRITE|BLOCK_EXCLUSIVEOR|BLOCK_DELETE|BLOCK_SLOPE|BLOCK_BOX)$/;
    if(arguments["length"] == 0) 
    {
        alert("invalid PrintBlock  Arguments")             
    } else 
    {
        for(var i = 0; i < arguments["length"]; i++) 
        {
            if(arguments[i]["startX"] === undefined) {
                throw new Error("Invalid StartX Argument")
            } else {
                txst= arguments[i]["startX"]
            };
            if(arguments[i]["startY"] === undefined) {
                throw new Error("Invalid startY Argument")
            } else {
                tyst= arguments[i]["startY"]
            };
            if(arguments[i]["endX"] === undefined) {
                throw new Error("Invalid endX Argument")
            } else {
                txend= arguments[i]["endX"]
            };
             if(arguments[i]["endY"] === undefined) {
                throw new Error("Invalid endY Argument")
            } else {
                tyend= arguments[i]["endY"]
            };
            if(arguments[i]["option"] === undefined) {
                throw new Error("Invalid Option Argument")
            } else {
                topt= arguments[i]["option"]
            };
            if(arguments[i]["thickness"] === undefined) {
                thk="none";
            } else {
                thk= arguments[i]["thickness"]
            };
        }
    };
    if(!validateOpt["test"](topt)) {
        throw new Error("Invalid Option Argument")
    }
    if((topt == "BLOCK_SLOPE" || "BLOCK_BOX") && thk == "none"){
        throw new Error("Invalid Thickness Argument")
    }
    this.BGTParser.ParseBlock(txst,tyst,txend,tyend,topt,thk);
};
bGateWebPrintAPI["prototype"]["Print1DBarcode"] = function() {
    var bx,by,btype,nbwd, bwd,bht,brot, bhri,bzw, bdata;
    var validateBarcode = /^(UPC-[AE]|EAN(8|13|128)|CODE(11|39|93|128)|(INDUSTRIAL|STANDARD)2OF5|I2OF5|CODABAR|PLANET|LOGMARS|EXTENSION|POSTNET)$/;    
    var validateHri = /^(none|above_[1234]|below_[1234])$/;
    var validateRotate = /^(0|90|180|270)$/;
    if(arguments["length"] == 0) {
        bx=78;
        by=196;
        btype = "CODE128";
        nbwd=2;
        bwd = 6;
        bht = 100;
        brot =0;
        bhri = "none";
        bdata = ">A1234567890";
        bzw = 0;
    } else {
        for(var i = 0; i < arguments["length"]; i++) {
            if(arguments[i]["xPOS"] === undefined) {
                bx = 78;
            } else {
                bx = arguments[i]["xPOS"]
            };
            if(arguments[i]["yPOS"] === undefined) {
                by = 196;
            } else {
                by = arguments[i]["yPOS"]
            };
            if(arguments[i]["data"] === undefined) {
                bdata = ">A1234567890"
            } else {
                bdata = arguments[i]["data"]
            };
            if(arguments[i]["bctype"] === undefined) {
                btype = "CODE128"
            } else {
                btype = arguments[i]["bctype"]
            };
            if(arguments[i]["nwd"] === undefined) {
                nbwd = 2;
            } else {
                nbwd = arguments[i]["nwd"]
            };
            if(arguments[i]["wd"] === undefined) {
                bwd = 6;
            } else {
                bwd = arguments[i]["wd"]
            };
            if(arguments[i]["ht"] === undefined) {
                bht = 100;
            } else {
                bht = arguments[i]["ht"]
            };
            if(arguments[i]["rotate"] === undefined) {
                brot = 0;
            } else {
                brot = arguments[i]["rotate"]
            };
            if(arguments[i]["hri"] === undefined) {
                bhri = "none"
            } else {
                bhri = arguments[i]["hri"]
            };
            if(arguments[i]["zwd"] === undefined) {
                bzw = "0"
            } else {
                bzw = arguments[i]["zwd"]
            };
        }
    };
    if(!validateBarcode["test"](btype)) {
        throw new Error("Invalid Barcode Type Argument")
    } 
    if(isNaN(bwd) || bwd < 0 || bwd > 255) {
        throw new Error("Invalid Barcode Width Argument")
    }    
    if(isNaN(bht) || bht < 0 || bht > 255) {
        throw new Error("Invalid Barcode Height Argument")
    } 
    if(!validateHri["test"](bhri)) {
        throw new Error("Invalid Barcode HRI Argument")
    }    
    if(!validateRotate["test"](brot)) {
        throw new Error("Invalid Barcode Rotatation Argument")
    } 
    var barcodeData =parseEscapeText(bdata);
    //alert(by);
    this.BGTParser.Parse1DBarcode(bx,by,btype,nbwd,bwd,bht,brot,bhri,bzw,barcodeData);
};
bGateWebPrintAPI["prototype"]["PrintMaxiCode"] = function() {
    var bx,by,bdata,bmod;
    var validateMod = /^(MODE0|MODE2|MODE3|MODE4)$/;
    if(arguments["length"] == 0) 
    {
        alert("invalid PrintCircle  Arguments")             
    } else 
    {
        for(var i = 0; i < arguments["length"]; i++) 
        {
            if(arguments[i]["data"] === undefined) {
                throw new Error("Invalid MaxiCode Data Argument")
            } else {
                bdata = arguments[i]["data"]
            };
            if(arguments[i]["xPOS"] === undefined) {
                throw new Error("Invalid xPos Argument")
            } else {
                bx= arguments[i]["xPOS"]
            };
            if(arguments[i]["yPOS"] === undefined) {
                throw new Error("Invalid yPos Argument")
            } else {
                by= arguments[i]["yPOS"]
            };
            if(arguments[i]["mod"] === undefined) {
                throw new Error("Invalid Mode Argument")
            } else {
                bmod= arguments[i]["mod"]
            };            
        }
    };
    if(!validateMod["test"](bmod)) {
        throw new Error("Invalid MaxiCode Mode Argument")
    } 
    var barcodeData =parseEscapeText(bdata);
    this.BGTParser.ParseMaxiCode(bx,by,bmod,barcodeData);
};
bGateWebPrintAPI["prototype"]["PrintPDF417"] = function() {
    var col, row,ccount,rcount,lvl,dataComp,hri,spos, wd, ht, rot, pdfdata;
    var validatehri = /^(none|below)$/;
    var validateorgin = /^(center|upperleft)$/;
    var validateRotate = /^(0|90|180|270)$/;
    var validateComp = /^(COMP_TEXT|COMP_NUM|COMP_BINARY)$/;
    if(arguments["length"] == 0) {
        col = 100;
        row = 750;
        ccount= 5;
        rcount=30;
        lvl = 0;
        dataComp="COMP_TEXT";
        hri="below";
        spos="upperleft";        
        wd = 3;
        ht = 10;
        rot=0;
        pdfdata = "http://bixolon.com";
    } else {
        for(var i = 0; i < arguments["length"]; i++) {
            if(arguments[i]["data"] === undefined) {
                pdfdata = "http://bixolon.com"
            } else {
                pdfdata = arguments[i]["data"]
            };            
            if(arguments[i]["xPOS"] === undefined) {
                col = 100;
            } else {
                col = arguments[i]["xPOS"]
            };
            if(arguments[i]["yPOS"] === undefined) {
                row = 750;
            } else {
                row = arguments[i]["yPOS"]
            };
            if(arguments[i]["colcount"] === undefined) {
                ccount = 5;
            } else {
                ccount = arguments[i]["colcount"]
            };
            if(arguments[i]["rowcount"] === undefined) {
                rcount = 30;
            } else {
                rcount = arguments[i]["rowcount"]
            };
            if(arguments[i]["level"] === undefined) {
                lvl = 0
            } else {
                lvl = arguments[i]["level"]
            };
            if(arguments[i]["dataComp"] === undefined) {
                dataComp = "COMP_TEXT";
            } else {
                dataComp = arguments[i]["dataComp"]
            };
            if(arguments[i]["hri"] === undefined) {
                hri = "below";
            } else {
                hri = arguments[i]["hri"]
            };
            if(arguments[i]["orgin"] === undefined) {
                spos = "upperleft";
            } else {
                spos = arguments[i]["orgin"]
            };
            if(arguments[i]["wd"] === undefined) {
                wd = 3
            } else {
                wd = arguments[i]["wd"]
            };
            if(arguments[i]["ht"] === undefined) {
                ht = 10;
            } else {
                ht = arguments[i]["ht"]
            }
            if(arguments[i]["rotate"] === undefined) {
                rot = 0;
            } else {
                rot = arguments[i]["rotate"]
            }
        }
    };
    
    if(isNaN(ccount) || ccount < 1 || ccount > 30) {
        throw new Error("Invalid PDF417 Column Count Argument")
    } 
    if(isNaN(rcount) || rcount < 3 || rcount > 90 ) {
        throw new Error("Invalid PDF417 Row Count Argument")
    } 
    if(isNaN(wd) || wd < 2 || wd > 9) {
        throw new Error("Invalid PDF417 Width Argument")
    } 
    if(isNaN(ht) || ht < 4 || ht > 99) {
        throw new Error("Invalid PDF417 Height Argument")
    } 
    if(isNaN(lvl) || lvl < 0 || lvl > 8) {
        throw new Error("Invalid PDF417 Level Argument")
    } 
   
    if(!validateComp["test"](dataComp)) {
        throw new Error("nvalid PDF417 Data Compression Argument")
    } 
    if(!validatehri["test"](hri)) {
        throw new Error("nvalid PDF417 HRI Argument")
    }
    if(!validateorgin["test"](spos)) {
        throw new Error("nvalid PDF417 Orgin Argument")
    } 
    if(!validateRotate["test"](rot)) {
        throw new Error("Invalid PDF417 Rotation Argument")
    } 
    this.BGTParser.Parse2DPDF417(col, row,ccount,rcount,lvl,dataComp,hri,spos, wd, ht, rot, pdfdata);
};
bGateWebPrintAPI["prototype"]["PrintQRCode"] = function() {
    var col,row,md,lvl,sz,rot,qrdata;
    var validatelvl = /^(ECC7_L|ECC15_M|ECC25_Q|ECC30_H)$/;
    var validateRotate = /^(0|90|180|270)$/;
    var validateMODEL = /^(MOD1|MOD2)$/;
    
    if(arguments["length"] == 0) {
        col=200;
        row=100;
        md = "MOD2";
        sz = 3;
        lvl = "ECC25_Q";
        rot=0;
        qrdata = "http://bixolon.com"
    } else {
        for(var i = 0; i < arguments["length"]; i++) {
            if(arguments[i]["data"] === undefined) {
                qrdata = "http://bixolon.com"
            } else {
                qrdata = arguments[i]["data"]
            };
            if(arguments[i]["xPOS"] === undefined) {
                col = 200;
            } else {
                col = arguments[i]["xPOS"]
            };
            if(arguments[i]["yPOS"] === undefined) {
                row = 100;
            } else {
                row = arguments[i]["yPOS"]
            };
            if(arguments[i]["model"] === undefined) {
                md = "MOD2"
            } else {
                md = arguments[i]["model"]
            };
            if(arguments[i]["size"] === undefined) {
                sz = 3
            } else {
                sz = arguments[i]["size"]
            };
            if(arguments[i]["level"] === undefined) {
                lvl = "ECC25_Q";
            } else {
                lvl = arguments[i]["level"]
            }
            if(arguments[i]["rotate"] === undefined) {
                rot = 0;
            } else {
                rot = arguments[i]["rotate"]
            }
        }
    };
    if(!validateMODEL["test"](md)) {
        throw new Error("Invalid QRCODE Model Argument")
    } 
    if(!validatelvl["test"](lvl)) {
        throw new Error("Invalid QRCODE Level Argument")
    } 
    if(!validateRotate["test"](rot)) {
        throw new Error("Invalid QRCODE Rotation Argument")
    } 
    if(isNaN(sz) || sz < 1 || sz > 4) {
        throw new Error("Invalid QRCODE Size Argument")
    }
    
    this.BGTParser.Parse2DQRcode(col,row,md,lvl,sz,rot,qrdata);
};
bGateWebPrintAPI["prototype"]["PrintDataMatrix"] = function() {
    var col,row,sz,rev,rot,matrixdata;
    var validaterev = /^(NORMAL|REVERSE)$/;
    var validateRotate = /^(0|90|180|270)$/;
    
    if(arguments["length"] == 0) {
        col=200;
        row=100;
        md = "mod2";
        sz = 2;
        rev = "NORMAL";
        rot=0;
        matrixdata = "http://bixolon.com"
    } else {
        for(var i = 0; i < arguments["length"]; i++) {
            if(arguments[i]["data"] === undefined) {
                matrixdata = "http://bixolon.com"
            } else {
                matrixdata = arguments[i]["data"]
            };
            if(arguments[i]["xPOS"] === undefined) {
                col = 200;
            } else {
                col = arguments[i]["xPOS"]
            };
            if(arguments[i]["yPOS"] === undefined) {
                row = 100;
            } else {
                row = arguments[i]["yPOS"]
            };            
            if(arguments[i]["size"] === undefined) {
                sz = 3
            } else {
                sz = arguments[i]["size"]
            };
            if(arguments[i]["reverse"] === undefined) {
                rev = "NORMAL";
            } else {
                rev = arguments[i]["reverse"]
            }
            if(arguments[i]["rotate"] === undefined) {
                rot = 0;
            } else {
                rot = arguments[i]["rotate"];
            }
        }
    };
    if(!validaterev["test"](rev)) {
        throw new Error("Invalid DATAMATRIX Reverse Argument")
    } 
    if(!validateRotate["test"](rot)) {
        throw new Error("Invalid DATAMATRIX Rotation Argument")
    } 
    if(isNaN(sz) || sz < 1 || sz > 4) {
        throw new Error("Invalid DATAMATRIX Size Argument")
    }
    this.BGTParser.ParseDataMatrix(col,row,sz,rev,rot,matrixdata);
}; 
bGateWebPrintAPI["prototype"]["PrintAztec"] = function() {
    var col,row,sz,ext,errval,msymbol,nsymbol,id,rot,aztecdata;
    var validatebol = /^(enable|disable)$/;
    var validateRotate = /^(0|90|180|270)$/;
    
    if(arguments["length"] == 0) {
        col=100;
        row=100;        
        sz = 5;
        ext="disable";
        errval =0;
        msymbol="disable";
        nsymbol = 1;
        id=1;
        rot=0;
        aztecdata = "THIS IS AZTEC BARCODE TEST";
    } else {
        for(var i = 0; i < arguments["length"]; i++) {
            if(arguments[i]["data"] === undefined) {
                aztecdata = "THIS IS AZTEC BARCODE TEST";
            } else {
                aztecdata = arguments[i]["data"];
            };
            if(arguments[i]["xPOS"] === undefined) {
                col = 100;
            } else {
                col = arguments[i]["xPOS"]
            };
            if(arguments[i]["yPOS"] === undefined) {
                row = 100;
            } else {
                row = arguments[i]["yPOS"]
            };            
            if(arguments[i]["size"] === undefined) {
                sz = 5
            } else {
                sz = arguments[i]["size"]
            };
            if(arguments[i]["interpretation"] === undefined) {
                ext = "disable";
            } else {
                ext = arguments[i]["interpretation"]
            }
            if(arguments[i]["symbolsize"] === undefined) {
                errval = 0;
            } else {
                errval = arguments[i]["symbolsize"]
            }
            if(arguments[i]["menusymbol"] === undefined) {
                msymbol = "disable";
            } else {
                msymbol = arguments[i]["menusymbol"]
            }
            if(arguments[i]["numsymbol"] === undefined) {
                nsymbol = 1;
            } else {
                nsymbol = arguments[i]["numsymbol"]
            }
            if(arguments[i]["id"] === undefined) {
                id = 1;
            } else {
                id = arguments[i]["id"]
            }
            if(arguments[i]["rotate"] === undefined) {
                rot = 0;
            } else {
                rot = arguments[i]["rotate"];
            }
        }
    };
    if(!validatebol["test"](ext)) {
        throw new Error("Invalid Aztec Interpretation Argument")
    } 
    if(!validatebol["test"](msymbol)) {
        throw new Error("Invalid Aztec MenuSymbol Argument")
    }
    if(!validateRotate["test"](rot)) {
        throw new Error("Invalid Aztec Rotation Argument")
    } 
    if(isNaN(sz) || sz < 1 || sz > 10) {
        throw new Error("Invalid Aztec Barcode Size Argument")
    }
    if(isNaN(errval) || errval < 0 || errval > 300) {
        throw new Error("Invalid Aztec  Symbol Size Argument")
    }
    if(isNaN(nsymbol) || nsymbol < 1 || nsymbol > 26) {
        throw new Error("Invalid Aztec  Number of Symbol Argument")
    }   
    var codelen = id.length;   
    if(isNaN(id) || codelen < 1 || codelen > 24) {
        throw new Error("Invalid Aztec  Optional ID Argument")
    }
    this.BGTParser.ParseAztec(col,row,sz,ext,errval,msymbol,nsymbol,id,rot,aztecdata);
}; 
bGateWebPrintAPI["prototype"]["PrintCode49"] = function() {
    var col,row,nwd,wd,ht,hri,md,rot,codedata;
    var validateRotate = /^(0|90|180|270)$/;
    var validateHri = /^(none|above|below)$/;
    if(arguments["length"] == 0) {
        col=100;
        row=100;        
        nwd=2;
        wd=7;
        ht=22;
        hri="none";
        md=7
        rot=0;
        codedata = "12345ABC";
    } else {
        for(var i = 0; i < arguments["length"]; i++) {
            if(arguments[i]["data"] === undefined) {
                codedata = "12345ABC";
            } else {
                codedata = arguments[i]["data"];
            };
            if(arguments[i]["xPOS"] === undefined) {
                col = 100;
            } else {
                col = arguments[i]["xPOS"]
            };
            if(arguments[i]["yPOS"] === undefined) {
                row = 100;
            } else {
                row = arguments[i]["yPOS"]
            };            
            if(arguments[i]["nwd"] === undefined) {
                nwd = 2
            } else {
                nwd = arguments[i]["nwd"]
            };
            if(arguments[i]["wd"] === undefined) {
                wd = 7;
            } else {
                wd = arguments[i]["wd"]
            }
            if(arguments[i]["ht"] === undefined) {
                ht = 22;
            } else {
                ht = arguments[i]["ht"]
            }
            if(arguments[i]["hri"] === undefined) {
                hri = "none";
            } else {
                hri = arguments[i]["hri"]
            }
            if(arguments[i]["mode"] === undefined) {
                md = 7;
            } else {
                md = arguments[i]["mode"]
            }
            if(arguments[i]["rotate"] === undefined) {
                rot = 0;
            } else {
                rot = arguments[i]["rotate"];
            }
        }
    };
    if(!validateRotate["test"](rot)) {
        throw new Error("Invalid CODE49 Rotation Argument")
    } 
    if(isNaN(md) || md < 0 || md > 7) {
        throw new Error("Invalid CODE49 String Mode Argument")
    }
    if(!validateHri["test"](hri)) {
        throw new Error("Invalid CODE49  HRI Argument")
    }   
    this.BGTParser.ParseCode49(col,row,nwd,wd,ht,hri,md,rot,codedata);
};
bGateWebPrintAPI["prototype"]["PrintCODABLOCK"] = function() {
    var col,row,nwd,wd,ht,secure,nrows,md,encode,rot,codablockdata;
    var validatemode = /^(CODABLOCK_A|CODABLOCK_E|CODABLOCK_F)$/;
    var validatebol = /^(enable|disable)$/;   
    if(arguments["length"] == 0) {
        col=10;
        row=100;        
        nwd=2;
        wd=5;
        ht=30;
        secure="disable";
        nrows=30;
        md="CODABLOCK_F";
        encode=4;
        rot=0;
        codablockdata = "CODABLOCK BARCODE TEST";
    } else {
        for(var i = 0; i < arguments["length"]; i++) {
            if(arguments[i]["data"] === undefined) {
                codablockdata = "CODABLOCK BARCODE TEST";
            } else {
                codablockdata = arguments[i]["data"];
            };
            if(arguments[i]["xPOS"] === undefined) {
                col = 10;
            } else {
                col = arguments[i]["xPOS"]
            };
            if(arguments[i]["yPOS"] === undefined) {
                row = 100;
            } else {
                row = arguments[i]["yPOS"]
            };            
            if(arguments[i]["nwd"] === undefined) {
                nwd = 2
            } else {
                nwd = arguments[i]["nwd"]
            };
            if(arguments[i]["wd"] === undefined) {
                wd = 5;
            } else {
                wd = arguments[i]["wd"]
            }
            if(arguments[i]["ht"] === undefined) {
                ht = 30;
            } else {
                ht = arguments[i]["ht"]
            }
            if(arguments[i]["secure"] === undefined) {
                secure = "disable";
            } else {
                secure = arguments[i]["secure"]
            }
            if(arguments[i]["datacol"] === undefined) {
                nrows = 30;
            } else {
                nrows = arguments[i]["datacol"];
            }
            if(arguments[i]["mode"] === undefined) {
                md="CODABLOCK_F";
            } else {
                md = arguments[i]["mode"]
            }
            if(arguments[i]["encode"] === undefined) {
                encode=4;
            } else {
                encode = arguments[i]["encode"]
            }
            if(arguments[i]["rotate"] === undefined) {
                rot = 0;
            } else {
                rot = arguments[i]["rotate"];
            }
        }
    };
    if(!validatebol["test"](secure)) {
        throw new Error("Invalid CODABLOCK Security Level Argument")
    } 
     if(!validatemode["test"](md)) {
        throw new Error("Invalid CODABLOCK Mode Argument")
    }
    if(isNaN(rot) || rot !=0) {
        throw new Error("nvalid CODABLOCK Rotation Argument")
    } 
    if(isNaN(nrows) || nrows < 2 || nrows > 62) {
        throw new Error("Invalid CODABLOCK Data Columns Argument")
    }
    if(md == "CODABLOCK_A")
    {
        if(isNaN(encode) || encode < 1 || encode > 18) {
        throw new Error("Invalid CODABLOCK Encode Argument")
        }
    }
    else if(md == "CODABLOCK_E" || md == "CODABLOCK_F" )
    {
        if(isNaN(encode) || encode < 2 || encode > 4) {
        throw new Error("Invalid CODABLOCK Encode Argument")
        }
    }
   this.BGTParser.ParseCODABLOCK(col,row,nwd,wd,ht,secure,nrows,md,encode,rot,codablockdata);
}; 
bGateWebPrintAPI["prototype"]["PrintMicroPDF"] = function() {
    var col,row,wd,ht,md,rot,mpdfdata;
    var validateRotate = /^(0|90|180|270)$/;
    if(arguments["length"] == 0) {
        col=100;
        row=300;        
        wd=2;
        ht=3;
        md=20;
        rot=0;
        mpdfdata = "ABCDEFGHIJKLMN1234567890";
    } else {
        for(var i = 0; i < arguments["length"]; i++) {
            if(arguments[i]["data"] === undefined) {
                mpdfdata = "ABCDEFGHIJKLMN1234567890";
            } else {
                mpdfdata = arguments[i]["data"];
            };
            if(arguments[i]["xPOS"] === undefined) {
                col = 100;
            } else {
                col = arguments[i]["xPOS"]
            };
            if(arguments[i]["yPOS"] === undefined) {
                row = 300;
            } else {
                row = arguments[i]["yPOS"]
            };            
            if(arguments[i]["wd"] === undefined) {
                wd = 2;
            } else {
                wd = arguments[i]["wd"]
            }
            if(arguments[i]["ht"] === undefined) {
                ht = 3;
            } else {
                ht = arguments[i]["ht"]
            }
            if(arguments[i]["mode"] === undefined) {
                md = 20;
            } else {
                md = arguments[i]["mode"]
            }
            if(arguments[i]["rotate"] === undefined) {
                rot = 0;
            } else {
                rot = arguments[i]["rotate"];
            }
        }
    };
    if(!validateRotate["test"](rot)) {
        throw new Error("Invalid MicroPDF Rotation Argument")
    } 
    if(isNaN(wd) || wd < 2 || wd > 8) {
        throw new Error("Invalid MicroPDF Width Argument")
    }
    if(isNaN(md) || md < 0 || md > 33) {
        throw new Error("Invalid MicroPDF Mode Mode Argument")
    }
    if(isNaN(ht) || ht < 1 || ht > 99) {
        throw new Error("Invalid MicroPDF  Height Argument")
    }   
    this.BGTParser.ParseMicroPDF(col,row,wd,ht,md,rot,mpdfdata);
};
bGateWebPrintAPI["prototype"]["PrintIMBSplBar"] = function() {
    var col,row,rot,hri,imbdata;
    var validateRotate = /^(0|90|180|270)$/;
    var validateHri = /^(none|below)$/;
    if(arguments["length"] == 0) {
        col=100;
        row=100;        
        rot=0;
        hri="none";
        imbdata = "0123456709498765432101234567891";
    } else {
        for(var i = 0; i < arguments["length"]; i++) {
            if(arguments[i]["data"] === undefined) {
                imbdata = "0123456709498765432101234567891";
            } else {
                imbdata = arguments[i]["data"];
            };
            if(arguments[i]["xPOS"] === undefined) {
                col = 100;
            } else {
                col = arguments[i]["xPOS"]
            };
            if(arguments[i]["yPOS"] === undefined) {
                row = 300;
            } else {
                row = arguments[i]["yPOS"]
            };            
            if(arguments[i]["hri"] === undefined) {
                hri = "none";
            } else {
                hri = arguments[i]["hri"]
            }
            if(arguments[i]["rotate"] === undefined) {
                rot = 0;
            } else {
                rot = arguments[i]["rotate"];
            }
        }
    };
    if(!validateRotate["test"](rot)) {
        throw new Error("Invalid IMB Rotation Argument")
    } 
    if(!validateHri["test"](hri)) {
        throw new Error("Invalid IMB HRI Argument")
    }   
       
    this.BGTParser.ParseIMB(col,row,rot,hri,imbdata);
};
bGateWebPrintAPI["prototype"]["PrintMSISplBar"] = function() {
    var col,row,nwd,wd,ht,cd,chri,rot,hri,msidata;
    var validateRotate = /^(0|90|180|270)$/;
    var validatebol = /^(enable|disable)$/;
    var validateHri = /^(none|below|above)$/;
    if(arguments["length"] == 0) {
        col=100;
        row=100;
        nwd=2;
        wd=7;
        ht=150;
        cd=1;
        chri="enable";
        rot=0;
        hri="below";
        msidata = "123456";
    } else {
        for(var i = 0; i < arguments["length"]; i++) {
            if(arguments[i]["data"] === undefined) {
                 msidata = "123456";
            } else {
                msidata = arguments[i]["data"];
            };
            if(arguments[i]["xPOS"] === undefined) {
                col = 100;
            } else {
                col = arguments[i]["xPOS"]
            };
            if(arguments[i]["yPOS"] === undefined) {
                row = 100;
            } else {
                row = arguments[i]["yPOS"]
            };
            if(arguments[i]["nwd"] === undefined) {
                nwd = 2
            } else {
                nwd = arguments[i]["nwd"]
            };
            if(arguments[i]["wd"] === undefined) {
                wd = 7;
            } else {
                wd = arguments[i]["wd"]
            }           
            if(arguments[i]["ht"] === undefined) {
                ht = 150;
            } else {
                ht = arguments[i]["ht"]
            }            
            if(arguments[i]["ckdigit"] === undefined) {
                cd = 1;
            } else {
                cd = arguments[i]["ckdigit"]
            }
            if(arguments[i]["digithri"] === undefined) {
                chri = "enable";
            } else {
                chri = arguments[i]["digithri"]
            }
            if(arguments[i]["hri"] === undefined) {
                hri="below";
            } else {
                hri = arguments[i]["hri"]
            }
            if(arguments[i]["rotate"] === undefined) {
                rot = 0;
            } else {
                rot = arguments[i]["rotate"];
            }
        }
    };
    if(!validatebol["test"](chri)) {
        throw new Error("Invalid MSI Print Check Digit HRI Argument")
    } 
    if(!validateRotate["test"](rot)) {
        throw new Error("Invalid MSI Rotation Argument")
    } 
    if(isNaN(cd) || cd < 0 || cd > 3) {
        throw new Error("Invalid MSI Check Digit Argument")
    } 
    if(!validateHri["test"](hri)) {
        throw new Error("Invalid MSI HRI Argument")
    }           
    this.BGTParser.ParseMSI(col,row,nwd,wd,ht,cd,chri,rot,hri,msidata);
};
bGateWebPrintAPI["prototype"]["PrintPLESSEYSplBar"] = function() {
    var col,row,nwd,wd,ht,chri,rot,hri,plsydata;
    var validateRotate = /^(0|90|180|270)$/;
    var validatebol = /^(enable|disable)$/;
     var validateHri = /^(none|below|above)$/;
    if(arguments["length"] == 0) {
        col=100;
        row=100;
        nwd=2;
        wd=7;
        ht=150;
        chri="enable";
        rot=0;
        hri="below";
        plsydata = "12345";
    } else {
        for(var i = 0; i < arguments["length"]; i++) {
            if(arguments[i]["data"] === undefined) {
                 plsydata = "12345";
            } else {
                plsydata = arguments[i]["data"];
            };
            if(arguments[i]["xPOS"] === undefined) {
                col = 100;
            } else {
                col = arguments[i]["xPOS"]
            };
            if(arguments[i]["yPOS"] === undefined) {
                row = 100;
            } else {
                row = arguments[i]["yPOS"]
            };
            if(arguments[i]["nwd"] === undefined) {
                nwd = 2
            } else {
                nwd = arguments[i]["nwd"]
            };
            if(arguments[i]["wd"] === undefined) {
                wd = 7;
            } else {
                wd = arguments[i]["wd"]
            }           
            if(arguments[i]["ht"] === undefined) {
                ht = 150;
            } else {
                ht = arguments[i]["ht"]
            }            
            if(arguments[i]["digithri"] === undefined) {
                chri = "enable";
            } else {
                chri = arguments[i]["digithri"]
            }
            if(arguments[i]["hri"] === undefined) {
               hri="below";
            } else {
                hri = arguments[i]["hri"]
            }
            if(arguments[i]["rotate"] === undefined) {
                rot = 0;
            } else {
                rot = arguments[i]["rotate"];
            }
        }
    };
    if(!validatebol["test"](chri)) {
        throw new Error("Invalid PLESSEY Print Check Digit HRI Argument")
    } 
    if(!validateRotate["test"](rot)) {
        throw new Error("Invalid PLESSEY Rotation Argument")
    } 
    if(!validateHri["test"](hri)) {
        throw new Error("Invalid PLESSEY HRI Argument")
    }   
    this.BGTParser.ParsePLESSEY(col,row,nwd,wd,ht,chri,rot,hri,plsydata);
    
};
bGateWebPrintAPI["prototype"]["PrintTLC39SplBar"] = function() {
    var col,row,nwd,wd,ht,rht,nwdpdf,rot,tlcdata;
    var validateRotate = /^(0|90|180|270)$/;
    if(arguments["length"] == 0) {
        col=50;
        row=100;
        nwd=2;
        wd=4;
        ht=50;
        rht=3;
        nwdpdf=2;
        rot=0;
        tlcdata = "123456,ABCD12345678901234,5551212,88899";
    } else {
        for(var i = 0; i < arguments["length"]; i++) {
            if(arguments[i]["data"] === undefined) {
                 tlcdata = "123456,ABCD12345678901234,5551212,88899";
            } else {
                tlcdata = arguments[i]["data"];
            };
            if(arguments[i]["xPOS"] === undefined) {
                col = 50;
            } else {
                col = arguments[i]["xPOS"]
            };
            if(arguments[i]["yPOS"] === undefined) {
                row = 100;
            } else {
                row = arguments[i]["yPOS"]
            };
            if(arguments[i]["nwdc39"] === undefined) {
                nwd = 2
            } else {
                nwd = arguments[i]["nwdc39"]
            };
            if(arguments[i]["wdc39"] === undefined) {
                wd = 4;
            } else {
                wd = arguments[i]["wdc39"]
            }           
            if(arguments[i]["htc39"] === undefined) {
                ht = 50;
            } else {
                ht = arguments[i]["htc39"]
            }
            if(arguments[i]["htpdf"] === undefined) {
                rht = 3;
            } else {
                rht = arguments[i]["htpdf"]
            }             
            if(arguments[i]["nwdpdf"] === undefined) {
                nwdpdf = 2
            } else {
                nwdpdf = arguments[i]["nwdpdf"]
            };
            if(arguments[i]["rotate"] === undefined) {
                rot = 0;
            } else {
                rot = arguments[i]["rotate"];
            }
        }
    };
   if(!validateRotate["test"](rot)) {
        throw new Error("Invalid TLC39 Rotation Argument")
    } 
    if(isNaN(rht) || rht < 1 || rht > 255) {
        throw new Error("Invalid TLC39 Row Height of Micro PDF417 Argument")
    } 
    if(isNaN(nwdpdf) || nwdpdf < 1 || nwdpdf > 10) {
        throw new Error("Invalid TLC39 Narrow Bar Width of Micro PDF417 Argument")
    }   
    this.BGTParser.ParseTLC39(col,row,nwd,wd,ht,rht,nwdpdf,rot,tlcdata);
    
};
bGateWebPrintAPI["prototype"]["PrintRSSSplBar"] = function() {
    var col,row,bartype,mag,sep,ht,wd,rot,rssdata;
    var validateBarType = /^(RSS|RSS_TRUNCATED|RSS_STACKED|RSS_STACKED_OMNIDIRECTIONAL|RSS_LIMITED|RSS_EXPANDED|UPC-A|UPC-E|EAN13|EAN8|EAN128_CC-A|EAN128_CC-B|EAN128_CC-C)$/;
    var validateRotate = /^(0|90|180|270)$/;
    if(arguments["length"] == 0) {
        col=50;
        row=100;
        bartype="RSS";
        mag=2;
        sep=1;
        ht=20;
        wd=10;
        rot=0;
        rssdata = "12345678901|this is composite info";
    } else {
        for(var i = 0; i < arguments["length"]; i++) {
            if(arguments[i]["data"] === undefined) {
                 rssdata = "12345678901|this is composite info";
            } else {
                rssdata = arguments[i]["data"];
            };
            if(arguments[i]["xPOS"] === undefined) {
                col = 50;
            } else {
                col = arguments[i]["xPOS"]
            };
            if(arguments[i]["yPOS"] === undefined) {
                row = 100;
            } else {
                row = arguments[i]["yPOS"]
            };
            if(arguments[i]["bartype"] === undefined) {
                bartype = "RSS";
            } else {
                bartype = arguments[i]["bartype"]
            };
            if(arguments[i]["magnify"] === undefined) {
                mag = 2;
            } else {
                mag = arguments[i]["magnify"]
            }           
            if(arguments[i]["sepht"] === undefined) {
                sep = 1;
            } else {
                sep = arguments[i]["sepht"]
            }
            if(arguments[i]["ht"] === undefined) {
                ht = 20;
            } else {
                ht = arguments[i]["ht"]
            }             
            if(arguments[i]["segwd"] === undefined) {
                wd = 10;
            } else {
                wd = arguments[i]["segwd"]
            };
            if(arguments[i]["rotate"] === undefined) {
                rot = 0;
            } else {
                rot = arguments[i]["rotate"];
            }
        }
    };
    if(!validateRotate["test"](rot)) {
        throw new Error("Invalid RSS Rotation Argument")
    } 
    if(!validateBarType["test"](bartype)) {
        throw new Error("Invalid RSS Barcode Type Argument")
    }
    if(isNaN(mag) || mag < 1 || mag > 10) {
        throw new Error("Invalid RSS Magnification Argument")
    } 
    if(isNaN(sep) || sep < 1 || sep > 2) {
        throw new Error("Invalid RSS Seprator Height Argument")
    }
     if(isNaN(wd) || (wd%2 == 1) || wd < 0 || wd > 22) {
        throw new Error("Invalid RSS Segment Width Argument")
    }  
    this.BGTParser.ParseRSS(col,row,bartype,mag,sep,ht,wd,rot,rssdata);
    
};
bGateWebPrintAPI["prototype"]["printImage"] = function(context, x, y, width, height,xPos,yPos) {
    var s = "",
        imgdata, raster, raster1, rem = 0,
        newWidth = 0;
    if(isNaN(x) || x < 0 || x > 65535) {
        throw new Error("Invalid Argument X")
    };
    if(isNaN(y) || y < 0 || y > 65535) {
        throw new Error("Invalid Argument y")
    };
     if(isNaN(xPos) || xPos < 0 || xPos > 65535) {
        throw new Error("Invalid Argument xPos")
    };
    if(isNaN(yPos) || yPos < 0 || yPos > 65535) {
        throw new Error("Invalid Argument yPos")
    };
    if(isNaN(width) || width < 0 || width > 65535) {
        throw new Error("Invalid Argument Width")
    };
    if(isNaN(height) || height < 0 || height > 65535) {
        throw new Error("Invalid Argument Height")
    };

   // imgdata = context["getImageData"](x, y, width, height);
    rem = parseInt(((((width) + 31) & ~31) >> 3));
    newWidth = rem * 8;
    imgdata = context["getImageData"](x, y, newWidth, height);
    var bitmapData = toBitmap(imgdata);
    this.BGTParser.ParseLabelImg(newWidth,height,xPos,yPos,bitmapData);
};
bGateWebPrintAPI["prototype"]["printS"] = function(lset,nCpy) {
    
     if(arguments["length"] == 0) {
        lset=1;
        nCpy=1;
        
    } else {
        for(var i = 0; i < arguments["length"]; i++) {
        if(arguments[i]["labelset"] === undefined) {
                lset = 1;
            } else {
                lset = arguments[i]["labelset"]
            }
         if(arguments[i]["ncopies"] === undefined) {
                nCpy = 1;
            } else {
                nCpy = arguments[i]["ncopies"]
            } 
        }
    };  
    if(isNaN(lset) || lset < 0 || lset > 65535) {
        throw new Error("Invalid Argument Label Sets")
    };
    if(isNaN(nCpy) || nCpy < 0 || nCpy > 65535) {
        throw new Error("Invalid Argument Numbers of Copies");
    };
    this.BGTParser.PrintStart(lset,nCpy);
};
bGateWebPrintAPI["prototype"]["makeAlign"] = function() {
    var e;
    e = 0 == arguments.length || void 0 === arguments[0].pos ? "left" : arguments[0].pos;
    var r = /^(left|center|right)$/;
    if (!r.test(e)) throw new Error("Invalid Position Argument");
    this.BGTParser.ParseAlign(e)
}; 
bGateWebPrintAPI["prototype"]["makePaperFeed"] = function() {
    var e, r;
    if (arguments.length < 2) 0 == arguments.length ? (e = "line", r = "1") : (e = void 0 === arguments[0].type ? "line" : arguments[0].type, r = void 0 === arguments[0].value ? "1" : arguments[0].value);
    else
        for (var t = 0; t < arguments.length; t++) void 0 != arguments[t].type && (e = arguments[t].type), void 0 != arguments[t].value && (r = arguments[t].value);
    var n = /^(line|unit)$/;
    if (!n.test(e)) throw new Error("Invalid Paper Feed Type Argument");
    if (isNaN(r) || 0 > r || r > 255) throw new Error("Invalid Paper Feed Value Argument");
    this.BGTParser.ParseFeed(e, r)
},
bGateWebPrintAPI["prototype"]["makeNVlogo"] = function() {
    var keyVal, lsize;
    var validateSize = /^(normal|dwd|dht|quadruple)$/;
    if(arguments["length"] < 2) {
        if(arguments["length"] == 0) {
            keyVal = "0";
            lsize = "normal"
        } else {
            if(arguments[0]["keycode"] === undefined) {
                keyVal = "0"
            } else {
                keyVal = arguments[0]["keycode"]
            };
            if(arguments[0]["lsize"] === undefined) {
                lsize = "normal"
            } else {
                lsize = arguments[0]["lsize"]
            }
        }
    } else {
        for(var i = 0; i < arguments["length"]; i++) {
            if(arguments[i]["keycode"] != undefined) {
                keyVal = arguments[i]["keycode"]
            };
            if(arguments[i]["lsize"] != undefined) {
                lsize = arguments[i]["size"]
            }
        }
    };
    if(isNaN(keyVal) || keyVal < 0 || keyVal > 255) {
        throw new Error("Invalid Paper Feed Argument")
    } 
    if(!validateSize["test"](lsize)) {
        throw new Error("Invalid Logo Size Argument")
    } 
     this.BGTParser.ParseNVlogo(keyVal,lsize);
};
bGateWebPrintAPI["prototype"]["makeBarcode12"] = function() {
    var btype, bwd, bht, bhri, bdata;
    var validateBarcode = /^(UPC_[AE]|[EJ]AN13|[EJ]AN8|CODE(39|93|128)|ITF|CODABAR)$/;
    var validateHri = /^(none|above|below|both)$/;
    if(arguments["length"] == 0) {
        btype = "CODE39";
        bwd = "2";
        bht = "162";
        bhri = "none";
        bdata = "123456789"
    } else {
        for(var i = 0; i < arguments["length"]; i++) {
            if(arguments[i]["data"] === undefined) {
                bdata = "123456789"
            } else {
                bdata = arguments[i]["data"]
            };
            if(arguments[i]["type"] === undefined) {
                btype = "CODE39"
            } else {
                btype = arguments[i]["type"]
            };
            if(arguments[i]["hri"] === undefined) {
                bhri = "none"
            } else {
                bhri = arguments[i]["hri"]
            };
            if(arguments[i]["wd"] === undefined) {
                bwd = "2"
            } else {
                bwd = arguments[i]["wd"]
            };
            if(arguments[i]["ht"] === undefined) {
                bht = "162"
            } else {
                bht = arguments[i]["ht"]
            }
        }
    };
    if(!validateBarcode["test"](btype)) {
        throw new Error("Invalid Barcode Type Argument")
    } 
    if(isNaN(bwd) || bwd < 0 || bwd > 255) {
        throw new Error("Invalid Barcode Width Argument")
    } 
    if(isNaN(bht) || bht < 0 || bht > 255) {
        throw new Error("Invalid Barcode Height Argument")
    } 
    if(!validateHri["test"](bhri)) {
        throw new Error("Invalid Barcode Hri Argument")
    } 
    var barcodeData =parseEscapeText(bdata);
    this.BGTParser.ParseBarcode(btype,bwd,bht,bhri,barcodeData);
};
bGateWebPrintAPI["prototype"]["makeQRCODE"] = function() {
   var md, sz, lvl, qrdata;
    var validateMODEL = /^(mod1|mod2)$/;
    if(arguments["length"] == 0) {
        md = "mod2";
        sz = "3";
        lvl = "48";
        qrdata = "http://bixolon.com"
    } else {
        for(var i = 0; i < arguments["length"]; i++) {
            if(arguments[i]["data"] === undefined) {
                qrdata = "http://bixolon.com"
            } else {
                qrdata = arguments[i]["data"]
            };
            if(arguments[i]["model"] === undefined) {
                md = "mod2"
            } else {
                md = arguments[i]["model"]
            };
            if(arguments[i]["size"] === undefined) {
                sz = "3"
            } else {
                sz = arguments[i]["size"]
            };
            if(arguments[i]["level"] === undefined) {
                lvl = 48
            } else {
                lvl = arguments[i]["level"]
            }
        }
    };
    if(!validateMODEL["test"](md)) {
        throw new Error("Invalid QRCODE Model Argument")
    } 
    if(isNaN(sz) || sz < 1 || sz > 8) {
        throw new Error("Invalid QRCODE Size Argument")
    }
    if(isNaN(lvl) || lvl < 48 || lvl > 51) {
        throw new Error("Invalid QRCODE Level Argument")
    } 
    this.BGTParser.ParseQRcode(md,sz,lvl,qrdata);
};    
bGateWebPrintAPI["prototype"]["makePDF417"] = function() {
    var col, row, wd, ht, pdfdata, lvl, md;
    if(arguments["length"] == 0) {
        md = "0";
        col = "0";
        row = "0";
        lvl = "0";
        pdfdata = "http://bixolon.com";
        wd = "3";
        ht = "3"
    } else {
        for(var i = 0; i < arguments["length"]; i++) {
            if(arguments[i]["data"] === undefined) {
                pdfdata = "http://bixolon.com"
            } else {
                pdfdata = arguments[i]["data"]
            };
            if(arguments[i]["mode"] === undefined) {
                md = "0"
            } else {
                md = arguments[i]["mode"]
            };
            if(arguments[i]["col"] === undefined) {
                col = "0"
            } else {
                col = arguments[i]["col"]
            };
            if(arguments[i]["row"] === undefined) {
                row = "0"
            } else {
                row = arguments[i]["row"]
            };
            if(arguments[i]["level"] === undefined) {
                lvl = 48
            } else {
                lvl = arguments[i]["level"]
            };
            if(arguments[i]["wd"] === undefined) {
                wd = "3"
            } else {
                wd = arguments[i]["wd"]
            };
            if(arguments[i]["ht"] === undefined) {
                ht = "3"
            } else {
                ht = arguments[i]["ht"]
            }
        }
    };
    if(isNaN(md) || md < 0 || md > 1) {
        throw new Error("Invalid PDF417 Mode Argument")
    } 
    if(isNaN(col) || col < 0 || col > 30) {
        throw new Error("Invalid PDF417 Column Argument")
    } 
    if(isNaN(row) || row < 0 || row > 90 || row == 1 || row == 2) {
        throw new Error("Invalid PDF417 Row Argument")
    } 
    if(isNaN(wd) || wd < 1 || wd > 4) {
        throw new Error("Invalid PDF417 Width Argument")
    } 
    if(isNaN(ht) || ht < 2 || ht > 8) {
        throw new Error("Invalid PDF417 Height Argument")
    } 
    if(isNaN(lvl) || lvl < 48 || lvl > 56) {
        throw new Error("Invalid PDF417 Level Argument")
    } 
    this.BGTParser.ParsePDF417(md,col,row,wd,ht,lvl,pdfdata);
};
bGateWebPrintAPI["prototype"]["makeText"] = function() {
    var tcode, tics, twd, tht, tdata, tul, tem, trev, trot, tfont, updw, tlsp;
    var validatefont = /^(fonta|fontb|fontc)$/;
    var validateBool = /^(true|false)$/;
    var validateRotate = /^(0|90)$/;
    var validateics = /^(usa|france|germany|uk|denmarkI|sweden|italy|spainI|japan|norway|denmarkII|spainII|latinamerica|korea|chinaI|chinaII|unicode)$/;
    var validatecode = /^(page([0-5]|1[6-9]|2[1-9]|3[0-1]|3[3-9]|4[0-2]|47|49|50|255))$/;
    if(arguments["length"] == 0) {
        alert("invalid Text Arguments")
    } else {
        for(var i = 0; i < arguments["length"]; i++) {
            if(arguments[i]["data"] === undefined) {
                throw new Error("Invalid Text Data")
            } else {
                tdata = arguments[i]["data"]
            };
            if(arguments[i]["font"] === undefined) {
                tfont = "fonta"
            } else {
                tfont = arguments[i]["font"]
            };
            if(arguments[i]["code"] === undefined) {
                tcode = "page0"
            } else {
                tcode = arguments[i]["code"]
            };
            if(arguments[i]["ics"] === undefined) {
                tics = "usa"
            } else {
                tics = arguments[i]["ics"]
            };
            if(arguments[i]["wd"] === undefined) {
                twd = "0"
            } else {
                twd = arguments[i]["wd"]
            };
            if(arguments[i]["ht"] === undefined) {
                tht = "0"
            } else {
                tht = arguments[i]["ht"]
            };
            if(arguments[i]["bold"] === undefined) {
                tem = "false"
            } else {
                tem = arguments[i]["bold"]
            };
            if(arguments[i]["uline"] === undefined) {
                tul = "false"
            } else {
                tul = arguments[i]["uline"]
            };
            if(arguments[i]["reverse"] === undefined) {
                trev = "false"
            } else {
                trev = arguments[i]["reverse"]
            };
            if(arguments[i]["updown"] === undefined) {
                updw = "false"
            } else {
                updw = arguments[i]["updown"]
            };
            if(arguments[i]["rotate"] === undefined) {
                trot = "0"
            } else {
                trot = arguments[i]["rotate"]
            };
            if(arguments[i]["lsp"] === undefined) {
                tlsp = "256"
            } else {
                tlsp = arguments[i]["lsp"]
            }
        }
    };
    if(!validatefont["test"](tfont)) {
        throw new Error("Invalid Font Type Argument")
    } 
    if(!validateics["test"](tics)) {
        throw new Error("Invalid Text International Character Set Argument")
    } 
    if(!validatecode["test"](tcode)) {
        throw new Error("Invalid Text Code Page Argument")
    } 
    if(isNaN(twd) || twd < 0 || twd > 7) {
        throw new Error("Invalid Text Width Argument")
    } 
    if(isNaN(tht) || tht < 0 || tht > 7) {
        throw new Error("Invalid Text Height Argument")
    } 
    if(isNaN(tlsp) || tlsp < 0 || tlsp > 256) {
        throw new Error("Invalid Text Line Space Argument")
    } 
    if(!validateBool["test"](tem)) {
        throw new Error("Invalid Text Bold Argument")
    } 
    if(!validateBool["test"](tul)) {
        throw new Error("Invalid Text Underline Argument")
    } 
    if(!validateBool["test"](trev)) {
        throw new Error("Invalid Text Reverse Argument")
    } 
    if(!validateBool["test"](updw)) {
        throw new Error("Invalid Text Reverse Argument")
    } 
    if(!validateRotate["test"](trot)) {
        throw new Error("Invalid Text Rotation Argument")
    }     
  
    var txtData = parseEscapeText(tdata);
    var textData = [];
    var binVal=[66,88,76,69,75,82,58];
    var sep = [0x3A]; 
    
    for(j=0,i=0;i<txtData.length;i++)
	{
		var uData = parseInt(txtData.charCodeAt(i)); 
		//alert(uData);
		
		if(tics == "unicode")
        {
                  textData[j++] = parseInt(uData >> 8); 
                  textData[j++] = parseInt(uData & 0xff);
        }
        else if(tics =="korea" || tics=="japan" || tics == "chinaI" || tics == "chinaII")
		{
		
			if (uData < 0x0080)
				textData[j++] = uData;		
			else
			{
				
				if(tics =="korea")
				{
					var ret = unicodetoksc5601(uData,2);
					if (ret.length == 2) 
					{
				
						textData[j++] = parseInt(ret[0]+0x80);
						textData[j++] = parseInt(ret[1]+0x80);
				
					}
				}
				else if (tics == "japan")
				{
					
                    if (uData < 0x0080 && !(uData == 0x005c || uData == 0x007e)) 
                    {
                        textData[j++]= uData;
                     
                    }  
                    else if (uData == 0x00a5) 
					{
						textData[j++] = 0x5c;
					
					}
					else if (uData == 0x203e) 
					{
					
						textData[j++] = 0x7e;
					
					}
                    else if (uData >= 0xff61 && uData < 0xffa0) 
                    {
                        
                        var uData1 = uData - 0xfec0;
                        if (uData1 < 0x80 || (uData1 >= 0xa1 && uData1 <= 0xdf)) 
                        {
                            textData[j++]= uData;;

                        }
                    }
					else if (uData >= 0xe000 && uData < 0xe758)
					{
					
						var c1, c2;					
						c1 = parseInt( (uData - 0xe000) / 188);
						c2 = parseInt( (uData - 0xe000) % 188);
						textData[j++] = parseInt(c1+0xf0);
						textData[j++] = parseInt((c2 < 0x3f ? c2+0x40 : c2+0x41));
					}
					else
					{
						var ret = unicodetojisx0208(uData,2);
						if (ret.length == 2) 
						{
							var c1, c2;
								
							c1 = parseInt(ret[0]);
							c2 = parseInt(ret[1]);
							if ((c1 >= 0x21 && c1 <= 0x74) && (c2 >= 0x21 && c2 <= 0x7e)) 
							{
								var t1 = parseInt((c1 - 0x21) >> 1);
								var t2 = parseInt((((c1 - 0x21) & 1) ? 0x5e : 0) + (c2 - 0x21));
								textData[j++] = parseInt((t1 < 0x1f ? t1+0x81 : t1+0xc1));
								textData[j++] = parseInt((t2 < 0x3f ? t2+0x40 : t2+0x41));
							
							}
						}
					}
				}
				else if (tics == "chinaI")
				{
					//alert(uData);
					var ret = unicodetogb2312(uData,2);
					if (ret.length == 2) 
					{
						textData[j++] = parseInt(ret[0]+0x80);
						textData[j++] = parseInt(ret[1]+0x80);
					}
				}
				else if (tics == "chinaII")
				{
					//alert(uData);
					var ret = unicodetobig5(uData,2);
					if (ret.length == 2) 
					{
						textData[j++] = parseInt(ret[0]);
						textData[j++] = parseInt(ret[1]);
					}
				}
			}
			//alert(ret.length +"ret[0] "+ret[0] + " ret[1] "+ret[1]);
			
		}
		else
		{
			textData[j++] = uData;		
		}

	}
	
	//alert(textData);
   // }
 /*   
   var textData = [];
    getEUCKR(this.BGTParser,binVal, function (BGTParser,textData1)
    {
	   	var len = textData1.length;	
		for(var i=0;i<len;i++)
		{		
			//validateDevID(parseInt(textData[i],16));
			console.log(textData1[i]);		
		}
		textData = textData1;
		BGTParser.ParseText(tfont,tics,tcode,twd,tht,tlsp,tem,tul,trev,updw,trot,textData);
	});
	//alert(textData);
*/
    /*
    var textData1 = parseEscapeText(tdata);
    alert(textData1);
    
    var j =0,i = 0,l,k,len = textData1.length;
	var textData = [];
	for(j =0,i = 0;i<len;)	
	{
		l = parseInt(textData1[i],16);
		k = parseInt(textData1[i+1],16);		
		textData[j] = l<<4; textData[j] |=k ;i+=2;j++;
	}
	
	alert(textData);
	*/
    if( tics=="chinaI" || tics == "chinaII") tics = "usa";	
    this.BGTParser.ParseText(tfont,tics,tcode,twd,tht,tlsp,tem,tul,trev,updw,trot,textData);
};
bGateWebPrintAPI["prototype"]["makePaperCut"] = function() {
    var feedtype;
    var validatecut = /^(feed|nofeed)$/;
    if(arguments["length"] == 0) {
        feedtype = "feed"
    } else {
        for(var i = 0; i < arguments["length"]; i++) {
            if(arguments[i]["cuttype"] === undefined) {
                feedtype = "feed"
            } else {
                feedtype = arguments[i]["cuttype"]
            }
        }
    };
    if(!validatecut["test"](feedtype)) {
        throw new Error("Invalid Cut Argument")
    } 
    this.BGTParser.ParseCut(feedtype);
};
bGateWebPrintAPI["prototype"]["makeDKout"] = function() {
    var cn, t;
    var validatedrawer = /^pin2|pin5$/;
    var validateduration = /^50|^[12]50|^[1-5]00$/;
    if(arguments["length"] == 0) {
        cn = "pin2";
        t = "200"
    } else {
        for(var i = 0; i < arguments["length"]; i++) {
            if(arguments[i]["connector"] === undefined) {
                cn = "pin2"
            } else {
                cn = arguments[i]["connector"]
            };
            if(arguments[i]["duration"] === undefined) {
                t = "200"
            } else {
                t = arguments[i]["duration"]
            }
        }
    };
    if(!validatedrawer["test"](cn)) {
        throw new Error("Invalid Connector Argument")
    } 
    if(!validateduration["test"](t)) {
        throw new Error("Invalid Duration Argument")
    } 
    this.BGTParser.ParseDKout(cn,t);
};
bGateWebPrintAPI["prototype"]["makeCmd"] = function() {
    var cmdData = [];
    var cmdnew = [];
    if(arguments["length"] == 0) {
        alert("invalid Direct I/O Command Arguments")
    };
    cmdData = arguments[0];
    for(var ind = 0, jn = 0; ind < cmdData["length"]; ind++) {
        if(cmdData[ind] != " ") {
             cmdnew[jn++] = cmdData[ind]
        }
    };   
    this.BGTParser.ParseCmd(cmdnew);
};
bGateWebPrintAPI["prototype"]["makeReinit"] = function() {   
     this.BGTParser.ParseReinit();
};
bGateWebPrintAPI["prototype"]["makeBuzzer"] = function() {   
    this.BGTParser.ParseBuzzer();
};
bGateWebPrintAPI["prototype"]["makeImage"] = function(context, x, y, width, height) {
    var s = "",
        imgdata, raster, raster1, rem = 0,
        newWidth = 0;
    if(isNaN(x) || x < 0 || x > 65535) {
        throw new Error("Invalid Argument X")
    };
    if(isNaN(y) || y < 0 || y > 65535) {
        throw new Error("Invalid Argument y")
    };
    if(isNaN(width) || width < 0 || width > 65535) {
        throw new Error("Invalid Argument Width")
    };
    if(isNaN(height) || height < 0 || height > 65535) {
        throw new Error("Invalid Argument Height")
    };
    imgdata = context["getImageData"](x, y, width, height);
    rem = parseInt(((((width) + 31) & ~31) >> 3));
    newWidth = rem * 8;
    imgdata = context["getImageData"](x, y, newWidth, height);
    var bitmapData = toBitmap(imgdata);
    this.BGTParser.ParseImg(newWidth,height,bitmapData);
};
bGateWebPrintAPI["prototype"]["SelectPageMode"] = function() {
	var pagemode;
    var validatepagemode = /^(true|false)$/;
    if(arguments["length"] == 0) {
        pagemode = "true"
    } else {
        for(var i = 0; i < arguments["length"]; i++) {
            if(arguments[i]["enable"] === undefined) {
                pagemode = "true"
            } else {
                pagemode = arguments[i]["enable"]
            }
        }
    };
    if(!validatepagemode["test"](pagemode)) {
        throw new Error("Invalid PageMode Argument")
    }    
    this.BGTParser.ParsePageMode(pagemode);
};
bGateWebPrintAPI["prototype"]["SetPrintAreaInPM"] = function() {   
    var x,y,wd,ht;    
    if(arguments["length"] == 0) {
       x=0;y=0;width=384;height=840;
    } else {
        for(var i = 0; i < arguments["length"]; i++) {
            if(arguments[i]["startX"] === undefined) {
                x = "0"
            } else {
                x = arguments[i]["startX"]
            };
            if(arguments[i]["startY"] === undefined) {
                y = "0"
            } else {
                y = arguments[i]["startY"]
            }
	    if(arguments[i]["width"] === undefined) {
               wd=384;
            } else {
                wd = arguments[i]["width"]
            }
	   if(arguments[i]["height"] === undefined) {
               ht=840;
            } else {
                ht = arguments[i]["height"]
            }
        }
    };
    if(isNaN(x) || x < 0 || x > 65535) {
        throw new Error("Invalid Argument startX")
    };
    if(isNaN(y) || y < 0 || y > 65535) {
        throw new Error("Invalid Argument startY")
    };
    if(isNaN(wd) || wd < 0 || wd > 65535) {
        throw new Error("Invalid Argument Width")
    };
    if(isNaN(ht) || ht < 0 || ht > 65535) {
        throw new Error("Invalid Argument Height")
    };
         
    this.BGTParser.ParsePrintArea(x,y,wd,ht);
};
bGateWebPrintAPI["prototype"]["SetPrintDirectionInPM"] = function() {   
    var rot;
    var validateRotate = /^(0|90|180|270)$/;
    if(arguments["length"] == 0) {
        rot = "0"
    } else {
        for(var i = 0; i < arguments["length"]; i++) {
            if(arguments[i]["rotate"] === undefined) {
                rot = "0"
            } else {
                rot = arguments[i]["rotate"]
            }
        }
    };
    if(!validateRotate["test"](rot)) {
        throw new Error("Invalid PageMode Rotate Argument")
    };    
	this.BGTParser.ParsePrintDirection(rot);
};
bGateWebPrintAPI["prototype"]["SetVerticalPositionInPM"] = function() {
	var pos,rel;
	var validaterelative = /^(true|false)$/;
	if(arguments["length"] == 0) {
       		throw new Error("Missing PageMode VerticalPosition Arguments")
   	 } else {
       		 for(var i = 0; i < arguments["length"]; i++) {
            	if(arguments[i]["position"] === undefined) {
              	 throw new Error("Missing PageMode Argument position")
           	 } else {
                	pos = arguments[i]["position"]
          	};
            	if(arguments[i]["relative"] === undefined) {
                	rel="false"
           	 } else {
                	rel = arguments[i]["relative"]
           	 }
	    }
    };
    if(isNaN(pos) || pos < 0 || pos > 65535) {
        throw new Error("Invalid PageMode Argument position")
    }; 
     if(!validaterelative["test"](rel)) {
        throw new Error("Invalid PageMode relative Argument")  
     };
    this.BGTParser.ParseVerticalPosition(pos,rel);
};
bGateWebPrintAPI["prototype"]["SetHorizontalPositionInPM"] = function() {   
	var pos,rel;
	var validaterelative = /^(true|false)$/;
	if(arguments["length"] == 0) {
       throw new Error("Missing PageMode HorizontalPosition Arguments")
    } else {
        for(var i = 0; i < arguments["length"]; i++) {
            if(arguments[i]["position"] === undefined) {
               throw new Error("Missing PageMode Argument position")
            } else {
                pos = arguments[i]["position"]
            };
            if(arguments[i]["relative"] === undefined) {
                rel="false"
            } else {
                rel = arguments[i]["relative"]
            }
	    }
    };
    if(isNaN(pos) || pos < 0 || pos > 65535) {
        throw new Error("Invalid PageMode Argument position")
    }; 
     if(!validaterelative["test"](rel)) {
        throw new Error("Invalid PageMode relative Argument") 
      }; 
   this.BGTParser.ParseHorizontalPosition(pos,rel);
};
bGateWebPrintAPI["prototype"]["PrintDataInPM"] = function() {   
    this.BGTParser.ParseFormFeed();
};
bGateWebPrintAPI["prototype"]["getInputDevices"]=function(ipAddr,bufView){
    var inputDevices = [];
    var t, n, r = [66, 88, 76, 71, 68, 76],
    o = document.URL;
    if (n = "https" == o.substring(0, 5) ? "wss://" : "ws://", t = n + ipAddr + ":8081", "WebSocket" in window) 
    {
        var a = new WebSocket(t,"bxln-ws-protocol");
        a.binaryType = "arraybuffer";
        var e1;
        try 
        {
            a.onopen = function() 
            {
                e1 = new Blob([new Uint8Array(r)]);
            };
            a.onmessage = function(e) 
            {
                var t = e.data;
                if ("SENDHEADER" == t)
                {
                    a.send(e1); 
                }
                else 
                {
                    
                    var bufView1 = new Uint8Array(t);
                    var len = bufView1.length;  
                    for(var i=0;i<len;i++)
                    {
                        var did = bufView1[i].toString(16);
                        inputDevices[i]=did;
                    }
                    bufView(inputDevices);
                    a.onclose();
                    
                }   
            };
            a.onclose = function() 
            {
                return a.close(),0;
                
            };
        } catch (s) 
        {
            alert("<p>Error" + s)
        }
    } 
    else alert("WebSocket NOT supported by your Browser!");         
};
bGateWebPrintAPI["prototype"]["directBCDIO"]=function(ipAddr,bcdID,cmdData){
    var decodeData = [];
        for(var ind = 0, jn = 0; ind < cmdData["length"]; ind++) 
    {
        if(cmdData[ind] != " ") 
        {
            decodeData[jn++] = cmdData[ind]
        }
    };
    
    var j =0,i = 0,l,k,len = decodeData.length;
    var directIO = [];
    for(j =0,i = 0;i<len;)  
    {
        l = parseInt(decodeData[i],16);
        k = parseInt(decodeData[i+1],16);       
        directIO[j] = l<<4; directIO[j] |=k ;i+=2;j++;
    }
    var devID = bcdID.toString();
    var devInfo=[];
    var sep = [0x3A];
    var codelen = devID.length;
    for(i=0;i<codelen;i++)
    {
        devInfo[i] = devID.charCodeAt(i).toString(10);      
    }
    
    var t, n, r = [66, 88, 76, 66, 68, 87,58]; //BXLBDW
    var start = r.concat(devInfo,sep,directIO);
    o = document.URL;
    if (n = "https" == o.substring(0, 5) ? "wss://" : "ws://", t = n + ipAddr + ":8081", "WebSocket" in window) 
    {
        var a = new WebSocket(t,"bxln-ws-protocol");
        a.binaryType = "arraybuffer";
        var e1;
        try 
        {
            a.onopen = function() 
            {
                e1 = new Blob([new Uint8Array(start)]); 
            };
            a.onmessage = function(e) 
            {
                var t = e.data;
                if ("SENDHEADER" == t)
                {
                    a.send(e1); 
                }
                else 
                {
                    alert(t);
                    a.onclose();
                }   
            };
            a.onclose = function() 
            {
                return a.close(), 0
            };
        } 
        catch (s) 
        {
            alert("<p>Error" + s)
        }
    } 
    else alert("WebSocket NOT supported by your Browser!")  
};
bGateWebPrintAPI["prototype"]["clearBCDScreen"]=function(ipAddr,bcdID){
    var devID = bcdID.toString();
    var devInfo=[];
    
    var codelen = devID.length;
    for(i=0;i<codelen;i++)
    {
        devInfo[i] = devID.charCodeAt(i).toString(10);      
    }
    
    var t, n, r = [66, 88, 76, 67, 76, 82,58]; //BXLCLR
    var start = r.concat(devInfo);
    o = document.URL;
    if (n = "https" == o.substring(0, 5) ? "wss://" : "ws://", t = n + ipAddr + ":8081", "WebSocket" in window) 
    {
        var a = new WebSocket(t,"bxln-ws-protocol");
        a.binaryType = "arraybuffer";
        var e1;
        try 
        {
            a.onopen = function() 
            {
                e1 = new Blob([new Uint8Array(start)]); 
            };
            a.onmessage = function(e) 
            {
                var t = e.data;
                if ("SENDHEADER" == t)
                {
                    a.send(e1); 
                }
                else 
                {
                    alert(t);
                    a.onclose();
                }   
            };
            a.onclose = function() 
            {
                return a.close(), 0
            };
        } 
        catch (s) 
        {
            alert("<p>Error" + s)
        }
    } 
    else alert("WebSocket NOT supported by your Browser!")          
};
bGateWebPrintAPI["prototype"]["resetBCD"]=function(ipAddr,bcdID){
    var devID = bcdID.toString();
    var devInfo=[];
    
    var codelen = devID.length;
    for(i=0;i<codelen;i++)
    {
        devInfo[i] = devID.charCodeAt(i).toString(10);      
    }
    
    var t, n, r = [66, 88, 76, 66, 82, 73,58]; //BXLBRI
    var start = r.concat(devInfo);
    o = document.URL;
    if (n = "https" == o.substring(0, 5) ? "wss://" : "ws://", t = n + ipAddr + ":8081", "WebSocket" in window) 
    {
        var a = new WebSocket(t,"bxln-ws-protocol");
        a.binaryType = "arraybuffer";
        var e1;
        try 
        {
            a.onopen = function() 
            {
                e1 = new Blob([new Uint8Array(start)]); 
            };
            a.onmessage = function(e) 
            {
                var t = e.data;
                if ("SENDHEADER" == t)
                {
                    a.send(e1); 
                }
                else 
                {
                    alert(t);
                    a.onclose();
                }   
            };
            a.onclose = function() 
            {
                return a.close(), 0
            };
        } 
        catch (s) 
        {
            alert("<p>Error" + s)
        }
    } 
    else alert("WebSocket NOT supported by your Browser!")          
};
bGateWebPrintAPI["prototype"]["displayString"]=function(ipAddr,bcdID,msg){    
    var devID = bcdID.toString();
    var msgInfo=[];
    var sep = [0x3A];
    var devInfo=[];
    
    var codelen = devID.length;
    for(i=0;i<codelen;i++)
    {
        devInfo[i] = devID.charCodeAt(i).toString(10);      
    }
    
    var codelen = msg.length;
    for(i=0;i<codelen;i++)
    {
        msgInfo[i] = msg.charCodeAt(i).toString(10);        
    }
    var t, n, r = [66, 88, 76, 87, 66, 68,58];
    var start = r.concat(devInfo,sep,msgInfo);
    o = document.URL;
    if (n = "https" == o.substring(0, 5) ? "wss://" : "ws://", t = n + ipAddr + ":8081", "WebSocket" in window) 
    {
        var a = new WebSocket(t,"bxln-ws-protocol");
        a.binaryType = "arraybuffer";
        var e1;
        try 
        {
            a.onopen = function() 
            {
                e1 = new Blob([new Uint8Array(start)]); 
            };
            a.onmessage = function(e) 
            {
                var t = e.data;
                if ("SENDHEADER" == t)
                {
                    a.send(e1); 
                }
                else 
                {
                    alert(t);
                    a.onclose();
                }   
            };
            a.onclose = function() 
            {
                return a.close(), 0
            };
        } 
        catch (s) 
        {
            alert("<p>Error" + s)
        }
    } 
    else alert("WebSocket NOT supported by your Browser!")      
};
bGateWebPrintAPI["prototype"]["clearBCDImage"]=function(ipAddr,bcdID,loc){
    if(isNaN(loc) || loc < 1 || loc > 6) {
    throw new Error("Invalid Image Index")
    };
    var fn, idx;
    if(loc == 6 ) {fn =0x02; idx=0x05;}
    else {fn =0x01; idx=loc;}
    var devID = bcdID.toString();
    var devInfo=[];
    var sep = [0x3A];
    var codelen = devID.length;
    for(i=0;i<codelen;i++)
    {
        devInfo[i] = devID.charCodeAt(i).toString(10);      
    }
    
    var fnVal = fn.toString();
    var fnInfo = [];
    var codelen = fnVal.length;
    for(i=0;i<codelen;i++)
    {
        fnInfo[i] = fnVal.charCodeAt(i).toString(10);       
    }
    
    var imgInx = idx.toString();
    var indx = [];
    var codelen = imgInx.length;
    for(i=0;i<codelen;i++)
    {
        indx[i] = imgInx.charCodeAt(i).toString(10);        
    }
    
    var t, n, r = [66, 88, 76, 66,68,73,58]; //BXLBDI   
    var start = r.concat(devInfo,sep,fnInfo,sep,indx);
    //alert(start);
    o = document.URL;
    if (n = "https" == o.substring(0, 5) ? "wss://" : "ws://", t = n + ipAddr + ":8081", "WebSocket" in window) 
    {
        var a = new WebSocket(t,"bxln-ws-protocol");
        a.binaryType = "arraybuffer";
        var e1;
        try 
        {
            a.onopen = function() 
            {
                e1 = new Blob([new Uint8Array(start)]); 
            };
            a.onmessage = function(e) 
            {
                var t = e.data;
                if ("SENDHEADER" == t)
                {
                    a.send(e1); 
                }               
                else
                {
                    alert(t);
                    a.onclose();
                }   
            };
            a.onclose = function() 
            {
                return a.close(), 0
            };
        } 
        catch (s) 
        {
            alert("<p>Error" + s)
        }
    } 
    else alert("WebSocket NOT supported by your Browser!")  
};
bGateWebPrintAPI["prototype"]["displayBCDImage"]=function(ipAddr,bcdID,x,y,loc){
    if(isNaN(x) || x < 0 || x > 240) {
    throw new Error("Invalid Argument X")
    };
    if(isNaN(y) || y < 0 || y > 64) {
    throw new Error("Invalid Argument y")
    };
    if(isNaN(loc) || loc < 1 || loc > 5) {
    throw new Error("Invalid Image Index")
    };
    var devID = bcdID.toString();
    var devInfo=[];
    var sep = [0x3A];
    var codelen = devID.length;
    for(i=0;i<codelen;i++)
    {
        devInfo[i] = devID.charCodeAt(i).toString(10);      
    }
    var startX = x.toString();
    var xInfo = [];
    var codelen = startX.length;
    for(i=0;i<codelen;i++)
    {
        xInfo[i] = startX.charCodeAt(i).toString(10);       
    }
    var startY = y.toString();
    var yInfo = [];
    var codelen = startY.length;
    for(i=0;i<codelen;i++)
    {
        yInfo[i] = startY.charCodeAt(i).toString(10);       
    }
    
    var imgInx = loc.toString();
    var indx = [];
    var codelen = imgInx.length;
    for(i=0;i<codelen;i++)
    {
        indx[i] = imgInx.charCodeAt(i).toString(10);        
    }
    
    var t, n, r = [66, 88, 76, 66, 73, 68,58]; //BXLBID 
    var start = r.concat(devInfo,sep,xInfo,sep,yInfo,sep,indx);
    o = document.URL;
    if (n = "https" == o.substring(0, 5) ? "wss://" : "ws://", t = n + ipAddr + ":8081", "WebSocket" in window) 
    {
        var a = new WebSocket(t,"bxln-ws-protocol");
        a.binaryType = "arraybuffer";
        var e1;
        try 
        {
            a.onopen = function() 
            {
                e1 = new Blob([new Uint8Array(start)]); 
            };
            a.onmessage = function(e) 
            {
                var t = e.data;
                if ("SENDHEADER" == t)
                {
                    a.send(e1); 
                }               
                else
                {
                    alert(t);
                    a.onclose();
                }   
            };
            a.onclose = function() 
            {
                return a.close(), 0
            };
        } 
        catch (s) 
        {
            alert("<p>Error" + s)
        }
    } 
    else alert("WebSocket NOT supported by your Browser!")  
    
};
bGateWebPrintAPI["prototype"]["storeBCDImage"]=function(context, x, y, width, height,ipAddr,bcdID,loc){
    var imgdata, raster, raster1, rem = 0,newWidth = 0;
    if(isNaN(x) || x < 0 || x > 240) {
    throw new Error("Invalid Argument X")
    };
    if(isNaN(y) || y < 0 || y > 64) {
    throw new Error("Invalid Argument y")
    };
    if(isNaN(width) || width < 0 || width > 240) {
    throw new Error("Invalid Argument Width")
    };
    if(isNaN(height) || height < 0 || height > 64) {
    throw new Error("Invalid Argument Height")
    };
    if(isNaN(loc) || loc < 1 || loc > 5) {
    throw new Error("Invalid Image Index")
    };
    imgdata = context["getImageData"](x, y, width, height);
    rem = parseInt(width/8);
    newWidth = parseInt(rem * 8);
    if(newWidth < width){rem = parseInt(rem+1); newWidth = parseInt(rem * 8);};
    imgdata = context["getImageData"](x, y, newWidth, height);
    var bitmapData = toBitmap(imgdata);
    var len =0;
    var bcdImgInfo=[];
    bcdImgInfo[len++] = 0x1B;bcdImgInfo[len++] = 0x49;bcdImgInfo[len++] = 0x00;
    bcdImgInfo[len++] = loc;bcdImgInfo[len++] = rem;bcdImgInfo[len++] = height;
    for(var i=0;i<bitmapData.length;i++)bcdImgInfo[len++]=bitmapData[i];
    
    
    //alert(bcdImgInfo);
    /*alert(rem + " " + len + " " +height +" "+ bitmapData.size + " " + bitmapData.length);*/
    var devID = bcdID.toString();
    var devInfo=[];
    var sep = [0x3A];

    var codelen = devID.length;
    for(i=0;i<codelen;i++)
    {
        devInfo[i] = devID.charCodeAt(i).toString(10);      
    }
    var totalLen = len.toString();
    var sizeInfo = [];
    var codelen = totalLen.length;
    for(i=0;i<codelen;i++)
    {
        sizeInfo[i] = totalLen.charCodeAt(i).toString(10);      
    }
    var dataLen = len;
    var TRANS_SIZE = 1023;
    var BYTES_PER_CHUNK = TRANS_SIZE;
    var t, n, r = [66, 88, 76, 66, 83, 73,58]; //BXLBSI
    var end_bcd_img = [69,78,68,66, 83, 73]; //ENDBSI   
    var start = r.concat(devInfo,sep,sizeInfo);
    o = document.URL;
    if (n = "https" == o.substring(0, 5) ? "wss://" : "ws://", t = n + ipAddr + ":8081", "WebSocket" in window) 
    {
        var a = new WebSocket(t,"bxln-ws-protocol");
        a.binaryType = "arraybuffer";
        var e1;
        try 
        {
            a.onopen = function() 
            {
                e1 = new Blob([new Uint8Array(start)]); 
            };
            a.onmessage = function(e) 
            {
                var t = e.data;
                if ("SENDHEADER" == t)
                {
                    a.send(e1); 
                }
                else if("SENDDATA" == t)
                {
                    if(dataLen > 0) 
                    {
                        if(dataLen > BYTES_PER_CHUNK)
                            BYTES_PER_CHUNK = TRANS_SIZE;
                        else
                            BYTES_PER_CHUNK = dataLen;
                        
                        
                        var blob = new Blob([new Uint8Array(bcdImgInfo.splice(0,BYTES_PER_CHUNK))]);
                        a.send(blob);
                        dataLen -=BYTES_PER_CHUNK;  
                    }
                    else
                    {
                        var ePrt = new Blob([new Uint8Array(end_bcd_img)]);
                        a.send(ePrt);   
                    }
                }
                else
                {
                    alert(t);
                    a.onclose();
                }   
            };
            a.onclose = function() 
            {
                return a.close(), 0
            };
        } 
        catch (s) 
        {
            alert("<p>Error" + s)
        }
    } 
    else alert("WebSocket NOT supported by your Browser!")  
};
bGateWebPrintAPI["prototype"]["stopScanner"]=function(){
    Bxln_endScanner = 1; 
    
};
bGateWebPrintAPI["prototype"]["stopMSR"]=function(){
    Bxln_endMSR = 1;     
};
bGateWebPrintAPI["prototype"]["stopNFC"]=function(){
    Bxln_endNFC = 1;     
};
bGateWebPrintAPI["prototype"]["stopDallasKey"]=function(){
    Bxln_endDlsKey = 1;
};
bGateWebPrintAPI["prototype"]["stopRFID"]=function(){
    Bxln_endRFID = 1;
};
bGateWebPrintAPI["prototype"]["stopScale"]=function(){
    Bxln_endScale = 1;
};    
bGateWebPrintAPI["prototype"]["readScanner"]=function(ip,id,sdata){
    var scannerResponseData;
    Bxln_endScanner=0;
    if(0==ip.length)
    {
        alert("Cloud IP/Domain  is not valid.");
        return false;   
    }
    
    if(!isValidIPaddress(ip))
    {
        if(!IsDomainValid(ip))
        {
            alert("Cloud IP/Domain is not valid.");
            return false;
        }
        
    }
    var devID = id.toString();
    var sep = [0x3A];
    var devInfo=[];
    var codelen = devID.length;
    for(i=0;i<codelen;i++)
    {
        devInfo[i] = devID.charCodeAt(i).toString(10);      
    }
        
    var t, n, r = [66, 88, 76, 82, 73, 68,58];
    var start = r.concat(devInfo);
    var start1 = [66, 88, 76, 82, 73, 65];
    var start2 = [66, 88, 76, 82, 73, 83];
    //alert(start);
    o = document.URL;
    if (n = "https" == o.substring(0, 5) ? "wss://" : "ws://", t = n + ip + ":8081", "WebSocket" in window) {
    var a = new WebSocket(t,"bxln-ws-protocol");
    a.binaryType = "arraybuffer";
    var e1,e2;
    try {
    a.onopen = function() {
    e1 = new Blob([new Uint8Array(start)]);
    e2 = new Blob([new Uint8Array(start1)]);
    e3 = new Blob([new Uint8Array(start2)]);
    };
    a.onmessage = function(e) 
    {
    var t = e.data;
    //console.log(t);
    if ("SENDHEADER" == t)
    {
        a.send(e1); 
    }
    else if("SET_OK" == t)
    {
        /*a.send(e2);
        readingNow =1;
        */
        if(Bxln_endScanner == 1){Bxln_endScanner=0;a.send(e3);a.onclose();}
        else
            a.send(e2);
    }
    else {
        /*scannerData.value= "";
        scannerData.value= t;
        */
        scannerResponseData = "";
        scannerResponseData = t;
        sdata(scannerResponseData);
        if(Bxln_endScanner == 1){Bxln_endScanner=0;a.send(e3);a.onclose();}
        else
            a.send(e2);     
    }   
    };
    a.onclose = function() {
       
     
        return a.close(), 0
    };
    } catch (s) {
    alert("<p>Error" + s)
    }
    } else alert("WebSocket NOT supported by your Browser!")    
};
bGateWebPrintAPI["prototype"]["readMSR"] = function(ip,id,mdata)
{
    var msrResponseData;
    Bxln_endMSR=0;
    if(0==ip.length)
    {
        alert("Cloud IP/Domain  is not valid.");
        return false;   
    }
    
    if(!isValidIPaddress(ip))
    {
        if(!IsDomainValid(ip))
        {
            alert("Cloud IP/Domain is not valid.");
            return false;
        }
        
    }
    var devID = id.toString();
    var sep = [0x3A];
    var devInfo=[];
    var codelen = devID.length;
    for(i=0;i<codelen;i++)
    {
        devInfo[i] = devID.charCodeAt(i).toString(10);      
    }
        
    var t, n, r = [66, 88, 76, 82, 73, 68,58];
    var start = r.concat(devInfo);
    var start1 = [66, 88, 76, 82, 73, 65];
    var start2 = [66, 88, 76, 82, 73, 83];
    //alert(start);
    o = document.URL;
    if (n = "https" == o.substring(0, 5) ? "wss://" : "ws://", t = n + ip + ":8081", "WebSocket" in window) {
    var a = new WebSocket(t,"bxln-ws-protocol");
    a.binaryType = "arraybuffer";
    var e1,e2;
    try {
    a.onopen = function() {
    e1 = new Blob([new Uint8Array(start)]);
    e2 = new Blob([new Uint8Array(start1)]);
    e3 = new Blob([new Uint8Array(start2)]);
    };
    a.onmessage = function(e) 
    {
    var t = e.data;
    //console.log(t);
    if ("SENDHEADER" == t)
    {
        a.send(e1); 
    }
    else if("SET_OK" == t)
    {
        if(Bxln_endMSR == 1){Bxln_endMSR=0;a.send(e3);a.onclose();}
        else
            a.send(e2);
    }
    else {
        msrResponseData = "";
        msrResponseData = t;
        mdata(msrResponseData);       
        if(Bxln_endMSR == 1){Bxln_endMSR=0;a.send(e3);a.onclose();}
        else
            a.send(e2);     
    }   
    };
    a.onclose = function() {
    return a.close(), 0
    };
    } catch (s) {
    alert("<p>Error" + s)
    }
    } else alert("WebSocket NOT supported by your Browser!")    
};
bGateWebPrintAPI["prototype"]["readRFID"] = function(ip,id,rdata)
{
    var rfidResponseData;
    Bxln_endRFID=0;
    if(0==ip.length)
    {
        alert("Cloud IP/Domain  is not valid.");
        return false;   
    }
    
    if(!isValidIPaddress(ip))
    {
        if(!IsDomainValid(ip))
        {
            alert("Cloud IP/Domain is not valid.");
            return false;
        }
        
    }
    var devID = id.toString();
    var sep = [0x3A];
    var devInfo=[];
    var codelen = devID.length;
    for(i=0;i<codelen;i++)
    {
        devInfo[i] = devID.charCodeAt(i).toString(10);      
    }
        
    var t, n, r = [66, 88, 76, 82, 73, 68,58];
    var start = r.concat(devInfo);
    var start1 = [66, 88, 76, 82, 73, 65];
    var start2 = [66, 88, 76, 82, 73, 83];
    //alert(start);
    o = document.URL;
    if (n = "https" == o.substring(0, 5) ? "wss://" : "ws://", t = n + ip + ":8081", "WebSocket" in window) {
    var a = new WebSocket(t,"bxln-ws-protocol");
    a.binaryType = "arraybuffer";
    var e1,e2;
    try {
    a.onopen = function() {
    e1 = new Blob([new Uint8Array(start)]);
    e2 = new Blob([new Uint8Array(start1)]);
    e3 = new Blob([new Uint8Array(start2)]);
    };
    a.onmessage = function(e) 
    {
    var t = e.data;
    //console.log(t);
    if ("SENDHEADER" == t)
    {
        a.send(e1); 
    }
    else if("SET_OK" == t)
    {
        if(Bxln_endRFID == 1){Bxln_endRFID=0;a.send(e3);a.onclose();}
        else
            a.send(e2);
    }
    else {
        
        rfidResponseData = "";
        rfidResponseData = t;
        rdata(rfidResponseData);
        if(Bxln_endRFID == 1){Bxln_endRFID=0;a.send(e3);a.onclose();}
        else
            a.send(e2);     
    }   
    };
    a.onclose = function() {
    return a.close(), 0
    };
    } catch (s) {
    alert("<p>Error" + s)
    }
    } else alert("WebSocket NOT supported by your Browser!")    
};
bGateWebPrintAPI["prototype"]["readNFC"] = function(ip,id,nfcdata)
{   
    var nfcResponseData;
    Bxln_endNFC=0;
    if(0==ip.length)
    {
        alert("Cloud IP/Domain  is not valid.");
        return false;   
    }
    
    if(!isValidIPaddress(ip))
    {
        if(!IsDomainValid(ip))
        {
            alert("Cloud IP/Domain is not valid.");
            return false;
        }
        
    }
    var devID = id.toString();
    var sep = [0x3A];
    var devInfo=[];
    var codelen = devID.length;
    for(i=0;i<codelen;i++)
    {
        devInfo[i] = devID.charCodeAt(i).toString(10);      
    }
        
    var t, n, r = [66, 88, 76, 82, 73, 68,58];
    var start = r.concat(devInfo);
    var start1 = [66, 88, 76, 82, 73, 65];
    var start2 = [66, 88, 76, 82, 73, 83];
    //alert(start);
    o = document.URL;
    if (n = "https" == o.substring(0, 5) ? "wss://" : "ws://", t = n + ip + ":8081", "WebSocket" in window) {
    var a = new WebSocket(t,"bxln-ws-protocol");
    a.binaryType = "arraybuffer";
    var e1,e2;
    try {
    a.onopen = function() {
    e1 = new Blob([new Uint8Array(start)]);
    e2 = new Blob([new Uint8Array(start1)]);
    e3 = new Blob([new Uint8Array(start2)]);
    };
    a.onmessage = function(e) 
    {
    var t = e.data;
    //console.log(t);
    if ("SENDHEADER" == t)
    {
        a.send(e1); 
    }
    else if("SET_OK" == t)
    {
        if(Bxln_endNFC == 1){Bxln_endNFC=0;a.send(e3);a.onclose();}
        else
            a.send(e2);
    }
    else {
        nfcResponseData = "";
        nfcResponseData = t;
        nfcdata(nfcResponseData);
        if(Bxln_endNFC == 1){Bxln_endNFC=0;a.send(e3);a.onclose();}
        else
            a.send(e2);     
    }   
    };
    a.onclose = function() {
    return a.close(), 0
    };
    } catch (s) {
    alert("<p>Error" + s)
    }
    } else alert("WebSocket NOT supported by your Browser!")    
};
bGateWebPrintAPI["prototype"]["readDallasKey"] = function(ip,id,dlsdata)
{   
    var dlsResponseData;
    Bxln_endDlsKey=0;
    if(0==ip.length)
    {
        alert("Cloud IP/Domain  is not valid.");
        return false;   
    }
    
    if(!isValidIPaddress(ip))
    {
        if(!IsDomainValid(ip))
        {
            alert("Cloud IP/Domain is not valid.");
            return false;
        }
        
    }
    var devID = id.toString();
    var sep = [0x3A];
    var devInfo=[];
    var codelen = devID.length;
    for(i=0;i<codelen;i++)
    {
        devInfo[i] = devID.charCodeAt(i).toString(10);      
    }
        
    var t, n, r = [66, 88, 76, 82, 73, 68,58];
    var start = r.concat(devInfo);
    var start1 = [66, 88, 76, 82, 73, 65];
    var start2 = [66, 88, 76, 82, 73, 83];
    //alert(start);
    o = document.URL;
    if (n = "https" == o.substring(0, 5) ? "wss://" : "ws://", t = n + ip + ":8081", "WebSocket" in window) {
    var a = new WebSocket(t,"bxln-ws-protocol");
    a.binaryType = "arraybuffer";
    var e1,e2;
    try {
    a.onopen = function() {
    e1 = new Blob([new Uint8Array(start)]);
    e2 = new Blob([new Uint8Array(start1)]);
    e3 = new Blob([new Uint8Array(start2)]);
    };
    a.onmessage = function(e) 
    {
    var t = e.data;
    //console.log(t);
    if ("SENDHEADER" == t)
    {
        a.send(e1); 
    }
    else if("SET_OK" == t)
    {
        if(Bxln_endDlsKey == 1){Bxln_endDlsKey=0;a.send(e3);a.onclose();}
        else
            a.send(e2);
    }
    else {
        dlsResponseData = "";
        dlsResponseData = t;
        dlsdata(dlsResponseData);
        if(Bxln_endDlsKey == 1){Bxln_endDlsKey=0;a.send(e3);a.onclose();}
        else
            a.send(e2);     
    }   
    };
    a.onclose = function() {
    return a.close(), 0
    };
    } catch (s) {
    alert("<p>Error" + s)
    }
    } else alert("WebSocket NOT supported by your Browser!")    
};
bGateWebPrintAPI["prototype"]["readScale"] = function(ip,id,scaledata)
{
    var scaleResponseData;    
    Bxln_endScale=0;
    if(0==ip.length)
    {
        alert("Cloud IP/Domain  is not valid.");
        return false;   
    }
    
    if(!isValidIPaddress(ip))
    {
        if(!IsDomainValid(ip))
        {
            alert("Cloud IP/Domain is not valid.");
            return false;
        }
        
    }
    var devID = id.toString();
    var sep = [0x3A];
    var devInfo=[];
    var codelen = devID.length;
    for(i=0;i<codelen;i++)
    {
        devInfo[i] = devID.charCodeAt(i).toString(10);      
    }
        
    var t, n, r = [66, 88, 76, 82, 73, 68,58];
    var start = r.concat(devInfo);
    var start1 = [66, 88, 76, 82, 73, 65];
    var start2 = [66, 88, 76, 82, 73, 83];
    //alert(start);
    o = document.URL;
    if (n = "https" == o.substring(0, 5) ? "wss://" : "ws://", t = n + ip + ":8081", "WebSocket" in window) {
    var a = new WebSocket(t,"bxln-ws-protocol");
    a.binaryType = "arraybuffer";
    var e1,e2;
    try {
    a.onopen = function() {
    e1 = new Blob([new Uint8Array(start)]);
    e2 = new Blob([new Uint8Array(start1)]);
    e3 = new Blob([new Uint8Array(start2)]);
    };
    a.onmessage = function(e) 
    {
    var t = e.data;
    //console.log(t);
    if ("SENDHEADER" == t)
    {
        a.send(e1); 
    }
    else if("SET_OK" == t)
    {
        if(Bxln_endScale == 1){Bxln_endScale=0;a.send(e3);a.onclose();}
        else
            a.send(e2);
    }
    else {
        scaleResponseData = "";
        scaleResponseData = t;
        scaledata(scaleResponseData); 
        if(Bxln_endScale == 1){Bxln_endScale=0;a.send(e3); a.onclose();}
        else
            a.send(e2);     
    }   
    };
    a.onclose = function() {
    return a.close(), 0
    };
    } catch (s) {
    alert("<p>Error" + s)
    }
    } else alert("WebSocket NOT supported by your Browser!")
};
bGateWebPrintAPI["prototype"]["getShopList"] = function(ip,ListInputID) {
	var list_request = [0x42,0x58,0x4C,0x53,0x48,0x50]; //BXLSHP
	var address,secureWS;
	var sPrt;
	var isSecure = document.URL;                                                        
        if (isSecure.substring(0, 5) == "https")               
        {                                               
        	secureWS = "wss://";                                        
        }                                                               
        else                                                                
        {                                                              
	        secureWS = "ws://";                                                
        }                                                                    
        address = secureWS + ip + ":8080";
	   //address = "ws://" + ip + ":8080";	
    	if ("WebSocket" in window)
	   {
		var ws = new WebSocket(address,"bxln-ws-protocol");
        //var ws = new WebSocket(address);
		ws.binaryType = 'arraybuffer';	
		try{
		ws.onopen = function()
		{
			sPrt = new Blob([new Uint8Array(list_request)]);
			//setTimeout(ws.send(sPrt), 500);	
		};
		ws.onmessage = function (evt) 
		{ 
			var received_msg = evt.data;
			if(received_msg == "SENDHEADER")
			{
				ws.send(sPrt);
			}
			else
			{
				var listArry = received_msg.split(":");
				var len = listArry.length;
				var sel = document.getElementById(ListInputID);
				while (sel.options.length > 0) 
				{                
					sel.remove(0);
				} 
				if(len > 1) len = len -1;
				for(var i=0;i<len;i++)
				{
					var opt = document.createElement('option');
					opt.innerHTML = listArry[i];
					opt.value =listArry[i];
					sel.appendChild(opt);				
				}
				ws.onclose();
			}
		};
		ws.onclose = function()
		{ 
		
			setTimeout(ws.close(), 100);
			return 0;
		
		};
		}catch(exception) {alert('<p>Error' + exception);  }	
	}
	else
	{
		/* The browser doesn't support WebSocket*/
		alert("WebSocket NOT supported by your Browser!");
		
	}
};
bGateWebPrintAPI["prototype"]["getDeviceList"] = function(ip,shopid,ListInputID) {
	var list_request = [0x42,0x58,0x4C,0x44,0x4C,0x49,0x3A];
	var codelen = shopid.length;
	var reqData = [],i;
	for(i=0;i<codelen;i++)
	{
		reqData[i] = shopid.charCodeAt(i).toString(10);		
	}
	var start = list_request.concat(reqData);
	var address,secureWS;
	var sPrt;
	var isSecure = document.URL;                                                        
        if (isSecure.substring(0, 5) == "https")               
        {                                               
        	secureWS = "wss://";                                        
        }                                                               
        else                                                                
        {                                                              
	        secureWS = "ws://";                                                
        }                                                                    
        address = secureWS + ip + ":8080";
	//address = "ws://" + ip + ":8080";
	
    	if ("WebSocket" in window)
	{
		var ws = new WebSocket(address,"bxln-ws-protocol");
        //var ws = new WebSocket(address);
		ws.binaryType = 'arraybuffer';	
		try{
		ws.onopen = function()
		{
			sPrt = new Blob([new Uint8Array(start)]);
			//setTimeout(ws.send(sPrt), 500);	
		};
		ws.onmessage = function (evt) 
		{ 
			var received_msg = evt.data;
			if(received_msg == "SENDHEADER")
			{
				ws.send(sPrt);
			}
			else if (received_msg == "SHOP_NAME_MISSING")
			{
				alert(received_msg);
				ws.close();	
			}
			else 
			{
				var listArry = received_msg.split(":");
				var len = listArry.length;
				var sel = document.getElementById(ListInputID);
				while (sel.options.length > 0) 
				{                
					sel.remove(0);
				} 
				if(len > 1) len = len -1;
				for(var i=0;i<len;i++)
				{
					var opt = document.createElement('option');
					opt.innerHTML = listArry[i];
					opt.value =listArry[i];
					sel.appendChild(opt);				
				}
				ws.onclose();
			}
		};
		ws.onclose = function()
		{ 
		
			setTimeout(ws.close(), 100);
			return 0;
		
		};
		}catch(exception) {alert('<p>Error' + exception);  }	
	}
	else
	{
		/* The browser doesn't support WebSocket*/
		alert("WebSocket NOT supported by your Browser!");
		
	}
};
bGateWebPrintAPI["prototype"]["sendData"] = function(ip, shopid, devid) {
	var address,secureWS;
    var start_Print = [0x42,0x58,0x4C,0x44,0x45,0x56,0x3A];
	var end_Print   = [0x45,0x4E,0x44,0x42,0x58,0x4C];
	var sep = [0x3A];
	this["printData"] ="";
	var shopInfo = [], i;
	var devInfo = [];
	var prtSize = [];
	var codelen = shopid.length;
	for(i=0;i<codelen;i++)
	{
		shopInfo[i] = shopid.charCodeAt(i).toString(10);		
	}
	
	var codelen = devid.length;
	for(i=0;i<codelen;i++)
	{
		devInfo[i] = devid.charCodeAt(i).toString(10);		
	}
	var end = sep.concat(devInfo);
	var escData = this.BGTParser.GetPrintData();
	var prtLen = escData.length;
	var prtDataSize = prtLen.toString(); 	
	codelen = prtDataSize.length;	
	for(i=0;i<codelen;i++)
	{
		prtSize[i] = prtDataSize.charCodeAt(i).toString(10);		
	}
		
	var start1 = start_Print.concat(shopInfo);
	var start = start1.concat(end,sep,prtSize);
	var sPrt;	
	var isSecure = document.URL;                                                        
      	if (isSecure.substring(0, 5) == "https")               
        {                                               
        	secureWS = "wss://";                                        
        }                                                               
        else                                                                
        {                                                              
	        secureWS = "ws://";                                                
        }      
        
	var dataLen = escData.length;
	var TRANS_SIZE = 65472;
	var BYTES_PER_CHUNK = TRANS_SIZE;
	var a = escData;
	//alert("Data: "+a);	
        address = secureWS + ip + ":8080";
	//address = "ws://" + ip + ":8080";
    var jobReq = 0;	
    if ("WebSocket" in window)
	{
	
		
		var ws = new WebSocket(address,"bxln-ws-protocol");
        //var ws = new WebSocket(address);
		ws.binaryType = 'arraybuffer';	
		try{
		ws.onopen = function()
		{
	
			sPrt = new Blob([new Uint8Array(start)]);
		};

		ws.onmessage = function (evt) 
		{ 
			var received_msg = evt.data;
			if(received_msg == "SENDHEADER")
			{
				setTimeout(ws.send(sPrt), 500);
			}
			else if(received_msg == "SENDDATA")
			{				
				jobReq = 1;
                if(dataLen > 0) 
				{
					if(dataLen > BYTES_PER_CHUNK)
						BYTES_PER_CHUNK = TRANS_SIZE;
					else
						BYTES_PER_CHUNK = dataLen;
						
						
					var blob = new Blob([new Uint8Array(a.splice(0,BYTES_PER_CHUNK))]);
					ws.send(blob);
					dataLen -=BYTES_PER_CHUNK;	
				}
				else
				{
					var ePrt = new Blob([new Uint8Array(end_Print)]);
					ws.send(ePrt);	
				}
			}
			else 
			{
			   
                if(jobReq == 0)
                {
                    var buf = new Uint8Array(received_msg);
                    var len1= buf.length-1;
                    for(var i=0;i<=len1;i++)console.log(buf[i]);
                    if(buf[0]== 66 && buf[1]== 88 && buf[2]== 76 && buf[3]== 82 && buf[4]== 69 && buf[5]== 81 && buf[len1]== 6)
                    {
                        jobReq = 1;
                      
                        if(dataLen > 0) 
                        {
                            if(dataLen > BYTES_PER_CHUNK)
                                BYTES_PER_CHUNK = TRANS_SIZE;
                            else
                                BYTES_PER_CHUNK = dataLen;
                                
                                
                            var blob = new Blob([new Uint8Array(a.splice(0,BYTES_PER_CHUNK))]);
                            ws.send(blob);
                            dataLen -=BYTES_PER_CHUNK;  
                        }
                        else
                        {
                            var ePrt = new Blob([new Uint8Array(end_Print)]);
                            ws.send(ePrt);  
                        }
                    }
                    else
                    {
                        alert("Printer Not Ready");
                        ws.onclose();   
                    }
                }
                else
                {
                    alert(received_msg);
                    ws.onclose();   
                }
            }
                
		};

		ws.onclose = function()
		{ 
		 	setTimeout(ws.close(), 100);
		 	return 0;
		};
		}catch(exception) {alert('<p>Error' + exception);  }
	}

	else
	{
		/* The browser doesn't support WebSocket*/
		alert("WebSocket NOT supported by your Browser!");
	}
}

bGateWebPrintAPI["prototype"]["getLabelDeviceList"] = function(ip,shopid,ListInputID) {
    var list_request = [0x42,0x58,0x4C,0x4C,0x44,0x4C,0x3A];
    var codelen = shopid.length;
    var reqData = [],i;
    for(i=0;i<codelen;i++)
    {
        reqData[i] = shopid.charCodeAt(i).toString(10);     
    }
    var start = list_request.concat(reqData);
    var address,secureWS;
    var sPrt;
    var isSecure = document.URL;                                                        
        if (isSecure.substring(0, 5) == "https")               
        {                                               
            secureWS = "wss://";                                        
        }                                                               
        else                                                                
        {                                                              
            secureWS = "ws://";                                                
        }                                                                    
        address = secureWS + ip + ":8080";
    //address = "ws://" + ip + ":8080";
    
        if ("WebSocket" in window)
    {
        var ws = new WebSocket(address,"bxln-ws-protocol");
        //var ws = new WebSocket(address);
        ws.binaryType = 'arraybuffer';  
        try{
        ws.onopen = function()
        {
            sPrt = new Blob([new Uint8Array(start)]);
            //setTimeout(ws.send(sPrt), 500);   
        };
        ws.onmessage = function (evt) 
        { 
            var received_msg = evt.data;
            if(received_msg == "SENDHEADER")
            {
                ws.send(sPrt);
            }
            else if (received_msg == "SHOP_NAME_MISSING")
            {
                alert(received_msg);
                ws.close(); 
            }
            else if(received_msg == "NO_LABEL_PRINTERS")
            {
                alert("No Label Printers Registered")
                ws.onclose();
            }
            else 
            {
                var listArry = received_msg.split(":");
                var len = listArry.length;
                var sel = document.getElementById(ListInputID);
                while (sel.options.length > 0) 
                {                
                    sel.remove(0);
                } 
                if(len > 1) len = len -1;
                for(var i=0;i<len;i++)
                {
                    var opt = document.createElement('option');
                    opt.innerHTML = listArry[i];
                    opt.value =listArry[i];
                    sel.appendChild(opt);               
                }
                ws.onclose();
            }
        };
        ws.onclose = function()
        { 
        
            setTimeout(ws.close(), 100);
            return 0;
        
        };
        }catch(exception) {alert('<p>Error' + exception);  }    
    }
    else
    {
        /* The browser doesn't support WebSocket*/
        alert("WebSocket NOT supported by your Browser!");
        
    }
};

bGateWebPrintAPI["prototype"]["getOfflineShops"] = function(ip,ListInputID) {
    var list_request = [0x42,0x58,0x4C,0x4F,0x4C,0x53];
    
    var start = list_request;
    var address,secureWS;
    var sPrt;
    var isSecure = document.URL;                                                        
        if (isSecure.substring(0, 5) == "https")               
        {                                               
            secureWS = "wss://";                                        
        }                                                               
        else                                                                
        {                                                              
            secureWS = "ws://";                                                
        }                                                                    
        address = secureWS + ip + ":8080";
    //address = "ws://" + ip + ":8080";
    
        if ("WebSocket" in window)
    {
        var ws = new WebSocket(address,"bxln-ws-protocol");
        //var ws = new WebSocket(address);
        ws.binaryType = 'arraybuffer';  
        try{
        ws.onopen = function()
        {
            sPrt = new Blob([new Uint8Array(start)]);
            //setTimeout(ws.send(sPrt), 500);   
        };
        ws.onmessage = function (evt) 
        { 
            var received_msg = evt.data;
            if(received_msg == "SENDHEADER")
            {
                ws.send(sPrt);
            }
            else if (received_msg == "NO SHOPS")
            {
                alert(received_msg);
                ws.onclose(); 
            }            
            else 
            {
                var listArry = received_msg.split(":");
                var len = listArry.length;
                var sel = document.getElementById(ListInputID);
                while (sel.options.length > 0) 
                {                
                    sel.remove(0);
                } 
                
                for(var i=1;i<len;i++)
                {
                    var opt = document.createElement('option');
                    opt.innerHTML = listArry[i];
                    opt.value =listArry[i];
                    sel.appendChild(opt);               
                }
                ws.onclose();
            }
        };
        ws.onclose = function()
        { 
        
            setTimeout(ws.close(), 100);
            return 0;
        
        };
        }catch(exception) {alert('<p>Error' + exception);  }    
    }
    else
    {
        /* The browser doesn't support WebSocket*/
        alert("WebSocket NOT supported by your Browser!");
        
    }
};

bGateWebPrintAPI["prototype"]["sendLabelData"] = function(ip, shopid, devid) {
    var address,secureWS;
    var start_Print = [0x42,0x58,0x4C,0x4C,0x42,0x4C,0x3A];//BXLLBL
    var end_Print   = [0x45,0x4E,0x44,0x42,0x58,0x4C];
    var sep = [0x3A];
    this["printData"] ="";
    var shopInfo = [], i;
    var devInfo = [];
    var prtSize = [];
    var codelen = shopid.length;
    for(i=0;i<codelen;i++)
    {
        shopInfo[i] = shopid.charCodeAt(i).toString(10);        
    }
    
    var codelen = devid.length;
    for(i=0;i<codelen;i++)
    {
        devInfo[i] = devid.charCodeAt(i).toString(10);      
    }
    var end = sep.concat(devInfo);
   // this.BGTParser.PrintStart(1,1);
    var escData = this.BGTParser.GetPrintData();
    var prtLen = escData.length;
    var prtDataSize = prtLen.toString();  
    codelen = prtDataSize.length;   
    for(i=0;i<codelen;i++)
    {
        prtSize[i] = prtDataSize.charCodeAt(i).toString(10);        
    }
        
    var start1 = start_Print.concat(shopInfo);
    var start = start1.concat(end,sep,prtSize);
    var sPrt;   
    var isSecure = document.URL;                                                        
        if (isSecure.substring(0, 5) == "https")               
        {                                               
            secureWS = "wss://";                                        
        }                                                               
        else                                                                
        {                                                              
            secureWS = "ws://";                                                
        }      
        
    var dataLen = escData.length;
    var TRANS_SIZE = 65472;
    var BYTES_PER_CHUNK = TRANS_SIZE;
    var a = escData;
    //alert("Data: "+a);    
  
    address = secureWS + ip + ":8080";
        
    if ("WebSocket" in window)
    {
    
        
        var ws = new WebSocket(address,"bxln-ws-protocol");
        ws.binaryType = 'arraybuffer';  
        try{
        ws.onopen = function()
        {
    
            sPrt = new Blob([new Uint8Array(start)]);
        };

        ws.onmessage = function (evt) 
        { 
            var received_msg = evt.data;
            if(received_msg == "SENDHEADER")
            {
                setTimeout(ws.send(sPrt), 500);
            }
            else if (received_msg == "PORTBUSY")
            {
               setTimeout(ws.send(sPrt), 500); 
            }
            else if(received_msg == "SENDDATA")
            {

                
                if(dataLen > 0) 
                {
                    if(dataLen > BYTES_PER_CHUNK)
                        BYTES_PER_CHUNK = TRANS_SIZE;
                    else
                        BYTES_PER_CHUNK = dataLen;
                        
                        
                    var blob = new Blob([new Uint8Array(a.splice(0,BYTES_PER_CHUNK))]);
                    ws.send(blob);
                    dataLen -=BYTES_PER_CHUNK;  
                }
                else
                {
                    var ePrt = new Blob([new Uint8Array(end_Print)]);
                    ws.send(ePrt);  
                }
            }
            else 
            {
             alert(received_msg);
             ws.onclose();  
            }
        };

        ws.onclose = function()
        { 
            setTimeout(ws.close(), 100);
            return 0;
        };
        }catch(exception) {alert('<p>Error' + exception);  }
    }

    else
    {
        
        alert("WebSocket NOT supported by your Browser!");
    }
}

function parseEscapeText(escData) {
    var validateMarkup = /\\[tnr\\]|\\/g;
    if (validateMarkup["test"](escData)) {
        escData = escData["replace"](validateMarkup, function(da) {
            var res = "";
            switch (da) {
            case "\\t":
                res = "\x09";
                break;
            case "\\n":
                res = "\x0a";
                break;
            case "\\r":
                res = "\x0d";
                break;
            case "\\\\":
                res = "\\";
                break;
            default:
                break
            }
            return res
        })
        };
       // alert(escData);
    return escData
}

function getEUCKR(BGTParser,unidata,bufView)
{
	//alert("called getEUCKR" +unidata)
	var ipAddr ="192.168.100.86";
	var euckrData = [];
	var t, n,o = document.URL;	
	if (n = "https" == o.substring(0, 5) ? "wss://" : "ws://", t = n + ipAddr + ":8081", "WebSocket" in window) 
	{
		var a = new WebSocket(t,"bxln-ws-protocol");
		a.binaryType = "arraybuffer";
		var e1;
		try 
		{
			a.onopen = function() 
			{
				e1 = new Blob([new Uint8Array(unidata)]);
			};
			a.onmessage = function(e) 
			{
				var t = e.data;
				if ("SENDHEADER" == t)
				{
					a.send(e1);	
				}
				else 
				{
					var bufView1 = new Uint8Array(t);
					/*var len = bufView1.length;	
					for(var i=0;i<len;i++)
					{
						var did = bufView1[i]
						euckrData[i]=did;
					}*/
					bufView(BGTParser,bufView1);
					a.onclose();
					
				}	
			};
			a.onclose = function() 
			{
				return a.close(),0;
				
			};
		} catch (s) 
		{
			alert("<p>Error" + s)
		}
	} 
	else alert("WebSocket NOT supported by your Browser!");		
}
function toBitmap(imgdata) {
    var imgDa = imgdata["data"];
    var wd = imgdata["width"],
        ht = imgdata["height"];
    var res = new Array((wd + 7 >> 3) * ht);
    var val = 0,
        idx = 0,
        widx = 0,
        ridx = 0,
        cval, tval = 128,
        residx = 0;
    var refTab = [
        [8, 136, 40, 168, 2, 130, 34, 162],
        [200, 72, 232, 104, 194, 66, 226, 98],
        [56, 184, 24, 152, 50, 178, 18, 146],
        [248, 120, 216, 88, 242, 114, 210, 82],
        [4, 132, 36, 164, 14, 142, 46, 174],
        [196, 68, 228, 100, 206, 78, 238, 110],
        [52, 180, 20, 148, 62, 190, 30, 158],
        [244, 116, 212, 84, 254, 126, 222, 94]
    ];
    for(h = 0; h < ht; h++) {
        ridx = 0;
        while(ridx < wd) {
            widx = ridx & 7;
            tval = refTab[h & 7][widx];
            cval = Math["pow"](((imgDa[idx++] * 0.299 + imgDa[idx++] * 0.587 + imgDa[idx++] * 0.114) * imgDa[idx] / 255 + 255 - imgDa[idx++]) / 255, 1 / 1) * 255 | 0;
            if(cval < tval) {
                val |= 128 >> widx
            };
            ridx++;
            if(widx == 7 || ridx == wd) {
                res[residx++] = val;
                val = 0
            }
        }
    };
    return res;
}
var ksc5601Table = [8750, 8756, 8535, 8487, 10275, 8489, 8807, 8518, 8510, 10615, 10616, 8741, 8786, 8484, 8748, 10614, 10284, 10361, 10358, 10362, 8751, 10273, 10274, 8511, 10282, 10285, 10540, 10529, 10531, 8512, 10538, 10541, 10530, 10276, 10532, 10533, 10278, 10534, 10535, 10280, 10536, 10281, 10537, 10544, 10287, 10543, 10283, 10539, 10286, 10542, 8743, 8752, 8744, 8747, 8746, 8749, 8745, 9537, 9538, 9539, 9540, 9541, 9542, 9543, 9544, 9545, 9546, 9547, 9548, 9549, 9550, 9551, 9552, 9553, 9554, 9555, 9556, 9557, 9558, 9559, 9560, 9569, 9570, 9571, 9572, 9573, 9574, 9575, 9576, 9577, 9578, 9579, 9580, 9581, 9582, 9583, 9584, 9585, 9586, 9587, 9588, 9589, 9590, 9591, 9592, 11303, 11297, 11298, 11299, 11300, 11301, 11302, 11304, 11305, 11306, 11307, 11308, 11309, 11310, 11311, 11312, 11313, 11314, 11315, 11316, 11317, 11318, 11319, 11320, 11321, 11322, 11323, 11324, 11325, 11326, 11327, 11328, 11329, 11345, 11346, 11347, 11348, 11349, 11350, 11352, 11353, 11354, 11355, 11356, 11357, 11358, 11359, 11360, 11361, 11362, 11363, 11364, 11365, 11366, 11367, 11368, 11369, 11370, 11371, 11372, 11373, 11374, 11375, 11376, 11377, 11351, 8490, 8494, 8495, 8496, 8497, 8787, 8788, 8485, 8486, 8758, 8519, 8520, 8536, 10617, 10618, 10619, 10620, 10621, 10622, 8806, 8521, 8757, 10020, 8800, 8805, 8802, 10073, 8522, 10359, 10360, 10363, 10364, 10365, 10366, 9520, 9521, 9522, 9523, 9524, 9525, 9526, 9527, 9528, 9529, 9505, 9506, 9507, 9508, 9509, 9510, 9511, 9512, 9513, 9514, 8551, 8552, 8550, 8553, 8554, 8789, 8792, 8790, 8793, 8791, 8737, 8738, 8739, 8531, 8740, 8532, 8564, 8565, 8755, 8754, 8558, 8560, 8516, 8528, 8491, 8572, 8573, 8571, 8570, 8562, 8563, 8753, 8517, 8561, 8493, 8559, 8534, 8513, 8533, 8514, 8515, 8556, 8557, 8568, 8569, 8566, 8567, 8769, 8529, 8530, 10343, 10344, 10345, 10346, 10347, 10348, 10349, 10350, 10351, 10352, 10353, 10354, 10355, 10356, 10357, 10599, 10600, 10601, 10602, 10603, 10604, 10605, 10606, 10607, 10608, 10609, 10610, 10611, 10612, 10613, 10573, 10574, 10575, 10576, 10577, 10578, 10579, 10580, 10581, 10582, 10583, 10584, 10585, 10586, 10587, 10588, 10589, 10590, 10591, 10592, 10593, 10594, 10595, 10596, 10597, 10598, 10317, 10318, 10319, 10320, 10321, 10322, 10323, 10324, 10325, 10326, 10327, 10328, 10329, 10330, 10331, 10332, 10333, 10334, 10335, 10336, 10337, 10338, 10339, 10340, 10341, 10342, 9761, 9772, 9762, 9773, 9763, 9800, 9799, 9774, 9764, 9794, 9793, 9775, 9766, 9798, 9797, 9777, 9765, 9796, 9795, 9776, 9767, 9788, 9801, 9802, 9783, 9803, 9804, 9778, 9769, 9790, 9805, 9806, 9785, 9807, 9808, 9780, 9768, 9809, 9810, 9784, 9789, 9811, 9812, 9779, 9770, 9813, 9814, 9786, 9791, 9815, 9816, 9781, 9771, 9817, 9818, 9787, 9819, 9820, 9792, 9821, 9822, 9823, 9824, 9825, 9826, 9827, 9828, 9782, 8774, 8545, 8544, 8771, 8775, 8776, 8779, 8778, 8777, 8780, 8547, 8546, 8762, 8761, 8549, 8548, 8760, 8759, 8543, 8542, 8770, 8539, 8541, 8540, 8772, 8773, 8538, 8537, 8783, 8782, 8784, 8785, 8527, 8526, 8764, 8765, 8768, 8763, 8766, 8767, 8781, 8795, 8796, 8797, 8794, 8481, 8482, 8483, 8488, 8500, 8501, 8502, 8503, 8504, 8505, 8506, 8507, 8508, 8509, 8555, 8498, 8499, 10785, 10786, 10787, 10788, 10789, 10790, 10791, 10792, 10793, 10794, 10795, 10796, 10797, 10798, 10799, 10800, 10801, 10802, 10803, 10804, 10805, 10806, 10807, 10808, 10809, 10810, 10811, 10812, 10813, 10814, 10815, 10816, 10817, 10818, 10819, 10820, 10821, 10822, 10823, 10824, 10825, 10826, 10827, 10828, 10829, 10830, 10831, 10832, 10833, 10834, 10835, 10836, 10837, 10838, 10839, 10840, 10841, 10842, 10843, 10844, 10845, 10846, 10847, 10848, 10849, 10850, 10851, 10852, 10853, 10854, 10855, 10856, 10857, 10858, 10859, 10860, 10861, 10862, 10863, 10864, 10865, 10866, 10867, 11041, 11042, 11043, 11044, 11045, 11046, 11047, 11048, 11049, 11050, 11051, 11052, 11053, 11054, 11055, 11056, 11057, 11058, 11059, 11060, 11061, 11062, 11063, 11064, 11065, 11066, 11067, 11068, 11069, 11070, 11071, 11072, 11073, 11074, 11075, 11076, 11077, 11078, 11079, 11080, 11081, 11082, 11083, 11084, 11085, 11086, 11087, 11088, 11089, 11090, 11091, 11092, 11093, 11094, 11095, 11096, 11097, 11098, 11099, 11100, 11101, 11102, 11103, 11104, 11105, 11106, 11107, 11108, 11109, 11110, 11111, 11112, 11113, 11114, 11115, 11116, 11117, 11118, 11119, 11120, 11121, 11122, 11123, 11124, 11125, 11126, 9249, 9250, 9251, 9252, 9253, 9254, 9255, 9256, 9257, 9258, 9259, 9260, 9261, 9262, 9263, 9264, 9265, 9266, 9267, 9268, 9269, 9270, 9271, 9272, 9273, 9274, 9275, 9276, 9277, 9278, 9279, 9280, 9281, 9282, 9283, 9284, 9285, 9286, 9287, 9288, 9289, 9290, 9291, 9292, 9293, 9294, 9295, 9296, 9297, 9298, 9299, 9300, 9301, 9302, 9303, 9304, 9305, 9306, 9307, 9308, 9309, 9310, 9311, 9312, 9313, 9314, 9315, 9316, 9317, 9318, 9319, 9320, 9321, 9322, 9323, 9324, 9325, 9326, 9327, 9328, 9329, 9330, 9331, 9332, 9333, 9334, 9335, 9336, 9337, 9338, 9339, 9340, 9341, 9342, 10545, 10546, 10547, 10548, 10549, 10550, 10551, 10552, 10553, 10554, 10555, 10556, 10557, 10558, 10559, 10560, 10561, 10562, 10563, 10564, 10565, 10566, 10567, 10568, 10569, 10570, 10571, 10572, 8799, 10289, 10290, 10291, 10292, 10293, 10294, 10295, 10296, 10297, 10298, 10299, 10300, 10301, 10302, 10303, 10304, 10305, 10306, 10307, 10308, 10309, 10310, 10311, 10312, 10313, 10314, 10315, 10316, 8808, 8798, 10057, 10058, 10059, 10060, 10061, 10042, 10043, 10076, 10077, 10078, 10038, 10039, 10040, 10068, 10069, 10070, 10071, 10072, 10017, 10018, 10019, 10021, 10027, 10028, 10029, 10030, 10031, 10032, 10033, 10034, 10035, 10036, 10023, 10024, 10025, 10026, 10045, 10046, 10085, 10086, 10087, 10088, 10081, 10082, 10083, 10047, 10048, 10049, 10050, 10051, 10052, 10053, 10054, 10055, 10056, 10062, 10063, 10064, 10065, 10066, 10067, 10074, 10075, 8803, 10092, 10022, 10080, 10095, 8801, 10044, 10093, 10037, 10041, 10090, 10091, 10079, 8804, 10084, 10094, 10089, 27753, 28491, 30290, 22578, 27995, 24370, 24382, 31035, 23668, 30052, 29478, 23904, 24870, 20088, 23600, 25386, 29033, 19834, 31791, 21281, 28971, 26449, 21036, 20089, 29053, 24127, 31546, 31033, 20050, 25387, 27488, 20090, 19319, 25893, 19041, 21580, 27233, 23651, 24365, 19307, 21807, 22133, 25976, 24128, 27683, 26957, 27175, 26998, 31547, 26473, 28492, 20582, 24129, 25644, 22604, 31089, 20063, 31268, 26162, 31355, 31293, 19528, 28493, 21845, 21282, 27729, 25639, 27730, 30257, 20091, 20561, 19263, 27940, 27944, 24130, 30306, 27996, 23669, 24633, 21582, 29749, 21339, 22069, 27684, 25702, 29034, 19308, 19264, 27762, 20586, 31090, 27685, 20575, 26474, 20587, 23633, 23401, 32076, 23383, 23137, 22070, 25439, 24131, 24132, 18977, 28268, 21283, 28215, 30799, 27208, 28216, 28972, 28965, 26958, 31036, 25977, 27754, 23894, 27970, 30757, 25914, 23384, 18978, 20813, 28269, 27755, 24133, 25440, 19017, 29289, 21838, 30262, 20034, 22087, 25396, 28973, 27234, 22338, 29479, 19818, 27502, 22834, 32037, 30293, 21858, 30773, 19573, 30005, 25645, 26475, 29013, 28731, 26933, 19529, 31317, 24916, 22358, 23617, 24134, 31343, 25441, 24947, 23670, 20092, 23364, 30833, 23652, 25967, 23601, 21846, 29530, 19265, 23363, 22906, 21358, 31288, 32038, 27503, 29734, 19530, 29480, 29531, 23335, 30263, 20326, 28786, 19290, 26450, 22339, 30320, 26718, 25894, 25959, 18979, 19495, 27209, 30774, 31269, 28974, 28494, 19309, 30256, 28495, 26959, 30558, 20051, 23671, 23336, 19320, 24353, 23905, 30026, 26934, 26476, 28270, 29552, 24383, 19531, 20545, 29778, 24634, 24384, 20064, 23634, 32106, 22134, 27210, 26729, 25388, 29520, 18980, 23416, 24135, 27504, 29014, 25954, 19532, 19323, 27235, 24385, 22125, 26960, 28217, 21859, 20819, 25968, 26676, 27459, 27178, 31356, 30070, 28732, 32084, 24635, 20035, 20538, 30522, 22643, 30541, 25646, 21599, 20583, 27773, 21038, 28271, 21847, 27236, 30754, 19819, 22335, 31537, 19820, 23602, 20588, 20093, 28272, 19522, 20589, 25975, 29564, 28194, 22835, 22644, 26935, 20014, 22818, 22641, 21583, 25895, 21842, 22057, 29730, 29015, 21848, 28733, 22352, 21584, 22351, 27498, 32107, 23405, 31813, 19266, 32085, 29768, 26730, 30067, 31070, 21359, 27731, 23874, 28471, 26452, 19018, 22907, 31357, 22058, 29816, 30583, 23596, 22359, 24354, 20030, 21360, 28708, 24940, 20327, 29515, 27945, 19006, 29807, 30286, 24187, 20539, 21815, 28273, 29736, 23672, 19239, 23118, 24678, 27941, 28274, 23673, 31068, 29532, 30834, 29817, 31857, 20540, 23417, 22321, 19324, 28709, 19325, 21876, 19821, 18981, 22059, 20546, 28734, 21053, 19492, 31286, 19533, 23162, 30287, 26936, 22645, 19534, 22349, 21585, 26989, 19051, 22882, 32050, 25389, 22092, 22836, 24871, 28243, 20547, 32051, 21860, 20328, 27971, 20530, 20094, 23080, 30800, 32086, 30801, 30802, 23635, 23906, 31609, 23873, 25397, 27997, 20036, 19233, 23907, 31837, 31023, 21115, 20257, 25640, 29750, 27774, 25390, 26477, 32065, 23138, 22579, 23908, 28783, 30321, 31344, 20853, 23119, 23636, 23590, 28479, 20047, 24665, 22870, 27732, 27211, 19007, 21808, 20329, 29037, 19535, 25720, 25709, 22360, 32039, 27179, 30258, 20336, 31037, 26228, 19291, 29521, 26961, 29481, 20576, 26962, 23139, 25170, 30242, 24948, 23140, 26453, 30015, 20258, 19759, 20259, 19760, 29054, 20515, 24879, 30755, 18982, 30523, 29290, 24136, 26963, 24137, 32094, 19008, 31082, 20814, 28244, 21586, 22819, 32040, 22361, 30542, 31294, 20310, 22384, 27489, 30789, 23674, 23875, 31071, 26479, 32101, 30243, 22908, 32041, 26478, 21861, 28496, 19761, 30498, 28978, 28977, 19762, 23083, 18983, 25442, 31548, 22820, 28218, 30803, 31610, 20260, 23675, 30307, 27946, 29217, 20065, 31270, 31072, 27734, 25710, 31009, 31599, 31083, 28195, 27180, 18984, 29818, 19798, 31862, 29769, 30804, 30758, 24138, 29254, 22362, 21328, 22597, 27238, 29533, 25690, 30308, 30322, 24386, 22909, 19574, 21306, 25647, 31073, 28710, 19283, 24636, 29770, 21626, 32042, 31074, 29751, 32066, 31792, 32108, 19042, 32061, 27239, 24387, 20818, 20066, 21284, 32043, 24416, 29255, 26480, 20590, 29482, 24139, 30264, 24949, 28979, 30499, 18985, 20261, 24388, 24880, 28735, 30244, 25398, 31302, 20591, 32109, 23876, 31863, 26175, 24109, 31295, 25969, 27972, 21029, 32110, 30006, 24950, 24140, 31838, 27735, 19805, 22071, 19763, 30805, 25944, 20330, 20304, 27212, 27182, 27181, 21361, 21285, 30543, 28196, 20516, 29218, 20592, 29219, 30584, 20531, 23337, 21307, 19052, 28966, 19285, 30567, 19806, 30500, 30784, 21341, 19536, 20262, 30323, 24951, 21340, 31358, 31271, 27481, 20263, 27183, 25711, 26937, 29016, 22616, 24690, 26164, 23676, 29553, 25424, 29307, 23366, 20593, 20594, 20316, 21329, 19505, 30552, 19240, 27452, 25662, 29788, 23618, 28711, 26176, 19053, 26731, 25960, 23619, 27998, 21362, 19575, 20052, 26411, 19267, 24881, 30514, 21363, 21330, 30016, 24413, 28275, 26481, 32052, 29256, 29522, 28276, 25171, 19537, 24426, 26938, 22871, 30029, 29042, 31303, 22904, 21570, 30309, 23877, 26482, 27999, 19019, 23418, 26677, 21286, 32053, 31049, 25698, 31549, 22308, 20037, 20053, 22118, 25917, 24141, 27763, 28e3, 27756, 31550, 24427, 24952, 31038, 20595, 24618, 26722, 25172, 21117, 25896, 22867, 21342, 29752, 30524, 23677, 26732, 25703, 25463, 27688, 31345, 25970, 20596, 21039, 23653, 20517, 28980, 31793, 19576, 23878, 31313, 30559, 31272, 28277, 24142, 26483, 30508, 27460, 28001, 24619, 23879, 21043, 21055, 19020, 31551, 25981, 23909, 22605, 27764, 20597, 26733, 20562, 22872, 30310, 23338, 30560, 22617, 29731, 29789, 28497, 22837, 27947, 25399, 28219, 19764, 24691, 27213, 27765, 26734, 19241, 28975, 19021, 27689, 29291, 32111, 31091, 26177, 27736, 27948, 27214, 26719, 24143, 21030, 26484, 20822, 26178, 25443, 25648, 22580, 30245, 29534, 22309, 30568, 26694, 31590, 23910, 23678, 22618, 23084, 27184, 25400, 18986, 24953, 27185, 29292, 31342, 28245, 31092, 21100, 31611, 32112, 24637, 20067, 30790, 24110, 24389, 25918, 27949, 31338, 19822, 27942, 27950, 28781, 23841, 27951, 31864, 22635, 19577, 19765, 31273, 24925, 25173, 27983, 23842, 31050, 27240, 25965, 21355, 26964, 24954, 25676, 24932, 26695, 20059, 23637, 30517, 31859, 28787, 20015, 28981, 28498, 26696, 27505, 19284, 24638, 25464, 27241, 31794, 24692, 20320, 28197, 31274, 26179, 24882, 18987, 25444, 26939, 25174, 29554, 28246, 27186, 20598, 27737, 23115, 20264, 23843, 22619, 31054, 26965, 25425, 21052, 22572, 29516, 19835, 30294, 26485, 26735, 25465, 21051, 29555, 25467, 24144, 20016, 22135, 29017, 30017, 23620, 30011, 24145, 23654, 24146, 28002, 28278, 27215, 28782, 25468, 21343, 21364, 24883, 24884, 29779, 24390, 26966, 23339, 30246, 25401, 27461, 29737, 19766, 21113, 23085, 21091, 20305, 19292, 19578, 20317, 26665, 25403, 25402, 24666, 28279, 23603, 21365, 22310, 30261, 22363, 24917, 21610, 24355, 32095, 20599, 27988, 19242, 25691, 24955, 19234, 21344, 25663, 31552, 23102, 25677, 22073, 28480, 24956, 30265, 24391, 25649, 23655, 23656, 31318, 21366, 29018, 31346, 25213, 21839, 20600, 19807, 30027, 25712, 19243, 22340, 25214, 23898, 23086, 19054, 21817, 25377, 26723, 29483, 20265, 21367, 21617, 20068, 26738, 25973, 26414, 22074, 24428, 25664, 26724, 22581, 25692, 29753, 28982, 25182, 24885, 19823, 28967, 20069, 19293, 22883, 29484, 20601, 27691, 24147, 30569, 31093, 24926, 19310, 25404, 30806, 23406, 32113, 30518, 29790, 29293, 23385, 28712, 24957, 24148, 24620, 28003, 21345, 24392, 22838, 32044, 28499, 25665, 30827, 23340, 31814, 22573, 30266, 23391, 21331, 30791, 19022, 30785, 21044, 23604, 31289, 19023, 31795, 27242, 27243, 20602, 28004, 23911, 24393, 24429, 28220, 28481, 19538, 23844, 24394, 21368, 28968, 19767, 28500, 25693, 24430, 19244, 26940, 27244, 24395, 31039, 22063, 21830, 20266, 20009, 22136, 28983, 28280, 22873, 29535, 30792, 20038, 21862, 29798, 26181, 28501, 19311, 31839, 23591, 22119, 30793, 25426, 25405, 20321, 28736, 27738, 23895, 31600, 27692, 28713, 31319, 31553, 21056, 25904, 28005, 19245, 31024, 30501, 19246, 23087, 22582, 21287, 31538, 32068, 27693, 31521, 25961, 26990, 29556, 30835, 28737, 24111, 30768, 29536, 26415, 23341, 26165, 31016, 23896, 26713, 28502, 21346, 25183, 31840, 22344, 32045, 24431, 19539, 21369, 21616, 23367, 24149, 28788, 21840, 25945, 31815, 23638, 25184, 23088, 29475, 21356, 29771, 32069, 25469, 31025, 20603, 27739, 30012, 29220, 22606, 22607, 30071, 30305, 21047, 31596, 23880, 25704, 21057, 30807, 22075, 24150, 30525, 27694, 20577, 24693, 27187, 20054, 19493, 27766, 25185, 25406, 31816, 19824, 31094, 24432, 25919, 20031, 31841, 27952, 32081, 30267, 31055, 27482, 19009, 21048, 19825, 25427, 32102, 26221, 25466, 28714, 31056, 31842, 30759, 24933, 28281, 26486, 27245, 31796, 30018, 22364, 28789, 23912, 21357, 30076, 23103, 19579, 21370, 29732, 28503, 21571, 31587, 31597, 24621, 27246, 31539, 25666, 30311, 21085, 24396, 31817, 25897, 24694, 30259, 24958, 19312, 27247, 27248, 23104, 30772, 27506, 25667, 26967, 25713, 19055, 20055, 31818, 29537, 19268, 25445, 19269, 27188, 26941, 22345, 27483, 27953, 19523, 30526, 31819, 30836, 22839, 29523, 29524, 30564, 30545, 22583, 20017, 19010, 31540, 19270, 28790, 21863, 27216, 19540, 19247, 29738, 26927, 30019, 26968, 23913, 29043, 21883, 24123, 29819, 32115, 32114, 30502, 23881, 21587, 19496, 23105, 19541, 22884, 31306, 25955, 21308, 19056, 20548, 19024, 31275, 27499, 26488, 22885, 20823, 29476, 21627, 31843, 31320, 29525, 20267, 27507, 21884, 21332, 19836, 22886, 25209, 25121, 27476, 24695, 25650, 19580, 31588, 29739, 20541, 19057, 28472, 22336, 28282, 32116, 21347, 31554, 21864, 23342, 24886, 30775, 24639, 31555, 23914, 25122, 28198, 30312, 30325, 23882, 20578, 23846, 23915, 25721, 25391, 20604, 29820, 19516, 30570, 25956, 24433, 30561, 31095, 28473, 30808, 31017, 30809, 28221, 22598, 25699, 30030, 23897, 22887, 21049, 21827, 23141, 23120, 20825, 20056, 19294, 29740, 23163, 30313, 26739, 20268, 28784, 29821, 23368, 20032, 25428, 20815, 29045, 19826, 20331, 19768, 25382, 20826, 29221, 29222, 25678, 21371, 28969, 29257, 28504, 26185, 22584, 31347, 29493, 30756, 20851, 26184, 30810, 23657, 24151, 19295, 20332, 29791, 20852, 21050, 24434, 24887, 25123, 21372, 28006, 23369, 25722, 20318, 20048, 21843, 29557, 30510, 28488, 19827, 30031, 25971, 28738, 19025, 27249, 20518, 22874, 28715, 27495, 25920, 31797, 25668, 19497, 32070, 27189, 25898, 24378, 24927, 23121, 24888, 26740, 21373, 25124, 29258, 23142, 30515, 32077, 29494, 28247, 30020, 22564, 29223, 22840, 22841, 28489, 22094, 30539, 24366, 26741, 21045, 21333, 29772, 23164, 22888, 30571, 30025, 29500, 23122, 21301, 26678, 22095, 29754, 30537, 19498, 28739, 19542, 20563, 21309, 23419, 19296, 21348, 30327, 21818, 29517, 19297, 27508, 29741, 31786, 30572, 26742, 23143, 30540, 25921, 24686, 21885, 20070, 31787, 21819, 29224, 25125, 19769, 27250, 19271, 19828, 23343, 28505, 19770, 31865, 24435, 20071, 23106, 20269, 26489, 30760, 29538, 19058, 24356, 21572, 19543, 25922, 19771, 28506, 28248, 23847, 25126, 24640, 22064, 30794, 31866, 22910, 24112, 23916, 23144, 21600, 22137, 19799, 24152, 29304, 25686, 20549, 29742, 23848, 27973, 29526, 24153, 25446, 21288, 23344, 25946, 25407, 23345, 21865, 24641, 28507, 28777, 22322, 20605, 22889, 20606, 27757, 21289, 29225, 28740, 25186, 26991, 31057, 26969, 26714, 23107, 23108, 21573, 26490, 19808, 25392, 23346, 31556, 29539, 22821, 31591, 23883, 20564, 26166, 24622, 32090, 23605, 24696, 26417, 30064, 22620, 27974, 24889, 25408, 31040, 26992, 22875, 29540, 23606, 25705, 28741, 25409, 31820, 31821, 29259, 29260, 25679, 29019, 31321, 28984, 32117, 24697, 26491, 31799, 31844, 31557, 25447, 22585, 30328, 23621, 19544, 24623, 29799, 28508, 20348, 28509, 29226, 32062, 18988, 32059, 32071, 26418, 27217, 24436, 20844, 25694, 25923, 22822, 19772, 29541, 27989, 22842, 28007, 31541, 30828, 24679, 19545, 21574, 26405, 21877, 21310, 31867, 25714, 24437, 26744, 30829, 20039, 32118, 26712, 19800, 26454, 19546, 19043, 24438, 28743, 28742, 22586, 29044, 29808, 30028, 31845, 27205, 27251, 23899, 23639, 24189, 29305, 21831, 22608, 28744, 20769, 20770, 22868, 22120, 22858, 23089, 22599, 23650, 29518, 30068, 28985, 23123, 30314, 20341, 32046, 19026, 24372, 22365, 31290, 28199, 30013, 30837, 28008, 21601, 20771, 24918, 31096, 23370, 19321, 21588, 22876, 28222, 30573, 21102, 24934, 30585, 23917, 26715, 23347, 20855, 24624, 21602, 30295, 22393, 22621, 19837, 29227, 19773, 30786, 29228, 18989, 18990, 20270, 25410, 23607, 23386, 22843, 19059, 30291, 26232, 27253, 27254, 30329, 20271, 19027, 18991, 21040, 28986, 22323, 25411, 29565, 24154, 24155, 28510, 25187, 28283, 24439, 22346, 20072, 23387, 28987, 26993, 31287, 20550, 19499, 28200, 19322, 31097, 19581, 21374, 25680, 29294, 21589, 24397, 31800, 20816, 29261, 30546, 19028, 21849, 22622, 19801, 28201, 30268, 19547, 28745, 31868, 26697, 29822, 26492, 22366, 24156, 28716, 19582, 19809, 24890, 23407, 23090, 20773, 23608, 22646, 20772, 19810, 23658, 28791, 28746, 20542, 23900, 21590, 21334, 27984, 19745, 24373, 24440, 21537, 20018, 26698, 27509, 25429, 30032, 29985, 22823, 25899, 26187, 30065, 25925, 31011, 24667, 30315, 19313, 22890, 29986, 22353, 20856, 27256, 27257, 23091, 28511, 29039, 25974, 28223, 25188, 20543, 31276, 30033, 26419, 26942, 29262, 23348, 31822, 23918, 26420, 22324, 30516, 19774, 23145, 20272, 30553, 29542, 20057, 20010, 19272, 20519, 28747, 20551, 25669, 23392, 21850, 22311, 28224, 30838, 30034, 28009, 22844, 25926, 29987, 23124, 25127, 31612, 29020, 19060, 26746, 20073, 27e3, 25189, 20537, 21618, 20774, 24398, 31860, 21290, 19500, 28512, 25957, 20565, 23420, 31846, 19326, 28010, 24113, 31075, 21538, 20342, 22096, 21866, 29038, 31307, 25889, 21809, 20333, 28011, 21810, 21820, 32098, 29485, 32091, 26928, 20775, 32099, 20019, 32100, 31310, 18992, 30503, 20273, 26146, 31798, 29229, 28513, 29486, 23622, 22891, 26720, 24872, 21878, 20349, 24157, 22865, 25706, 29263, 30527, 25190, 25128, 25430, 27985, 27001, 22065, 24114, 24680, 21291, 27484, 24367, 19011, 28284, 32067, 27510, 20274, 22892, 22845, 22623, 21560, 27454, 23919, 23920, 23921, 23922, 22846, 31558, 20275, 28285, 25643, 23109, 22636, 20776, 25129, 24124, 26421, 23408, 28514, 29040, 20276, 23409, 24625, 24357, 31058, 26493, 26147, 31601, 19248, 29230, 19815, 26716, 26455, 30528, 20579, 23073, 19517, 20777, 23884, 25470, 20778, 26666, 27190, 31098, 26188, 30296, 21575, 22859, 22866, 21323, 22647, 23081, 30072, 24158, 29231, 30761, 22600, 28225, 31041, 23923, 27258, 30269, 24891, 19775, 29780, 26189, 31823, 31522, 24668, 29755, 23125, 31026, 31602, 23414, 24159, 23410, 30812, 30574, 27496, 21114, 28988, 31322, 23146, 23110, 30529, 26422, 25927, 22060, 23623, 24873, 25130, 21798, 21591, 29264, 27259, 24669, 31603, 28989, 25191, 32087, 20040, 27191, 31808, 32103, 30575, 22325, 28474, 29021, 24115, 26699, 30813, 31559, 21832, 22367, 23849, 26929, 31277, 30297, 31348, 30762, 26222, 19548, 24892, 24687, 26943, 31869, 26190, 24919, 26191, 29809, 25715, 25723, 31076, 28515, 20334, 30270, 24626, 31870, 20779, 22394, 31560, 25175, 21539, 28792, 22312, 24935, 21311, 28516, 22341, 27490, 31847, 25634, 25192, 26192, 31592, 29800, 25972, 29756, 29781, 24374, 31801, 28226, 19061, 28517, 19298, 21540, 24160, 23165, 25670, 26686, 24670, 30260, 27218, 31099, 24642, 19044, 26423, 27261, 22877, 23092, 28202, 31593, 23371, 23093, 28990, 21292, 31561, 24399, 21312, 25431, 28518, 31824, 26944, 30035, 27740, 30519, 27192, 20857, 23624, 27193, 29022, 22326, 20277, 22824, 27758, 23850, 19746, 26670, 24893, 29265, 26945, 21116, 23349, 29543, 22654, 31825, 27954, 29743, 31523, 31809, 28203, 21541, 29810, 28249, 31562, 19811, 22587, 25947, 30839, 30292, 22313, 19273, 26193, 28748, 22574, 31059, 21886, 22588, 29232, 25131, 29544, 28482, 28012, 26424, 23166, 19518, 29308, 23147, 25176, 27990, 22097, 24627, 31826, 27464, 21313, 28749, 20343, 27986, 21592, 23625, 22385, 24379, 29477, 29773, 28991, 30769, 27002, 31563, 19029, 31060, 30538, 22088, 31848, 29501, 28286, 26494, 21314, 21302, 19501, 30330, 22066, 21080, 26456, 25381, 26425, 28717, 31564, 27425, 21542, 31565, 21821, 29023, 30331, 24116, 21867, 25928, 31524, 21561, 24161, 25635, 22327, 30830, 24117, 22098, 31061, 26426, 27477, 21879, 28519, 24894, 31278, 22121, 22126, 26427, 27723, 21811, 20020, 31525, 24942, 30504, 31566, 22589, 31613, 31849, 20278, 27975, 28204, 19549, 30247, 26234, 29988, 32092, 27955, 20041, 28520, 24895, 31323, 19299, 30505, 31526, 23609, 28992, 27976, 28483, 22061, 32078, 26657, 31604, 21799, 29046, 26195, 19550, 30770, 23659, 32054, 25962, 29024, 23372, 23885, 21576, 22893, 29989, 26235, 26196, 32072, 22049, 32063, 31827, 28449, 26428, 20846, 26197, 26994, 24368, 22624, 31802, 32047, 28750, 23393, 25929, 27956, 24643, 25432, 27003, 27176, 32055, 31527, 26946, 32119, 25177, 23660, 26658, 26224, 32120, 32121, 30271, 26407, 26199, 21619, 21577, 22138, 22386, 24896, 23394, 26200, 26429, 28751, 29502, 25132, 30007, 24688, 32056, 25448, 21543, 26748, 31314, 30831, 22099, 21812, 28752, 30576, 28211, 27194, 27219, 27977, 23851, 25900, 32033, 24400, 27699, 24401, 28013, 30776, 30586, 30763, 29792, 21562, 25651, 26970, 24118, 22847, 22848, 22127, 22860, 23082, 24421, 30565, 19506, 24441, 22368, 21563, 32122, 19507, 23411, 24402, 20042, 28250, 25700, 31567, 20279, 28227, 20074, 25133, 22369, 31349, 21833, 30764, 26457, 29545, 22637, 25412, 28785, 26725, 24698, 28228, 22878, 27426, 27427, 31810, 27195, 26667, 24162, 28015, 26659, 20337, 21564, 31850, 26430, 31858, 22068, 25134, 21303, 31308, 31324, 27957, 24931, 26668, 26717, 28521, 29757, 20280, 26971, 20780, 23111, 27465, 26700, 24119, 22076, 21349, 31325, 23126, 18993, 23112, 24358, 31027, 29266, 19012, 20043, 19829, 32048, 21800, 28993, 25193, 23626, 27700, 31296, 31528, 20520, 23148, 22894, 24699, 28522, 31326, 24644, 20281, 21834, 22370, 25135, 22328, 26701, 30298, 28450, 25178, 30332, 31568, 20781, 19812, 20782, 23661, 26702, 28793, 20021, 26236, 22395, 20566, 23925, 30577, 30333, 23415, 31594, 26972, 22849, 30066, 24645, 27220, 31042, 27196, 21061, 31569, 26432, 27429, 24442, 25378, 22329, 26947, 26749, 26671, 29267, 31529, 22565, 21835, 20552, 20783, 22371, 24646, 22050, 28016, 22387, 31828, 23127, 19551, 29268, 20784, 19552, 23421, 29503, 28753, 31803, 25136, 26149, 25179, 24414, 24647, 29295, 19553, 22122, 26434, 20022, 29504, 19838, 31570, 30840, 30587, 26687, 26679, 27958, 23610, 19508, 29047, 26680, 19062, 25636, 29782, 24422, 24359, 24423, 24897, 26948, 23627, 26949, 28451, 27430, 19235, 25449, 20859, 28452, 28523, 20532, 19747, 26726, 28453, 21324, 23149, 22330, 29269, 30053, 22895, 31028, 21844, 32079, 23395, 29025, 27702, 31614, 21335, 20785, 19249, 20786, 19250, 28994, 29793, 31029, 24899, 24898, 27511, 24360, 19274, 26169, 30814, 31018, 19063, 27959, 21304, 29270, 21593, 28229, 29296, 18994, 23611, 29048, 27703, 25930, 30272, 32093, 21603, 19554, 30548, 22373, 21315, 22566, 30273, 23926, 19776, 25948, 25931, 24900, 26672, 29744, 29546, 23150, 22331, 25137, 22314, 22139, 25695, 19030, 27432, 23422, 30274, 28475, 21629, 24648, 26681, 28454, 19748, 21620, 23329, 23388, 23389, 28252, 19275, 31829, 20075, 19777, 31571, 31019, 30036, 22825, 26973, 23373, 23886, 26435, 27724, 31084, 19276, 24700, 21544, 27987, 22639, 29271, 19064, 23151, 22100, 22861, 22638, 29249, 24403, 23152, 25194, 24701, 22648, 30511, 23094, 19031, 29272, 22649, 31327, 20335, 22850, 28754, 25681, 29495, 31328, 28524, 25138, 21565, 22862, 29794, 21545, 19778, 26458, 29273, 22826, 22590, 23597, 25195, 22140, 19065, 21594, 29783, 19489, 20282, 30008, 22851, 20584, 25413, 27512, 29233, 20283, 21293, 26721, 20076, 24628, 24163, 23927, 29234, 29558, 30299, 22398, 30815, 30578, 20521, 26202, 29990, 22332, 19555, 26203, 23901, 20787, 28525, 22110, 25716, 24943, 23928, 26703, 19045, 23585, 24629, 31788, 31789, 22567, 27960, 23350, 22128, 29487, 19749, 23153, 22568, 19556, 20788, 19032, 23154, 29991, 29992, 26150, 21868, 21880, 23155, 25414, 24164, 24165, 20789, 20790, 20791, 29235, 26974, 28755, 29236, 28756, 19300, 31572, 30054, 25450, 24166, 24404, 30841, 28718, 20792, 22111, 20567, 31777, 28526, 23640, 26975, 25949, 32123, 24649, 22089, 21546, 25932, 26976, 20568, 31778, 21566, 25139, 24167, 23612, 21046, 30037, 20001, 29993, 23929, 23930, 28757, 30303, 29274, 25707, 29297, 27705, 32124, 24874, 19033, 28527, 29994, 27769, 30765, 29250, 30275, 22354, 31010, 28758, 28794, 30304, 26995, 29251, 21547, 18995, 19750, 19779, 19802, 22863, 30276, 28253, 26436, 25140, 24418, 26459, 26673, 31790, 25933, 31339, 20284, 20322, 19830, 28528, 29758, 21581, 29496, 26913, 29298, 29547, 28759, 20311, 20319, 26688, 26689, 20323, 26914, 20522, 29505, 20523, 21604, 28476, 22561, 22879, 29527, 23613, 19557, 28017, 29026, 21595, 25141, 19046, 21294, 19558, 29011, 30055, 19034, 31598, 24901, 24425, 28254, 30530, 22562, 23852, 28719, 22077, 24875, 31030, 21621, 20553, 28455, 25196, 23402, 20044, 30056, 30549, 21325, 29566, 20533, 24702, 24443, 26205, 26660, 19277, 28456, 28212, 23128, 20793, 24361, 29488, 19524, 20023, 28457, 24405, 27991, 28230, 28477, 31830, 23412, 28458, 30777, 30057, 25433, 24902, 21567, 24168, 28778, 29506, 21295, 19035, 31831, 27992, 24903, 29784, 22067, 23853, 21822, 28995, 28255, 22123, 29785, 22374, 23095, 23931, 23887, 22563, 23129, 28760, 28484, 24920, 29012, 28018, 21851, 21852, 29508, 19287, 25142, 28529, 31573, 21336, 23888, 28761, 19251, 21853, 19751, 20524, 20794, 28996, 25907, 31605, 26977, 32096, 31804, 23074, 23075, 21025, 21103, 25197, 24169, 20060, 29237, 20580, 23889, 24904, 23351, 24419, 27961, 28997, 29519, 22315, 24876, 25451, 28231, 24905, 19066, 28795, 31329, 28762, 19559, 23156, 19519, 20077, 21801, 31330, 20581, 27478, 27743, 24444, 30550, 24170, 19252, 28478, 19509, 20285, 28530, 25143, 19560, 28796, 22112, 28998, 25144, 27435, 19253, 22609, 29774, 29559, 22342, 20795, 30506, 27978, 22355, 22650, 30277, 20812, 23932, 24445, 31077, 24650, 29309, 21296, 29811, 23113, 26206, 30778, 26704, 22651, 27221, 22051, 30278, 29275, 25724, 26674, 23130, 29276, 31574, 26930, 28205, 31331, 23662, 30058, 26208, 28797, 22316, 30021, 28256, 23397, 23902, 22896, 26915, 29049, 29252, 24651, 26916, 25145, 25393, 31851, 19752, 19510, 28763, 26170, 19753, 29507, 24921, 28459, 26437, 24681, 29509, 21568, 21823, 23854, 31100, 19520, 25890, 20024, 22610, 31062, 28970, 20049, 30279, 23403, 24446, 22625, 30579, 22375, 21630, 20796, 25935, 19254, 23096, 19780, 22078, 25146, 20312, 24652, 27513, 32125, 22376, 19288, 26978, 26682, 25415, 27725, 27726, 22079, 25383, 24406, 32104, 28257, 30248, 23933, 30779, 26705, 31063, 20078, 27727, 26917, 22101, 19781, 27962, 20797, 20286, 27707, 21041, 19561, 22852, 27004, 20798, 27708, 25901, 30512, 19562, 21316, 22080, 22141, 24865, 24125, 30249, 23076, 22052, 30022, 24866, 26950, 29253, 29801, 22124, 27475, 27709, 25180, 24171, 28764, 27455, 22350, 20799, 29995, 31101, 19036, 19782, 29238, 23934, 19511, 23352, 20585, 20061, 27456, 32034, 30795, 27222, 28976, 23374, 30531, 23375, 19236, 30816, 31575, 27466, 24609, 20045, 21596, 32088, 21110, 29239, 31350, 30250, 31351, 22630, 29745, 26706, 19013, 19563, 25198, 25147, 30509, 30817, 29548, 24097, 25725, 25452, 23855, 23856, 19255, 26707, 24867, 21088, 28798, 26918, 19314, 28019, 23641, 24653, 30554, 23353, 19502, 23131, 19783, 23857, 22575, 25379, 20079, 29299, 30771, 24654, 30077, 27500, 21317, 31852, 21083, 21611, 24098, 25958, 28720, 21828, 28020, 25453, 26690, 28021, 22396, 27963, 30251, 29240, 30280, 21350, 29277, 20287, 27436, 20288, 26152, 32105, 20289, 24671, 24172, 24610, 29759, 25199, 22897, 28999, 19256, 31102, 23354, 23157, 30316, 23132, 31332, 24655, 23858, 26153, 28531, 29549, 27514, 31078, 19037, 21854, 19038, 24420, 26237, 29996, 25717, 26979, 27979, 20324, 22611, 23859, 21612, 29241, 24375, 19278, 31576, 20569, 23890, 30580, 26460, 25637, 31779, 23355, 29242, 27005, 20554, 30038, 22853, 25652, 27943, 27197, 26238, 30532, 29997, 22880, 18996, 30818, 20290, 27710, 25908, 19784, 28232, 26440, 19785, 31031, 29032, 22898, 23413, 18997, 22854, 22601, 22827, 27964, 22612, 23642, 25148, 31853, 27744, 21118, 26951, 26154, 25200, 31291, 29998, 31530, 27771, 27711, 31832, 21605, 31043, 28258, 22377, 28022, 24173, 19564, 25454, 26708, 31352, 23860, 25653, 22576, 22613, 29802, 20025, 22113, 20306, 20534, 20002, 29550, 29560, 23628, 20555, 31780, 19786, 22356, 24099, 25696, 28233, 25181, 30078, 21548, 21841, 22640, 30787, 27223, 30039, 22591, 32064, 27437, 21802, 26408, 28234, 19047, 30819, 21597, 27224, 31577, 28023, 25909, 20525, 29041, 25149, 25416, 22869, 24362, 23356, 30820, 29050, 25910, 29551, 31578, 24928, 22828, 30059, 24630, 26952, 19279, 25417, 24174, 25150, 23663, 22053, 25201, 22142, 22817, 22592, 23643, 27965, 24376, 27173, 22317, 29561, 28024, 30023, 24906, 27491, 29278, 30796, 27225, 21318, 23398, 29999, 20080, 27006, 31542, 25202, 20338, 30521, 22899, 24907, 23133, 23097, 27515, 19257, 28025, 24672, 29760, 32060, 24369, 25455, 24611, 32057, 28721, 19787, 27966, 21824, 25456, 28026, 26980, 21869, 26461, 21622, 25911, 23399, 25151, 28235, 22388, 28765, 20011, 26462, 22102, 24908, 26675, 25966, 23586, 24656, 21813, 21793, 31579, 31051, 19315, 29733, 31304, 22103, 26981, 31580, 32080, 31606, 23077, 23357, 27746, 19831, 28766, 30281, 24175, 21297, 31854, 26691, 29e3, 20081, 31085, 29300, 25654, 30009, 23664, 25457, 26661, 29243, 24100, 23116, 19049, 25434, 31833, 27226, 31044, 25380, 31581, 28490, 26692, 21836, 27479, 22829, 31531, 21337, 21794, 30302, 23158, 24657, 26920, 30073, 31279, 27516, 24682, 25394, 21829, 29027, 21870, 19788, 27993, 22593, 31340, 29035, 31292, 26210, 31333, 25210, 18998, 25655, 27227, 30074, 31532, 20291, 27517, 30842, 24377, 24945, 21028, 30075, 20570, 20571, 27198, 22833, 18999, 21351, 30821, 21298, 25152, 29279, 19813, 31020, 19789, 28206, 22062, 22378, 26464, 27438, 20313, 23629, 28027, 24176, 22379, 24101, 24407, 23376, 23377, 21795, 28722, 23644, 19048, 30822, 23630, 27228, 23378, 26931, 30555, 25384, 22318, 24673, 19258, 25937, 20572, 21825, 22602, 25385, 24612, 26921, 21319, 23645, 30766, 19512, 20526, 22642, 25418, 19503, 21549, 30289, 20556, 19014, 21826, 20026, 19015, 31280, 24408, 30010, 25963, 28532, 23861, 19754, 25458, 31607, 30544, 32058, 32097, 30334, 20800, 26693, 25656, 24936, 19521, 21101, 23358, 24674, 31305, 24909, 19e3, 29280, 29001, 24177, 28767, 30788, 28236, 24178, 26441, 25203, 26465, 25419, 25420, 20344, 28460, 32126, 31781, 31281, 24409, 24658, 29786, 29002, 20003, 29244, 27747, 24613, 30507, 27439, 25950, 24868, 19755, 22900, 26662, 19790, 24937, 31855, 24675, 25153, 20004, 24102, 27518, 27485, 28768, 29787, 25204, 21320, 29803, 28213, 30040, 21855, 22117, 27440, 29795, 25421, 29812, 31282, 28533, 19039, 27441, 27967, 32073, 25638, 31012, 28723, 25964, 20839, 22855, 25687, 27229, 21623, 23098, 23117, 31052, 24922, 23359, 19525, 27728, 19259, 24179, 26922, 22856, 28259, 22333, 20292, 20557, 31782, 29051, 32082, 20801, 25435, 21321, 23631, 19565, 24103, 26171, 27681, 19513, 31582, 26466, 21569, 23592, 25154, 29528, 25939, 29529, 29510, 19803, 19756, 31811, 21607, 20802, 31013, 26709, 25422, 21578, 24410, 31583, 26467, 30843, 25423, 3e4, 22631, 22857, 30767, 28534, 23862, 28207, 19832, 24120, 31783, 30588, 30513, 20027, 29729, 28237, 24878, 27715, 20350, 30783, 22626, 21352, 24104, 29796, 27714, 22901, 31045, 23891, 22129, 27772, 31856, 27968, 19001, 28260, 29281, 24121, 22130, 24180, 24411, 23379, 31335, 22627, 29761, 23863, 29301, 21550, 22131, 23864, 20293, 24415, 29246, 30241, 27467, 29052, 29511, 24683, 28028, 24923, 28261, 24181, 31315, 29003, 20527, 23865, 20803, 30001, 27206, 28769, 30252, 30041, 28779, 23866, 29247, 30533, 23330, 29302, 19002, 30581, 19301, 28262, 24659, 20005, 22104, 21551, 26953, 21326, 29762, 19302, 28961, 27442, 28962, 27443, 28724, 19316, 21552, 29490, 31543, 30060, 28263, 29746, 30061, 20339, 28770, 28238, 29004, 25912, 22389, 25459, 20325, 20294, 29491, 25688, 20345, 20314, 31309, 26211, 29282, 30062, 19003, 25436, 20082, 22105, 28208, 29797, 22594, 23632, 19566, 21856, 30282, 32074, 22614, 29775, 22054, 23614, 23380, 22343, 29310, 29005, 25155, 23646, 23647, 28461, 26155, 31069, 27199, 28462, 29776, 20083, 26156, 20062, 21881, 25460, 19792, 21816, 30589, 23593, 24182, 23594, 29283, 26932, 21084, 26982, 25462, 26442, 20558, 23159, 19004, 28264, 23134, 29303, 25211, 19494, 23099, 28265, 30042, 30556, 24938, 20033, 21553, 32049, 26173, 31533, 30823, 24910, 30562, 30063, 20295, 21554, 19567, 21608, 28239, 30551, 24614, 22081, 24924, 28771, 29028, 23665, 22055, 29813, 29006, 29284, 20528, 27759, 31034, 27445, 21613, 25156, 26983, 27444, 27169, 30780, 20006, 31046, 31834, 21555, 21305, 27230, 26923, 24929, 21327, 29814, 27200, 24911, 19514, 28266, 28772, 29492, 21614, 29248, 29029, 29763, 24660, 27446, 22305, 19304, 31021, 26925, 22628, 31283, 25157, 31805, 27716, 22577, 23595, 21796, 27497, 26683, 22615, 31534, 20833, 23360, 30014, 24183, 19067, 30534, 20296, 24912, 28240, 26996, 20084, 21837, 20315, 23867, 20012, 26984, 21556, 25671, 30043, 31297, 24105, 21624, 28535, 21299, 27447, 28536, 30044, 27980, 23381, 29007, 29008, 30002, 22830, 21804, 25158, 32035, 31589, 24363, 25205, 30253, 30003, 28725, 24869, 30045, 27682, 28029, 30004, 31544, 23331, 22090, 19289, 25940, 29562, 27448, 24631, 22380, 29036, 25903, 21857, 22381, 20817, 24946, 28537, 23868, 30300, 28773, 29764, 26985, 29563, 21615, 19490, 30590, 24380, 27469, 20535, 22082, 26669, 28463, 19237, 19305, 31336, 19526, 26215, 27207, 23332, 20297, 25212, 28538, 27486, 30024, 21598, 24661, 28464, 25159, 22831, 31079, 26469, 20298, 24913, 25160, 28539, 31353, 23666, 24615, 30824, 19306, 19260, 22114, 30046, 30047, 28214, 25206, 21322, 28540, 20804, 28465, 20805, 20574, 22881, 24632, 19793, 29497, 26444, 22056, 20007, 21557, 25672, 21300, 27449, 19317, 30301, 28963, 19527, 26954, 24944, 30048, 31535, 19281, 31584, 29285, 27760, 28780, 28267, 26955, 19568, 22319, 29473, 31861, 28964, 24662, 28466, 29777, 30497, 29009, 19068, 19069, 20046, 29512, 29498, 28030, 23078, 24684, 30797, 19282, 27470, 31064, 31065, 19040, 23114, 19238, 19016, 31086, 23404, 20529, 21871, 26227, 26402, 25689, 25697, 31812, 31087, 20340, 30566, 20028, 29765, 23587, 23869, 29766, 30753, 26710, 23361, 28774, 25657, 30317, 31022, 23870, 22320, 22632, 19261, 31066, 30798, 31088, 24685, 25395, 29747, 27202, 29286, 28726, 23382, 27492, 29287, 22357, 21558, 31080, 22337, 25941, 26986, 22348, 21353, 25161, 31835, 19757, 19504, 27170, 25718, 20544, 28727, 28193, 22390, 25162, 25163, 31311, 27487, 22091, 29748, 27981, 25682, 27177, 25658, 29474, 19794, 30283, 29030, 27969, 26684, 28241, 28775, 25164, 25642, 30049, 27994, 22382, 20849, 26987, 26988, 24676, 23079, 23892, 27171, 22083, 22132, 23135, 28467, 25165, 28541, 29288, 28485, 26471, 22397, 26446, 24412, 31047, 22902, 24364, 22106, 23588, 28728, 21882, 25719, 22084, 29804, 28542, 28705, 24106, 23100, 22652, 31316, 27749, 31784, 27750, 22603, 31545, 25683, 19833, 20307, 19050, 20308, 30781, 29767, 27231, 31067, 21559, 27493, 24914, 27172, 31298, 31585, 31341, 28706, 19569, 31267, 25207, 25166, 26997, 24939, 26472, 26711, 23160, 21579, 30582, 22085, 21609, 31354, 19570, 30557, 24122, 20008, 28729, 25726, 25673, 25684, 27203, 28468, 22334, 31586, 19795, 28469, 31337, 31014, 24381, 30535, 30845, 30844, 24107, 23400, 25437, 24930, 20806, 30288, 27494, 23161, 27719, 24184, 30825, 25438, 20085, 31299, 25943, 27720, 29513, 25659, 26158, 28470, 23615, 20029, 22595, 20559, 20346, 29514, 24663, 20807, 26926, 26685, 31300, 25167, 31301, 31032, 23648, 31536, 22569, 25951, 31015, 30318, 30284, 25208, 27761, 23136, 29010, 21068, 20299, 19005, 23871, 30319, 24185, 31284, 21805, 29031, 24126, 23616, 20808, 20809, 30782, 19318, 21625, 30050, 24915, 22633, 30846, 20300, 32036, 20086, 31312, 19571, 26174, 30254, 21872, 20810, 31806, 21873, 19817, 31285, 25168, 29815, 19796, 26403, 23333, 25169, 22306, 30563, 27174, 20513, 20058, 31595, 23334, 23390, 22629, 27232, 22570, 25952, 22107, 28486, 30826, 25685, 20087, 24664, 22383, 29805, 19814, 19572, 30051, 25674, 23649, 31048, 31807, 26663, 22596, 19262, 23598, 22391, 28776, 23872, 20301, 23667, 22832, 26217, 25660, 27204, 25708, 25701, 31608, 19515, 25661, 19804, 22903, 23903, 27982, 22864, 25891, 31053, 19758, 20302, 30255, 32083, 27501, 22108, 25892, 21814, 22109, 31081, 26404, 22115, 20811, 22116, 21874, 24186, 22392, 22634, 20309, 22653, 22571, 32075, 31836, 24616, 21875, 32089, 19491, 22905, 21354, 30069, 28487, 21338, 23101, 26664, 23599, 28707, 19797, 24617, 24108, 28730, 28209, 28210, 30285, 28242, 22086, 24677, 29499, 25953, 25675, 22307, 23362, 19070, 20303, 12321, 12322, 12323, 12324, 12325, 12326, 12327, 12328, 12329, 12330, 12331, 12332, 12333, 12334, 12335, 12336, 12337, 12338, 12339, 12340, 12341, 12342, 12343, 12344, 12345, 12346, 12347, 12348, 12349, 12350, 12351, 12352, 12353, 12354, 12355, 12356, 12357, 12358, 12359, 12360, 12361, 12362, 12363, 12364, 12365, 12366, 12367, 12368, 12369, 12370, 12371, 12372, 12373, 12374, 12375, 12376, 12377, 12378, 12379, 12380, 12381, 12382, 12383, 12384, 12385, 12386, 12387, 12388, 12389, 12390, 12391, 12392, 12393, 12394, 12395, 12396, 12397, 12398, 12399, 12400, 12401, 12402, 12403, 12404, 12405, 12406, 12407, 12408, 12409, 12410, 12411, 12412, 12413, 12414, 12577, 12578, 12579, 12580, 12581, 12582, 12583, 12584, 12585, 12586, 12587, 12588, 12589, 12590, 12591, 12592, 12593, 12594, 12595, 12596, 12597, 12598, 12599, 12600, 12601, 12602, 12603, 12604, 12605, 12606, 12607, 12608, 12609, 12610, 12611, 12612, 12613, 12614, 12615, 12616, 12617, 12618, 12619, 12620, 12621, 12622, 12623, 12624, 12625, 12626, 12627, 12628, 12629, 12630, 12631, 12632, 12633, 12634, 12635, 12636, 12637, 12638, 12639, 12640, 12641, 12642, 12643, 12644, 12645, 12646, 12647, 12648, 12649, 12650, 12651, 12652, 12653, 12654, 12655, 12656, 12657, 12658, 12659, 12660, 12661, 12662, 12663, 12664, 12665, 12666, 12667, 12668, 12669, 12670, 12833, 12834, 12835, 12836, 12837, 12838, 12839, 12840, 12841, 12842, 12843, 12844, 12845, 12846, 12847, 12848, 12849, 12850, 12851, 12852, 12853, 12854, 12855, 12856, 12857, 12858, 12859, 12860, 12861, 12862, 12863, 12864, 12865, 12866, 12867, 12868, 12869, 12870, 12871, 12872, 12873, 12874, 12875, 12876, 12877, 12878, 12879, 12880, 12881, 12882, 12883, 12884, 12885, 12886, 12887, 12888, 12889, 12890, 12891, 12892, 12893, 12894, 12895, 12896, 12897, 12898, 12899, 12900, 12901, 12902, 12903, 12904, 12905, 12906, 12907, 12908, 12909, 12910, 12911, 12912, 12913, 12914, 12915, 12916, 12917, 12918, 12919, 12920, 12921, 12922, 12923, 12924, 12925, 12926, 13089, 13090, 13091, 13092, 13093, 13094, 13095, 13096, 13097, 13098, 13099, 13100, 13101, 13102, 13103, 13104, 13105, 13106, 13107, 13108, 13109, 13110, 13111, 13112, 13113, 13114, 13115, 13116, 13117, 13118, 13119, 13120, 13121, 13122, 13123, 13124, 13125, 13126, 13127, 13128, 13129, 13130, 13131, 13132, 13133, 13134, 13135, 13136, 13137, 13138, 13139, 13140, 13141, 13142, 13143, 13144, 13145, 13146, 13147, 13148, 13149, 13150, 13151, 13152, 13153, 13154, 13155, 13156, 13157, 13158, 13159, 13160, 13161, 13162, 13163, 13164, 13165, 13166, 13167, 13168, 13169, 13170, 13171, 13172, 13173, 13174, 13175, 13176, 13177, 13178, 13179, 13180, 13181, 13182, 13345, 13346, 13347, 13348, 13349, 13350, 13351, 13352, 13353, 13354, 13355, 13356, 13357, 13358, 13359, 13360, 13361, 13362, 13363, 13364, 13365, 13366, 13367, 13368, 13369, 13370, 13371, 13372, 13373, 13374, 13375, 13376, 13377, 13378, 13379, 13380, 13381, 13382, 13383, 13384, 13385, 13386, 13387, 13388, 13389, 13390, 13391, 13392, 13393, 13394, 13395, 13396, 13397, 13398, 13399, 13400, 13401, 13402, 13403, 13404, 13405, 13406, 13407, 13408, 13409, 13410, 13411, 13412, 13413, 13414, 13415, 13416, 13417, 13418, 13419, 13420, 13421, 13422, 13423, 13424, 13425, 13426, 13427, 13428, 13429, 13430, 13431, 13432, 13433, 13434, 13435, 13436, 13437, 13438, 13601, 13602, 13603, 13604, 13605, 13606, 13607, 13608, 13609, 13610, 13611, 13612, 13613, 13614, 13615, 13616, 13617, 13618, 13619, 13620, 13621, 13622, 13623, 13624, 13625, 13626, 13627, 13628, 13629, 13630, 13631, 13632, 13633, 13634, 13635, 13636, 13637, 13638, 13639, 13640, 13641, 13642, 13643, 13644, 13645, 13646, 13647, 13648, 13649, 13650, 13651, 13652, 13653, 13654, 13655, 13656, 13657, 13658, 13659, 13660, 13661, 13662, 13663, 13664, 13665, 13666, 13667, 13668, 13669, 13670, 13671, 13672, 13673, 13674, 13675, 13676, 13677, 13678, 13679, 13680, 13681, 13682, 13683, 13684, 13685, 13686, 13687, 13688, 13689, 13690, 13691, 13692, 13693, 13694, 13857, 13858, 13859, 13860, 13861, 13862, 13863, 13864, 13865, 13866, 13867, 13868, 13869, 13870, 13871, 13872, 13873, 13874, 13875, 13876, 13877, 13878, 13879, 13880, 13881, 13882, 13883, 13884, 13885, 13886, 13887, 13888, 13889, 13890, 13891, 13892, 13893, 13894, 13895, 13896, 13897, 13898, 13899, 13900, 13901, 13902, 13903, 13904, 13905, 13906, 13907, 13908, 13909, 13910, 13911, 13912, 13913, 13914, 13915, 13916, 13917, 13918, 13919, 13920, 13921, 13922, 13923, 13924, 13925, 13926, 13927, 13928, 13929, 13930, 13931, 13932, 13933, 13934, 13935, 13936, 13937, 13938, 13939, 13940, 13941, 13942, 13943, 13944, 13945, 13946, 13947, 13948, 13949, 13950, 14113, 14114, 14115, 14116, 14117, 14118, 14119, 14120, 14121, 14122, 14123, 14124, 14125, 14126, 14127, 14128, 14129, 14130, 14131, 14132, 14133, 14134, 14135, 14136, 14137, 14138, 14139, 14140, 14141, 14142, 14143, 14144, 14145, 14146, 14147, 14148, 14149, 14150, 14151, 14152, 14153, 14154, 14155, 14156, 14157, 14158, 14159, 14160, 14161, 14162, 14163, 14164, 14165, 14166, 14167, 14168, 14169, 14170, 14171, 14172, 14173, 14174, 14175, 14176, 14177, 14178, 14179, 14180, 14181, 14182, 14183, 14184, 14185, 14186, 14187, 14188, 14189, 14190, 14191, 14192, 14193, 14194, 14195, 14196, 14197, 14198, 14199, 14200, 14201, 14202, 14203, 14204, 14205, 14206, 14369, 14370, 14371, 14372, 14373, 14374, 14375, 14376, 14377, 14378, 14379, 14380, 14381, 14382, 14383, 14384, 14385, 14386, 14387, 14388, 14389, 14390, 14391, 14392, 14393, 14394, 14395, 14396, 14397, 14398, 14399, 14400, 14401, 14402, 14403, 14404, 14405, 14406, 14407, 14408, 14409, 14410, 14411, 14412, 14413, 14414, 14415, 14416, 14417, 14418, 14419, 14420, 14421, 14422, 14423, 14424, 14425, 14426, 14427, 14428, 14429, 14430, 14431, 14432, 14433, 14434, 14435, 14436, 14437, 14438, 14439, 14440, 14441, 14442, 14443, 14444, 14445, 14446, 14447, 14448, 14449, 14450, 14451, 14452, 14453, 14454, 14455, 14456, 14457, 14458, 14459, 14460, 14461, 14462, 14625, 14626, 14627, 14628, 14629, 14630, 14631, 14632, 14633, 14634, 14635, 14636, 14637, 14638, 14639, 14640, 14641, 14642, 14643, 14644, 14645, 14646, 14647, 14648, 14649, 14650, 14651, 14652, 14653, 14654, 14655, 14656, 14657, 14658, 14659, 14660, 14661, 14662, 14663, 14664, 14665, 14666, 14667, 14668, 14669, 14670, 14671, 14672, 14673, 14674, 14675, 14676, 14677, 14678, 14679, 14680, 14681, 14682, 14683, 14684, 14685, 14686, 14687, 14688, 14689, 14690, 14691, 14692, 14693, 14694, 14695, 14696, 14697, 14698, 14699, 14700, 14701, 14702, 14703, 14704, 14705, 14706, 14707, 14708, 14709, 14710, 14711, 14712, 14713, 14714, 14715, 14716, 14717, 14718, 14881, 14882, 14883, 14884, 14885, 14886, 14887, 14888, 14889, 14890, 14891, 14892, 14893, 14894, 14895, 14896, 14897, 14898, 14899, 14900, 14901, 14902, 14903, 14904, 14905, 14906, 14907, 14908, 14909, 14910, 14911, 14912, 14913, 14914, 14915, 14916, 14917, 14918, 14919, 14920, 14921, 14922, 14923, 14924, 14925, 14926, 14927, 14928, 14929, 14930, 14931, 14932, 14933, 14934, 14935, 14936, 14937, 14938, 14939, 14940, 14941, 14942, 14943, 14944, 14945, 14946, 14947, 14948, 14949, 14950, 14951, 14952, 14953, 14954, 14955, 14956, 14957, 14958, 14959, 14960, 14961, 14962, 14963, 14964, 14965, 14966, 14967, 14968, 14969, 14970, 14971, 14972, 14973, 14974, 15137, 15138, 15139, 15140, 15141, 15142, 15143, 15144, 15145, 15146, 15147, 15148, 15149, 15150, 15151, 15152, 15153, 15154, 15155, 15156, 15157, 15158, 15159, 15160, 15161, 15162, 15163, 15164, 15165, 15166, 15167, 15168, 15169, 15170, 15171, 15172, 15173, 15174, 15175, 15176, 15177, 15178, 15179, 15180, 15181, 15182, 15183, 15184, 15185, 15186, 15187, 15188, 15189, 15190, 15191, 15192, 15193, 15194, 15195, 15196, 15197, 15198, 15199, 15200, 15201, 15202, 15203, 15204, 15205, 15206, 15207, 15208, 15209, 15210, 15211, 15212, 15213, 15214, 15215, 15216, 15217, 15218, 15219, 15220, 15221, 15222, 15223, 15224, 15225, 15226, 15227, 15228, 15229, 15230, 15393, 15394, 15395, 15396, 15397, 15398, 15399, 15400, 15401, 15402, 15403, 15404, 15405, 15406, 15407, 15408, 15409, 15410, 15411, 15412, 15413, 15414, 15415, 15416, 15417, 15418, 15419, 15420, 15421, 15422, 15423, 15424, 15425, 15426, 15427, 15428, 15429, 15430, 15431, 15432, 15433, 15434, 15435, 15436, 15437, 15438, 15439, 15440, 15441, 15442, 15443, 15444, 15445, 15446, 15447, 15448, 15449, 15450, 15451, 15452, 15453, 15454, 15455, 15456, 15457, 15458, 15459, 15460, 15461, 15462, 15463, 15464, 15465, 15466, 15467, 15468, 15469, 15470, 15471, 15472, 15473, 15474, 15475, 15476, 15477, 15478, 15479, 15480, 15481, 15482, 15483, 15484, 15485, 15486, 15649, 15650, 15651, 15652, 15653, 15654, 15655, 15656, 15657, 15658, 15659, 15660, 15661, 15662, 15663, 15664, 15665, 15666, 15667, 15668, 15669, 15670, 15671, 15672, 15673, 15674, 15675, 15676, 15677, 15678, 15679, 15680, 15681, 15682, 15683, 15684, 15685, 15686, 15687, 15688, 15689, 15690, 15691, 15692, 15693, 15694, 15695, 15696, 15697, 15698, 15699, 15700, 15701, 15702, 15703, 15704, 15705, 15706, 15707, 15708, 15709, 15710, 15711, 15712, 15713, 15714, 15715, 15716, 15717, 15718, 15719, 15720, 15721, 15722, 15723, 15724, 15725, 15726, 15727, 15728, 15729, 15730, 15731, 15732, 15733, 15734, 15735, 15736, 15737, 15738, 15739, 15740, 15741, 15742, 15905, 15906, 15907, 15908, 15909, 15910, 15911, 15912, 15913, 15914, 15915, 15916, 15917, 15918, 15919, 15920, 15921, 15922, 15923, 15924, 15925, 15926, 15927, 15928, 15929, 15930, 15931, 15932, 15933, 15934, 15935, 15936, 15937, 15938, 15939, 15940, 15941, 15942, 15943, 15944, 15945, 15946, 15947, 15948, 15949, 15950, 15951, 15952, 15953, 15954, 15955, 15956, 15957, 15958, 15959, 15960, 15961, 15962, 15963, 15964, 15965, 15966, 15967, 15968, 15969, 15970, 15971, 15972, 15973, 15974, 15975, 15976, 15977, 15978, 15979, 15980, 15981, 15982, 15983, 15984, 15985, 15986, 15987, 15988, 15989, 15990, 15991, 15992, 15993, 15994, 15995, 15996, 15997, 15998, 16161, 16162, 16163, 16164, 16165, 16166, 16167, 16168, 16169, 16170, 16171, 16172, 16173, 16174, 16175, 16176, 16177, 16178, 16179, 16180, 16181, 16182, 16183, 16184, 16185, 16186, 16187, 16188, 16189, 16190, 16191, 16192, 16193, 16194, 16195, 16196, 16197, 16198, 16199, 16200, 16201, 16202, 16203, 16204, 16205, 16206, 16207, 16208, 16209, 16210, 16211, 16212, 16213, 16214, 16215, 16216, 16217, 16218, 16219, 16220, 16221, 16222, 16223, 16224, 16225, 16226, 16227, 16228, 16229, 16230, 16231, 16232, 16233, 16234, 16235, 16236, 16237, 16238, 16239, 16240, 16241, 16242, 16243, 16244, 16245, 16246, 16247, 16248, 16249, 16250, 16251, 16252, 16253, 16254, 16417, 16418, 16419, 16420, 16421, 16422, 16423, 16424, 16425, 16426, 16427, 16428, 16429, 16430, 16431, 16432, 16433, 16434, 16435, 16436, 16437, 16438, 16439, 16440, 16441, 16442, 16443, 16444, 16445, 16446, 16447, 16448, 16449, 16450, 16451, 16452, 16453, 16454, 16455, 16456, 16457, 16458, 16459, 16460, 16461, 16462, 16463, 16464, 16465, 16466, 16467, 16468, 16469, 16470, 16471, 16472, 16473, 16474, 16475, 16476, 16477, 16478, 16479, 16480, 16481, 16482, 16483, 16484, 16485, 16486, 16487, 16488, 16489, 16490, 16491, 16492, 16493, 16494, 16495, 16496, 16497, 16498, 16499, 16500, 16501, 16502, 16503, 16504, 16505, 16506, 16507, 16508, 16509, 16510, 16673, 16674, 16675, 16676, 16677, 16678, 16679, 16680, 16681, 16682, 16683, 16684, 16685, 16686, 16687, 16688, 16689, 16690, 16691, 16692, 16693, 16694, 16695, 16696, 16697, 16698, 16699, 16700, 16701, 16702, 16703, 16704, 16705, 16706, 16707, 16708, 16709, 16710, 16711, 16712, 16713, 16714, 16715, 16716, 16717, 16718, 16719, 16720, 16721, 16722, 16723, 16724, 16725, 16726, 16727, 16728, 16729, 16730, 16731, 16732, 16733, 16734, 16735, 16736, 16737, 16738, 16739, 16740, 16741, 16742, 16743, 16744, 16745, 16746, 16747, 16748, 16749, 16750, 16751, 16752, 16753, 16754, 16755, 16756, 16757, 16758, 16759, 16760, 16761, 16762, 16763, 16764, 16765, 16766, 16929, 16930, 16931, 16932, 16933, 16934, 16935, 16936, 16937, 16938, 16939, 16940, 16941, 16942, 16943, 16944, 16945, 16946, 16947, 16948, 16949, 16950, 16951, 16952, 16953, 16954, 16955, 16956, 16957, 16958, 16959, 16960, 16961, 16962, 16963, 16964, 16965, 16966, 16967, 16968, 16969, 16970, 16971, 16972, 16973, 16974, 16975, 16976, 16977, 16978, 16979, 16980, 16981, 16982, 16983, 16984, 16985, 16986, 16987, 16988, 16989, 16990, 16991, 16992, 16993, 16994, 16995, 16996, 16997, 16998, 16999, 17e3, 17001, 17002, 17003, 17004, 17005, 17006, 17007, 17008, 17009, 17010, 17011, 17012, 17013, 17014, 17015, 17016, 17017, 17018, 17019, 17020, 17021, 17022, 17185, 17186, 17187, 17188, 17189, 17190, 17191, 17192, 17193, 17194, 17195, 17196, 17197, 17198, 17199, 17200, 17201, 17202, 17203, 17204, 17205, 17206, 17207, 17208, 17209, 17210, 17211, 17212, 17213, 17214, 17215, 17216, 17217, 17218, 17219, 17220, 17221, 17222, 17223, 17224, 17225, 17226, 17227, 17228, 17229, 17230, 17231, 17232, 17233, 17234, 17235, 17236, 17237, 17238, 17239, 17240, 17241, 17242, 17243, 17244, 17245, 17246, 17247, 17248, 17249, 17250, 17251, 17252, 17253, 17254, 17255, 17256, 17257, 17258, 17259, 17260, 17261, 17262, 17263, 17264, 17265, 17266, 17267, 17268, 17269, 17270, 17271, 17272, 17273, 17274, 17275, 17276, 17277, 17278, 17441, 17442, 17443, 17444, 17445, 17446, 17447, 17448, 17449, 17450, 17451, 17452, 17453, 17454, 17455, 17456, 17457, 17458, 17459, 17460, 17461, 17462, 17463, 17464, 17465, 17466, 17467, 17468, 17469, 17470, 17471, 17472, 17473, 17474, 17475, 17476, 17477, 17478, 17479, 17480, 17481, 17482, 17483, 17484, 17485, 17486, 17487, 17488, 17489, 17490, 17491, 17492, 17493, 17494, 17495, 17496, 17497, 17498, 17499, 17500, 17501, 17502, 17503, 17504, 17505, 17506, 17507, 17508, 17509, 17510, 17511, 17512, 17513, 17514, 17515, 17516, 17517, 17518, 17519, 17520, 17521, 17522, 17523, 17524, 17525, 17526, 17527, 17528, 17529, 17530, 17531, 17532, 17533, 17534, 17697, 17698, 17699, 17700, 17701, 17702, 17703, 17704, 17705, 17706, 17707, 17708, 17709, 17710, 17711, 17712, 17713, 17714, 17715, 17716, 17717, 17718, 17719, 17720, 17721, 17722, 17723, 17724, 17725, 17726, 17727, 17728, 17729, 17730, 17731, 17732, 17733, 17734, 17735, 17736, 17737, 17738, 17739, 17740, 17741, 17742, 17743, 17744, 17745, 17746, 17747, 17748, 17749, 17750, 17751, 17752, 17753, 17754, 17755, 17756, 17757, 17758, 17759, 17760, 17761, 17762, 17763, 17764, 17765, 17766, 17767, 17768, 17769, 17770, 17771, 17772, 17773, 17774, 17775, 17776, 17777, 17778, 17779, 17780, 17781, 17782, 17783, 17784, 17785, 17786, 17787, 17788, 17789, 17790, 17953, 17954, 17955, 17956, 17957, 17958, 17959, 17960, 17961, 17962, 17963, 17964, 17965, 17966, 17967, 17968, 17969, 17970, 17971, 17972, 17973, 17974, 17975, 17976, 17977, 17978, 17979, 17980, 17981, 17982, 17983, 17984, 17985, 17986, 17987, 17988, 17989, 17990, 17991, 17992, 17993, 17994, 17995, 17996, 17997, 17998, 17999, 18e3, 18001, 18002, 18003, 18004, 18005, 18006, 18007, 18008, 18009, 18010, 18011, 18012, 18013, 18014, 18015, 18016, 18017, 18018, 18019, 18020, 18021, 18022, 18023, 18024, 18025, 18026, 18027, 18028, 18029, 18030, 18031, 18032, 18033, 18034, 18035, 18036, 18037, 18038, 18039, 18040, 18041, 18042, 18043, 18044, 18045, 18046, 18209, 18210, 18211, 18212, 18213, 18214, 18215, 18216, 18217, 18218, 18219, 18220, 18221, 18222, 18223, 18224, 18225, 18226, 18227, 18228, 18229, 18230, 18231, 18232, 18233, 18234, 18235, 18236, 18237, 18238, 18239, 18240, 18241, 18242, 18243, 18244, 18245, 18246, 18247, 18248, 18249, 18250, 18251, 18252, 18253, 18254, 18255, 18256, 18257, 18258, 18259, 18260, 18261, 18262, 18263, 18264, 18265, 18266, 18267, 18268, 18269, 18270, 18271, 18272, 18273, 18274, 18275, 18276, 18277, 18278, 18279, 18280, 18281, 18282, 18283, 18284, 18285, 18286, 18287, 18288, 18289, 18290, 18291, 18292, 18293, 18294, 18295, 18296, 18297, 18298, 18299, 18300, 18301, 18302, 18465, 18466, 18467, 18468, 18469, 18470, 18471, 18472, 18473, 18474, 18475, 18476, 18477, 18478, 18479, 18480, 18481, 18482, 18483, 18484, 18485, 18486, 18487, 18488, 18489, 18490, 18491, 18492, 18493, 18494, 18495, 18496, 18497, 18498, 18499, 18500, 18501, 18502, 18503, 18504, 18505, 18506, 18507, 18508, 18509, 18510, 18511, 18512, 18513, 18514, 18515, 18516, 18517, 18518, 18519, 18520, 18521, 18522, 18523, 18524, 18525, 18526, 18527, 18528, 18529, 18530, 18531, 18532, 18533, 18534, 18535, 18536, 18537, 18538, 18539, 18540, 18541, 18542, 18543, 18544, 18545, 18546, 18547, 18548, 18549, 18550, 18551, 18552, 18553, 18554, 18555, 18556, 18557, 18558, 19280, 19286, 19303, 19791, 19816, 20013, 20347, 20514, 20536, 20560, 20573, 20820, 20821, 20824, 20827, 20828, 20829, 20830, 20831, 20832, 20834, 20835, 20836, 20837, 20838, 20840, 20841, 20842, 20843, 20845, 20847, 20848, 20850, 20854, 20858, 20860, 20861, 20862, 21026, 21027, 21031, 21032, 21033, 21034, 21035, 21037, 21042, 21054, 21058, 21059, 21060, 21062, 21063, 21064, 21065, 21066, 21067, 21069, 21070, 21071, 21072, 21073, 21074, 21075, 21076, 21077, 21078, 21079, 21081, 21082, 21086, 21087, 21089, 21090, 21092, 21093, 21094, 21095, 21096, 21097, 21098, 21099, 21104, 21105, 21106, 21107, 21108, 21109, 21111, 21112, 21606, 21628, 21797, 21803, 21806, 22072, 22093, 22347, 22372, 23365, 23396, 23589, 23845, 23893, 23924, 24188, 24190, 24371, 24417, 24424, 24689, 24877, 24941, 25461, 25633, 25641, 25902, 25905, 25906, 25913, 25915, 25916, 25924, 25934, 25936, 25938, 25942, 25978, 25979, 25980, 25982, 26145, 26148, 26151, 26157, 26159, 26160, 26161, 26163, 26167, 26168, 26172, 26180, 26182, 26183, 26186, 26194, 26198, 26201, 26204, 26207, 26209, 26212, 26213, 26214, 26216, 26218, 26219, 26220, 26223, 26225, 26226, 26229, 26230, 26231, 26233, 26401, 26406, 26409, 26410, 26412, 26413, 26416, 26431, 26433, 26438, 26439, 26443, 26445, 26447, 26448, 26451, 26463, 26468, 26470, 26487, 26727, 26728, 26736, 26737, 26743, 26745, 26747, 26750, 26919, 26924, 26956, 26999, 27201, 27237, 27252, 27255, 27260, 27262, 27428, 27431, 27433, 27434, 27450, 27451, 27453, 27457, 27458, 27462, 27463, 27468, 27471, 27472, 27473, 27474, 27480, 27686, 27687, 27690, 27695, 27696, 27697, 27698, 27701, 27704, 27706, 27712, 27713, 27717, 27718, 27721, 27722, 27733, 27741, 27742, 27745, 27748, 27751, 27752, 27767, 27768, 27770, 27937, 27938, 27939, 28014, 28251, 29245, 29306, 29489, 29735, 29806, 30324, 30326, 30520, 30536, 30547, 30811, 30832, 31265, 31266, 31334, 31785, 8993, 8994, 8995, 8996, 8997, 8998, 8999, 9e3, 9001, 9002, 9003, 9004, 9005, 9006, 9007, 9008, 9009, 9010, 9011, 9012, 9013, 9014, 9015, 9016, 9017, 9018, 9019, 9020, 9021, 9022, 9023, 9024, 9025, 9026, 9027, 9028, 9029, 9030, 9031, 9032, 9033, 9034, 9035, 9036, 9037, 9038, 9039, 9040, 9041, 9042, 9043, 9044, 9045, 9046, 9047, 9048, 9049, 9050, 9051, 8492, 9053, 9054, 9055, 9056, 9057, 9058, 9059, 9060, 9061, 9062, 9063, 9064, 9065, 9066, 9067, 9068, 9069, 9070, 9071, 9072, 9073, 9074, 9075, 9076, 9077, 9078, 9079, 9080, 9081, 9082, 9083, 9084, 9085, 8742, 8523, 8524, 8574, 9086, 8525, 9052],
    ksc5601Table00 = [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 26002, 7, 63455, 21, 64, 22, 49537, 27, 64, 28, 16769, 32, 0, 32, 2, 33, 192, 35, 33038, 40, 3591, 46, 12, 48, 192, 50, 0, 50, 0, 50, 0, 50, 0, 50, 0, 50, 0, 50, 0, 50, 0, 50, 0, 50, 0, 50, 0, 50, 0, 50, 0, 50, 0, 50, 0, 50, 0, 50, 0, 50, 0, 50, 0, 50, 0, 50, 0, 50, 128, 51, 12033, 57, 0, 57, 0, 57, 0, 57, 0, 57, 0, 57, 0, 57, 0, 57, 0, 57, 0, 57, 0, 57, 0, 57, 65534, 72, 1019, 81, 65534, 96, 1019, 105, 0, 105, 0, 105, 0, 105, 2, 106, 65535, 122, 65535, 138, 65535, 154, 65535, 170, 2],
    ksc5601Table20 = [171, 0, 171, 13088, 176, 99, 180, 2061, 184, 0, 184, 0, 184, 0, 184, 32784, 186, 30, 190, 0, 190, 4096, 191, 0, 191, 0, 191, 0, 191, 0, 191, 0, 191, 520, 193, 72, 195, 2118, 199, 0, 199, 0, 199, 30744, 205, 1023, 215, 1023, 225, 0, 225, 1023, 235, 0, 235, 0, 235, 0, 235, 20, 237, 0, 237, 0, 237, 35213, 244, 25602, 248, 24481, 257, 12336, 261, 0, 261, 4, 262, 3123, 268, 0, 268, 204, 272, 512, 273, 32, 274, 0, 274, 0, 274, 0, 274, 0, 274, 0, 274, 0, 274, 4, 275, 0, 275, 0, 275, 0, 275, 0, 275, 0, 275, 0, 275, 0, 275, 0, 275, 0, 275, 0, 275, 0, 275, 0, 275, 0, 275, 0, 275, 0, 275, 0, 275, 0, 275, 0, 275, 0, 275, 0, 275, 32767, 290, 65520, 302, 7, 305, 61440, 309, 65535, 325, 63, 331, 0, 331, 65535, 347, 1023, 357, 0, 357, 61455, 365, 65535, 381, 65535, 397, 65535, 413, 4095, 425, 0, 425, 0, 425, 0, 425, 0, 425, 4, 426, 1019, 435, 12492, 441, 51651, 449, 3, 451, 0, 451, 0, 451, 49248, 455, 20480, 457, 0, 457, 0, 457, 5, 459, 0, 459, 14267],
    ksc5601Table30 = [470, 65295, 482, 59, 487, 0, 487, 0, 487, 65534, 502, 65535, 518, 65535, 534, 65535, 550, 65535, 566, 15, 570, 65534, 585, 65535, 601, 65535, 617, 65535, 633, 65535, 649, 127, 656, 0, 656, 0, 656, 0, 656, 65534, 671, 65535, 687, 65535, 703, 65535, 719, 65535, 735, 32767, 750, 0, 750, 0, 750, 0, 750, 0, 750, 0, 750, 0, 750, 0, 750, 65535, 766, 8191, 779, 0, 779, 0, 779, 0, 779, 0, 779, 65535, 795, 53247, 809, 0, 809, 0, 809, 0, 809, 0, 809, 0, 809, 0, 809, 0, 809, 0, 809, 0, 809, 0, 809, 0, 809, 0, 809, 0, 809, 0, 809, 0, 809, 0, 809, 65311, 822, 65535, 838, 65535, 854, 65535, 870, 34815, 882, 14665],
    ksc5601Table4E = [889, 12171, 898, 17266, 905, 8192, 906, 2820, 910, 59436, 917, 58176, 923, 10240, 925, 16584, 929, 22852, 935, 18743, 943, 31094, 953, 1088, 955, 11411, 962, 41968, 970, 56, 973, 2245, 978, 60930, 985, 3, 987, 32768, 988, 13648, 994, 57800, 1001, 7715, 1008, 33280, 1010, 50249, 1016, 44378, 1025, 10562, 1030, 49152, 1032, 32864, 1035, 17948, 1041, 42138, 1048, 49155, 1052, 1322, 1057, 10820, 1062, 54854, 1070, 15834, 1080, 2048, 1081, 33672, 1086, 5152, 1089, 32, 1090, 368, 1094, 8225, 1097, 770, 1100, 12288, 1102, 16556, 1107, 34336, 1111, 17506, 1116, 8352, 1119, 35328, 1122, 595, 1127, 32772, 1129, 1026, 1131, 5252, 1135, 31739, 1148, 4100, 1150, 32676, 1160, 4578, 1166, 9281, 1170, 164, 1173, 5153, 1177, 8384, 1180, 14928, 1186, 28672, 1189, 2, 1190, 10051, 1197, 17865, 1204, 8322, 1207, 17968, 1212, 4033, 1219, 15496, 1225, 10320, 1229, 34306, 1233, 40996, 1237, 9096, 1242, 34822, 1246, 3609, 1252, 16384, 1253, 8874, 1259, 60260, 1268, 28, 1271, 52520, 1278, 41248, 1282, 737, 1287, 33803, 1292, 33280, 1294, 10139, 1303, 21662, 1311, 33089, 1315, 41139, 1322, 16, 1323, 34056, 1327, 8289, 1331, 2048, 1332, 12040, 1338, 2256, 1342, 48702, 1353, 271, 1358, 63256, 1367, 43011, 1372, 2625, 1376, 23304, 1382, 1284, 1385, 2, 1386, 1280, 1388, 14378, 1394, 20545, 1398, 1, 1399, 6416, 1403, 8456, 1406, 787, 1411, 0, 1411, 24866, 1416, 1028, 1418, 16592, 1422, 4097, 1424, 32768, 1425, 16418, 1428, 32848, 1431, 16456, 1434, 8, 1435, 4096, 1436, 1745, 1442, 14080, 1447, 24192, 1453, 0, 1453, 160, 1455, 37904, 1459, 24, 1461, 24576, 1463, 576, 1465, 144, 1467, 32768, 1468, 84, 1471, 0, 1471, 8, 1472, 2304, 1474, 16, 1475, 64, 1476, 0, 1476, 20512, 1479, 4112, 1481, 9216, 1483, 19458, 1487, 1, 1488, 1537, 1491, 10520, 1496, 33100, 1501, 8448, 1503, 2049, 1505, 25733, 1511, 3, 1513, 17490, 1518, 4129, 1521, 2308, 1524, 8, 1525, 13, 1528, 0, 1528, 18824, 1533, 32768, 1534, 1, 1535, 5777, 1541, 1893, 1548, 16384, 1549, 33938, 1554, 1075, 1559, 35840, 1562, 17810, 1568, 22, 1571, 21024, 1575, 552, 1578, 53256, 1582, 17152, 1585, 19464, 1589, 16546, 1593, 49962, 1600, 38928, 1604, 11776, 1608, 32768, 1609, 5744, 1615, 28292, 1622, 16514, 1625, 50064, 1631, 1203, 1637, 31877, 1645, 8472, 1649, 1052, 1653, 712, 1657, 4384, 1660, 18944, 1663, 2632, 1667, 13851, 1675, 21824, 1680, 35072, 1683, 10, 1685, 39170, 1690, 545, 1693, 4160, 1695, 578, 1698, 1024, 1699, 68, 1701, 0, 1701, 0, 1701, 3076, 1704, 16, 1705, 0, 1705, 4630, 1710, 0, 1710, 578, 1713, 0, 1713, 6688, 1717, 64, 1718, 1024, 1719, 0, 1719, 9, 1721, 46515, 1731, 2584, 1735, 5411, 1741, 39840, 1748, 8168, 1757, 20604, 1764, 33657, 1772, 4349, 1780, 49309, 1787, 56310, 1799, 1376, 1803, 61330, 1813, 578, 1816, 272, 1818, 57090, 1826, 26977, 1833, 2082, 1836, 36917, 1842, 514, 1844, 0, 1844, 3, 1846, 6658, 1850, 17834, 1857, 1, 1858, 512, 1859, 33025, 1862, 10321, 1867, 24704, 1870, 722, 1875, 640, 1877, 0, 1877, 6144, 1879, 1, 1880, 37376, 1883, 0, 1883, 2176, 1885, 8192, 1886, 1029, 1889, 13568, 1893, 8192, 1894, 24644, 1898, 18918, 1906, 24734, 1913, 4172, 1917, 10818, 1922, 10272, 1925, 41288, 1930, 4273, 1935, 32800, 1937, 14, 1940, 31644, 1950, 33936, 1954, 5280, 1958, 10433, 1963, 16864, 1968, 1796, 1972, 35913, 1978, 4109, 1982, 3272, 1987, 33810, 1991, 35258, 1999, 704, 2002, 5154, 2006, 21760, 2010, 2752, 2014, 16068, 2022, 37507, 2028, 7331, 2035, 17287, 2042, 18179, 2048, 8864, 2052, 12328, 2056, 960, 2060, 2049, 2062, 40992, 2065, 32768, 2066, 12356, 2070, 34211, 2077, 0, 2077, 8206, 2081, 8741, 2086, 46908, 2096, 1, 2097, 12832, 2101, 35920, 2106, 153, 2110, 12637, 2118, 160, 2120, 37890, 2124, 3, 2126, 3659, 2133, 58178, 2140, 35872, 2144, 128, 2145, 53393, 2151, 7572, 2158, 41768, 2164, 18844, 2171, 24769, 2176, 17414, 2180, 1811, 2186, 23184, 2192, 17476, 2196, 3976, 2202, 0, 2202, 64, 2203, 38340, 2210, 30081, 2217, 33863, 2223, 17410, 2226, 49235, 2232, 11139, 2239, 264, 2241, 16384, 2242, 37442, 2247, 1553, 2251, 2470, 2257, 2048, 2258, 12834, 2263, 45956, 2270, 7133, 2280, 61440, 2284, 49290, 2289, 642, 2292, 2, 2293, 34816, 2295, 27648, 2299, 37376, 2302, 33, 2304, 16768, 2307, 35972, 2312, 4872, 2316, 2372, 2320, 1959, 2328, 0, 2328, 32849, 2332, 3137, 2336, 24578, 2339, 208, 2342, 40960, 2344, 4304, 2348, 12292, 2351, 17408, 2353, 0, 2353, 256, 2354, 33281, 2357, 1792, 2360, 256, 2361, 17422, 2366, 26672, 2371, 2053, 2374, 25778, 2381, 1300, 2385, 4326, 2391, 17428, 2395, 17, 2397, 8448, 2399, 39944, 2404, 52160, 2411, 57632, 2416, 16578, 2420, 12364, 2425, 16820, 2431, 4268, 2436, 39555, 2443, 39090, 2450, 12929, 2455, 38946, 2460, 132, 2462, 13161, 2470, 48146, 2477, 54976, 2484, 49211, 2491, 41377, 2497, 3155, 2503, 35358, 2510, 59904, 2515, 52208, 2524, 1496, 2530, 17296, 2535, 8643, 2541, 18437, 2545, 18972, 2551, 720, 2555, 12864, 2559, 65, 2561, 55197, 2572, 11017, 2578, 59568, 2585, 32192, 2593, 9298, 2598, 49728, 2602, 53323, 2609, 40960, 2611, 51371, 2619, 35456, 2623, 13481, 2630, 32768, 2631, 16841, 2637, 32784, 2639, 9247, 2646, 37376, 2649, 18555, 2657, 0, 2657, 204, 2661, 33798, 2665, 13056, 2669, 16655, 2675, 27, 2679, 8192, 2680, 32832, 2682, 32802, 2685, 41112, 2690, 41350, 2696, 107, 2701, 10800, 2706, 34212, 2712, 16769, 2716, 1540, 2719, 24609, 2723, 4, 2724, 128, 2725, 40961, 2728, 1024, 2729, 18104, 2736, 59663, 2745, 928, 2749, 0, 2749, 6176, 2752, 16544, 2755, 2064, 2757, 14346, 2762, 1, 2763, 1280, 2765, 43008, 2768, 1028, 2770, 49802, 2776, 10, 2778, 10016, 2783, 2320, 2786, 33548, 2791, 2050, 2793, 0, 2793, 25105, 2798, 4224, 2800, 12, 2802, 2056, 2804, 12, 2806, 3080, 2809, 0, 2809, 2112, 2811, 5136, 2814, 68, 2816, 11, 2819, 25604, 2823, 20672, 2827, 32769, 2829, 1150, 2836, 35204, 2841, 1624, 2846, 16704, 2849, 49152, 2851, 38052, 2857, 43106, 2863, 2524, 2870, 6144, 2872, 0, 2872, 33024, 2874, 10, 2876, 8, 2877, 16784, 2881, 16391, 2885, 58529, 2892, 9473, 2896, 25669, 2902, 4590, 2910, 3709, 2919, 18432, 2921, 64264, 2929, 5654, 2935, 2216, 2939, 51502, 2947, 9, 2949, 6144, 2951, 19074, 2956, 1696, 2960, 27492, 2968, 2, 2969, 5632, 2972, 22088, 2978, 33680, 2983, 29600, 2990, 42, 2993, 32768, 2994, 36, 2996, 35065, 3004, 18178, 3009, 19714, 3014, 4010, 3022, 0, 3022, 36480, 3027, 47227, 3037, 30036, 3045, 9240, 3049, 55616, 3055, 51328, 3059, 1036, 3062, 0, 3062, 45121, 3067, 35876, 3072, 1090, 3075, 23092, 3082, 26, 3085, 32768, 3086, 49424, 3090, 32838, 3094, 50, 3097, 6157, 3102, 33030, 3106, 2, 3107, 52626, 3115, 24596, 3119, 29697, 3124, 24850, 3129, 145, 3132, 49304, 3137, 16906, 3141, 1039, 3146, 33824, 3149, 39443, 3156, 16386, 3158, 35426, 3164, 64802, 3173, 33160, 3177, 16512, 3179, 4096, 3180, 8451, 3184, 2056, 3186, 12545, 3190, 17440, 3193, 1796, 3197, 47122, 3203, 904, 3207, 35072, 3210, 41728, 3214, 0, 3214, 8706, 3217, 4624, 3220, 17920, 3223, 66, 3225, 65, 3227, 22144, 3232, 21057, 3237, 21232, 3244, 8192, 3245, 34320, 3249, 33300, 3253, 4100, 3255, 17922, 3259, 17162, 3264, 32821, 3269, 24800, 3274, 55296, 3278, 65, 3280, 2049, 3282, 13312, 3285, 27749, 3293, 4545, 3298, 43780, 3304, 646, 3308, 8708, 3311, 3, 3313, 0, 3313, 36996, 3317, 0, 3317, 16405, 3321, 641, 3324, 514, 3326, 13056, 3330, 1024, 3331, 14400, 3335, 3616, 3339, 49344, 3343, 48, 3345, 133, 3348, 1280, 3350, 3365, 3356, 19152, 3362, 33232, 3367, 8832, 3370, 524, 3373, 46597, 3380, 25152, 3384, 9849, 3392, 25216, 3396, 746, 3402, 2056, 3404, 56679, 3415, 34169, 3423, 2075, 3428, 56992, 3436, 34613, 3444, 16384, 3445, 2700, 3450, 53504, 3454, 1450, 3460, 41509, 3466, 33856, 3469, 5392, 3473, 16461, 3478, 128, 3479, 18, 3481, 36130, 3487, 6504, 3493, 1423, 3500, 36992, 3503, 14874, 3510, 33892, 3515, 34145, 3521, 52416, 3527, 8194, 3529, 2080, 3531, 29486, 3540, 8356, 3544, 2868, 3550, 4, 3551, 5141, 3556, 8193, 3558, 33280, 3560, 87, 3565, 2048, 3566, 20484, 3569, 68, 3571, 4626, 3575, 30981, 3582, 16592, 3586, 9, 3588, 16384, 3589, 33792, 3591, 1356, 3596, 55364, 3602, 16538, 3607, 20756, 3612, 2834, 3617, 16384, 3618, 513, 3620, 5504, 3624, 8193, 3626, 2048, 3627, 2122, 3631, 49664, 3634, 2048, 3635, 16386, 3637, 12320, 3640, 38921, 3645, 0, 3645, 6272, 3648, 57900, 3655, 8, 3656, 4, 3657, 4, 3658, 4320, 3662, 20, 3664, 32800, 3666, 8192, 3667, 38912, 3670, 4096, 3671, 28802, 3676, 130, 3678, 648, 3681, 7168, 3684, 19490, 3689, 1, 3690, 37120, 3693, 2080, 3695, 16386, 3697, 64, 3698, 7168, 3701, 17408, 3703, 899, 3708, 31937, 3716, 8481, 3720, 33792, 3722, 57346, 3726, 2, 3727, 17600, 3731, 57866, 3737, 3587, 3742, 33062, 3747, 720, 3751, 2048, 3752, 10529, 3757, 38544, 3763, 16385, 3765, 47298, 3772, 25153, 3777, 128, 3778, 2566, 3782, 42577, 3789, 274, 3792, 33068, 3797, 50688, 3801, 1024, 3802, 3248, 3807, 41600, 3811, 42025, 3817, 34368, 3821, 32768, 3822, 18946, 3826, 12353, 3830, 512, 3831, 47680, 3837, 87, 3842, 20481, 3845, 8224, 3847, 34944, 3850, 9392, 3855, 8194, 3857, 274, 3860, 723, 3866, 4, 3867, 529, 3870, 0, 3870, 128, 3871, 16388, 3873, 3202, 3877, 57344, 3880, 12296, 3883, 0, 3883, 4113, 3886, 8, 3887, 520, 3889, 33188, 3894, 16544, 3897, 16910, 3902, 1024, 3903, 49216, 3906, 129, 3908, 18432, 3910, 11765, 3920, 3985, 3927, 55303, 3934, 1577, 3939, 124, 3944, 16385, 3946, 17734, 3952, 33358, 3958, 49152, 3960, 4104, 3962, 12293, 3966, 60726, 3976, 3200, 3979, 25920, 3984, 37643, 3991, 2064, 3993, 1536, 3995, 59424, 4e3, 51210, 4005, 24706, 4009, 202, 4013, 16436, 4017, 11778, 4022, 4609, 4025, 36868, 4028, 6472, 4033, 0, 4033, 0, 4033, 0, 4033, 0, 4033, 0, 4033, 0, 4033, 0, 4033, 0, 4033, 0, 4033, 1344, 4036, 4096, 4037, 49, 4040, 19456, 4043, 677, 4048, 21792, 4053, 17424, 4056, 784, 4059, 8964, 4063, 21538, 4068, 32820, 4072, 2563, 4076, 4609, 4079, 4715, 4086, 417, 4090, 8192, 4091, 41032, 4095, 1096, 4098, 17728, 4102, 32768, 4103, 57485, 4110, 6896, 4117, 10304, 4120, 34342, 4126, 1046, 4130, 20504, 4134, 19456, 4137, 50, 4140, 8466, 4144, 1508, 4150, 3328, 4153, 35336, 4157, 16896, 4159, 18432, 4161, 51, 4165, 2144, 4168, 34563, 4174, 34049, 4178, 13312, 4181, 265, 4184, 58408, 4190, 8261, 4194, 33024, 4196, 9640, 4202, 23576, 4208, 13728, 4214, 55300, 4219, 7170, 4223, 736, 4227, 161, 4230, 512, 4231, 49232, 4235, 16710, 4240, 26624, 4243, 42500, 4248, 62048, 4255, 48010, 4264, 0, 4264, 51382, 4272, 226, 4276, 24578, 4279, 574, 4285, 128, 4286, 35072, 4289, 882, 4295, 34433, 4300, 6, 4302, 0, 4302, 2184, 4305, 17920, 4308, 16704, 4311, 3588, 4315, 8192, 4316, 5666, 4321, 4168, 4324, 35328, 4327, 8727, 4333, 29720, 4339, 0, 4339, 4608, 4341, 8450, 4344, 512, 4345, 2176, 4347, 38986, 4353, 1056, 4355, 0, 4355, 4625, 4359, 2, 4360, 39172, 4365, 10837, 4372, 1026, 4374, 20480, 4376, 4112, 4378, 0, 4378, 17818, 4385, 45098, 4391, 40960, 4393, 16906, 4397, 520, 4399, 9992, 4404, 0, 4404, 32912, 4407, 2066, 4410, 34624, 4415, 1025, 4417, 57858, 4422, 12320, 4425, 1584, 4429, 35968, 4433, 1220, 4437, 1216, 4440, 8192, 4441, 32768, 4442, 16384, 4443, 55345, 4450, 128, 4451, 512, 4452, 5120, 4454, 8, 4455, 536, 4458, 0, 4458, 2176, 4460, 35344, 4464, 8208, 4466, 16384, 4467, 269, 4471, 5376, 4474, 0, 4474, 0, 4474, 16384, 4475, 32928, 4478, 320, 4480, 336, 4483, 8196, 4485, 32768, 4486, 4, 4487, 1032, 4489, 16, 4490, 0, 4490, 36865, 4493, 18948, 4497, 32, 4498, 32768, 4499, 12, 4501, 2114, 4504, 12353, 4508, 10892, 4514, 2318, 4519, 49285, 4524, 10502, 4529, 16580, 4533, 2048, 4534, 16, 4535, 32774, 4538, 45616, 4544, 258, 4546, 8504, 4551, 128, 4552, 781, 4557, 1056, 4559, 2368, 4562, 18, 4564, 32768, 4565, 1040, 4567, 32772, 4569, 35018, 4575, 72, 4577, 1538, 4580, 9220, 4583, 1, 4584, 4, 4585, 8, 4586, 272, 4588, 21773, 4595, 43464, 4602, 9256, 4606, 3154, 4611, 0, 4611, 18481, 4616, 25165, 4623, 559, 4629, 12448, 4633, 16680, 4637, 1403, 4645, 53765, 4651, 43156, 4657, 6212, 4661, 27842, 4668, 17858, 4674, 16407, 4679, 11985, 4687, 6401, 4691, 520, 4693, 49666, 4697, 5376, 4700, 36928, 4703, 8337, 4707, 1025, 4709, 1101, 4714, 0, 4714, 0, 4714, 0, 4714, 0, 4714, 0, 4714, 0, 4714, 0, 4714, 0, 4714, 0, 4714, 32896, 4716, 5442, 4721, 1056, 4723, 3074, 4726, 1536, 4728, 5124, 4731, 24576, 4733, 40839, 4743, 47577, 4753, 1439, 4761, 21514, 4766, 9309, 4773, 14352, 4777, 9648, 4783, 72, 4785, 0, 4785, 0, 4785, 0, 4785, 0, 4785, 2128, 4788, 153, 4792, 1056, 4794, 512, 4795, 264, 4797, 17416, 4800, 38976, 4804, 10240, 4806, 33034, 4810, 8, 4811, 33792, 4813, 16385, 4815, 1024, 4816, 33, 4818, 1940, 4824, 33280, 4826, 1, 4827, 80, 4829, 9346, 4833, 0, 4833, 7168, 4836, 0, 4836, 15361, 4841, 32772, 4843, 2048, 4844, 18688, 4847, 552, 4850, 63548, 4859, 34496, 4864, 51976, 4870, 25136, 4875, 40960, 4877, 4, 4878, 0, 4878, 0, 4878, 6144, 4880, 41288, 4885, 7, 4888, 16420, 4891, 18, 4893, 11328, 4897, 8837, 4902, 43375, 4912, 59059, 4922, 16399, 4927, 20774, 4933, 27782, 4940, 29243, 4949, 57867, 4956, 46500, 4964, 34207, 4973, 546, 4976, 34124, 4982, 291, 4986, 1026, 4988, 16384, 4989, 8450, 4992, 8224, 4994, 4, 4995, 548, 4998, 8320, 5e3, 4, 5001, 32256, 5007, 4, 5008, 5636, 5012, 416, 5015, 10880, 5019, 4100, 5021, 55296, 5025, 50, 5028, 64129, 5036, 12675, 5042, 1160, 5045, 32, 5046, 8192, 5047, 16519, 5052, 0, 5052, 33808, 5055, 545, 5058, 18560, 5061, 116, 5065, 0, 5065, 41, 5068, 4426, 5073, 0, 5073, 712, 5077, 36864, 5079, 4, 5080, 1040, 5082, 4352, 5084, 16, 5085, 50433, 5090, 51543, 5099, 0, 5099, 11520, 5103, 2064, 5105, 16384, 5106, 20512, 5109, 4096, 5110, 1104, 5113, 12424, 5117, 1, 5118, 8, 5119, 16386, 5121, 18, 5123, 64, 5124, 16, 5125, 256, 5126, 2080, 5128, 288, 5130, 16, 5131, 2054, 5134, 0, 5134, 40960, 5136, 0, 5136, 0, 5136, 0, 5136, 0, 5136, 0, 5136, 0, 5136, 0, 5136, 0, 5136, 0, 5136, 0, 5136, 0, 5136, 0, 5136, 0, 5136, 0, 5136, 0, 5136, 128, 5137, 35337, 5142, 286, 5147, 8504, 5152, 6146, 5155, 1152, 5157, 4208, 5161, 6, 5163, 0, 5163, 0, 5163, 4096, 5164, 17410, 5167, 34820, 5170, 14357, 5176, 63489, 5182, 1052, 5186, 8681, 5193, 27744, 5199, 6960, 5205, 1416, 5209, 2178, 5212, 31475, 5223, 6752, 5228, 34572, 5234, 2757, 5240, 193, 5243, 21066, 5249, 128, 5250, 8709, 5254, 276, 5257, 20546, 5261, 8710, 5265, 1168, 5268, 43008, 5271, 0, 5271, 10497, 5275, 0, 5275, 2112, 5277, 4104, 5279, 0, 5279, 34888, 5283, 5487, 5292, 399, 5298, 8192, 5299, 2817, 5303, 28736, 5307, 17680, 5311, 34976, 5315, 0, 5315, 0, 5315, 0, 5315, 33024, 5317, 2, 5318, 144, 5320, 38912, 5323, 57350, 5328, 28688, 5332, 5640, 5336, 16649, 5340, 257, 5342, 0, 5342, 14880, 5347, 150, 5351, 0, 5351, 0, 5351, 0, 5351, 8768, 5354, 28960, 5359, 538, 5363, 2, 5364, 41511, 5371, 8192, 5372, 32770, 5374, 49410, 5378, 512, 5379, 2048, 5380, 193, 5383, 8233, 5387, 36e3, 5392, 1572, 5396, 0, 5396, 0, 5396, 0, 5396, 256, 5397, 256, 5398, 0, 5398, 280, 5401, 16416, 5403, 0, 5403, 0, 5403, 1024, 5404, 1152, 5406, 4098, 5408, 32830, 5414, 1040, 5416, 32768, 5417, 0, 5417, 16384, 5418, 32770, 5420, 18432, 5422, 0, 5422, 512, 5423, 64, 5424, 272, 5426, 0, 5426, 8192, 5427, 37, 5430, 32, 5431, 2052, 5433, 640, 5435, 128, 5436, 0, 5436, 0, 5436, 0, 5436, 0, 5436, 0, 5436, 0, 5436, 0, 5436, 0, 5436, 672, 5439, 88, 5442, 512, 5443, 2048, 5444, 320, 5446, 2048, 5447, 0, 5447, 8194, 5449, 4099, 5452, 4, 5453, 0, 5453, 0, 5453, 33280, 5455, 16, 5456, 16, 5457, 128, 5458, 0, 5458, 1796, 5462, 0, 5462, 17408, 5464, 0, 5464, 0, 5464, 0, 5464, 0, 5464, 0, 5464, 41504, 5468, 0, 5468, 41100, 5473, 32, 5474, 18480, 5478, 24584, 5481, 22802, 5487, 256, 5488, 16, 5489, 16768, 5492, 8, 5493, 1, 5494, 2048, 5495, 19456, 5498, 32772, 5500, 5250, 5504, 128, 5505, 8192, 5506, 4129],
    ksc5601TableAC = [5509, 1939, 5516, 16127, 5529, 45073, 5534, 4867, 5539, 10241, 5542, 4368, 5545, 0, 5545, 1427, 5551, 7803, 5561, 45073, 5566, 38659, 5573, 15105, 5579, 4370, 5583, 160, 5585, 38291, 5593, 12395, 5600, 45137, 5606, 4354, 5609, 12801, 5613, 4400, 5617, 688, 5621, 273, 5624, 12298, 5628, 47225, 5637, 4870, 5642, 12289, 5645, 16, 5646, 128, 5647, 275, 5651, 4107, 5655, 17, 5657, 37632, 5661, 11011, 5667, 16, 5668, 0, 5668, 1427, 5674, 29803, 5683, 45137, 5689, 4899, 5695, 15105, 5701, 4144, 5704, 0, 5704, 0, 5704, 28672, 5707, 45073, 5712, 4867, 5717, 10496, 5720, 4368, 5723, 8576, 5726, 1, 5727, 12288, 5729, 45077, 5735, 782, 5740, 12289, 5743, 48, 5745, 512, 5746, 273, 5749, 4131, 5753, 0, 5753, 4864, 5756, 27521, 5763, 4112, 5765, 768, 5767, 275, 5771, 4115, 5775, 12305, 5779, 256, 5780, 0, 5780, 21808, 5786, 8888, 5792, 0, 5792, 12288, 5794, 45073, 5799, 38658, 5805, 64263, 5815, 4410, 5821, 944, 5826, 275, 5830, 33, 5832, 0, 5832, 6912, 5836, 15117, 5844, 4408, 5849, 944, 5854, 275, 5858, 4403, 5864, 1, 5865, 4864, 5868, 11013, 5874, 4380, 5879, 256, 5880, 0, 5880, 4096, 5881, 45073, 5886, 4864, 5889, 10753, 5893, 6448, 5898, 688, 5902, 1, 5903, 4112, 5905, 0, 5905, 4352, 5907, 769, 5910, 4144, 5913, 560, 5916, 1811, 5922, 5227, 5929, 17, 5931, 4864, 5934, 11013, 5940, 63860, 5950, 36792, 5959, 275, 5963, 4155, 5969, 0, 5969, 0, 5969, 0, 5969, 55664, 5977, 19120, 5983, 275, 5987, 4155, 5993, 17, 5995, 4355, 5999, 0, 5999, 22832, 6005, 10929, 6012, 273, 6015, 4096, 6016, 0, 6016, 4353, 6019, 2817, 6023, 16, 6024, 0, 6024, 275, 6028, 4139, 6033, 0, 6033, 257, 6035, 8192, 6036, 4368, 6039, 672, 6042, 273, 6045, 12321, 6049, 45145, 6056, 258, 6058, 0, 6058, 6448, 6063, 1968, 6069, 275, 6073, 14395, 6081, 45073, 6086, 3, 6088, 0, 6088, 0, 6088, 0, 6088, 3347, 6094, 14395, 6102, 45073, 6107, 259, 6110, 4096, 6111, 0, 6111, 0, 6111, 275, 6115, 4128, 6117, 16, 6118, 256, 6119, 0, 6119, 272, 6121, 0, 6121, 0, 6121, 12288, 6123, 6161, 6127, 2, 6128, 0, 6128, 16, 6129, 0, 6129, 273, 6132, 35, 6135, 0, 6135, 37632, 6139, 2817, 6143, 4368, 6146, 48, 6148, 273, 6151, 12331, 6157, 45073, 6162, 5063, 6170, 15105, 6176, 304, 6179, 640, 6181, 0, 6181, 12288, 6183, 45073, 6188, 4995, 6194, 11009, 6199, 4400, 6203, 944, 6208, 17, 6210, 12298, 6214, 45073, 6219, 4354, 6222, 8192, 6223, 0, 6223, 256, 6224, 273, 6227, 4139, 6232, 40977, 6236, 4866, 6240, 11009, 6245, 16, 6246, 256, 6247, 1, 6248, 12288, 6250, 36881, 6254, 4866, 6258, 11009, 6263, 4400, 6267, 26288, 6274, 0, 6274, 12288, 6276, 45073, 6281, 54018, 6287, 27399, 6295, 4410, 6301, 1968, 6307, 259, 6310, 32, 6311, 0, 6311, 4864, 6314, 27397, 6321, 4408, 6326, 944, 6331, 275, 6335, 4280, 6340, 0, 6340, 6912, 6344, 11013, 6350, 272, 6352, 768, 6354, 0, 6354, 4096, 6355, 40977, 6359, 4354, 6362, 2561, 6365, 31088, 6373, 41648, 6379, 273, 6382, 4106, 6385, 0, 6385, 4352, 6387, 1, 6388, 4368, 6391, 144, 6393, 273, 6396, 9, 6398, 0, 6398, 37632, 6402, 47877, 6410, 63986, 6421, 8880, 6426, 275, 6430, 12859, 6438, 8193, 6440, 0, 6440, 0, 6440, 22832, 6446, 1712, 6451, 403, 6456, 12347, 6463, 40977, 6467, 4387, 6472, 0, 6472, 4464, 6477, 688, 6481, 17, 6483, 4112, 6485, 0, 6485, 4865, 6489, 769, 6492, 272, 6494, 0, 6494, 1939, 6501, 5675, 6508, 16, 6509, 257, 6511, 0, 6511, 4400, 6515, 512, 6516, 273, 6519, 12329, 6524, 45073, 6529, 0, 6529, 0, 6529, 20784, 6534, 3760, 6540, 1299, 6545, 14395, 6553, 45073, 6558, 771, 6562, 256, 6563, 0, 6563, 0, 6563, 403, 6568, 4153, 6573, 0, 6573, 770, 6576, 15104, 6581, 0, 6581, 0, 6581, 275, 6585, 35, 6588, 0, 6588, 0, 6588, 0, 6588, 16, 6589, 0, 6589, 1, 6590, 12320, 6593, 36881, 6597, 2, 6598, 0, 6598, 0, 6598, 0, 6598, 0, 6598, 4096, 6599, 0, 6599, 4354, 6602, 769, 6605, 0, 6605, 0, 6605, 275, 6609, 45099, 6616, 45177, 6624, 4899, 6630, 15105, 6636, 4400, 6640, 688, 6644, 273, 6647, 61473, 6653, 45273, 6661, 4931, 6667, 15105, 6673, 4400, 6677, 944, 6682, 273, 6685, 28704, 6689, 45137, 6695, 4898, 6700, 8193, 6702, 4368, 6705, 400, 6708, 273, 6711, 12299, 6716, 45073, 6721, 37634, 6726, 43777, 6732, 22, 6735, 256, 6736, 275, 6740, 12321, 6744, 45073, 6749, 770, 6752, 10497, 6756, 12592, 6761, 688, 6765, 0, 6765, 12288, 6767, 47129, 6774, 6978, 6780, 13057, 6785, 4408, 6790, 816, 6794, 0, 6794, 32, 6795, 0, 6795, 4864, 6798, 13061, 6804, 4368, 6807, 0, 6807, 0, 6807, 0, 6807, 1, 6808, 37632, 6812, 8965, 6817, 304, 6820, 256, 6821, 1, 6822, 4112, 6824, 12305, 6828, 256, 6829, 0, 6829, 4400, 6833, 560, 6836, 1, 6837, 4112, 6839, 0, 6839, 4352, 6841, 0, 6841, 0, 6841, 512, 6842, 34067, 6848, 4099, 6851, 4113, 6854, 4864, 6857, 11009, 6862, 30512, 6870, 25528, 6878, 275, 6882, 12347, 6889, 45201, 6895, 4514, 6900, 513, 6902, 31536, 6910, 22512, 6919, 275, 6923, 28715, 6930, 61649, 6938, 4579, 6945, 6913, 6950, 28976, 6956, 2745, 6963, 275, 6967, 12347, 6974, 36865, 6977, 4866, 6981, 11009, 6986, 4400, 6990, 688, 6994, 1811, 7e3, 12331, 7006, 12305, 7010, 4867, 7015, 8961, 7019, 4400, 7023, 688, 7027, 275, 7031, 12459, 7038, 46097, 7044, 4606, 7053, 2305, 7056, 28976, 7062, 18360, 7070, 1491, 7077, 12411, 7085, 45073, 7090, 21251, 7096, 8449, 7099, 4368, 7102, 0, 7102, 1299, 7107, 12395, 7114, 45073, 7119, 4354, 7122, 13057, 7127, 16, 7128, 0, 7128, 1299, 7133, 14571, 7142, 40976, 7145, 258, 7147, 12288, 7149, 4368, 7152, 688, 7156, 19, 7159, 12320, 7162, 45169, 7169, 258, 7171, 4096, 7172, 16, 7173, 0, 7173, 275, 7177, 4107, 7181, 4113, 7184, 4864, 7187, 11009, 7192, 0, 7192, 0, 7192, 1427, 7198, 13931, 7207, 45205, 7214, 4867, 7219, 15105, 7225, 272, 7227, 512, 7228, 0, 7228, 12288, 7230, 45073, 7235, 259, 7238, 8192, 7239, 16, 7240, 256, 7241, 0, 7241, 12288, 7243, 45073, 7248, 778, 7252, 4097, 7254, 16, 7255, 256, 7256, 273, 7259, 3, 7261, 0, 7261, 4866, 7265, 8961, 7269, 16, 7270, 768, 7272, 0, 7272, 4096, 7273, 0, 7273, 256, 7274, 0, 7274, 16, 7275, 656, 7278, 0, 7278, 12288, 7280, 12305, 7284, 21382, 7291, 31489, 7298, 4400, 7302, 944, 7307, 337, 7311, 33, 7313, 0, 7313, 4864, 7316, 15105, 7322, 4400, 7326, 688, 7330, 17, 7332, 4112, 7334, 1, 7335, 4866, 7339, 11009, 7344, 4368, 7347, 512, 7348, 0, 7348, 4096, 7349, 45073, 7354, 258, 7356, 256, 7357, 4400, 7361, 688, 7365, 1, 7366, 4112, 7368, 1, 7369, 4352, 7371, 11009, 7376, 4368, 7379, 528, 7381, 275, 7385, 43, 7389, 0, 7389, 37632, 7393, 11011, 7399, 4400, 7403, 688, 7407, 275, 7411, 12347, 7418, 0, 7418, 2, 7419, 0, 7419, 6448, 7424, 944, 7429, 275, 7433, 4139, 7438, 45073, 7443, 259, 7446, 0, 7446, 4400, 7450, 688, 7454, 275, 7458, 4129, 7461, 0, 7461, 258, 7463, 1, 7464, 16, 7465, 0, 7465, 275, 7469, 4139, 7474, 17, 7476, 258, 7478, 8192, 7479, 4400, 7483, 688, 7487, 273, 7490, 12289, 7493, 12305, 7497, 2, 7498, 0, 7498, 4400, 7502, 688, 7506, 787, 7511, 12347, 7518, 45073, 7523, 259, 7526, 8192, 7527, 0, 7527, 0, 7527, 1299, 7532, 12347, 7539, 45073, 7544, 4354, 7547, 4096, 7548, 272, 7550, 0, 7550, 275, 7554, 5163, 7560, 1, 7561, 256, 7562, 0, 7562, 272, 7564, 640, 7566, 1, 7567, 12288, 7569, 45073, 7574, 258, 7576, 4096, 7577, 16, 7578, 0, 7578, 275, 7582, 4131, 7586, 4113, 7589, 37634, 7594, 2821, 7599, 4368, 7602, 48, 7604, 275, 7608, 28715, 7615, 45137, 7621, 4899, 7627, 15105, 7633, 48, 7635, 0, 7635, 0, 7635, 12288, 7637, 45073, 7642, 4867, 7647, 11009, 7652, 4368, 7655, 816, 7659, 257, 7661, 12298, 7665, 45073, 7670, 258, 7672, 8192, 7673, 0, 7673, 0, 7673, 17, 7675, 4096, 7676, 40977, 7680, 37632, 7684, 11013, 7690, 16, 7691, 512, 7692, 0, 7692, 4096, 7693, 36881, 7697, 4352, 7699, 10497, 7703, 4368, 7706, 176, 7709, 0, 7709, 12288, 7711, 45073, 7716, 4866, 7720, 11041, 7726, 4400, 7730, 944, 7735, 1, 7736, 32, 7737, 0, 7737, 4864, 7740, 11013, 7746, 4400, 7750, 688, 7754, 275, 7758, 4155, 7764, 8209, 7767, 4864, 7770, 11041, 7776, 4402, 7781, 640, 7783, 19, 7786, 12328, 7790, 40977, 7794, 4354, 7797, 2561, 7800, 4400, 7804, 658, 7808, 273, 7811, 12321, 7815, 17, 7817, 4866, 7821, 11009, 7826, 4400, 7830, 656, 7833, 979, 7840, 4651, 7846, 12305, 7850, 4866, 7854, 11009],
    ksc5601TableF9 = [7859, 65535, 7875, 65535, 7891, 65535, 7907, 65535, 7923, 65535, 7939, 65535, 7955, 65535, 7971, 65535, 7987, 65535, 8003, 65535, 8019, 65535, 8035, 65535, 8051, 65535, 8067, 65535, 8083, 65535, 8099, 65535, 8115, 4095],
    ksc5601TableFF = [8127, 65534, 8142, 65535, 8158, 65535, 8174, 65535, 8190, 65535, 8206, 32767, 8221, 0, 8221, 0, 8221, 0, 8221, 0, 8221, 0, 8221, 0, 8221, 0, 8221, 0, 8221, 111];

function unicodetoksc5601(e, a) {
    var s = [],
        c = 0,
        k = 0,
        b = 0;
    if (2 <= a) {
        0 <= e && e < 1120 ? (c = parseInt(e >> 4), b = ksc5601Table00[c *= 2], k = ksc5601Table00[c + 1]) : 8192 <= e && e < 9840 ? (c = parseInt((e >> 4) - 512), b = ksc5601Table20[c *= 2], k = ksc5601Table20[c + 1]) : 12288 <= e && e < 13280 ? (c = parseInt((e >> 4) - 768), b = ksc5601Table30[c *= 2], k = ksc5601Table30[c + 1]) : 19968 <= e && e < 40864 ? (c = parseInt((e >> 4) - 1248), b = ksc5601Table4E[c *= 2], k = ksc5601Table4E[c + 1]) : 44032 <= e && e < 55200 ? (c = parseInt((e >> 4) - 2752), b = ksc5601TableAC[c *= 2], k = ksc5601TableAC[c + 1]) : 63744 <= e && e < 64016 ? (c = parseInt((e >> 4) - 3984), b = ksc5601TableF9[c *= 2], k = ksc5601TableF9[c + 1]) : 65280 <= e && e < 65520 && (c = parseInt((e >> 4) - 4080), b = ksc5601TableFF[c *= 2], k = ksc5601TableFF[c + 1]);
        var l, r = parseInt(15 & e);
        if (parseInt(k & 1 << r)) return k = parseInt(k & (1 << r) - 1), k = parseInt((21845 & k) + ((43690 & k) >> 1)), k = parseInt((13107 & k) + ((52428 & k) >> 2)), k = parseInt((3855 & k) + ((61680 & k) >> 4)), k = parseInt((255 & k) + (k >> 8)), l = ksc5601Table[b + k], s[0] = parseInt(l >> 8), s[1] = parseInt(255 & l), s
    }
    return -2
}
var jis0208Table = [8561, 8562, 8568, 8495, 8780, 8555, 8542, 8493, 8825, 8543, 8544, 9761, 9762, 9763, 9764, 9765, 9766, 9767, 9768, 9769, 9770, 9771, 9772, 9773, 9774, 9775, 9776, 9777, 9778, 9779, 9780, 9781, 9782, 9783, 9784, 9793, 9794, 9795, 9796, 9797, 9798, 9799, 9800, 9801, 9802, 9803, 9804, 9805, 9806, 9807, 9808, 9809, 9810, 9811, 9812, 9813, 9814, 9815, 9816, 10023, 10017, 10018, 10019, 10020, 10021, 10022, 10024, 10025, 10026, 10027, 10028, 10029, 10030, 10031, 10032, 10033, 10034, 10035, 10036, 10037, 10038, 10039, 10040, 10041, 10042, 10043, 10044, 10045, 10046, 10047, 10048, 10049, 10065, 10066, 10067, 10068, 10069, 10070, 10072, 10073, 10074, 10075, 10076, 10077, 10078, 10079, 10080, 10081, 10082, 10083, 10084, 10085, 10086, 10087, 10088, 10089, 10090, 10091, 10092, 10093, 10094, 10095, 10096, 10097, 10071, 8510, 8509, 8514, 8518, 8519, 8520, 8521, 8823, 8824, 8517, 8516, 8819, 8556, 8557, 8744, 8558, 8818, 8747, 8748, 8746, 8749, 8781, 8782, 8783, 8799, 8784, 8800, 8762, 8763, 8541, 8805, 8807, 8551, 8796, 8778, 8779, 8769, 8768, 8809, 8810, 8552, 8808, 8806, 8802, 8546, 8801, 8549, 8550, 8803, 8804, 8766, 8767, 8764, 8765, 8797, 8798, 10273, 10284, 10274, 10285, 10275, 10286, 10276, 10287, 10278, 10289, 10277, 10288, 10279, 10300, 10295, 10290, 10281, 10302, 10297, 10292, 10280, 10296, 10301, 10291, 10282, 10298, 10303, 10293, 10283, 10299, 10304, 10294, 8739, 8738, 8741, 8740, 8743, 8742, 8737, 8574, 8571, 8573, 8572, 8830, 8570, 8569, 8554, 8553, 8822, 8821, 8820, 8481, 8482, 8483, 8503, 8505, 8506, 8507, 8530, 8531, 8532, 8533, 8534, 8535, 8536, 8537, 8538, 8539, 8745, 8750, 8524, 8525, 8513, 9249, 9250, 9251, 9252, 9253, 9254, 9255, 9256, 9257, 9258, 9259, 9260, 9261, 9262, 9263, 9264, 9265, 9266, 9267, 9268, 9269, 9270, 9271, 9272, 9273, 9274, 9275, 9276, 9277, 9278, 9279, 9280, 9281, 9282, 9283, 9284, 9285, 9286, 9287, 9288, 9289, 9290, 9291, 9292, 9293, 9294, 9295, 9296, 9297, 9298, 9299, 9300, 9301, 9302, 9303, 9304, 9305, 9306, 9307, 9308, 9309, 9310, 9311, 9312, 9313, 9314, 9315, 9316, 9317, 9318, 9319, 9320, 9321, 9322, 9323, 9324, 9325, 9326, 9327, 9328, 9329, 9330, 9331, 8491, 8492, 8501, 8502, 9505, 9506, 9507, 9508, 9509, 9510, 9511, 9512, 9513, 9514, 9515, 9516, 9517, 9518, 9519, 9520, 9521, 9522, 9523, 9524, 9525, 9526, 9527, 9528, 9529, 9530, 9531, 9532, 9533, 9534, 9535, 9536, 9537, 9538, 9539, 9540, 9541, 9542, 9543, 9544, 9545, 9546, 9547, 9548, 9549, 9550, 9551, 9552, 9553, 9554, 9555, 9556, 9557, 9558, 9559, 9560, 9561, 9562, 9563, 9564, 9565, 9566, 9567, 9568, 9569, 9570, 9571, 9572, 9573, 9574, 9575, 9576, 9577, 9578, 9579, 9580, 9581, 9582, 9583, 9584, 9585, 9586, 9587, 9588, 9589, 9590, 8486, 8508, 8499, 8500, 12396, 17274, 15415, 19324, 15974, 15152, 15973, 12860, 18772, 19775, 20514, 12591, 13166, 20515, 16420, 21058, 13654, 19002, 15975, 20030, 19010, 20516, 17254, 20517, 13946, 20518, 13405, 17200, 15463, 20519, 20520, 20521, 18229, 13655, 18231, 18019, 14403, 19251, 26953, 20522, 15976, 20523, 12853, 13925, 14448, 19561, 22054, 19824, 18045, 13349, 13621, 20524, 20525, 20027, 19773, 16744, 20527, 15222, 18035, 20530, 12606, 14431, 14430, 12390, 20299, 20298, 14899, 12321, 20531, 20532, 20533, 19252, 20534, 14450, 12391, 19314, 13692, 13693, 13694, 17506, 20028, 20535, 20536, 20537, 16205, 15674, 16206, 20542, 20540, 20541, 13656, 14883, 12912, 20539, 20538, 18985, 15174, 15173, 16958, 20543, 18773, 16487, 8504, 20544, 20546, 16997, 20065, 12362, 20545, 12862, 13892, 17255, 14191, 20547, 18212, 13419, 20548, 12363, 14432, 13420, 18810, 18482, 13657, 12913, 20583, 17729, 18284, 20550, 18492, 20066, 16173, 15175, 15223, 12864, 17489, 17186, 20554, 12364, 17507, 15675, 14900, 19748, 16974, 12863, 20553, 19774, 20549, 20551, 14958, 20552, 21796, 20560, 20563, 20561, 12866, 19003, 20555, 20559, 14451, 15176, 13350, 20564, 20556, 20067, 15224, 20557, 20562, 20565, 20558, 13857, 12365, 13858, 12865, 21797, 19321, 18798, 14452, 16175, 20023, 19032, 14136, 16933, 12900, 15699, 20569, 20574, 20572, 20567, 16943, 20570, 20573, 20571, 19037, 20568, 16174, 19315, 20575, 20576, 15652, 20589, 18256, 18742, 20584, 19056, 12854, 20588, 20582, 20591, 16722, 14404, 18268, 24647, 20590, 17757, 20579, 14454, 14453, 20577, 15450, 20585, 19055, 17229, 20581, 14193, 20578, 20586, 20580, 20049, 20587, 20289, 13926, 14192, 20592, 20593, 20597, 12366, 19024, 20596, 20595, 20599, 20598, 17508, 14194, 20600, 15429, 16934, 17509, 13942, 20601, 13622, 20602, 20604, 19253, 14182, 15153, 18551, 20603, 14917, 19779, 20606, 20771, 20605, 14916, 15741, 14137, 20772, 13903, 20769, 20770, 17967, 16764, 13859, 19277, 20773, 20029, 20774, 20777, 20775, 16718, 20776, 20778, 20780, 20779, 19016, 13623, 20782, 20783, 12847, 20781, 15476, 20786, 20785, 20784, 20566, 20787, 15742, 20788, 19749, 19545, 20790, 20789, 20792, 20791, 20793, 20794, 12404, 14389, 14139, 15676, 17275, 13860, 16488, 14455, 14702, 20796, 19528, 17734, 15225, 20795, 20797, 17758, 13173, 20798, 18046, 16692, 20800, 20801, 18476, 14456, 20283, 20802, 13862, 19004, 16950, 13937, 17717, 14195, 20803, 20804, 18018, 12639, 20807, 14973, 20806, 14918, 20808, 26222, 20809, 19265, 20810, 20811, 20812, 15977, 15436, 13351, 20815, 20813, 19517, 20814, 18778, 20816, 20817, 20818, 17759, 20822, 20820, 20821, 20819, 14947, 20823, 19562, 20068, 20824, 16424, 20825, 15706, 20826, 17276, 20031, 17760, 21061, 20827, 29733, 13893, 20828, 19294, 15720, 17020, 20830, 18020, 20831, 20832, 13102, 20833, 13863, 17996, 12666, 15696, 18465, 20834, 17761, 16207, 20835, 18988, 16474, 13346, 13353, 20836, 20838, 14138, 20837, 20083, 15721, 18493, 19020, 20839, 19832, 20840, 20841, 17790, 20842, 16425, 14974, 14196, 20843, 15177, 14703, 17510, 20845, 16935, 14959, 20846, 20847, 16688, 20844, 20849, 19254, 14692, 20848, 14197, 14942, 18285, 20852, 20850, 18811, 15978, 20859, 13156, 20853, 20851, 16719, 20855, 20854, 13124, 14176, 20860, 20013, 20856, 20861, 20858, 20857, 20047, 14457, 12867, 20084, 15733, 17752, 14693, 21026, 21027, 20069, 20267, 21029, 14458, 21028, 13103, 21030, 19286, 17468, 19750, 19033, 21031, 28757, 17968, 21032, 13354, 19507, 15905, 21033, 19047, 21037, 16426, 21034, 13904, 21035, 13355, 14126, 21038, 21039, 21040, 21041, 15451, 14459, 19550, 19560, 18039, 19057, 21042, 21043, 21045, 21047, 21046, 21048, 12861, 19276, 14972, 21049, 16729, 15906, 13865, 21050, 18523, 21051, 21052, 21053, 21054, 18724, 13928, 12389, 17983, 21055, 15677, 16489, 21057, 21056, 15907, 14433, 21059, 18494, 21060, 18524, 16948, 17006, 13864, 18030, 17201, 18286, 19278, 21062, 16490, 14133, 21063, 21064, 12588, 12405, 13421, 16936, 13649, 19825, 21067, 12855, 21066, 13866, 21068, 19569, 21069, 20050, 14460, 14390, 21070, 21072, 21071, 16223, 12601, 12638, 21073, 21074, 14391, 21075, 13678, 15154, 21076, 19316, 14901, 13658, 19751, 16720, 18495, 15485, 15687, 15464, 15477, 15734, 18496, 21079, 12611, 16721, 14461, 14405, 13927, 21083, 17185, 17022, 13867, 15908, 21084, 21082, 12868, 16998, 15416, 15179, 12582, 13168, 14694, 15178, 21085, 21086, 13641, 13126, 14695, 13640, 17503, 12581, 17969, 19518, 14625, 19833, 17735, 14462, 14127, 21095, 13923, 19274, 18525, 21094, 13406, 21089, 21090, 21092, 21093, 13659, 16225, 18989, 21091, 21087, 14435, 21088, 20260, 19058, 17512, 14434, 14704, 21096, 18013, 21100, 15486, 15478, 21103, 21101, 19491, 21098, 21107, 21102, 21105, 14406, 19519, 21106, 21108, 21110, 14960, 20290, 21099, 21097, 21109, 21104, 21112, 21283, 21114, 21118, 21281, 21115, 21310, 14953, 13105, 21113, 21285, 12406, 21284, 12325, 18762, 21282, 21116, 21111, 21117, 14920, 21286, 12407, 21295, 21287, 21288, 15909, 19305, 21293, 21292, 17711, 21294, 21291, 12596, 14902, 16176, 21289, 17762, 21290, 12322, 21300, 19747, 15911, 21306, 21305, 21296, 16963, 21297, 17007, 21302, 15910, 21299, 19556, 14140, 21303, 21304, 21301, 21307, 21298, 21313, 21318, 21314, 21309, 21319, 16689, 21321, 14626, 21311, 17277, 21315, 21308, 13357, 13422, 13157, 21316, 21312, 14198, 21322, 21320, 16723, 13642, 13868, 21317, 13940, 12612, 21326, 21324, 21543, 21329, 21323, 21327, 21325, 15180, 21328, 21331, 21336, 21334, 21333, 17202, 12869, 21330, 21332, 15912, 12595, 21335, 12894, 21346, 15996, 21342, 21340, 21341, 21343, 12605, 16697, 21337, 21338, 13178, 21345, 13423, 21348, 21344, 21347, 18990, 18005, 18488, 21350, 21349, 13125, 21351, 21354, 21353, 21352, 18233, 21355, 21356, 21358, 21357, 21360, 21363, 21361, 21359, 21362, 21364, 21365, 21366, 21367, 21368, 20805, 15484, 15181, 12915, 12408, 17220, 21369, 14884, 12367, 16222, 21370, 14407, 14705, 21372, 21371, 19040, 21373, 21537, 21374, 21538, 21539, 14199, 12640, 21540, 21542, 21541, 21544, 17754, 21545, 12341, 14943, 14141, 17231, 21546, 21547, 21549, 21550, 14948, 13905, 19255, 21548, 21551, 14913, 14627, 21555, 14885, 17203, 21552, 17498, 21556, 16226, 21554, 21557, 14143, 21558, 21559, 14628, 13120, 21561, 21562, 21563, 21560, 21553, 21564, 21565, 19300, 15979, 21567, 21568, 21566, 21570, 18232, 12392, 18774, 21571, 15997, 15417, 18269, 13424, 14955, 19289, 17970, 14200, 16975, 21569, 21572, 16964, 21573, 21574, 21576, 17513, 13358, 29729, 12641, 19059, 15980, 17736, 14950, 21582, 19005, 20061, 12916, 21578, 16698, 21581, 17763, 17737, 17764, 18489, 17485, 14921, 21577, 12662, 17718, 21579, 21575, 16208, 21583, 15694, 13869, 21584, 19048, 16765, 17478, 21586, 19279, 21587, 21592, 18991, 21591, 21585, 21588, 21590, 14886, 19017, 21593, 17221, 12917, 15981, 21595, 21594, 14696, 21596, 21598, 21597, 21600, 21589, 21602, 21601, 21599, 15182, 16209, 16724, 21603, 16444, 12397, 18276, 17499, 21605, 21604, 21606, 21607, 21608, 21609, 19025, 21610, 12870, 21611, 19772, 13104, 21065, 15688, 16959, 21612, 19563, 19508, 21614, 16999, 17719, 16960, 18775, 21615, 21616, 12667, 15418, 21617, 12368, 21618, 21619, 12642, 13425, 18016, 19060, 21623, 16725, 21622, 14144, 19291, 21621, 17765, 21625, 21624, 21627, 21626, 12668, 21628, 15913, 21630, 17189, 21629, 18995, 15735, 17755, 21793, 14629, 21794, 18209, 18526, 19537, 18213, 21803, 13624, 19781, 19503, 22060, 21795, 21798, 16965, 19256, 17738, 21799, 19301, 14922, 15914, 21800, 15184, 15183, 12345, 14408, 16427, 12369, 21804, 21805, 21802, 12600, 13359, 21801, 19525, 18737, 12328, 12409, 15185, 12370, 12323, 21810, 21808, 19516, 21811, 21809, 21807, 16177, 21806, 19034, 14436, 21815, 21816, 15915, 21812, 20268, 18252, 21814, 14887, 21817, 18776, 21818, 21813, 19515, 18270, 21819, 18738, 21820, 21824, 21821, 12871, 21823, 15419, 21822, 14201, 21836, 21829, 21826, 17252, 21825, 21827, 21828, 21830, 21831, 13426, 21833, 21832, 21834, 15982, 21837, 17500, 12613, 21835, 21838, 21839, 21842, 21840, 21841, 15186, 21843, 14630, 21844, 15226, 16952, 21845, 21846, 15194, 14631, 19538, 13608, 14409, 21847, 13144, 21848, 16953, 21849, 22051, 21850, 21851, 21852, 21854, 21855, 21856, 17008, 12583, 15465, 12354, 16727, 13360, 15413, 14632, 17766, 15649, 13361, 17256, 17514, 12344, 13625, 19061, 15426, 13650, 16491, 15420, 19752, 21857, 13660, 14923, 13106, 12643, 15916, 12872, 21858, 19782, 15689, 15460, 21859, 13427, 18002, 19497, 21860, 21861, 18777, 21863, 13352, 13943, 21862, 13362, 16178, 21867, 15137, 12873, 21866, 21864, 21868, 21865, 18219, 23629, 16179, 21869, 20032, 21870, 21872, 17278, 21871, 16419, 15227, 16976, 15479, 18805, 16492, 15437, 21873, 15917, 21874, 21875, 12371, 16954, 16210, 21876, 17971, 15918, 15919, 21877, 16493, 15920, 21878, 21879, 19552, 21880, 13894, 15650, 21881, 21882, 15452, 16172, 18036, 16212, 18552, 18210, 13897, 21883, 13679, 21884, 13950, 17999, 12848, 15187, 21885, 22050, 22049, 13949, 21886, 17720, 16944, 17739, 15432, 16728, 19834, 22052, 22053, 18006, 15155, 22055, 22056, 22057, 13428, 22058, 22059, 12844, 16699, 13412, 22061, 19496, 16978, 13145, 22063, 22065, 13407, 22062, 22064, 22067, 22066, 22068, 22069, 17981, 13870, 12901, 22070, 22075, 22073, 19063, 19062, 17767, 22072, 15700, 22071, 16242, 22076, 14954, 22082, 22083, 22077, 13107, 22078, 22087, 22086, 22085, 22081, 22080, 22084, 19064, 22091, 22088, 22090, 19826, 22089, 22079, 16243, 22092, 14903, 22093, 22094, 22097, 22096, 22095, 17768, 22074, 22103, 22099, 22098, 22100, 22101, 22104, 20070, 22105, 22102, 22106, 13408, 22107, 22109, 22108, 22110, 22111, 16494, 15651, 15716, 16739, 14633, 14904, 14634, 13680, 22112, 14905, 14410, 22113, 19494, 18243, 22114, 14635, 13356, 17191, 13906, 15188, 18779, 18497, 22115, 13429, 22118, 17441, 22117, 22116, 22119, 17515, 16227, 15189, 16458, 16979, 13602, 17442, 22120, 22121, 15983, 19257, 22124, 22123, 22122, 18813, 22131, 19290, 22125, 22127, 19307, 22126, 22128, 18472, 22129, 19006, 22130, 13363, 19007, 18223, 22132, 22133, 14636, 13364, 22134, 14392, 19780, 19753, 13430, 22136, 17443, 14637, 15921, 18527, 15922, 15736, 17516, 19065, 17721, 14638, 18780, 22137, 17753, 14914, 14411, 17517, 12355, 15726, 14639, 19783, 22138, 22139, 18257, 22140, 20087, 20269, 22142, 22141, 13127, 22305, 22308, 22309, 22307, 18752, 15923, 22311, 22310, 22306, 22312, 22313, 22314, 22317, 22315, 22316, 22318, 12644, 17518, 22319, 14202, 12918, 18230, 22320, 18043, 19035, 22321, 20270, 22322, 19008, 22325, 20513, 20529, 15408, 18037, 22326, 13661, 17444, 12410, 22327, 18982, 14640, 17232, 17519, 19567, 14393, 14412, 22328, 22329, 22335, 15461, 17445, 13871, 22330, 18731, 17222, 22331, 22332, 13872, 22333, 22334, 22336, 17782, 22337, 22338, 22339, 22324, 22323, 22340, 14145, 18727, 14924, 18743, 17446, 18763, 22341, 15924, 12614, 22342, 22343, 19570, 18528, 22346, 12669, 16428, 22345, 22344, 14146, 16980, 22350, 22348, 22347, 20007, 14437, 15737, 22349, 17740, 15678, 17984, 22353, 22352, 22351, 22354, 14438, 22355, 18812, 15707, 22356, 18553, 17985, 17447, 17712, 22357, 13611, 16180, 18732, 13431, 18214, 22358, 15190, 19258, 19259, 12670, 22363, 17257, 22360, 12919, 22573, 22362, 18224, 22361, 22359, 14714, 22365, 22371, 22377, 22369, 17756, 22374, 18781, 22368, 22373, 20071, 15191, 16981, 22366, 13662, 22376, 16429, 12645, 22370, 12920, 22375, 13873, 22372, 22378, 22380, 22390, 22388, 22385, 22384, 20088, 22386, 13874, 14641, 15738, 22393, 22379, 22383, 22367, 12922, 22387, 22389, 17233, 14888, 12856, 22381, 22392, 22391, 13875, 16937, 13158, 14147, 22382, 22394, 22397, 22561, 15421, 22567, 17520, 22395, 22565, 12921, 22563, 22564, 22398, 22562, 14439, 19754, 13365, 12633, 22566, 18234, 12333, 18529, 22364, 22572, 22576, 19557, 22569, 17769, 22574, 15984, 22575, 18007, 20295, 22571, 22577, 14715, 16459, 12372, 22570, 22568, 16730, 22396, 15156, 16966, 22589, 16731, 22584, 22581, 22582, 15462, 22585, 22588, 22583, 15653, 22586, 22580, 19580, 19579, 22590, 22591, 12373, 22579, 13938, 12326, 13366, 22587, 22595, 22594, 22599, 22600, 22598, 22601, 22593, 22597, 22602, 22603, 22592, 15228, 22596, 16982, 14642, 22578, 16181, 22616, 19049, 22606, 22607, 22608, 22615, 22614, 19325, 13367, 22612, 14149, 13108, 22609, 20024, 22611, 12374, 22613, 22604, 22610, 22617, 14148, 22605, 19805, 19755, 22620, 22624, 16766, 20089, 22625, 22622, 22619, 22618, 22623, 18992, 17972, 14150, 22626, 22621, 22627, 14203, 12849, 22635, 13368, 22633, 22634, 14889, 22632, 22630, 22629, 22636, 22628, 22638, 12923, 22640, 22639, 17448, 22643, 22641, 22631, 14204, 22642, 22646, 22645, 22647, 22644, 22648, 22649, 22650, 19050, 22652, 22651, 15679, 16430, 12902, 12924, 22653, 12351, 16460, 22654, 27715, 22817, 14177, 22818, 16495, 22819, 22820, 13626, 22821, 22822, 22823, 16983, 14413, 19553, 19260, 15722, 22824, 16496, 28221, 18530, 15466, 14925, 22825, 16967, 18983, 17009, 22828, 22826, 22829, 22827, 22830, 18993, 12343, 18782, 18531, 22831, 22834, 15925, 13627, 22832, 22839, 15926, 22833, 18244, 19806, 22835, 22836, 22840, 17770, 22837, 14643, 16478, 22854, 18484, 17010, 18532, 23085, 19066, 17521, 19317, 22843, 12833, 17258, 22852, 17204, 22846, 22853, 22848, 22855, 22851, 22850, 18287, 22844, 12925, 22842, 13681, 17011, 22838, 22841, 14644, 16475, 15927, 22849, 18258, 13682, 13128, 13159, 16161, 22857, 22862, 22858, 14205, 22863, 15138, 14697, 15654, 22845, 15229, 22860, 15192, 22861, 12356, 22856, 17449, 13683, 13876, 22859, 12327, 14915, 16182, 17522, 18516, 22865, 16734, 16938, 15147, 22866, 22868, 22864, 19041, 17469, 16732, 19067, 15438, 22880, 22879, 16248, 14206, 22873, 15929, 18024, 18225, 22871, 16733, 15480, 22876, 15928, 22870, 22875, 18259, 22869, 14113, 13149, 22877, 20011, 14926, 17205, 22874, 16476, 14645, 16228, 12646, 16700, 22872, 13637, 14151, 17487, 22878, 16735, 22881, 22883, 16951, 22889, 22884, 22886, 18753, 17523, 22887, 19756, 19784, 13369, 12334, 22885, 22882, 13432, 12647, 22888, 19785, 22892, 16955, 22899, 22893, 22890, 22897, 22867, 22894, 22898, 18498, 17771, 22891, 22895, 14152, 14961, 16477, 22903, 17702, 22900, 19296, 22901, 22902, 19534, 16418, 14178, 22909, 15157, 22906, 22905, 18226, 17973, 17713, 22907, 22908, 18799, 18245, 15139, 16497, 19280, 13129, 23077, 22910, 19786, 23079, 23075, 23076, 16736, 23074, 22847, 23078, 23073, 23083, 23084, 17703, 23086, 15140, 23081, 13628, 23087, 23080, 23091, 23090, 23089, 23092, 23094, 15985, 23093, 23097, 23095, 23096, 22896, 23099, 23098, 22904, 23100, 23088, 15193, 23101, 23102, 23104, 23103, 23105, 12926, 14646, 19068, 16431, 14414, 23107, 23110, 18770, 13663, 23109, 23108, 18260, 23111, 13877, 23113, 23112, 13370, 15158, 18008, 14153, 16244, 23114, 16432, 17704, 18783, 23115, 23116, 23117, 19e3, 21853, 16454, 18764, 14936, 18533, 18499, 17741, 20033, 23119, 15440, 23120, 12342, 13908, 16461, 18784, 23121, 15170, 17223, 15195, 16183, 23122, 19069, 12663, 15196, 23125, 23123, 23126, 20025, 23124, 16507, 23127, 16946, 23128, 13434, 23130, 23129, 23131, 23132, 13435, 18044, 17206, 13676, 15197, 16737, 15708, 12336, 23133, 12834, 23137, 14647, 23136, 14891, 15930, 23135, 15931, 19520, 14890, 12375, 16462, 23142, 16433, 12615, 15701, 19302, 14962, 15932, 16423, 23141, 23139, 23140, 17259, 23334, 23146, 15230, 14648, 23144, 23145, 16184, 23143, 15151, 23148, 23147, 23152, 23153, 23149, 13090, 23150, 23151, 18517, 18785, 14154, 23154, 16434, 15933, 17234, 13895, 23155, 23159, 12875, 23156, 23158, 23157, 15723, 17224, 12357, 23160, 23161, 17450, 20081, 15171, 19051, 19261, 23330, 23163, 23166, 23165, 23162, 23329, 18014, 23164, 23331, 15724, 23332, 19787, 18296, 23333, 23335, 23336, 23337, 13898, 12616, 14649, 23338, 23339, 15729, 16738, 21080, 16702, 16701, 16984, 14919, 20594, 14190, 19757, 19070, 18814, 23340, 14963, 17471, 23341, 20271, 19262, 17451, 23342, 13436, 23343, 23344, 19546, 19492, 19318, 19292, 15141, 23346, 15467, 19281, 23348, 23351, 23350, 13433, 13664, 23347, 23349, 23352, 16249, 19835, 12361, 14944, 16956, 15453, 15987, 23355, 17742, 23353, 16939, 23354, 15986, 19549, 23356, 23357, 19816, 23362, 14650, 18261, 23359, 17772, 23134, 23138, 13647, 18247, 23361, 15934, 18500, 23367, 18554, 23358, 23364, 23363, 16463, 19309, 20051, 19303, 12876, 15198, 20296, 23366, 16245, 23365, 23360, 14415, 23372, 23370, 12877, 23368, 23374, 23380, 16968, 19009, 23382, 18722, 23381, 18288, 19263, 13371, 16503, 15680, 17491, 19758, 23377, 23376, 23378, 23375, 23383, 23373, 23371, 23379, 23369, 17260, 19576, 15430, 14964, 14906, 19311, 13121, 17486, 17994, 12617, 16498, 16436, 14122, 23385, 14651, 13180, 23387, 13172, 23393, 23390, 16499, 13131, 14892, 13130, 14927, 23388, 14181, 14155, 17773, 23386, 12358, 23389, 23391, 13901, 14124, 13372, 13643, 23394, 14969, 19313, 15159, 23395, 18736, 23407, 12851, 23396, 23413, 23397, 20034, 23404, 18271, 23412, 23399, 12340, 23401, 14652, 23403, 23402, 23398, 23409, 15935, 21613, 14440, 19836, 23400, 17524, 13091, 14893, 23392, 23408, 13153, 23406, 23410, 17774, 13438, 23602, 19529, 23415, 13437, 23422, 19264, 23585, 23587, 23591, 23417, 17194, 17775, 23595, 23420, 23592, 23586, 16185, 23596, 16435, 23594, 13373, 20304, 23414, 23590, 12376, 23416, 19514, 23421, 16162, 17479, 23411, 23589, 16250, 23599, 13169, 14369, 23601, 23418, 23600, 23593, 23419, 23597, 23598, 23615, 17998, 23588, 23611, 23613, 17496, 19788, 18806, 23608, 16970, 23614, 16703, 23605, 23618, 23617, 18031, 23616, 18026, 23620, 23607, 13896, 23610, 15709, 18272, 23612, 13899, 23604, 23606, 23603, 20272, 13146, 23609, 23619, 13109, 14951, 12637, 23636, 20273, 23639, 16186, 23638, 23637, 23634, 23622, 23651, 23621, 23640, 23632, 23627, 23624, 23625, 23633, 29730, 23630, 14653, 17480, 16740, 23628, 23623, 23626, 19789, 19306, 23631, 23641, 23649, 23642, 23655, 23653, 23648, 23647, 17488, 16741, 23645, 23643, 23650, 23656, 18549, 23662, 23657, 23660, 23654, 17268, 18744, 23644, 23652, 15936, 19535, 23672, 23659, 14370, 12835, 13151, 23635, 15937, 23664, 23671, 15481, 13170, 17198, 23661, 23666, 23670, 13878, 13644, 23668, 13601, 17995, 23667, 23669, 23663, 23665, 13152, 17225, 23676, 23674, 14441, 23673, 23841, 23384, 23675, 23677, 23678, 23852, 23848, 23405, 23847, 23846, 23843, 23658, 23845, 23844, 23850, 20262, 23853, 13947, 23849, 23851, 18471, 23854, 23858, 23855, 19827, 23856, 23646, 23859, 23860, 12597, 23862, 14183, 15393, 13909, 12836, 19807, 23864, 23863, 23866, 13629, 13910, 13374, 23869, 23868, 23870, 12878, 17207, 23871, 13375, 23873, 23872, 23874, 23875, 23876, 15199, 16437, 14881, 18800, 19042, 20292, 15221, 14928, 20082, 23877, 23878, 15200, 23879, 23880, 23882, 23881, 19288, 15710, 15468, 15172, 23883, 23885, 16163, 23884, 23886, 23887, 23888, 23889, 23890, 23892, 23891, 23893, 12837, 17226, 23894, 15142, 13132, 23895, 17730, 21580, 13603, 23896, 23897, 19052, 19304, 17991, 23898, 18534, 18555, 19539, 23899, 23901, 23900, 23903, 23902, 23905, 15201, 19505, 23906, 23907, 13604, 23908, 23910, 23909, 16229, 18745, 12618, 18501, 17525, 15681, 13665, 18502, 15406, 23912, 13376, 12664, 18034, 23911, 14654, 17235, 23913, 23921, 23914, 16961, 13666, 23922, 14184, 13605, 23920, 23918, 23915, 19808, 17472, 18009, 23916, 23924, 23923, 14115, 12845, 14907, 23917, 23919, 19287, 17012, 19319, 23932, 23933, 12879, 18984, 19581, 24097, 15395, 15938, 23928, 23934, 12648, 13879, 23925, 23930, 16500, 18289, 18535, 23927, 19233, 23929, 24100, 24098, 23931, 19234, 18248, 13667, 17701, 17261, 24101, 24099, 16985, 23926, 12619, 19790, 24112, 24111, 16502, 24108, 19820, 17974, 24102, 17477, 12620, 14655, 24105, 15655, 24110, 24109, 24104, 24107, 13160, 24106, 18249, 20014, 15988, 16501, 24118, 24116, 18765, 24113, 24115, 12602, 14656, 20274, 13117, 18786, 19809, 13092, 16187, 24117, 24122, 15939, 19760, 24119, 24114, 24120, 20062, 17779, 17986, 13110, 12629, 24126, 24129, 20035, 19812, 24136, 24130, 24127, 20052, 24133, 15690, 24135, 24140, 17777, 24138, 24132, 17208, 24139, 24128, 24134, 24141, 12412, 24131, 24142, 16188, 15711, 18981, 14894, 24123, 24137, 17722, 16438, 13161, 14929, 15940, 24125, 15682, 14156, 24124, 24146, 15725, 14394, 24161, 24155, 13684, 17743, 24150, 24159, 12335, 12594, 12857, 24152, 16940, 24143, 24145, 14657, 24162, 24157, 24149, 24156, 19499, 24154, 24158, 14416, 15941, 17209, 24148, 19759, 24151, 24144, 17778, 24147, 24153, 20305, 15422, 19326, 24163, 18478, 24175, 14395, 15712, 24165, 20015, 14658, 24178, 12398, 24176, 24164, 24170, 24172, 19791, 24167, 17710, 24169, 24177, 24171, 19527, 24166, 15394, 24190, 13162, 24168, 24173, 24174, 17004, 16986, 24182, 24188, 24186, 17705, 24355, 24183, 24184, 24160, 13689, 18746, 15423, 14711, 20275, 24180, 24354, 12649, 16742, 18297, 13377, 20090, 19489, 17490, 24187, 24189, 16690, 24353, 24185, 24179, 13379, 14185, 24367, 24362, 16504, 13155, 15713, 24371, 24364, 17452, 24361, 17497, 24396, 24358, 24357, 24366, 24360, 24359, 24365, 16417, 24356, 24368, 24369, 13378, 24374, 24373, 24375, 24378, 17731, 24372, 24376, 14179, 17017, 24370, 18235, 24377, 24382, 24380, 24383, 24386, 24379, 14698, 18216, 24121, 19828, 24381, 24385, 17013, 24384, 24363, 28521, 24389, 24393, 24391, 24387, 24388, 24392, 24390, 18766, 24398, 24395, 24394, 24397, 18004, 24399, 17269, 17005, 16421, 24400, 24402, 24401, 24181, 24403, 18023, 24404, 12880, 17780, 13093, 13668, 15454, 14930, 20263, 16230, 12650, 24406, 24405, 24409, 17210, 24412, 24407, 24411, 24410, 17728, 12377, 20085, 24414, 12584, 24416, 24415, 24413, 24408, 19235, 24418, 24417, 12651, 24420, 18994, 24419, 19509, 15943, 16691, 15942, 20091, 24426, 16505, 24422, 24427, 12652, 24425, 18273, 24421, 24424, 15944, 18513, 24428, 15441, 16506, 24431, 24423, 14119, 24429, 19792, 24432, 29734, 15695, 24433, 24434, 18222, 24436, 24437, 18227, 17781, 24439, 24441, 20053, 24438, 24440, 12653, 24435, 21339, 24442, 16743, 15160, 24444, 24443, 16164, 21081, 24445, 24609, 24430, 24446, 24610, 18298, 24611, 24612, 24613, 24614, 17502, 24616, 24615, 24617, 24618, 15455, 18787, 19564, 24619, 24620, 16726, 15396, 24621, 24622, 24623, 19026, 18503, 24624, 18263, 17453, 24625, 12903, 13677, 19526, 19510, 12852, 20276, 19282, 18986, 16439, 24626, 17987, 14371, 24627, 14932, 24629, 24628, 24630, 24631, 24632, 13630, 24633, 24634, 14372, 18504, 24636, 15989, 24635, 13880, 24637, 24639, 24638, 24640, 14417, 24641, 13929, 16704, 14717, 24643, 24644, 24642, 15469, 17992, 13881, 24646, 17196, 24645, 20277, 18274, 24649, 24651, 24648, 19540, 24650, 24652, 20036, 24656, 24655, 17270, 18221, 14373, 24654, 24653, 19761, 19762, 24657, 12654, 14710, 15202, 24658, 24659, 24661, 15683, 24663, 24662, 24664, 13133, 24666, 24665, 24668, 24667, 14396, 20008, 13900, 12838, 13930, 13409, 20072, 24670, 24672, 24673, 12881, 24669, 15161, 17473, 24671, 24676, 15470, 24674, 14142, 18505, 24675, 24702, 24681, 14397, 13669, 24678, 19837, 20016, 17014, 24680, 24682, 20054, 13911, 18556, 18250, 24683, 24685, 24688, 24684, 24687, 14442, 12621, 24689, 16240, 24686, 20060, 24692, 29732, 24690, 24693, 24679, 24691, 14908, 24694, 24695, 19838, 24696, 24697, 24677, 24698, 13380, 15397, 24699, 24700, 24701, 12603, 24865, 18747, 24866, 13348, 24867, 24868, 24869, 24871, 24872, 24870, 18771, 24874, 24873, 24876, 24875, 24877, 24878, 24880, 24879, 14713, 24882, 24881, 13381, 16211, 17724, 24883, 16440, 15162, 12665, 24884, 19793, 19043, 24885, 17732, 19763, 14659, 16189, 17227, 21044, 17454, 12904, 24886, 24887, 24892, 24890, 24889, 23106, 13094, 24888, 12378, 18474, 18506, 20017, 24893, 24891, 17244, 16422, 18475, 18733, 24895, 20012, 14157, 24896, 24894, 18518, 24897, 24898, 12379, 15990, 24903, 24900, 18029, 24899, 13606, 24906, 24901, 24902, 24905, 24904, 18725, 16706, 16705, 13631, 24907, 24908, 24909, 24911, 24910, 12630, 24919, 18536, 24913, 24915, 24917, 16190, 24918, 24916, 15424, 24912, 24914, 18754, 15945, 24921, 24920, 24922, 15398, 14895, 17783, 24923, 17483, 24925, 20001, 24924, 16745, 24930, 24932, 24933, 17236, 24931, 24928, 24926, 24927, 24929, 24936, 24934, 24935, 24937, 24939, 24940, 24941, 24942, 24938, 24944, 24943, 24945, 20037, 24948, 24946, 24947, 13410, 19582, 19018, 24950, 24949, 24951, 24952, 24956, 24953, 24954, 24955, 24957, 24958, 25121, 25122, 25123, 18479, 17744, 25124, 18290, 18740, 25125, 25126, 17706, 13095, 14660, 25127, 25128, 25129, 15145, 25131, 25130, 25132, 25133, 18537, 25134, 25135, 29545, 25136, 25137, 25138, 15150, 25139, 18262, 19295, 12622, 12631, 25140, 25142, 25141, 17776, 16441, 23865, 25143, 19521, 25144, 13382, 18519, 25145, 25146, 25147, 19548, 19541, 17470, 16746, 25149, 15714, 15946, 25152, 25151, 25150, 18557, 13383, 14377, 25158, 25155, 16191, 19506, 25154, 25156, 25157, 25153, 25159, 25160, 17455, 13411, 17253, 25161, 25162, 25165, 16231, 17988, 25166, 19283, 25163, 25164, 25169, 25168, 25167, 25171, 25170, 25172, 25174, 25173, 19021, 15702, 20038, 25175, 17975, 25176, 25177, 25181, 25179, 25180, 25178, 25182, 25183, 25184, 25185, 19511, 25186, 19568, 25187, 17230, 18282, 13931, 17211, 25188, 13882, 16464, 25189, 14909, 25190, 25191, 14374, 14933, 25193, 17750, 14934, 13646, 19236, 18251, 17751, 14684, 25195, 15947, 20018, 14661, 14375, 18467, 25197, 25199, 14443, 25198, 17526, 25201, 13111, 25196, 18538, 12592, 14956, 20306, 25200, 25202, 19019, 16473, 25204, 25205, 25203, 13134, 25211, 25210, 15399, 25212, 25207, 25213, 25208, 18520, 25206, 25209, 25378, 25377, 19297, 25214, 12395, 25380, 25379, 15948, 25381, 16707, 25383, 25382, 25384, 25192, 25194, 25386, 25385, 15400, 20073, 15442, 25387, 14135, 13632, 13607, 15203, 19764, 25393, 25392, 16708, 25389, 25391, 15691, 16192, 25390, 25388, 18218, 15949, 18748, 14935, 17784, 25394, 25395, 25417, 13912, 20285, 16693, 25396, 12882, 17527, 18977, 25397, 13690, 25398, 25400, 25401, 18217, 25402, 25403, 25404, 13913, 12883, 17989, 15656, 15204, 25405, 15657, 12874, 18755, 25406, 18539, 16709, 25409, 25410, 18281, 16193, 25407, 17249, 25408, 15950, 12380, 13609, 25411, 17528, 25412, 16455, 19501, 18723, 25413, 25414, 17237, 20039, 25416, 25415, 15471, 25418, 12400, 25421, 25419, 12884, 14158, 25420, 14662, 14706, 19046, 25422, 19284, 25424, 16465, 12623, 12858, 12332, 25423, 25425, 25426, 15991, 25427, 13135, 25429, 14186, 13670, 25430, 13941, 25431, 16508, 17997, 16480, 14965, 25432, 17250, 16747, 25434, 25436, 25433, 25435, 14114, 25437, 14118, 13671, 19794, 25439, 25440, 12590, 25443, 13174, 25442, 25441, 25445, 25438, 25446, 20009, 25447, 25448, 21620, 25450, 25449, 25451, 25452, 20021, 25453, 28783, 15951, 25454, 25455, 15703, 17976, 25456, 17192, 25457, 17212, 25458, 13861, 20799, 17245, 15411, 13384, 25459, 25634, 25462, 13672, 25461, 25636, 25460, 15952, 25464, 25465, 17707, 25466, 13150, 16218, 18788, 25468, 17e3, 25463, 25467, 25469, 14971, 25638, 18734, 18470, 17785, 13914, 25637, 25635, 18485, 25470, 17246, 17787, 17786, 14966, 25656, 25640, 25642, 25645, 25646, 25643, 25644, 25641, 25639, 25633, 19023, 12885, 25653, 25650, 25655, 25654, 18291, 19495, 15163, 25648, 25657, 25652, 25651, 25647, 25649, 13385, 17213, 16509, 18466, 25662, 18468, 16481, 25659, 18511, 25663, 19027, 17243, 25658, 25660, 25661, 25664, 15428, 17990, 25669, 25668, 25665, 20278, 25674, 25678, 25675, 25671, 25672, 25677, 25666, 21077, 25673, 25667, 25676, 25682, 13386, 25679, 25680, 25681, 25684, 25683, 18550, 25685, 20092, 19053, 25690, 25687, 25686, 16466, 25689, 25691, 25688, 25695, 25692, 25693, 25670, 25694, 25696, 25697, 19014, 25698, 19554, 13902, 14121, 25699, 18996, 16232, 19504, 25700, 20019, 18292, 16710, 18228, 15693, 12352, 25705, 25703, 25701, 13345, 15953, 25706, 25704, 25702, 25710, 25709, 25708, 25707, 25711, 25712, 16442, 25713, 25715, 25714, 14418, 16696, 25717, 17788, 25716, 25718, 18997, 16748, 14663, 25719, 20040, 25721, 25722, 25723, 25724, 15205, 25725, 14159, 13674, 13610, 25889, 19571, 14664, 25726, 25892, 19558, 18236, 18739, 15715, 25891, 15443, 14665, 15206, 13673, 18998, 25890, 16711, 19266, 14967, 15207, 17501, 25895, 20063, 14937, 25896, 16194, 25898, 15954, 14896, 25897, 15658, 14398, 16712, 25893, 25899, 25894, 14160, 25902, 25906, 14187, 25901, 25910, 14666, 19821, 12348, 25907, 13675, 25904, 25905, 17789, 25903, 25900, 13096, 16484, 14376, 25912, 25909, 25911, 25908, 14161, 16947, 25913, 16750, 25926, 25922, 25916, 25920, 15482, 12381, 25915, 25923, 25927, 14667, 19542, 17494, 25917, 25925, 25914, 17214, 25919, 12349, 19530, 25918, 13915, 18540, 16749, 20048, 15727, 25966, 25928, 16510, 25924, 25929, 25931, 17529, 25934, 25930, 19028, 13387, 19531, 12382, 25933, 20093, 25932, 12655, 18028, 25935, 25942, 25936, 25943, 25939, 18299, 15434, 25941, 25938, 25944, 25937, 15684, 19237, 15692, 25940, 25952, 25948, 25951, 25949, 25953, 25947, 25921, 16467, 18507, 25950, 25945, 16673, 14162, 15659, 16165, 16694, 25956, 25958, 25959, 25955, 25957, 25946, 25954, 25962, 25961, 19322, 14123, 25960, 25964, 25963, 25967, 25969, 15164, 25965, 25970, 25971, 25972, 25978, 17723, 25974, 25973, 25975, 25976, 25977, 25979, 25980, 13388, 25981, 25982, 26145, 26146, 26147, 26148, 26149, 26150, 26152, 26151, 26153, 26154, 26155, 26158, 26156, 26157, 14945, 14163, 17238, 18483, 15728, 18253, 18541, 26159, 22637, 26160, 26162, 19813, 26161, 26164, 26163, 19795, 26165, 18558, 26166, 26169, 26168, 26167, 26170, 14130, 16674, 13633, 26174, 26171, 26172, 26175, 26176, 26173, 12585, 12839, 26178, 26179, 26180, 19810, 15660, 26182, 26181, 16233, 26183, 26184, 26185, 13413, 13389, 26186, 26187, 19293, 19811, 19796, 20279, 14669, 26190, 15444, 26189, 26191, 15401, 16977, 26192, 14668, 19543, 26193, 26194, 26195, 26196, 26197, 15402, 19565, 26199, 17215, 26198, 26201, 26200, 26202, 16443, 26203, 26204, 19001, 26205, 16751, 26206, 26207, 20094, 26210, 26209, 26208, 17456, 26211, 16166, 26212, 26213, 20280, 26214, 26215, 26217, 26216, 18469, 18041, 20286, 18473, 26219, 15955, 18730, 26220, 26218, 13390, 14420, 15208, 18542, 14378, 19267, 26223, 26221, 14670, 14671, 12393, 14952, 18265, 12383, 26228, 17216, 18264, 16987, 26230, 26226, 26229, 26224, 26227, 19238, 14421, 12413, 26225, 26232, 26233, 17977, 13883, 26406, 18237, 15209, 13884, 16456, 20294, 19502, 26231, 16468, 13651, 26234, 26236, 26235, 26237, 17190, 18238, 17457, 26403, 26402, 26238, 16213, 18789, 26405, 26404, 14672, 20307, 26421, 26409, 26410, 15472, 26408, 14712, 26407, 26411, 17458, 18978, 16675, 16988, 26415, 26416, 26412, 26413, 26414, 14673, 26422, 26418, 18790, 19308, 18728, 26417, 26420, 26419, 19268, 26423, 26424, 16695, 26425, 26427, 26431, 26428, 26426, 18239, 26429, 26430, 12850, 26437, 26432, 26433, 26434, 16929, 26436, 26435, 26438, 26439, 26440, 16195, 12905, 26441, 20055, 15403, 15661, 15210, 17239, 26442, 26443, 12593, 26444, 26445, 26446, 26447, 26448, 13885, 23082, 26449, 16485, 26450, 15435, 26451, 20528, 26452, 19038, 13404, 16676, 15704, 18801, 15662, 26453, 14674, 26454, 18508, 26468, 26456, 16969, 18293, 14399, 26455, 16677, 26457, 17530, 26459, 26458, 26461, 26460, 26462, 26464, 26463, 13391, 26465, 26466, 26467, 14897, 20041, 26469, 16167, 12656, 26470, 26471, 26472, 12402, 26473, 26474, 18791, 15431, 26476, 13097, 12338, 26475, 26478, 18254, 16196, 12886, 19239, 14173, 13916, 26477, 12906, 13347, 12657, 26482, 20074, 16989, 18756, 26494, 12887, 26492, 26490, 26481, 26479, 26480, 15459, 13932, 17271, 18001, 12625, 26484, 26483, 26489, 26485, 26488, 19536, 26487, 12888, 13181, 26491, 26493, 14164, 26659, 26668, 26669, 12331, 26676, 12401, 26667, 26666, 26661, 26660, 26658, 26657, 17251, 17019, 26663, 26662, 26665, 16752, 14165, 12609, 26664, 14675, 16753, 26682, 26683, 12889, 12846, 26680, 26670, 26678, 26685, 26679, 26677, 26486, 26675, 26671, 13392, 26673, 26684, 26674, 26686, 26672, 18300, 19817, 26681, 26703, 26695, 16251, 13638, 13917, 26690, 12891, 15956, 26693, 14938, 17745, 26698, 19054, 26689, 12890, 14422, 18729, 26699, 26687, 26696, 26706, 26691, 26692, 17978, 26697, 26694, 19240, 26700, 12384, 26688, 26702, 26701, 18283, 26708, 26719, 13182, 26722, 26704, 26709, 19822, 26718, 19797, 20010, 17272, 13163, 18802, 26724, 17953, 12337, 26717, 26713, 16754, 26707, 26715, 26720, 18220, 12330, 26712, 26721, 18808, 26716, 26711, 15957, 15663, 15404, 19544, 18759, 26727, 26736, 26714, 13175, 15992, 26725, 26730, 16755, 26726, 26733, 17247, 26734, 19798, 26723, 13112, 26729, 26732, 19500, 26735, 26728, 26731, 19241, 20257, 26739, 26746, 26738, 15427, 26705, 19022, 19490, 26745, 26744, 26740, 26741, 12598, 26743, 26737, 17493, 26742, 12414, 16930, 19011, 26747, 26913, 18521, 26750, 15958, 15433, 26915, 13886, 26916, 18809, 26749, 26710, 26748, 20303, 17954, 18803, 26923, 26929, 26930, 26917, 18294, 26927, 26919, 26921, 26931, 26920, 26924, 12658, 18021, 26925, 26928, 26918, 16678, 26922, 15143, 16197, 14128, 19572, 19577, 15730, 26935, 26933, 20302, 26932, 19829, 26934, 26936, 26937, 26940, 26938, 17955, 26939, 18509, 26926, 15731, 26941, 26946, 16756, 26945, 26914, 26947, 16713, 26942, 26944, 26943, 23857, 23842, 26949, 26948, 19830, 25148, 26950, 26951, 26952, 14423, 13652, 26954, 20829, 13685, 20026, 13939, 26955, 26956, 17262, 26957, 18042, 12346, 12899, 26962, 26963, 26958, 15165, 26959, 18242, 26960, 26961, 26971, 26965, 26968, 26964, 26966, 26967, 15448, 26969, 17217, 14166, 13122, 26972, 13119, 26977, 26973, 26976, 18490, 26974, 26975, 18760, 18522, 26978, 17021, 26988, 26984, 12907, 26982, 19242, 26983, 26980, 26981, 26986, 26989, 26987, 26985, 26979, 17240, 26996, 19498, 26994, 26995, 26990, 26992, 26993, 26991, 16486, 20281, 27e3, 27001, 27169, 16170, 27003, 27006, 26998, 26997, 27170, 12892, 27004, 27171, 27005, 27002, 17459, 26999, 18280, 27175, 19771, 27174, 27173, 27182, 27176, 27184, 19814, 27187, 27178, 27179, 27183, 27186, 27185, 27177, 27180, 27197, 27190, 27188, 27189, 27194, 27195, 13098, 13634, 27193, 27172, 27192, 27196, 27191, 27198, 27200, 27199, 27202, 27201, 26970, 27206, 27203, 27204, 27205, 27207, 14188, 27209, 27208, 15664, 14676, 24103, 27210, 15697, 13113, 27211, 12626, 15959, 27212, 14677, 27213, 12385, 18749, 27214, 16234, 27221, 27218, 17263, 27219, 27216, 13918, 27215, 27222, 14134, 16990, 27228, 27224, 16949, 27223, 27226, 27217, 27227, 27229, 18543, 27225, 27230, 27232, 14419, 27220, 12353, 27231, 14939, 20086, 27233, 27234, 16757, 20002, 27235, 19765, 27236, 27237, 19044, 27238, 14912, 20003, 27243, 27244, 15960, 27242, 19815, 27239, 27241, 16445, 16254, 27240, 27245, 18979, 27247, 27246, 13164, 19243, 27248, 27260, 27250, 27251, 27252, 27253, 27257, 27258, 27256, 27254, 27249, 27255, 27259, 28727, 12840, 27262, 13919, 27261, 27426, 27425, 27428, 27427, 27429, 15665, 27430, 27431, 27432, 16446, 19799, 27433, 18980, 18246, 27434, 27435, 14379, 13612, 27436, 15211, 18241, 27437, 13136, 27438, 27440, 19831, 27439, 16198, 27441, 27442, 27443, 13393, 27444, 27445, 27446, 27447, 13137, 27448, 27449, 27450, 12914, 16168, 27451, 27452, 27453, 14400, 17531, 27454, 14167, 16214, 27457, 17956, 27456, 14129, 27455, 17015, 13613, 27458, 27459, 15961, 14189, 27460, 19244, 16479, 13686, 19573, 16714, 27461, 16199, 17264, 15962, 27462, 27465, 27466, 14910, 16962, 27464, 15963, 18750, 27463, 15212, 12627, 27470, 14168, 15214, 15213, 20301, 27469, 27468, 16679, 13645, 20291, 13114, 15964, 27467, 27472, 27473, 27471, 14424, 19776, 15215, 18215, 27476, 16448, 17218, 19766, 27479, 14444, 16447, 27475, 27480, 14445, 27477, 27478, 27474, 16482, 17993, 17199, 12893, 18544, 13635, 17460, 27483, 27481, 17228, 16449, 13394, 27482, 16219, 20042, 20288, 27484, 27495, 17461, 27494, 27491, 27499, 27492, 27488, 17532, 27487, 27485, 19745, 15216, 27489, 27486, 27493, 15732, 14401, 17018, 19269, 12634, 12386, 17957, 27497, 27496, 18022, 27501, 27490, 27500, 27502, 14380, 27498, 14678, 15445, 27503, 19800, 27506, 27509, 27507, 18741, 27504, 13920, 27508, 27510, 27514, 27511, 27513, 27512, 27515, 15409, 27517, 27516, 18792, 27681, 14169, 27518, 27682, 27683, 13636, 26177, 15993, 27684, 14446, 27685, 27686, 15166, 23118, 27687, 27688, 15666, 27689, 27690, 27691, 27692, 27693, 17195, 27694, 27696, 27695, 17958, 27697, 19245, 27698, 27699, 27700, 27701, 18010, 15965, 27702, 14699, 20526, 27703, 27704, 18751, 27705, 27713, 27706, 27708, 27707, 27709, 19270, 27710, 27711, 27712, 27714, 13101, 17511, 18793, 14946, 14679, 18767, 12895, 18510, 27717, 13395, 16469, 27716, 27721, 17273, 19555, 27719, 27720, 13614, 27722, 18275, 16991, 18545, 17725, 27718, 19271, 12908, 27724, 20264, 17474, 20293, 15217, 27723, 16945, 27740, 16680, 18040, 18768, 27727, 15167, 15218, 15966, 18277, 14381, 27726, 27725, 18794, 15425, 17746, 27729, 27730, 14680, 27728, 27731, 27732, 27734, 16931, 27733, 13414, 27736, 27735, 27737, 27739, 27741, 27742, 16470, 15439, 27743, 13138, 27744, 16758, 27745, 27746, 18795, 13615, 27747, 17462, 12635, 27748, 15473, 16246, 16941, 27751, 27750, 27749, 27757, 27755, 27752, 27754, 27753, 27756, 13687, 27760, 16471, 27761, 14425, 27758, 27759, 20265, 17463, 16681, 27762, 27765, 27763, 27764, 19801, 17959, 27768, 27766, 27767, 27769, 27945, 27772, 27773, 27771, 27770, 17533, 27937, 27941, 27938, 27774, 27939, 27940, 27947, 27942, 16472, 27944, 27946, 27943, 27949, 15667, 27948, 27950, 27951, 27954, 27953, 27952, 27956, 27955, 19574, 27958, 27957, 27959, 27960, 27962, 27961, 16200, 27963, 13933, 27964, 27966, 27967, 27968, 27965, 27969, 15446, 27970, 13616, 14131, 14382, 27971, 18032, 17726, 27972, 27975, 15412, 27974, 27973, 14170, 27976, 13139, 27978, 14940, 27977, 27986, 27980, 27982, 19045, 27979, 27981, 27985, 27983, 13617, 27984, 27987, 18266, 20056, 15668, 27988, 19746, 27990, 27989, 27993, 19777, 27992, 13165, 27991, 27996, 27995, 27994, 17714, 27997, 27998, 27999, 14700, 14117, 28e3, 28001, 28002, 16201, 28003, 15405, 28004, 28005, 21025, 20862, 28006, 25968, 28007, 17188, 16171, 18240, 28008, 19029, 17492, 14718, 17193, 12586, 19320, 16215, 14174, 13921, 19030, 28009, 28011, 28010, 12896, 18038, 28012, 18295, 17715, 28013, 15698, 28015, 19522, 28030, 28017, 28018, 17481, 16992, 16759, 17960, 28016, 13653, 28025, 28022, 28197, 17961, 17248, 28019, 17534, 17747, 28020, 28024, 16224, 18279, 17484, 16450, 28023, 16942, 16932, 28021, 12329, 20258, 28026, 16993, 15669, 16202, 28028, 28027, 12399, 28029, 18735, 28199, 18011, 16235, 17241, 13944, 28198, 19767, 12607, 19031, 12897, 28193, 28194, 28195, 28196, 17979, 17187, 12387, 28200, 28201, 29731, 16957, 28202, 12659, 16716, 14383, 19802, 28203, 17708, 16760, 15447, 28204, 28207, 15717, 28205, 16683, 16682, 12388, 20043, 28209, 18546, 28211, 28210, 28208, 25444, 13396, 28014, 28213, 28212, 28214, 19768, 18017, 19246, 28215, 15449, 28216, 28217, 28218, 17697, 12394, 14681, 20282, 28222, 14132, 28219, 28220, 18804, 13140, 19769, 13887, 17748, 28223, 28224, 28225, 17698, 28227, 28226, 18003, 28228, 15670, 15456, 18267, 17265, 15474, 16236, 28229, 28230, 16221, 28231, 28232, 28233, 19823, 15671, 28235, 28234, 14682, 14707, 15168, 28238, 15718, 28237, 28236, 17001, 14447, 16451, 18480, 15673, 28239, 15967, 28242, 28240, 28241, 28244, 28243, 15994, 28245, 28246, 28247, 18512, 14931, 15457, 28248, 28249, 20004, 15685, 19566, 20044, 28250, 13922, 28251, 17699, 28254, 13176, 16203, 28252, 28253, 17504, 19285, 13948, 28256, 28257, 28255, 28259, 18015, 13123, 28263, 28260, 28262, 28258, 28495, 28261, 20075, 14426, 28271, 17716, 28266, 28269, 28267, 28272, 28273, 28265, 28278, 12660, 28264, 18477, 28268, 15968, 14683, 19272, 13924, 15686, 17980, 16685, 28276, 28270, 28275, 19523, 17464, 28277, 28274, 16684, 28281, 28280, 28279, 19247, 15739, 28282, 19039, 12628, 18758, 17266, 13688, 28284, 14685, 15148, 28283, 16237, 16238, 28449, 28451, 15995, 28450, 28452, 13907, 18757, 15458, 20259, 28286, 14968, 20287, 28454, 28453, 28455, 28285, 18025, 17749, 17495, 28460, 17219, 28456, 28457, 14125, 28459, 14384, 28458, 15969, 13177, 28464, 14911, 16761, 17482, 13115, 28462, 28463, 17475, 28461, 28465, 28471, 28474, 28473, 17709, 28466, 28467, 28470, 28472, 13888, 28475, 28469, 28468, 28479, 28480, 28481, 28478, 28477, 15970, 17962, 28476, 28485, 28483, 28484, 28482, 17016, 28486, 28487, 28489, 13397, 28488, 19578, 28500, 28490, 28493, 28491, 28492, 28494, 28496, 28497, 28498, 28501, 28499, 28502, 28504, 28503, 17465, 19559, 28505, 16686, 28506, 19012, 28507, 13099, 12604, 13399, 13398, 28508, 28509, 28510, 28511, 28512, 13400, 13141, 14686, 18486, 28514, 28513, 28515, 12636, 28518, 28517, 28516, 28519, 28522, 12359, 28520, 28524, 28523, 28526, 28525, 28527, 17966, 28528, 28529, 28531, 28530, 18796, 28532, 28533, 14949, 28534, 28535, 19273, 16715, 12324, 16971, 28536, 18797, 28539, 28537, 14687, 28538, 14402, 19013, 28541, 28705, 28542, 28706, 12577, 16216, 15740, 13401, 28707, 18278, 28709, 12578, 28708, 17476, 20045, 17963, 28540, 20006, 14385, 19803, 13945, 20020, 14120, 16994, 26401, 28710, 13100, 16239, 13142, 28712, 28713, 28711, 14180, 14941, 15971, 12579, 20057, 28715, 28206, 28714, 28718, 28716, 28717, 28719, 28720, 20076, 28721, 28722, 16457, 18491, 16253, 13415, 19770, 12909, 15672, 14427, 28725, 28724, 15219, 28726, 28723, 15144, 28730, 27181, 21078, 16247, 28728, 20005, 18033, 12587, 16483, 15414, 18999, 12608, 20077, 19819, 28731, 17733, 15483, 28732, 28733, 16204, 28734, 20078, 28729, 28736, 28738, 28737, 28735, 28739, 28740, 16762, 12898, 28741, 19512, 28742, 28743, 20266, 23345, 28744, 28745, 28746, 28750, 28747, 28748, 28749, 28751, 16452, 19575, 16453, 28752, 18547, 28753, 29523, 19532, 28754, 28755, 28756, 13143, 28758, 16217, 28759, 14116, 28760, 28764, 28762, 28763, 13171, 28761, 28765, 28766, 12360, 28767, 28768, 15972, 28769, 13639, 28772, 28771, 28770, 27505, 19036, 28773, 28774, 28775, 28776, 28777, 28778, 13402, 28779, 28780, 18211, 28782, 12859, 28785, 28784, 12580, 13889, 19015, 17466, 14882, 14688, 15719, 16220, 28787, 28786, 19778, 13416, 18514, 18012, 16252, 20046, 14171, 28790, 28789, 19275, 17964, 12624, 28791, 28788, 18769, 19818, 28792, 28793, 28795, 17002, 13147, 13148, 28794, 13417, 14386, 13418, 17727, 20064, 14428, 28796, 28797, 28798, 28961, 28963, 28962, 18807, 28964, 28965, 28966, 28967, 28969, 28968, 28970, 18548, 26188, 16169, 13618, 28971, 28972, 21036, 23867, 18515, 12411, 12347, 15220, 19248, 15998, 28973, 19551, 28974, 19804, 12610, 15169, 28975, 12910, 28976, 28977, 28979, 28980, 28982, 28978, 28981, 13403, 28983, 28984, 28985, 28986, 28987, 28989, 28988, 28991, 28994, 28990, 28992, 28993, 28995, 13890, 15475, 28996, 28997, 14689, 28998, 13118, 18255, 28999, 29e3, 17242, 18027, 29001, 18301, 16972, 12632, 13934, 13935, 17267, 29006, 13936, 12911, 29005, 29003, 29004, 29002, 29016, 29007, 29008, 29009, 29010, 29012, 29011, 15705, 29013, 29015, 13619, 29014, 16763, 14387, 29017, 16973, 29018, 17965, 29019, 29024, 29022, 29021, 29023, 29020, 29026, 29025, 29028, 13891, 29027, 29029, 29030, 29032, 29031, 29033, 29035, 29034, 14716, 29036, 29037, 13116, 29038, 29039, 16241, 29040, 29041, 29042, 29043, 14690, 29044, 29045, 29046, 29047, 29048, 18481, 29050, 18726, 29051, 29049, 29053, 29052, 29054, 29217, 29218, 29219, 29220, 29221, 29222, 29223, 29224, 29225, 29226, 29227, 29228, 29229, 29230, 23861, 29231, 25720, 13620, 13089, 14898, 29233, 29232, 19493, 29235, 29236, 29234, 29237, 19298, 29238, 13691, 20261, 29239, 29241, 12350, 29242, 18987, 29240, 29243, 29244, 29245, 29246, 29247, 19310, 15149, 14970, 16687, 29248, 29251, 29249, 29252, 14449, 29250, 29253, 29254, 29255, 29259, 15146, 16996, 29260, 29257, 29256, 29258, 14175, 29264, 29263, 29262, 12339, 29274, 29270, 29271, 29267, 29273, 29269, 13154, 20300, 29272, 29268, 29266, 29265, 29276, 29279, 29278, 29277, 18761, 29275, 12403, 29280, 29282, 13167, 29261, 12599, 29284, 29283, 29281, 17197, 19312, 20058, 29285, 29286, 29287, 29288, 29289, 17467, 29290, 18487, 29295, 29291, 29292, 19249, 19524, 18e3, 29296, 29297, 17982, 29294, 29293, 12842, 29305, 29304, 12661, 29302, 29301, 29299, 13179, 29298, 15410, 12841, 14691, 29308, 29307, 29306, 29303, 29309, 29310, 29477, 29476, 29478, 12589, 29473, 29474, 14708, 19513, 29475, 19250, 29483, 29479, 29484, 29481, 29480, 14172, 29485, 29486, 29487, 29482, 29300, 29488, 17505, 29492, 29493, 29491, 29490, 29496, 29489, 29494, 29495, 29498, 29497, 29500, 29501, 29502, 20297, 29499, 17003, 14957, 29503, 29504, 29505, 29506, 29507, 14388, 29508, 29509, 15407, 29510, 29511, 29512, 29513, 29516, 29514, 20284, 29515, 20079, 29517, 20059, 29518, 18302, 29519, 29521, 29522, 29520, 14701, 19533, 19299, 22135, 23904, 19323, 12843, 29524, 13648, 29525, 29526, 29527, 14709, 29528, 24660, 19547, 16995, 29529, 29531, 29530, 29532, 29533, 29534, 29535, 29536, 29537, 29538, 29539, 29540, 29541, 29542, 29543, 29544, 17700, 14429, 29546, 16717, 29547, 29548, 18721, 29549, 29550, 25399, 27738, 28781, 29551, 29552, 29554, 29555, 29556, 20080, 29553, 29557, 29558, 29560, 29559, 29562, 29563, 29561, 20022, 29564, 29565, 25428, 29566, 8490, 8564, 8560, 8563, 8565, 8522, 8523, 8566, 8540, 8484, 8485, 8511, 9008, 9009, 9010, 9011, 9012, 9013, 9014, 9015, 9016, 9017, 8487, 8488, 8547, 8545, 8548, 8489, 8567, 9025, 9026, 9027, 9028, 9029, 9030, 9031, 9032, 9033, 9034, 9035, 9036, 9037, 9038, 9039, 9040, 9041, 9042, 9043, 9044, 9045, 9046, 9047, 9048, 9049, 9050, 8526, 8512, 8527, 8496, 8498, 8494, 9057, 9058, 9059, 9060, 9061, 9062, 9063, 9064, 9065, 9066, 9067, 9068, 9069, 9070, 9071, 9072, 9073, 9074, 9075, 9076, 9077, 9078, 9079, 9080, 9081, 9082, 8528, 8515, 8529, 8497, 8559],
    jis0208Table00 = [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4492, 5, 83, 9, 0, 9, 128, 10, 0, 10, 128],
    jis0208Table03 = [11, 0, 11, 0, 11, 0, 11, 0, 11, 0, 11, 0, 11, 0, 11, 0, 11, 0, 11, 65534, 26, 1019, 35, 65534, 50, 1019, 59, 0, 59, 0, 59, 0, 59, 2, 60, 65535, 76, 65535, 92, 65535, 108, 65535, 124, 2],
    jis0208Table20 = [125, 0, 125, 13153, 132, 99, 136, 2061, 140, 0, 140, 0, 140, 0, 140, 0, 140, 0, 140, 0, 140, 0, 140, 0, 140, 0, 140, 0, 140, 0, 140, 0, 140, 8, 141, 0, 141, 2048, 142, 0, 142, 0, 142, 0, 142, 0, 142, 0, 142, 0, 142, 15, 146, 0, 146, 0, 146, 0, 146, 20, 148, 0, 148, 0, 148, 2445, 154, 25604, 158, 8065, 165, 8240, 168, 0, 168, 4, 169, 3267, 175, 0, 175, 204, 179, 0, 179, 32, 180, 0, 180, 0, 180, 0, 180, 0, 180, 0, 180, 0, 180, 4],
    jis0208Table25 = [181, 36879, 187, 14745, 195, 39225, 203, 39321, 211, 2052, 213, 0, 213, 0, 213, 0, 213, 0, 213, 0, 213, 3, 215, 12300, 219, 51392, 224, 0, 224, 32768, 225, 0, 225, 96, 227, 0, 227, 0, 227, 0, 227, 5, 229, 0, 229, 41984],
    jis0208Table30 = [232, 65519, 247, 4159, 254, 0, 254, 0, 254, 65534, 269, 65535, 285, 65535, 301, 65535, 317, 65535, 333, 30735, 341, 65534, 356, 65535, 372, 65535, 388, 65535, 404, 65535, 420, 30847],
    jis0208Table4E = [431, 28555, 441, 17395, 450, 9282, 454, 39750, 462, 59436, 469, 58336, 477, 4, 478, 16394, 481, 24421, 491, 56118, 501, 31095, 512, 1097, 516, 60631, 527, 58352, 536, 24632, 541, 2245, 546, 58882, 552, 13315, 557, 32768, 558, 13649, 565, 57544, 571, 32427, 582, 33280, 584, 39017, 591, 43336, 597, 10562, 602, 59395, 608, 32864, 611, 17436, 616, 44435, 625, 49210, 631, 17768, 637, 43616, 643, 34390, 650, 16250, 661, 576, 663, 33672, 668, 5217, 673, 4128, 675, 8564, 681, 8225, 684, 1794, 688, 12288, 690, 16572, 696, 42532, 702, 17506, 707, 24744, 712, 2592, 715, 535, 720, 34164, 727, 1026, 729, 40068, 735, 31739, 748, 5141, 753, 32548, 762, 4578, 768, 46693, 777, 751, 785, 8053, 795, 8447, 804, 14960, 811, 14400, 815, 9923, 822, 26467, 831, 19929, 840, 8338, 844, 18096, 850, 4041, 858, 48280, 866, 18512, 870, 34360, 876, 41023, 884, 9096, 889, 34838, 894, 15881, 901, 21042, 907, 8874, 913, 58276, 921, 221, 927, 50988, 935, 41318, 942, 9953, 949, 33803, 954, 36618, 961, 10219, 971, 21918, 980, 49729, 985, 35259, 994, 20, 996, 34112, 1e3, 25441, 1007, 2121, 1011, 32524, 1020, 35536, 1026, 65342, 1039, 1487, 1047, 65306, 1058, 43011, 1063, 31297, 1070, 31552, 1077, 18245, 1084, 32770, 1086, 1280, 1088, 14571, 1097, 55377, 1104, 5, 1106, 39220, 1113, 28940, 1119, 919, 1126, 256, 1127, 25446, 1135, 9220, 1138, 32976, 1142, 81, 1145, 49152, 1147, 17162, 1152, 36977, 1158, 12488, 1163, 8, 1164, 22528, 1167, 3737, 1174, 63232, 1181, 24448, 1188, 65, 1190, 176, 1193, 37904, 1197, 24, 1199, 25216, 1203, 576, 1205, 2512, 1210, 33280, 1212, 342, 1217, 20484, 1220, 2049, 1222, 7440, 1227, 1296, 1230, 33985, 1235, 16, 1236, 16421, 1240, 4176, 1243, 16655, 1249, 19850, 1256, 16393, 1259, 42509, 1266, 43801, 1274, 37196, 1280, 8640, 1284, 2433, 1288, 50309, 1294, 3, 1296, 1618, 1301, 32768, 1302, 2820, 1306, 8, 1307, 1053, 1312, 9, 1314, 18505, 1319, 36956, 1325, 9, 1327, 5776, 1332, 3173, 1338, 8736, 1341, 33810, 1345, 9267, 1351, 3075, 1355, 18326, 1363, 2564, 1366, 16933, 1371, 40, 1373, 37e3, 1377, 18688, 1380, 20232, 1386, 5282, 1391, 54186, 1400, 55344, 1406, 16007, 1415, 34308, 1419, 8033, 1427, 32420, 1436, 16774, 1441, 50064, 1447, 1459, 1454, 22437, 1463, 8472, 1467, 9246, 1473, 10824, 1478, 4392, 1482, 18948, 1486, 2624, 1489, 5659, 1496, 3424, 1501, 34880, 1504, 522, 1507, 38146, 1512, 33313, 1516, 4192, 1519, 579, 1523, 1024, 1524, 5188, 1528, 32768, 1529, 0, 1529, 3076, 1532, 0, 1532, 28672, 1535, 6662, 1540, 193, 1543, 586, 1547, 3072, 1549, 6656, 1552, 64, 1553, 5124, 1556, 16453, 1560, 41, 1563, 48563, 1574, 2680, 1580, 1323, 1586, 48041, 1596, 49056, 1605, 16508, 1611, 33657, 1619, 4860, 1627, 59421, 1635, 19446, 1645, 50537, 1653, 61430, 1666, 1098, 1670, 8469, 1675, 65282, 1684, 60771, 1694, 16427, 1699, 53299, 1706, 578, 1709, 4096, 1710, 19, 1713, 6914, 1718, 22986, 1726, 160, 1728, 512, 1729, 42755, 1736, 11329, 1741, 18560, 1744, 36850, 1754, 516, 1756, 0, 1756, 22528, 1759, 4101, 1762, 37376, 1765, 72, 1767, 6292, 1772, 8193, 1774, 20484, 1777, 13440, 1781, 12800, 1784, 26700, 1790, 18922, 1798, 26814, 1807, 6220, 1812, 11842, 1818, 43040, 1822, 8649, 1828, 20665, 1835, 32944, 1839, 30, 1843, 65404, 1856, 33946, 1862, 5344, 1867, 10433, 1872, 480, 1876, 34574, 1883, 44105, 1890, 4879, 1897, 56795, 1909, 48666, 1918, 35323, 1928, 41696, 1934, 20898, 1940, 21762, 1945, 13002, 1952, 15942, 1960, 37515, 1967, 7615, 1978, 17295, 1986, 26371, 1993, 12824, 1998, 12328, 2002, 13248, 2008, 2065, 2011, 43299, 2018, 49152, 2020, 14949, 2028, 36835, 2038, 1026, 2040, 11342, 2047, 34341, 2053, 48957, 2065, 161, 2068, 14874, 2075, 36052, 2082, 1737, 2088, 12668, 2096, 224, 2099, 38154, 2105, 395, 2110, 3803, 2119, 58187, 2128, 35872, 2132, 4482, 2136, 61456, 2141, 32148, 2150, 42792, 2157, 51628, 2165, 16635, 2173, 17540, 2177, 1619, 2183, 23184, 2189, 17476, 2193, 16328, 2202, 1, 2203, 72, 2205, 62932, 2215, 30465, 2222, 60503, 2232, 50242, 2237, 35101, 2244, 27523, 2252, 18728, 2257, 16649, 2261, 53826, 2267, 1565, 2273, 23038, 2284, 6144, 2286, 14882, 2292, 47076, 2302, 15263, 2313, 61443, 2319, 49386, 2326, 4998, 2332, 33282, 2335, 35200, 2339, 58368, 2343, 45568, 2347, 4257, 2351, 19328, 2356, 3268, 2361, 54025, 2368, 35140, 2373, 8111, 2384, 18484, 2389, 33369, 2395, 3141, 2400, 16906, 2404, 1104, 2407, 41024, 2410, 4296, 2414, 12608, 2418, 17488, 2422, 16388, 2424, 256, 2425, 33408, 2428, 1344, 2431, 264, 2433, 17452, 2438, 27184, 2444, 6661, 2449, 8358, 2454, 1300, 2458, 37071, 2466, 25686, 2473, 33, 2475, 12544, 2478, 39960, 2484, 52208, 2493, 41248, 2497, 25570, 2505, 4172, 2509, 437, 2515, 21388, 2522, 39555, 2529, 47282, 2537, 12929, 2542, 39034, 2550, 2692, 2554, 13287, 2564, 3074, 2567, 54476, 2575, 36888, 2579, 41377, 2585, 36976, 2590, 35358, 2597, 57348, 2601, 50132, 2609, 1105, 2613, 17306, 2620, 8642, 2625, 18500, 2629, 21264, 2634, 658, 2638, 13888, 2643, 577, 2646, 62397, 2658, 43785, 2665, 59632, 2673, 32192, 2681, 42450, 2689, 49730, 2694, 53835, 2702, 42047, 2711, 53423, 2720, 6816, 2725, 13473, 2731, 33351, 2737, 984, 2743, 50258, 2749, 25883, 2757, 53908, 2764, 51258, 2771, 28, 2774, 16584, 2778, 3590, 2783, 13076, 2789, 24911, 2797, 45595, 2805, 136, 2807, 49360, 2812, 41002, 2817, 43160, 2823, 41413, 2830, 5739, 2838, 11856, 2844, 34228, 2851, 49291, 2857, 1540, 2860, 63795, 2870, 7684, 2875, 1390, 2882, 41553, 2888, 1024, 2889, 30264, 2897, 60423, 2905, 29624, 2914, 17414, 2918, 6194, 2923, 16513, 2926, 51222, 2932, 31882, 2940, 25353, 2946, 10624, 2950, 43524, 2955, 7204, 2960, 51868, 2968, 19982, 2975, 10080, 2981, 2448, 2985, 33536, 2988, 70, 2991, 33028, 2994, 24593, 2998, 4225, 3001, 21517, 3007, 2312, 3010, 14, 3013, 52234, 3019, 1280, 3021, 3072, 3023, 1072, 3026, 41028, 3030, 139, 3034, 26500, 3041, 21128, 3046, 35353, 3052, 34398, 3060, 35608, 3066, 11865, 3074, 16736, 3078, 35856, 3082, 40126, 3092, 26721, 3098, 35100, 3104, 38912, 3107, 8, 3108, 33024, 3110, 2202, 3115, 24, 3117, 16784, 3121, 16391, 3125, 58529, 3132, 1285, 3136, 25613, 3142, 12558, 3148, 3661, 3155, 18438, 3159, 65290, 3169, 5682, 3175, 10920, 3181, 34094, 3188, 11, 3191, 6144, 3193, 51844, 3199, 3616, 3203, 26988, 3211, 50, 3214, 5632, 3217, 22104, 3224, 912, 3228, 20768, 3232, 6696, 3237, 32768, 3238, 4388, 3242, 6369, 3248, 17190, 3254, 23890, 3262, 3754, 3269, 4e3, 3275, 44584, 3282, 64123, 3294, 17664, 3297, 25608, 3301, 35136, 3305, 51328, 3309, 49220, 3313, 36869, 3317, 45377, 3323, 33828, 3327, 9412, 3332, 6708, 3338, 24634, 3344, 36864, 3346, 49556, 3352, 33350, 3357, 58, 3361, 6157, 3366, 49414, 3371, 34, 3373, 39184, 3378, 57424, 3383, 5393, 3388, 16471, 3394, 130, 3396, 1050, 3400, 522, 3403, 79, 3408, 35120, 3413, 55315, 3420, 17482, 3425, 35330, 3429, 60706, 3437, 4288, 3440, 16389, 3443, 4096, 3444, 258, 3446, 34824, 3449, 12545, 3453, 17920, 3456, 516, 3458, 61440, 3462, 1800, 3466, 35072, 3469, 41472, 3472, 0, 3472, 8706, 3475, 512, 3476, 5648, 3480, 66, 3482, 4160, 3484, 20992, 3487, 608, 3490, 21236, 3498, 8192, 3499, 34064, 3503, 33328, 3507, 4352, 3509, 16898, 3512, 17160, 3516, 32949, 3522, 28897, 3529, 39456, 3534, 8256, 3536, 2049, 3538, 13568, 3542, 64613, 3552, 6593, 3558, 43780, 3564, 646, 3568, 25108, 3573, 135, 3577, 68, 3579, 36997, 3584, 580, 3587, 16476, 3592, 2693, 3597, 12807, 3603, 13184, 3608, 1024, 3609, 47296, 3615, 52768, 3621, 49360, 3626, 49200, 3630, 128, 3631, 1288, 3634, 3365, 3640, 2704, 3644, 64, 3645, 512, 3646, 2060, 3649, 25861, 3655, 16384, 3656, 25633, 3661, 16642, 3664, 616, 3668, 0, 3668, 36, 3670, 33916, 3677, 2, 3678, 56864, 3685, 34329, 3691, 16457, 3695, 2056, 3697, 16384, 3698, 132, 3700, 8193, 3702, 33792, 3704, 4112, 3706, 17101, 3713, 455, 3719, 28728, 3725, 54570, 3733, 6504, 3739, 7567, 3748, 48720, 3756, 15890, 3763, 12021, 3773, 33241, 3780, 52932, 3788, 9234, 3792, 2088, 3795, 29486, 3804, 9388, 3810, 19252, 3817, 524, 3820, 54301, 3828, 10754, 3832, 32768, 3833, 151, 3838, 2065, 3841, 4548, 3846, 4420, 3850, 6022, 3857, 32069, 3866, 18905, 3874, 1609, 3879, 16384, 3880, 34705, 3887, 9548, 3893, 55492, 3900, 17594, 3907, 18708, 3912, 7058, 3919, 51200, 3922, 625, 3927, 5504, 3931, 129, 3933, 3072, 3935, 2410, 3941, 49664, 3944, 18432, 3946, 16386, 3948, 12321, 3952, 47689, 3960, 8320, 3962, 7296, 3966, 58028, 3974, 4104, 3976, 4100, 3978, 52, 3981, 225, 3985, 33812, 3989, 32, 3990, 8192, 3991, 38912, 3994, 4116, 3997, 28866, 4003, 1194, 4008, 34440, 4013, 21536, 4017, 3170, 4022, 1043, 4026, 37248, 4030, 8208, 4032, 16514, 4035, 518, 4038, 7232, 4042, 21504, 4045, 899, 4050, 58601, 4059, 8485, 4064, 33920, 4067, 58419, 4075, 8192, 4076, 17600, 4080, 58889, 4087, 2563, 4091, 33062, 4096, 4826, 4103, 2049, 4105, 26881, 4110, 38800, 4117, 16385, 4119, 63622, 4127, 57933, 4135, 129, 4137, 2574, 4142, 42577, 4149, 282, 4153, 33260, 4160, 50688, 4164, 33857, 4168, 44472, 4177, 46636, 4185, 42095, 4194, 34625, 4200, 36180, 4207, 19202, 4212, 4449, 4217, 616, 4221, 47968, 4229, 8279, 4235, 20640, 4239, 1075, 4244, 43200, 4249, 47028, 4259, 9218, 4262, 274, 4265, 39635, 4274, 8192, 4275, 8817, 4281, 200, 4284, 8321, 4287, 32926, 4293, 3210, 4298, 57728, 4303, 45065, 4308, 33105, 4313, 4145, 4317, 16424, 4320, 10766, 4326, 35237, 4333, 27062, 4342, 25102, 4348, 17445, 4353, 53572, 4359, 32901, 4363, 19796, 4370, 11381, 4378, 8113, 4387, 55303, 4394, 34349, 4401, 55420, 4410, 18497, 4414, 16718, 4420, 8814, 4427, 33280, 4429, 40456, 4435, 63500, 4442, 60727, 4453, 35968, 4457, 29990, 4465, 37651, 4472, 2068, 4475, 3634, 4481, 51204, 4485, 18510, 4491, 28326, 4500, 11338, 4506, 26224, 4513, 9920, 4518, 47617, 4524, 54028, 4531, 6237, 4538, 0, 4538, 0, 4538, 0, 4538, 0, 4538, 0, 4538, 0, 4538, 0, 4538, 0, 4538, 0, 4538, 1344, 4541, 28704, 4545, 33075, 4551, 20353, 4558, 933, 4564, 21996, 4573, 25616, 4577, 49944, 4583, 9028, 4588, 5218, 4593, 52, 4596, 2627, 4601, 6665, 4606, 6267, 4614, 5029, 4621, 258, 4623, 43080, 4628, 1088, 4630, 50500, 4636, 33030, 4640, 58077, 4650, 6896, 4657, 11592, 4663, 46630, 4671, 1046, 4675, 20568, 4680, 28224, 4686, 32818, 4690, 12562, 4695, 2020, 4702, 3072, 4704, 33288, 4707, 16906, 4711, 18496, 4714, 32827, 4720, 18528, 4724, 34579, 4731, 34061, 4737, 13352, 4742, 793, 4747, 58665, 4755, 9029, 4761, 34570, 4767, 9641, 4774, 23576, 4780, 30630, 4790, 55749, 4799, 24064, 4804, 1e3, 4810, 129, 4812, 42752, 4817, 52564, 4825, 16838, 4831, 10240, 4833, 41476, 4837, 47200, 4843, 11018, 4849, 32, 4850, 55966, 4860, 2282, 4866, 3610, 4872, 17020, 4879, 4544, 4883, 35080, 4887, 886, 4894, 34337, 4899, 261, 4902, 0, 4902, 6312, 4907, 18080, 4912, 50248, 4917, 3333, 4922, 8226, 4925, 21538, 4930, 37192, 4935, 35329, 4939, 10391, 4946, 30872, 4953, 8, 4954, 5637, 4959, 12578, 4964, 16960, 4967, 2176, 4969, 64078, 4979, 1698, 4984, 2068, 4987, 37393, 4992, 8194, 4994, 39684, 5e3, 11858, 5007, 1603, 5012, 20480, 5014, 36880, 5017, 65, 5019, 34234, 5027, 12354, 5031, 8224, 5033, 20235, 5041, 1440, 5045, 9992, 5050, 16512, 5052, 1425, 5057, 6803, 5064, 57168, 5073, 1536, 5075, 41474, 5079, 12321, 5083, 1584, 5087, 20096, 5092, 3268, 5097, 1224, 5101, 40964, 5104, 32769, 5106, 24576, 5108, 54321, 5115, 2176, 5117, 2562, 5120, 7168, 5123, 40, 5125, 36376, 5131, 65, 5133, 27344, 5140, 51728, 5145, 61968, 5151, 19200, 5155, 10061, 5163, 5382, 5168, 544, 5170, 34960, 5174, 23040, 5178, 33448, 5183, 17737, 5189, 33104, 5193, 8196, 5195, 32768, 5196, 34820, 5199, 11272, 5203, 2257, 5208, 5, 5210, 32769, 5212, 19140, 5218, 57376, 5222, 98, 5225, 142, 5229, 2626, 5233, 12373, 5239, 27276, 5246, 2318, 5251, 57509, 5258, 10502, 5263, 17092, 5268, 18452, 5272, 32947, 5278, 32830, 5284, 45872, 5291, 258, 5293, 29468, 5301, 5268, 5306, 24589, 5311, 3104, 5314, 2368, 5317, 12314, 5322, 49216, 5325, 42065, 5331, 49300, 5336, 36298, 5344, 1480, 5349, 38594, 5356, 41996, 5361, 1, 5362, 13316, 5366, 200, 5369, 272, 5371, 21773, 5378, 43465, 5386, 9256, 5390, 7258, 5397, 322, 5400, 18487, 5407, 31309, 5416, 4111, 5421, 12980, 5428, 17706, 5434, 12667, 5443, 37381, 5448, 47252, 5455, 23620, 5461, 26839, 5470, 17802, 5476, 20631, 5483, 11985, 5491, 6467, 5497, 16904, 5500, 53762, 5505, 40256, 5511, 38976, 5515, 8343, 5521, 21513, 5526, 1613, 5532, 0, 5532, 0, 5532, 0, 5532, 0, 5532, 0, 5532, 0, 5532, 0, 5532, 0, 5532, 0, 5532, 33920, 5535, 21826, 5541, 1057, 5544, 7174, 5549, 5888, 5553, 30244, 5560, 24848, 5564, 65415, 5576, 47581, 5587, 26015, 5597, 23562, 5603, 9309, 5610, 15360, 5614, 44464, 5622, 89, 5626, 0, 5626, 0, 5626, 0, 5626, 0, 5626, 10448, 5631, 155, 5636, 1058, 5639, 512, 5640, 264, 5642, 17416, 5645, 38916, 5649, 44096, 5654, 36106, 5660, 36904, 5664, 34560, 5668, 57345, 5672, 1024, 5673, 49, 5676, 6036, 5683, 33313, 5687, 25, 5690, 4180, 5694, 11442, 5701, 538, 5705, 39938, 5710, 16387, 5713, 15712, 5720, 34820, 5723, 2060, 5726, 30976, 5731, 5672, 5736, 47676, 5745, 34368, 5749, 51976, 5755, 29300, 5763, 36992, 5766, 30, 5770, 0, 5770, 0, 5770, 55296, 5774, 57736, 5780, 40071, 5788, 16436, 5792, 1042, 5795, 44644, 5803, 10129, 5810, 59499, 5819, 59131, 5831, 16527, 5837, 21350, 5845, 61094, 5855, 21375, 5866, 58155, 5875, 46564, 5884, 34463, 5893, 2, 5894, 34120, 5899, 290, 5902, 17410, 5905, 2048, 5906, 8470, 5911, 8352, 5914, 4, 5915, 516, 5917, 8192, 5918, 5, 5920, 32256, 5926, 340, 5930, 5676, 5936, 428, 5941, 10884, 5946, 4229, 5950, 35860, 5955, 1328, 5959, 64451, 5970, 47427, 5978, 202, 5982, 36960, 5986, 24576, 5988, 16434, 5992, 4608, 5994, 32912, 5997, 2864, 6002, 19585, 6007, 84, 6010, 16386, 6012, 41, 6015, 7530, 6023, 8192, 6024, 640, 6026, 32768, 6027, 4, 6028, 9744, 6032, 5388, 6037, 32832, 6039, 1793, 6043, 55629, 6052, 3108, 6056, 10256, 6059, 6224, 6063, 20481, 6066, 20512, 6069, 4096, 6070, 1232, 6074, 28800, 6078, 513, 6080, 264, 6082, 8643, 6088, 306, 6092, 0, 6092, 136, 6094, 1817, 6100, 2050, 6102, 1376, 6106, 18, 6108, 19470, 6114, 1029, 6117, 61601, 6124, 2, 6125, 0, 6125, 0, 6125, 0, 6125, 0, 6125, 0, 6125, 0, 6125, 0, 6125, 0, 6125, 0, 6125, 0, 6125, 0, 6125, 0, 6125, 0, 6125, 0, 6125, 128, 6126, 36493, 6134, 858, 6140, 8637, 6148, 23044, 6153, 13448, 6158, 4464, 6163, 38, 6166, 0, 6166, 0, 6166, 4096, 6167, 50434, 6172, 34820, 6175, 47125, 6182, 63489, 6188, 5244, 6195, 9709, 6204, 60768, 6212, 7088, 6219, 1417, 6224, 7127, 6234, 31475, 6245, 6754, 6251, 3340, 6256, 2757, 6262, 58833, 6271, 21066, 6277, 1168, 6280, 25349, 6286, 852, 6291, 21060, 6296, 11095, 6305, 5650, 6310, 43122, 6317, 4353, 6320, 10569, 6326, 24, 6328, 2376, 6332, 4104, 6334, 24576, 6336, 34924, 6342, 37230, 6350, 1423, 6357, 12306, 6361, 14736, 6367, 63552, 6373, 18736, 6378, 34944, 6381, 27, 6385, 0, 6385, 0, 6385, 34048, 6388, 66, 6390, 88, 6393, 38912, 6396, 59908, 6402, 28692, 6407, 5672, 6412, 24861, 6419, 20755, 6425, 24576, 6427, 6692, 6432, 167, 6437, 0, 6437, 0, 6437, 0, 6437, 960, 6441, 28960, 6446, 4120, 6449, 370, 6454, 43303, 6462, 24580, 6465, 35078, 6470, 49186, 6474, 524, 6477, 2304, 6479, 16513, 6482, 8237, 6487, 36e3, 6492, 3636, 6498, 0, 6498, 0, 6498, 0, 6498, 8448, 6500, 4353, 6503, 32785, 6506, 49434, 6512, 60492, 6520, 2194, 6524, 64, 6525, 34048, 6528, 51116, 6537, 6150, 6541, 57406, 6549, 1298, 6553, 32768, 6554, 16, 6555, 16392, 6557, 32974, 6563, 27905, 6569, 528, 6571, 34369, 6576, 2134, 6581, 286, 6586, 39, 6590, 14160, 6597, 2109, 6603, 57394, 6609, 19973, 6615, 448, 6618, 1156, 6621, 129, 6623, 320, 6625, 0, 6625, 0, 6625, 0, 6625, 0, 6625, 0, 6625, 0, 6625, 6816, 6630, 89, 6634, 17352, 6640, 34852, 6644, 7496, 6650, 51200, 6653, 338, 6657, 29187, 6663, 36883, 6668, 1028, 6670, 33408, 6673, 1024, 6674, 35344, 6678, 3348, 6683, 32854, 6688, 520, 6690, 41024, 6693, 9988, 6698, 0, 6698, 19456, 6701, 0, 6701, 0, 6701, 0, 6701, 0, 6701, 0, 6701, 41760, 6706, 6402, 6710, 41134, 6717, 9824, 6722, 57088, 6729, 61456, 6734, 31509, 6743, 33057, 6747, 15056, 6754, 16768, 6757, 40, 6759, 4099, 6762, 18432, 6764, 52224, 6768, 32788, 6771, 5327, 6779, 196, 6782, 8192, 6783, 12320, 6786, 1],
    jis0208TableFF = [6787, 57210, 6799, 65535, 6815, 65535, 6831, 65535, 6847, 65535, 6863, 16383, 6877, 0, 6877, 0, 6877, 0, 6877, 0, 6877, 0, 6877, 0, 6877, 0, 6877, 0, 6877, 40];

function unicodetojisx0208(e, a) {
    var s = [],
        i = 0,
        j = 0,
        b = 0;
    if (2 <= a) {
        0 <= e && e < 256 ? (i = parseInt(e >> 4), b = jis0208Table00[i *= 2], j = jis0208Table00[i + 1]) : 768 <= e && e < 1120 ? (i = parseInt((e >> 4) - 48), b = jis0208Table03[i *= 2], j = jis0208Table03[i + 1]) : 8192 <= e && e < 8992 ? (i = parseInt((e >> 4) - 512), b = jis0208Table20[i *= 2], j = jis0208Table20[i + 1]) : 9472 <= e && e < 9840 ? (i = parseInt((e >> 4) - 592), b = jis0208Table25[i *= 2], j = jis0208Table25[i + 1]) : 12288 <= e && e < 12544 ? (i = parseInt((e >> 4) - 768), b = jis0208Table30[i *= 2], j = jis0208Table30[i + 1]) : 19968 <= e && e < 40880 ? (i = parseInt((e >> 4) - 1248), b = jis0208Table4E[i *= 2], j = jis0208Table4E[i + 1]) : 65280 <= e && e < 65520 && (i = parseInt((e >> 4) - 4080), b = jis0208TableFF[i *= 2], j = jis0208TableFF[i + 1]);
        var l, r = parseInt(15 & e);
        if (parseInt(j & 1 << r)) return j = parseInt(j & (1 << r) - 1), j = parseInt((21845 & j) + ((43690 & j) >> 1)), j = parseInt((13107 & j) + ((52428 & j) >> 2)), j = parseInt((3855 & j) + ((61680 & j) >> 4)), j = parseInt((255 & j) + (j >> 8)), l = jis0208Table[b + j], s[0] = parseInt(l >> 8), s[1] = parseInt(255 & l), s
    }
    return -2
}
var gb2312Table = [8552, 8556, 8487, 8547, 8512, 8513, 10276, 10274, 10280, 10278, 10298, 10284, 10282, 10288, 10286, 8514, 10292, 10290, 10297, 10273, 10277, 10279, 10281, 10285, 10289, 10275, 10283, 10287, 10291, 10293, 10294, 10295, 10296, 8486, 8485, 9761, 9762, 9763, 9764, 9765, 9766, 9767, 9768, 9769, 9770, 9771, 9772, 9773, 9774, 9775, 9776, 9777, 9778, 9779, 9780, 9781, 9782, 9783, 9784, 9793, 9794, 9795, 9796, 9797, 9798, 9799, 9800, 9801, 9802, 9803, 9804, 9805, 9806, 9807, 9808, 9809, 9810, 9811, 9812, 9813, 9814, 9815, 9816, 10023, 10017, 10018, 10019, 10020, 10021, 10022, 10024, 10025, 10026, 10027, 10028, 10029, 10030, 10031, 10032, 10033, 10034, 10035, 10036, 10037, 10038, 10039, 10040, 10041, 10042, 10043, 10044, 10045, 10046, 10047, 10048, 10049, 10065, 10066, 10067, 10068, 10069, 10070, 10072, 10073, 10074, 10075, 10076, 10077, 10078, 10079, 10080, 10081, 10082, 10083, 10084, 10085, 10086, 10087, 10088, 10089, 10090, 10091, 10092, 10093, 10094, 10095, 10096, 10097, 10071, 8490, 8492, 8494, 8495, 8496, 8497, 8493, 8555, 8548, 8549, 8569, 8550, 8557, 8817, 8818, 8819, 8820, 8821, 8822, 8823, 8824, 8825, 8826, 8827, 8828, 8571, 8572, 8570, 8573, 8522, 8519, 8518, 8524, 8536, 8542, 8527, 8526, 8516, 8517, 8521, 8520, 8530, 8531, 8544, 8543, 8515, 8523, 8535, 8534, 8533, 8537, 8532, 8540, 8541, 8538, 8539, 8529, 8525, 8528, 8793, 8794, 8795, 8796, 8797, 8798, 8799, 8800, 8801, 8802, 8773, 8774, 8775, 8776, 8777, 8778, 8779, 8780, 8781, 8782, 8783, 8784, 8785, 8786, 8787, 8788, 8789, 8790, 8791, 8792, 8753, 8754, 8755, 8756, 8757, 8758, 8759, 8760, 8761, 8762, 8763, 8764, 8765, 8766, 8767, 8768, 8769, 8770, 8771, 8772, 10532, 10533, 10534, 10535, 10536, 10537, 10538, 10539, 10540, 10541, 10542, 10543, 10544, 10545, 10546, 10547, 10548, 10549, 10550, 10551, 10552, 10553, 10554, 10555, 10556, 10557, 10558, 10559, 10560, 10561, 10562, 10563, 10564, 10565, 10566, 10567, 10568, 10569, 10570, 10571, 10572, 10573, 10574, 10575, 10576, 10577, 10578, 10579, 10580, 10581, 10582, 10583, 10584, 10585, 10586, 10587, 10588, 10589, 10590, 10591, 10592, 10593, 10594, 10595, 10596, 10597, 10598, 10599, 10600, 10601, 10602, 10603, 10604, 10605, 10606, 10607, 8566, 8565, 8568, 8567, 8564, 8563, 8560, 8562, 8561, 8559, 8558, 8546, 8545, 8481, 8482, 8483, 8488, 8489, 8500, 8501, 8502, 8503, 8504, 8505, 8506, 8507, 8510, 8511, 8574, 8498, 8499, 8508, 8509, 9249, 9250, 9251, 9252, 9253, 9254, 9255, 9256, 9257, 9258, 9259, 9260, 9261, 9262, 9263, 9264, 9265, 9266, 9267, 9268, 9269, 9270, 9271, 9272, 9273, 9274, 9275, 9276, 9277, 9278, 9279, 9280, 9281, 9282, 9283, 9284, 9285, 9286, 9287, 9288, 9289, 9290, 9291, 9292, 9293, 9294, 9295, 9296, 9297, 9298, 9299, 9300, 9301, 9302, 9303, 9304, 9305, 9306, 9307, 9308, 9309, 9310, 9311, 9312, 9313, 9314, 9315, 9316, 9317, 9318, 9319, 9320, 9321, 9322, 9323, 9324, 9325, 9326, 9327, 9328, 9329, 9330, 9331, 9505, 9506, 9507, 9508, 9509, 9510, 9511, 9512, 9513, 9514, 9515, 9516, 9517, 9518, 9519, 9520, 9521, 9522, 9523, 9524, 9525, 9526, 9527, 9528, 9529, 9530, 9531, 9532, 9533, 9534, 9535, 9536, 9537, 9538, 9539, 9540, 9541, 9542, 9543, 9544, 9545, 9546, 9547, 9548, 9549, 9550, 9551, 9552, 9553, 9554, 9555, 9556, 9557, 9558, 9559, 9560, 9561, 9562, 9563, 9564, 9565, 9566, 9567, 9568, 9569, 9570, 9571, 9572, 9573, 9574, 9575, 9576, 9577, 9578, 9579, 9580, 9581, 9582, 9583, 9584, 9585, 9586, 9587, 9588, 9589, 9590, 8484, 10309, 10310, 10311, 10312, 10313, 10314, 10315, 10316, 10317, 10318, 10319, 10320, 10321, 10322, 10323, 10324, 10325, 10326, 10327, 10328, 10329, 10330, 10331, 10332, 10333, 10334, 10335, 10336, 10337, 10338, 10339, 10340, 10341, 10342, 10343, 10344, 10345, 8805, 8806, 8807, 8808, 8809, 8810, 8811, 8812, 8813, 8814, 21051, 13857, 18015, 19826, 21833, 18557, 18767, 20290, 22562, 12859, 21355, 22564, 13171, 22312, 18258, 22567, 19008, 18288, 12667, 21045, 13396, 13867, 19263, 22569, 13866, 16701, 20815, 18725, 22573, 14454, 20798, 25436, 22096, 14177, 13358, 16729, 22588, 19816, 13604, 20010, 22135, 16502, 15961, 22575, 17483, 15939, 22577, 17204, 21093, 22062, 20058, 21799, 14965, 14118, 16470, 17977, 17746, 18247, 14676, 13131, 21074, 22591, 15941, 18034, 21042, 20272, 20327, 19049, 22592, 17010, 16978, 18537, 18220, 16715, 21352, 21881, 19010, 13950, 22561, 21338, 16247, 21574, 15141, 22593, 20069, 15918, 22568, 20807, 20521, 22589, 22895, 19830, 16186, 15675, 14885, 21088, 12922, 14944, 17462, 20333, 15913, 19748, 16705, 18263, 22897, 22900, 18507, 22633, 21082, 18994, 18506, 22636, 22634, 22598, 15734, 17997, 13168, 22635, 15729, 15721, 18516, 13395, 16984, 12886, 22352, 19019, 19323, 21836, 14390, 20297, 22874, 22640, 18218, 22638, 13434, 16750, 21076, 22637, 21063, 22639, 17223, 20854, 22105, 22642, 22645, 15486, 15451, 18510, 14173, 14146, 18035, 22648, 21057, 20073, 15423, 14204, 14117, 20573, 22106, 21317, 15215, 15201, 22641, 18721, 20016, 13355, 22643, 18763, 22646, 16983, 22647, 20017, 22649, 12846, 14656, 22819, 12393, 16742, 18796, 19269, 19270, 22820, 13672, 13611, 20027, 13645, 22305, 22388, 21331, 19557, 14926, 22818, 22876, 21344, 22653, 14192, 22391, 22654, 22650, 22817, 17507, 21302, 22644, 22877, 22651, 17765, 16464, 20848, 12379, 15441, 22822, 22821, 22828, 22830, 22827, 19001, 22825, 22070, 13150, 22824, 16509, 19020, 22826, 22823, 22832, 13873, 14633, 21056, 20288, 16962, 15684, 21868, 12896, 18248, 16235, 22829, 22831, 20074, 14958, 18262, 12643, 13401, 13933, 22836, 16161, 22878, 18254, 16510, 22840, 19287, 14205, 22837, 22839, 12579, 21345, 22841, 20549, 22838, 22833, 22834, 16681, 22835, 15475, 20574, 14377, 15971, 22845, 22842, 12339, 22850, 22852, 12598, 22847, 13625, 15987, 19528, 14962, 21072, 22851, 15720, 13099, 22853, 15979, 22854, 22843, 17503, 22846, 22849, 22848, 21806, 22069, 18275, 22856, 15449, 22858, 22844, 22859, 17963, 22857, 22390, 19747, 15649, 22860, 17724, 19765, 22861, 22855, 13093, 16254, 14389, 16508, 12408, 13430, 22862, 22863, 13346, 22864, 13407, 12353, 22865, 18741, 20337, 22866, 16709, 22870, 18734, 22869, 22868, 22871, 19291, 15657, 17959, 22867, 22872, 22873, 18533, 16476, 13945, 22563, 21578, 21546, 20566, 13156, 21847, 20296, 14690, 16203, 17250, 13906, 19779, 22894, 22896, 13619, 13877, 15908, 18539, 18475, 12363, 14635, 16761, 22882, 16444, 14642, 14680, 20555, 12664, 18020, 15967, 13668, 22344, 20856, 15462, 19038, 15421, 22886, 22631, 17498, 14420, 18493, 12897, 21593, 17200, 17249, 23074, 18527, 20532, 15996, 17705, 14682, 23075, 21545, 23076, 22907, 13868, 14187, 12665, 22908, 13157, 15990, 16246, 21041, 16484, 13875, 22910, 22909, 15931, 18016, 22332, 23073, 16697, 13682, 16744, 15477, 13397, 16733, 17533, 15416, 14130, 14191, 22892, 17982, 16173, 15179, 13642, 23369, 20567, 19769, 12348, 13174, 15223, 23370, 14895, 21604, 13622, 13683, 22614, 18512, 14166, 18256, 22615, 16175, 23355, 22616, 20556, 15150, 27454, 16720, 16757, 21618, 14421, 13364, 13173, 18750, 17744, 17753, 16507, 12656, 22617, 14670, 13629, 22618, 22086, 19234, 18479, 18738, 13388, 16204, 14708, 22619, 22620, 13927, 15425, 19562, 20343, 22621, 18224, 14672, 15651, 19550, 17994, 22624, 22622, 22623, 12414, 15975, 18979, 15476, 14385, 14446, 22626, 15691, 22628, 22627, 17788, 22629, 22630, 16678, 18480, 12396, 14630, 15443, 20081, 23357, 16723, 13871, 22138, 17708, 15705, 23358, 23359, 16504, 15906, 16461, 23360, 19014, 12842, 21314, 17251, 20779, 23362, 16469, 23363, 16177, 17468, 18266, 23364, 22888, 18775, 14644, 20080, 21576, 12412, 13394, 20569, 22889, 24139, 22891, 22576, 15151, 12593, 13143, 22606, 21585, 15667, 16239, 20283, 22608, 14155, 22609, 17957, 18296, 21053, 22610, 17508, 18990, 18215, 22566, 18813, 20071, 15196, 12395, 15146, 20525, 12592, 22372, 22335, 13605, 17012, 17487, 12841, 12855, 12645, 24370, 21820, 16168, 16940, 22613, 16945, 22612, 20052, 23136, 20032, 22580, 17198, 21281, 20003, 15412, 18484, 16977, 15981, 20534, 23137, 18276, 13095, 13938, 19580, 16506, 16503, 20793, 20833, 22599, 12894, 16485, 14961, 22600, 21549, 20321, 22601, 22602, 20291, 13176, 15943, 22603, 23372, 18469, 20312, 18558, 12878, 21334, 12902, 15408, 21329, 19243, 14132, 14114, 19045, 18465, 19036, 12644, 20592, 17745, 23365, 13694, 16218, 14661, 15972, 16749, 24374, 24373, 22075, 15696, 21849, 12360, 13859, 16201, 19496, 24371, 18999, 21330, 22607, 21046, 14917, 19262, 19518, 24375, 13680, 24372, 21365, 13140, 14455, 24378, 14927, 15402, 13685, 19756, 17275, 14963, 16500, 19778, 20338, 24376, 20293, 16960, 24377, 17008, 15997, 16735, 19788, 21111, 14157, 24385, 24388, 14193, 12361, 13910, 14164, 14892, 19581, 16212, 19249, 18036, 22056, 24389, 20066, 13107, 20092, 13365, 20039, 14960, 20065, 20797, 24384, 13428, 13130, 14438, 24379, 17477, 24380, 24381, 24382, 17723, 24383, 24386, 21553, 24387, 18234, 20056, 17496, 24394, 24399, 22108, 24393, 24410, 20022, 14919, 24398, 24392, 17758, 18795, 14964, 17276, 15959, 24390, 24397, 17752, 21798, 14925, 15948, 21309, 14400, 22116, 24391, 14654, 16167, 16764, 24395, 24396, 24400, 24411, 24421, 24407, 24406, 22345, 24419, 24420, 25963, 21031, 24402, 16169, 21595, 16200, 24404, 20300, 24413, 20810, 24414, 12327, 17975, 24403, 14949, 13919, 19803, 14718, 21589, 24415, 20332, 12325, 24423, 24401, 20806, 24405, 24408, 24409, 24412, 15145, 24416, 24417, 24418, 24422, 24424, 21300, 14439, 17718, 24426, 18778, 16680, 17476, 16222, 20344, 21852, 24430, 12856, 14943, 24428, 23361, 20836, 19316, 13373, 12326, 24433, 19526, 24434, 24429, 24425, 24427, 24431, 24432, 15165, 24435, 24436, 15139, 19035, 20008, 24615, 13098, 24614, 24609, 24446, 19801, 24444, 24442, 16208, 22340, 18764, 24440, 12321, 24445, 24443, 24610, 24616, 14152, 17953, 18742, 16434, 24437, 17726, 22596, 24441, 17526, 24611, 24612, 24613, 20517, 24628, 19556, 24625, 16166, 24623, 20025, 24619, 18758, 16430, 24622, 14957, 14896, 24617, 24438, 24627, 24632, 13357, 24633, 20274, 14920, 24624, 20602, 24620, 21627, 24439, 17767, 24621, 21367, 24630, 24631, 24644, 20577, 24636, 24649, 24650, 24638, 24618, 18724, 24641, 24626, 19016, 24643, 24629, 20043, 19267, 24653, 24646, 24642, 24651, 24634, 24639, 24640, 24645, 24647, 24648, 24652, 24635, 19284, 24661, 24662, 24658, 24656, 15438, 24657, 14402, 22597, 20586, 17007, 24655, 24637, 24660, 24659, 24663, 24668, 24664, 22134, 13104, 22380, 19259, 24666, 20091, 14937, 24673, 24669, 21037, 24674, 24667, 24665, 24671, 24672, 24670, 24676, 18039, 22572, 21611, 24678, 19017, 24677, 14401, 24679, 24680, 24681, 24675, 14911, 19559, 24682, 20345, 24683, 18498, 15680, 17490, 24684, 24685, 18292, 19268, 24686, 15192, 22582, 21106, 24687, 19781, 13914, 24689, 21552, 16423, 13393, 20007, 24688, 24690, 14668, 14714, 19772, 24691, 18004, 24692, 21554, 18470, 24694, 24693, 24695, 19777, 18981, 21594, 23383, 23385, 23384, 14695, 23388, 23389, 13656, 23386, 23387, 13089, 23391, 15224, 22071, 23392, 15993, 14139, 23376, 19502, 16178, 15157, 22392, 16211, 16233, 15457, 19507, 23390, 12371, 20075, 14168, 22329, 17986, 16420, 19513, 23399, 23393, 17978, 23395, 23400, 17783, 23402, 23401, 16192, 23398, 23397, 13369, 16428, 16930, 23394, 23396, 20557, 23405, 16477, 23410, 13922, 23411, 23378, 14648, 21547, 23404, 16209, 23408, 23377, 13670, 23403, 16229, 23406, 23409, 23417, 14625, 12323, 17009, 13127, 23407, 23416, 18002, 23412, 23413, 23415, 23414, 23422, 21362, 12858, 23421, 23588, 23419, 23418, 23420, 17760, 15225, 23587, 23589, 19523, 13905, 23872, 23585, 23586, 18229, 13929, 23591, 23590, 23593, 12580, 13644, 16176, 20831, 13890, 23592, 19322, 27507, 19292, 19326, 19521, 18555, 23594, 19566, 23595, 23379, 23599, 23596, 15923, 19067, 23597, 18762, 17465, 18237, 23598, 21622, 20582, 17451, 13909, 23380, 12634, 23381, 23382, 14910, 18496, 19007, 18505, 22323, 18809, 16199, 14968, 21052, 25146, 13350, 12600, 14388, 20292, 22887, 20262, 19810, 22893, 13920, 21049, 14651, 25145, 25143, 13427, 19564, 19499, 14194, 22578, 20843, 14907, 18983, 19767, 21060, 16228, 15440, 13921, 24133, 24134, 23356, 20825, 18022, 17486, 14190, 14172, 16252, 22368, 18037, 12604, 24136, 15665, 19543, 24138, 24137, 13676, 18781, 12354, 17710, 17707, 17484, 15465, 19325, 14915, 25977, 18535, 25978, 19837, 22321, 14398, 17e3, 18513, 25979, 13898, 15435, 20861, 26145, 17262, 26148, 25982, 26149, 19799, 14145, 25980, 25981, 26147, 17501, 26152, 26151, 17219, 18014, 26154, 17463, 26146, 19004, 15715, 14659, 26150, 20565, 20015, 26153, 26160, 21030, 15658, 26157, 26159, 16465, 21068, 15399, 26161, 21110, 22347, 19838, 19806, 16934, 26155, 26156, 15679, 26158, 26163, 26162, 26166, 26168, 17519, 17480, 15978, 18799, 26167, 13936, 17252, 21353, 26164, 26165, 18466, 26173, 26169, 17989, 19825, 26171, 26172, 15209, 26174, 26170, 16439, 21284, 26175, 18804, 26179, 26180, 20598, 17213, 17220, 26178, 26177, 26183, 20273, 27508, 26186, 26181, 15454, 18729, 15413, 20307, 26184, 26185, 26190, 26192, 26193, 26187, 13653, 26188, 26191, 17499, 26182, 26189, 26194, 26196, 26195, 26197, 22904, 26198, 26199, 22355, 26205, 26206, 16215, 21584, 22358, 13414, 19311, 26202, 22595, 22350, 20514, 17231, 26207, 15422, 14658, 26203, 20775, 14882, 16975, 22571, 19051, 25966, 26204, 14197, 18534, 17525, 25906, 17534, 19324, 25907, 21804, 21358, 19032, 12338, 19278, 19818, 14954, 25909, 25908, 22362, 14681, 22118, 13864, 19824, 21067, 12582, 18997, 13160, 18803, 16205, 20603, 19026, 25910, 15170, 20316, 14636, 21591, 14886, 20839, 20348, 15442, 25911, 18525, 16237, 12662, 19294, 15429, 15428, 21114, 17244, 16220, 14395, 17218, 14894, 21538, 18270, 17455, 12908, 14673, 25915, 16712, 21807, 25916, 25918, 13415, 13908, 19266, 20784, 13628, 19033, 14178, 18788, 15659, 20030, 22384, 20513, 18777, 13947, 26200, 15458, 13118, 18768, 26201, 13090, 24140, 21320, 24141, 21026, 24142, 15949, 24143, 18988, 21116, 13151, 25962, 17505, 15905, 20018, 17522, 15958, 17960, 12899, 15955, 18300, 19563, 15724, 20061, 19002, 17985, 25964, 20540, 21817, 25965, 19060, 19776, 16965, 25967, 16964, 25968, 25976, 19789, 18749, 21081, 24872, 21356, 19306, 18033, 24876, 24871, 24873, 24874, 24879, 12909, 24875, 14426, 24877, 24878, 24880, 13626, 24881, 24883, 24888, 20818, 24886, 24885, 16747, 24887, 21568, 24882, 24890, 12342, 24884, 16249, 24889, 24891, 24894, 24892, 22085, 20287, 24893, 24895, 16973, 13931, 21368, 18253, 14181, 15998, 24896, 24897, 24903, 13159, 18025, 13406, 20802, 24904, 24902, 24901, 24899, 24898, 12608, 21816, 24900, 24907, 24908, 24906, 28538, 24915, 24914, 18230, 24905, 24910, 24912, 24916, 24913, 24909, 24911, 24917, 24918, 24919, 24920, 24922, 24923, 20001, 26461, 13352, 22109, 20786, 13106, 14628, 22387, 18249, 15966, 14638, 20055, 12910, 23375, 15418, 21073, 19272, 12365, 20335, 22883, 15725, 12626, 19024, 12860, 19239, 14123, 18982, 20259, 24696, 21834, 24699, 24698, 17729, 19579, 16689, 24697, 22115, 12847, 22084, 13659, 13432, 22049, 20271, 12399, 24700, 24865, 13091, 24701, 24702, 17201, 17245, 24866, 14201, 15183, 24867, 17467, 24868, 24869, 24870, 13361, 14409, 17981, 17514, 12834, 20562, 26459, 15171, 21335, 21316, 14691, 25167, 22319, 18284, 12627, 13362, 25169, 20594, 16942, 25168, 16226, 21286, 13655, 25170, 13674, 17261, 14461, 14382, 17747, 14159, 25172, 25171, 13896, 22393, 19749, 25176, 25174, 19068, 16181, 21305, 25173, 25175, 16686, 16456, 25179, 25178, 16426, 16718, 25180, 25181, 25182, 23368, 20819, 19746, 15656, 24131, 22565, 16170, 23373, 21100, 18042, 17706, 24132, 12631, 24366, 19005, 24369, 14637, 21117, 14373, 14955, 13146, 13660, 21829, 17238, 20306, 15137, 25971, 25970, 25972, 19812, 18549, 13615, 18239, 25974, 27696, 25958, 14697, 13617, 16956, 25960, 25959, 25961, 21069, 24938, 20558, 19758, 20837, 12874, 12651, 12658, 17773, 21827, 21296, 24924, 24925, 21083, 13113, 12619, 19833, 21879, 24926, 15926, 13437, 24927, 14940, 24928, 15154, 16969, 24929, 20588, 19773, 24930, 13635, 17735, 24931, 24932, 21369, 24933, 20781, 24934, 20002, 24935, 13634, 24936, 15189, 20548, 25184, 12632, 21092, 25185, 15433, 18508, 25187, 27774, 27773, 24367, 25186, 22078, 19836, 17190, 25411, 22098, 25191, 25192, 21319, 25196, 16236, 25197, 25189, 13120, 17518, 25198, 20547, 14966, 25193, 14174, 15155, 19500, 19275, 25188, 25190, 25194, 25195, 25207, 25204, 21621, 25203, 17709, 21882, 17730, 12864, 25199, 25202, 16687, 19260, 13601, 25209, 15409, 25201, 20564, 21561, 25205, 14678, 25206, 18259, 25200, 22364, 27937, 25208, 27941, 25214, 19025, 16693, 15184, 16214, 14947, 19233, 27942, 27939, 27938, 15190, 27943, 20596, 27940, 14942, 13943, 25377, 13874, 19569, 14631, 20258, 18209, 16210, 13937, 25210, 25211, 25213, 25212, 17493, 25378, 21313, 25383, 18244, 20260, 25385, 14903, 25384, 15194, 25379, 25380, 25386, 25382, 20082, 21318, 15164, 21571, 17530, 27944, 20604, 25381, 17269, 25389, 12591, 25394, 15426, 25388, 13631, 18281, 25392, 15914, 19823, 15219, 19560, 25391, 25393, 20263, 25390, 20009, 15197, 13675, 15973, 12882, 13133, 12601, 25387, 12881, 13612, 14687, 13928, 20331, 25399, 15180, 18503, 20554, 25400, 13166, 27945, 21370, 21348, 27946, 25401, 21090, 25397, 21342, 14416, 25395, 25398, 14175, 25396, 16418, 25402, 21560, 13384, 25403, 15173, 18807, 18789, 17469, 27947, 17021, 15195, 16174, 20031, 25404, 16182, 12655, 21623, 25406, 27949, 25407, 14889, 27948, 25405, 25408, 14902, 13870, 20536, 12355, 27950, 27951, 16449, 25409, 17715, 25410, 23602, 27952, 14442, 20076, 27175, 20583, 19065, 18518, 20279, 13129, 20050, 15716, 25438, 15218, 27176, 21821, 18013, 27177, 27178, 27180, 27179, 27182, 27181, 15704, 27183, 16958, 13377, 13431, 15143, 27750, 27749, 14143, 19321, 12642, 27751, 18760, 27752, 27753, 19030, 24144, 12869, 21626, 17995, 12359, 13426, 18515, 19792, 16184, 16219, 18212, 22068, 16425, 24145, 18728, 20847, 17700, 12391, 13110, 18501, 12386, 14198, 17786, 13939, 21842, 13136, 15420, 13101, 15985, 12369, 21078, 19043, 22309, 19766, 13878, 16185, 21851, 14375, 17751, 24146, 16217, 16981, 18240, 15140, 12584, 17770, 17787, 19495, 12583, 13654, 17448, 24147, 20794, 13161, 17266, 14199, 22132, 13603, 12912, 17460, 17513, 16429, 24148, 12392, 17732, 16736, 14677, 15964, 19800, 12366, 19791, 24150, 15952, 22334, 24149, 21840, 12381, 17506, 16931, 15472, 21301, 16441, 17697, 12838, 21617, 16424, 19011, 24151, 21884, 14640, 18477, 19241, 24153, 16189, 17972, 22311, 18992, 17475, 13142, 14674, 22072, 27260, 12340, 16230, 19572, 19802, 22079, 16974, 20046, 19490, 20526, 17491, 13618, 24152, 21877, 15415, 15187, 12324, 17714, 13420, 21873, 27261, 24154, 19750, 19820, 20070, 24156, 19761, 16422, 22333, 24155, 12358, 14900, 18771, 17523, 15976, 12854, 16460, 19312, 15473, 15163, 13623, 17781, 24166, 24163, 15965, 24159, 13367, 15709, 24160, 17517, 20294, 13664, 13918, 19034, 13684, 24165, 21830, 24161, 19533, 18046, 17733, 21044, 15986, 16979, 19517, 13112, 15699, 16216, 19782, 20826, 13419, 24164, 24157, 24167, 27262, 16944, 24162, 22080, 13607, 12916, 24168, 24178, 24173, 24177, 18528, 22369, 24175, 17256, 19553, 12901, 21054, 24174, 24171, 20053, 13351, 16171, 15934, 15698, 24169, 21550, 24158, 24170, 16447, 24172, 12915, 14441, 16935, 15681, 24181, 24184, 12843, 13348, 13418, 18726, 24182, 19281, 14435, 24183, 24186, 24185, 19522, 12385, 13422, 25914, 20527, 12907, 27425, 24180, 18787, 24179, 12378, 21025, 12663, 19503, 24176, 19236, 21802, 24187, 13405, 17446, 24189, 17278, 17441, 24353, 16716, 24188, 15983, 17970, 13125, 18550, 19258, 24190, 24356, 22322, 13111, 16707, 18251, 12837, 13417, 22315, 17516, 24354, 24355, 24357, 14899, 24358, 16478, 18755, 12889, 18278, 24359, 18268, 24360, 27426, 19283, 24362, 24361, 12865, 17738, 24363, 21596, 18497, 24364, 15984, 24365, 22055, 27191, 27446, 19029, 22652, 14404, 14629, 14149, 21886, 14666, 20519, 29773, 13648, 17268, 15944, 27447, 12349, 15692, 16690, 12630, 13096, 14418, 18722, 13912, 27448, 15924, 19069, 18243, 21883, 14195, 20036, 21803, 12659, 27699, 12383, 27701, 13879, 16719, 30074, 20529, 21861, 20051, 15727, 13154, 14379, 21814, 27965, 13903, 19257, 20546, 14141, 27702, 18985, 17748, 27705, 27704, 16963, 27703, 20605, 27706, 27707, 22373, 27708, 27709, 18028, 20062, 15432, 18517, 13609, 15945, 22076, 21607, 20782, 20593, 27192, 27193, 27194, 14901, 18993, 16245, 19834, 27200, 12346, 27198, 16421, 27195, 12925, 17271, 15208, 21079, 20084, 27199, 27196, 27203, 20551, 21299, 13370, 17217, 22386, 21841, 19015, 27205, 27204, 27207, 27206, 22119, 20308, 27211, 15182, 15738, 18766, 27212, 18745, 20350, 27210, 21582, 27213, 27215, 19821, 27209, 27214, 20078, 15198, 13119, 18005, 15920, 20090, 18279, 15911, 27216, 22087, 16704, 21597, 27217, 20286, 27218, 19054, 17711, 12341, 27220, 27219, 29791, 17466, 12585, 25951, 27221, 19055, 27222, 27223, 18008, 27224, 27225, 21563, 18298, 21047, 14460, 27202, 12892, 17020, 21624, 19558, 22382, 21570, 21328, 27459, 17779, 14206, 27476, 19255, 27486, 16458, 19835, 13103, 18010, 27516, 17470, 20020, 17449, 12606, 21629, 19061, 22124, 18003, 13924, 15226, 20576, 18737, 21587, 18472, 14411, 26686, 18748, 26683, 16494, 20563, 12868, 13413, 26684, 21832, 13893, 26685, 19064, 14428, 19573, 16436, 20846, 26687, 26690, 14908, 12589, 15708, 27197, 26691, 26694, 26699, 26700, 19273, 12389, 15403, 14649, 26689, 19831, 26698, 20086, 21869, 16726, 26692, 17206, 14715, 22054, 26696, 19040, 21606, 26688, 26693, 26695, 18233, 14179, 26697, 16221, 26706, 26711, 26709, 15452, 15439, 26715, 26718, 26714, 12666, 12376, 17459, 14412, 18018, 18494, 18529, 26703, 26708, 26710, 14705, 26712, 22389, 17531, 26716, 12905, 26705, 15469, 16194, 26701, 22137, 16760, 12913, 26719, 19009, 26713, 21796, 12650, 21819, 26702, 26704, 13872, 26707, 26717, 16440, 19063, 19240, 18012, 16501, 26729, 20515, 26738, 22122, 26720, 26721, 20857, 14923, 14457, 14449, 21588, 26735, 26734, 26732, 14704, 19538, 26726, 20006, 16242, 12344, 26737, 26736, 22336, 26724, 19753, 18723, 15160, 15707, 26730, 26722, 26723, 26725, 13621, 26727, 18245, 26731, 26733, 15664, 22318, 26744, 26741, 19760, 26742, 16698, 26728, 17207, 12400, 26740, 26743, 14627, 18770, 17230, 20064, 16486, 19315, 19549, 20533, 19041, 26739, 15468, 26745, 17246, 18021, 14711, 12404, 22360, 15404, 17775, 19524, 26918, 18733, 26914, 16482, 16195, 26750, 14679, 26747, 26916, 21070, 26915, 22066, 22325, 26919, 15671, 26748, 26749, 26913, 19798, 21036, 26930, 26921, 13354, 13371, 26923, 20520, 26917, 13182, 26924, 16483, 26922, 26937, 26936, 26926, 26746, 26920, 16172, 26929, 26938, 16933, 26927, 14405, 26925, 21340, 26932, 26933, 26935, 26951, 16454, 26949, 26928, 26939, 12401, 26940, 21797, 26942, 26943, 26945, 16753, 18486, 26941, 26946, 26947, 26931, 26934, 15153, 26944, 15479, 26948, 26950, 26954, 26958, 12891, 26952, 14126, 26955, 26956, 21825, 17443, 26968, 14945, 26953, 21283, 26964, 26967, 26960, 26959, 18241, 26962, 26969, 13128, 26963, 20336, 26957, 13175, 26966, 26970, 19508, 20269, 26965, 26972, 26971, 26974, 26961, 26973, 26975, 17226, 18231, 13390, 15158, 20544, 27683, 17719, 21371, 27684, 27685, 18011, 16238, 27686, 27687, 20522, 18232, 14440, 27688, 22073, 21885, 13387, 12861, 20068, 18023, 19809, 13429, 19264, 15455, 26978, 26979, 20842, 26981, 13433, 26980, 20787, 19042, 12880, 26984, 26982, 26983, 22067, 26985, 26986, 26987, 26988, 27695, 17721, 13902, 21107, 13678, 15193, 27697, 21091, 20067, 17464, 17215, 13886, 22585, 12616, 12623, 12625, 17790, 12624, 17195, 21809, 27428, 14913, 19514, 27429, 27431, 27432, 27430, 27433, 27435, 27434, 27436, 19023, 22581, 17265, 17189, 18040, 27437, 17482, 27438, 27439, 27440, 14165, 14202, 27441, 18274, 27443, 14884, 20853, 12337, 27442, 27444, 13610, 16968, 18280, 27445, 19246, 25439, 21312, 22875, 19745, 22061, 18291, 22880, 15203, 14906, 25442, 20267, 25440, 18759, 14905, 20788, 25441, 18538, 14639, 15661, 13144, 20059, 19520, 25448, 25449, 19828, 19501, 15411, 25450, 25451, 20570, 18043, 14170, 18271, 21066, 20054, 25444, 25452, 18802, 13121, 25447, 18019, 25445, 27955, 25446, 18739, 17766, 14645, 17211, 25443, 17725, 16676, 16985, 12887, 25453, 15142, 17453, 25456, 15962, 25467, 25461, 14931, 14160, 21325, 22094, 21843, 14657, 21812, 20824, 20537, 18294, 18474, 12852, 17242, 25454, 25468, 25455, 14120, 25463, 25460, 14138, 17698, 25462, 17757, 12840, 18044, 17504, 22306, 16481, 25465, 25466, 25469, 19497, 25459, 21310, 12611, 27956, 25457, 25458, 25464, 20538, 17987, 21619, 25470, 15712, 25639, 25638, 20851, 25635, 25641, 18551, 20276, 25640, 25646, 16997, 13876, 15730, 25634, 14953, 25642, 25644, 13949, 22110, 25650, 25645, 25633, 15214, 19805, 18210, 17737, 16759, 25636, 18227, 15660, 15677, 25637, 22343, 12898, 25643, 15427, 25647, 15211, 25648, 17704, 25649, 21859, 16163, 25658, 25655, 25659, 25661, 18006, 14918, 16459, 14369, 25652, 21537, 14883, 15742, 25660, 19775, 17529, 20347, 18790, 21311, 20305, 25651, 25656, 25657, 19561, 19534, 16468, 25653, 16688, 25654, 20048, 15169, 13651, 18547, 15655, 21831, 18732, 14370, 25674, 25676, 20804, 21050, 14893, 14932, 25667, 13677, 22349, 25664, 20349, 25663, 16732, 19530, 19047, 17495, 19540, 25672, 25671, 25665, 25668, 13613, 21337, 25670, 21113, 13411, 15156, 18798, 13374, 15212, 20813, 19565, 27957, 18277, 21544, 25675, 22357, 25666, 15653, 25669, 21350, 25673, 18808, 25662, 21349, 18302, 13897, 21628, 12851, 25687, 20034, 25677, 20028, 14427, 25686, 16202, 21326, 17260, 17736, 25688, 19780, 25679, 25684, 25685, 14974, 20326, 21823, 25682, 25680, 25678, 19813, 18986, 16419, 15654, 25683, 14408, 25703, 21556, 25691, 16751, 25705, 21095, 25695, 25696, 20266, 19293, 25690, 25681, 25701, 18524, 25699, 17511, 25698, 25697, 13180, 25704, 13665, 22348, 25702, 15148, 22354, 19535, 27512, 25700, 14710, 22093, 25689, 25692, 17018, 25694, 16971, 16452, 16976, 12661, 19506, 13646, 25711, 17967, 18017, 25717, 16937, 16492, 20829, 25710, 17454, 25709, 25718, 25716, 17022, 25693, 25712, 19070, 21828, 25713, 20858, 25707, 25708, 25714, 20011, 17739, 18225, 16954, 25706, 16714, 19510, 13105, 25723, 25715, 25722, 25725, 25724, 13134, 13114, 25719, 25721, 25720, 17772, 16445, 21608, 25890, 12356, 25892, 25891, 15396, 25893, 25889, 25726, 12660, 25896, 25897, 25894, 25895, 25898, 18009, 25899, 25901, 25900, 25903, 25902, 14688, 25904, 25905, 15216, 27745, 17264, 13638, 15186, 16745, 21614, 15940, 22342, 21590, 12883, 27710, 27201, 16943, 13366, 20823, 13108, 18482, 16187, 27712, 22091, 27711, 27713, 27717, 15974, 19519, 17754, 15932, 27718, 12670, 27716, 21800, 13667, 27714, 16694, 13155, 27715, 19256, 16451, 19582, 16722, 27720, 14950, 16467, 22130, 20812, 16190, 14131, 18773, 27719, 15202, 19532, 15741, 18504, 20265, 19817, 17771, 14185, 20809, 14904, 27721, 27722, 15168, 27723, 27746, 12602, 14169, 15673, 27724, 20838, 27725, 18491, 27729, 27731, 15181, 15461, 27727, 18743, 17210, 27747, 21845, 27728, 22131, 27730, 27726, 27732, 27733, 18751, 20264, 20572, 20780, 18523, 27734, 20085, 19052, 27738, 27737, 12350, 27735, 27736, 27748, 18492, 16711, 27740, 20832, 27739, 21615, 27741, 23366, 27742, 12588, 27743, 27744, 22310, 17728, 27452, 12334, 15988, 14392, 21039, 12374, 13689, 22579, 19244, 25437, 17964, 12390, 17734, 27449, 27450, 27451, 20800, 17699, 27250, 17458, 17461, 16462, 27251, 17473, 20079, 27248, 27252, 18812, 18211, 19544, 20094, 27253, 27254, 20268, 16487, 27255, 13887, 27256, 27257, 27258, 27259, 27249, 18478, 24939, 14136, 24940, 24941, 22324, 24942, 24943, 21324, 24945, 16241, 24944, 13650, 12599, 24947, 24946, 14972, 24948, 14647, 15953, 17532, 14941, 15686, 24949, 24951, 13888, 20289, 18984, 24950, 21880, 21372, 24952, 24956, 24953, 24954, 16490, 24958, 25121, 16455, 24955, 24957, 25125, 16724, 25123, 25128, 12926, 25122, 17229, 12866, 25127, 25126, 25124, 25129, 25131, 20553, 22125, 17192, 25132, 20311, 25134, 14959, 26976, 25133, 25130, 15147, 21555, 25136, 25135, 26977, 25137, 25138, 25139, 19489, 25140, 25141, 20606, 16970, 21361, 19829, 26464, 26465, 15937, 17002, 26468, 26467, 19814, 17205, 26466, 15159, 20310, 16737, 26473, 26472, 26484, 12835, 26474, 26470, 26476, 26475, 18746, 21860, 26469, 14121, 26471, 26478, 26483, 22121, 26477, 26482, 26481, 12384, 26485, 18290, 16453, 16493, 16752, 26480, 26486, 19318, 26658, 26657, 22337, 26490, 26489, 26491, 26487, 26494, 26493, 26492, 16725, 18265, 17789, 17731, 18285, 26659, 26662, 26661, 26663, 14967, 26488, 26660, 18544, 18730, 26665, 14693, 20862, 26664, 26666, 26669, 26670, 16679, 26671, 26672, 26668, 26676, 26667, 26673, 26677, 26674, 26675, 26679, 26678, 14671, 28716, 28717, 17968, 12394, 18495, 19807, 20045, 27185, 27186, 17983, 13385, 27187, 21863, 23929, 27188, 27189, 27190, 14410, 24368, 18805, 19568, 18810, 18811, 21315, 19238, 14374, 28718, 12610, 25912, 19567, 21321, 15447, 18794, 13671, 17488, 13673, 28206, 15149, 26462, 28207, 13097, 28210, 28209, 15719, 28208, 20023, 17743, 16756, 23374, 28211, 20595, 16980, 18024, 14124, 28212, 13163, 15227, 28213, 26460, 28214, 15662, 29026, 19048, 21065, 28762, 28763, 28764, 16710, 14445, 15950, 28766, 17713, 28765, 20849, 28768, 12364, 15722, 21087, 28767, 13359, 14184, 28774, 28773, 17955, 28769, 28770, 13379, 28771, 21870, 19547, 15954, 15410, 28776, 28775, 28772, 12833, 22050, 21304, 15927, 18476, 28778, 20855, 22092, 14939, 28777, 13883, 19764, 17958, 16673, 28779, 28782, 28781, 28784, 28780, 15166, 28783, 19509, 28786, 13141, 12628, 28787, 28788, 28790, 13409, 28785, 28791, 28794, 28792, 28789, 28797, 28793, 28796, 28798, 28961, 20033, 28964, 28963, 16758, 28795, 19037, 13425, 12657, 19505, 28966, 28967, 28972, 21838, 28969, 18483, 28962, 28971, 28968, 28965, 28970, 12329, 28973, 28975, 28977, 28976, 28974, 20770, 28978, 28979, 14703, 13639, 12375, 12377, 21613, 13636, 15700, 15178, 28711, 14430, 28712, 12328, 28713, 19822, 28714, 28715, 17956, 22117, 29028, 29029, 17267, 21339, 22097, 17768, 21295, 21094, 28225, 12347, 21813, 20814, 15456, 14928, 16248, 14407, 13633, 17740, 18978, 17227, 28226, 17471, 13858, 28012, 17188, 22065, 20320, 28015, 17742, 13916, 18977, 28013, 28016, 28017, 17212, 16180, 28014, 28020, 28018, 21862, 17247, 28019, 28022, 21795, 20771, 28021, 17232, 28023, 16244, 15980, 28024, 19575, 20827, 22341, 21878, 28028, 28027, 28025, 28026, 28029, 15910, 19247, 28193, 13885, 28194, 17472, 28030, 15710, 12871, 13891, 28197, 22586, 28195, 28198, 17257, 13170, 28199, 28196, 20281, 28200, 17015, 28201, 28202, 24107, 17971, 18246, 22133, 13641, 19250, 28203, 19755, 28204, 21808, 28205, 30276, 23367, 13347, 17196, 29030, 19e3, 21075, 22058, 28530, 15960, 15683, 28531, 13900, 12331, 18991, 27958, 27959, 20089, 14127, 16243, 27960, 17003, 18736, 27961, 18038, 16179, 27964, 17784, 20816, 22313, 27962, 27963, 20834, 27967, 27968, 27972, 27976, 27974, 27982, 21864, 27977, 27975, 27966, 17769, 17990, 18793, 21586, 27969, 27970, 27971, 27973, 16505, 13345, 14696, 27984, 27985, 27978, 27983, 20088, 19254, 27980, 27981, 20341, 27986, 16754, 21298, 27979, 18487, 15471, 17776, 27990, 13679, 16949, 12333, 19305, 12590, 27988, 19819, 13666, 27989, 27987, 27991, 13690, 27992, 27993, 27996, 12620, 17782, 15470, 27994, 19516, 12906, 27995, 17515, 13381, 12405, 27999, 16474, 13416, 17741, 27997, 16196, 27998, 17445, 28e3, 28001, 28003, 16727, 15175, 15672, 28002, 28004, 28006, 28005, 28007, 19006, 27754, 16497, 18791, 27755, 18030, 27756, 18029, 27757, 27760, 22374, 27763, 27761, 27758, 27759, 22307, 18801, 19310, 27764, 27762, 20329, 27766, 17969, 15424, 27765, 13627, 15222, 27767, 22903, 15739, 16955, 27768, 27769, 14371, 27770, 27771, 27772, 21357, 22574, 16491, 18269, 14924, 20579, 19261, 19770, 14417, 12668, 18287, 22102, 16198, 17259, 28533, 17240, 22370, 28535, 13139, 18264, 20845, 22088, 28536, 28534, 15229, 13126, 15701, 21062, 15200, 20257, 28540, 28539, 28537, 13132, 18772, 19248, 28542, 12382, 22089, 28541, 13165, 30293, 20040, 28706, 28705, 13630, 15450, 15228, 14437, 17474, 28707, 19307, 28710, 20776, 15935, 18286, 28982, 28983, 16213, 13353, 28984, 19771, 18260, 21805, 28985, 28986, 18255, 21028, 22095, 28987, 15697, 13360, 15933, 13404, 20049, 16223, 28989, 16250, 28988, 28991, 28990, 28992, 28993, 16766, 16674, 19066, 21822, 15930, 15929, 21826, 16162, 19759, 28981, 15711, 13899, 22129, 29507, 29508, 14413, 29510, 29511, 12362, 29509, 29513, 19313, 29515, 20518, 12618, 29512, 29519, 13649, 29527, 29522, 29524, 29523, 14203, 12607, 29518, 29514, 13658, 29520, 29521, 29525, 29517, 15459, 16765, 29526, 29530, 29516, 13640, 15726, 29532, 14116, 16240, 22142, 19762, 13424, 12895, 29528, 29529, 18744, 29533, 29534, 29537, 29535, 29539, 29538, 29531, 16234, 13167, 29536, 18217, 15474, 29547, 14655, 29540, 12845, 15230, 19299, 29549, 29545, 14684, 29550, 29541, 29542, 29546, 16993, 29548, 29551, 29544, 15485, 20324, 29552, 29543, 29554, 22317, 17962, 29555, 29553, 16936, 14429, 29557, 29556, 13403, 29558, 29559, 29560, 16442, 16489, 17777, 29563, 29562, 13400, 29566, 29561, 29564, 29565, 29729, 29731, 15177, 29730, 29732, 12862, 29734, 29733, 15406, 17239, 22881, 16480, 29772, 22353, 14171, 29774, 16675, 17993, 13398, 21811, 29776, 29775, 29777, 19290, 29778, 21569, 22112, 14176, 16696, 16699, 29779, 15916, 13410, 29780, 29781, 15915, 29782, 29787, 29783, 29786, 14973, 29784, 29785, 14434, 19527, 29788, 12890, 17235, 21603, 16183, 29789, 17716, 29801, 20277, 20041, 19288, 19319, 15732, 22351, 16475, 20597, 29802, 29803, 29804, 30563, 14129, 29805, 22379, 29806, 26233, 15936, 26234, 14956, 26235, 20299, 26236, 21564, 15414, 26237, 26238, 15437, 18514, 20019, 26401, 13375, 26402, 18740, 14425, 17481, 22365, 16986, 14167, 22077, 20038, 14148, 17702, 26403, 20319, 26404, 26405, 26406, 16695, 22377, 18800, 20280, 22063, 22101, 26407, 12397, 26408, 26409, 18780, 21103, 15917, 26410, 12403, 18526, 15713, 26411, 18502, 26412, 15206, 14456, 20772, 26413, 16999, 15992, 15690, 19763, 26414, 26415, 15982, 20581, 19303, 19536, 15436, 26416, 15400, 20599, 26417, 20600, 26418, 26419, 13378, 26420, 26421, 18814, 20012, 17248, 26423, 12609, 13169, 26424, 26425, 22363, 21824, 26426, 16972, 22330, 26427, 26428, 26429, 15466, 17253, 16450, 26430, 26431, 15401, 26432, 26433, 26422, 13904, 26434, 26435, 26436, 15162, 13662, 16966, 12640, 26437, 21557, 26438, 14399, 26440, 26439, 14188, 26441, 12920, 26442, 26443, 26444, 26445, 26446, 26447, 26448, 21287, 19317, 26449, 26450, 26451, 26452, 18761, 26453, 26454, 26455, 26456, 26457, 15689, 26458, 29502, 14423, 18481, 29503, 29504, 29505, 14686, 19832, 22632, 14897, 16990, 28215, 14115, 28217, 28216, 12373, 28219, 21846, 22383, 22083, 28221, 19056, 28220, 28222, 28224, 28223, 20850, 18236, 17216, 14433, 16743, 29766, 20575, 29767, 20315, 18490, 29768, 29769, 29770, 29771, 22906, 14462, 25969, 21360, 29792, 20044, 13153, 28980, 21102, 29793, 20328, 29794, 18252, 13652, 13412, 29796, 29795, 29797, 29798, 29799, 14898, 12351, 29800, 14125, 21101, 21035, 16463, 16188, 27427, 21855, 27208, 29043, 13944, 19235, 17485, 29031, 29032, 14459, 29033, 14916, 21573, 12370, 29034, 29035, 29036, 29037, 29038, 29039, 29041, 29040, 17749, 29042, 13946, 29044, 21038, 24135, 19274, 13148, 13602, 14626, 17524, 29045, 29046, 16708, 16763, 22064, 29047, 29048, 16682, 17976, 15963, 29049, 13391, 29050, 27954, 27953, 19296, 21086, 19265, 21848, 18530, 16479, 15393, 27457, 20516, 22114, 13895, 14424, 27456, 14414, 27455, 13094, 14665, 22059, 14196, 14154, 15463, 14142, 27462, 27463, 12345, 16207, 27461, 21373, 27464, 27465, 14158, 27458, 27460, 18806, 22103, 21837, 20530, 27471, 20024, 27472, 13608, 12595, 27474, 19493, 17750, 27475, 27473, 17759, 27470, 18980, 27477, 12411, 14970, 22583, 29027, 27466, 27467, 27468, 27469, 27478, 26176, 27481, 16232, 21064, 27479, 27484, 14444, 27480, 15674, 20568, 12343, 27485, 17500, 22060, 13408, 17014, 15417, 27482, 27483, 21600, 18026, 17492, 27487, 17703, 22901, 12849, 27492, 15685, 27490, 27491, 14380, 19793, 27493, 27489, 16691, 17954, 19571, 27494, 16432, 21048, 27495, 14383, 14381, 27496, 18235, 19827, 27498, 27499, 27501, 20552, 27506, 27502, 27505, 18553, 20860, 27500, 27497, 14393, 20313, 17509, 27503, 27504, 19546, 19784, 12402, 27510, 27509, 12850, 14432, 27511, 12652, 19525, 17444, 20261, 27513, 27682, 17778, 27514, 18757, 25183, 27518, 19790, 27681, 12635, 21303, 21084, 27517, 27515, 13116, 27184, 22356, 29739, 13172, 22081, 22082, 21865, 15946, 29735, 21032, 29736, 29737, 29738, 15947, 21343, 18784, 18785, 29506, 19046, 19570, 25142, 19252, 20072, 22107, 29741, 29742, 29743, 29746, 14909, 29747, 12387, 29744, 29745, 15650, 12885, 29750, 29751, 13926, 12848, 20303, 29748, 13356, 29749, 29752, 29753, 19751, 29754, 29755, 29756, 19282, 29757, 29758, 29759, 29790, 16700, 15464, 18731, 20830, 25973, 23603, 21077, 23604, 12332, 23605, 15706, 23609, 22594, 23607, 21363, 18774, 23610, 23606, 23611, 17186, 23612, 23621, 23613, 20063, 22053, 23631, 23629, 23634, 15718, 16939, 23608, 23627, 23630, 23614, 14162, 12357, 23623, 20542, 23617, 15144, 14140, 23628, 23622, 23615, 18267, 20799, 23616, 23626, 23632, 20013, 23618, 23619, 23624, 23625, 12884, 23633, 19285, 21559, 23643, 23647, 19494, 23654, 17255, 23644, 16193, 23641, 12410, 14646, 23653, 23635, 23620, 23638, 18548, 16224, 18747, 12605, 21282, 23642, 23637, 17979, 23646, 22338, 17199, 14134, 18257, 17193, 23650, 23640, 23659, 23636, 23645, 15909, 23639, 23648, 23651, 23652, 23672, 23649, 23842, 23655, 15467, 13380, 17187, 12903, 23674, 23666, 23663, 23676, 23662, 21104, 12904, 18519, 18531, 23675, 23661, 23671, 23669, 15907, 23668, 12893, 23667, 15478, 23656, 15172, 16499, 15444, 23657, 23658, 23665, 23670, 23673, 13620, 18521, 15207, 23678, 23677, 21291, 23841, 23843, 23845, 21105, 23844, 23846, 23847, 21033, 14921, 23849, 23862, 23857, 23860, 23856, 17998, 16498, 18735, 23660, 23854, 23863, 23664, 23855, 23864, 23852, 23865, 23859, 23853, 17450, 23848, 16435, 16683, 23850, 23851, 23858, 15217, 23861, 21288, 23866, 23867, 17191, 23890, 23868, 23889, 14653, 15957, 15994, 14922, 23882, 23877, 23871, 12875, 23875, 23883, 12836, 23893, 23870, 18e3, 23888, 23892, 16738, 14150, 23886, 23887, 23876, 23869, 23885, 19537, 23881, 23874, 17224, 17980, 20014, 23884, 23880, 23873, 23878, 16988, 21289, 21290, 23891, 20340, 18552, 23910, 23879, 23904, 16996, 23905, 23895, 22136, 23897, 23896, 14448, 23894, 17999, 13869, 23906, 14969, 21601, 23911, 13392, 23898, 16251, 23907, 23903, 23901, 13657, 23899, 23900, 23902, 15663, 23908, 23909, 23925, 17225, 19298, 23922, 22625, 18001, 23924, 21876, 23923, 23920, 23916, 23919, 23912, 20590, 18520, 23918, 23913, 23914, 19314, 23917, 12621, 16438, 15419, 23921, 23927, 23926, 23915, 17774, 23931, 24100, 24099, 23928, 17263, 17019, 21857, 20021, 23933, 12876, 17512, 19039, 18238, 23930, 23932, 23934, 24098, 12330, 12622, 24108, 24102, 15670, 18543, 24097, 24101, 24105, 24104, 24103, 24109, 21580, 24115, 24106, 24110, 16473, 12577, 24118, 24113, 24114, 20774, 24117, 24111, 24112, 20541, 24116, 19053, 24121, 24120, 24119, 24123, 15717, 12888, 17258, 24122, 17722, 24124, 19545, 14122, 21605, 24125, 24127, 17442, 24129, 24126, 24128, 21818, 24130, 29230, 15138, 16946, 17712, 16967, 29231, 20585, 21341, 27453, 13158, 29232, 29233, 18989, 14951, 29235, 29237, 29236, 19300, 20282, 29234, 18996, 21071, 17004, 20035, 29240, 12406, 29239, 29246, 12879, 20801, 29242, 29244, 21609, 29243, 29238, 29247, 29245, 29241, 29255, 29252, 29254, 29258, 29250, 29248, 29253, 22139, 29249, 18297, 18783, 29256, 14662, 13616, 29251, 29257, 29264, 29270, 15191, 29269, 19804, 22123, 29266, 29268, 14450, 29259, 29262, 17017, 21853, 29260, 29261, 29263, 29267, 29273, 21308, 13930, 19057, 14180, 29271, 29272, 29274, 29277, 29275, 29276, 20817, 29265, 19785, 20047, 22057, 29283, 17243, 29280, 16431, 29292, 29278, 29281, 29288, 29282, 29287, 29286, 29289, 29279, 29284, 29290, 21292, 29285, 12917, 29298, 20523, 29301, 15176, 29305, 29296, 29302, 29304, 29306, 29299, 29297, 14971, 13691, 29295, 29303, 29293, 29294, 29291, 29478, 29475, 29474, 29300, 18522, 29307, 29477, 17272, 29309, 29479, 29481, 29476, 29308, 29483, 29482, 16989, 29486, 29488, 29473, 29489, 29484, 29487, 29310, 29485, 29490, 29492, 29480, 29491, 29493, 20535, 29496, 22905, 29497, 29495, 18532, 29494, 29498, 29499, 13376, 28227, 29500, 29501, 20778, 29740, 20550, 20560, 20828, 20302, 15702, 20803, 14946, 24937, 21058, 28994, 12857, 12653, 28995, 18752, 13124, 22898, 19237, 28996, 22100, 28997, 29760, 28998, 21548, 28999, 12352, 29761, 29762, 13436, 17755, 19515, 20580, 19808, 29e3, 22899, 12603, 20270, 14372, 29002, 29003, 12867, 16721, 22320, 29001, 29004, 29006, 22902, 21089, 21539, 29763, 18489, 29764, 29005, 29007, 16227, 29008, 29012, 29014, 29009, 18769, 17761, 16995, 14716, 29011, 29013, 14675, 29019, 14934, 12413, 29017, 29016, 29010, 29018, 29015, 18540, 19786, 29021, 25917, 29020, 29022, 29023, 20325, 29765, 15731, 29024, 29025, 20087, 21034, 29051, 14386, 15483, 14683, 14694, 17241, 19027, 27240, 16448, 15989, 27241, 27242, 27243, 27244, 27245, 27246, 27247, 15687, 30075, 30077, 30078, 30076, 15714, 30241, 13349, 30242, 30243, 27698, 20820, 22890, 30244, 28218, 21810, 21374, 19548, 19012, 25920, 30245, 15919, 17961, 23077, 15430, 13865, 14396, 18511, 15397, 23078, 23079, 19542, 18499, 23080, 18045, 20789, 21097, 20790, 15431, 15666, 15204, 23081, 23082, 20808, 23083, 20589, 13935, 16987, 19279, 14189, 18792, 14147, 15991, 22052, 23084, 23085, 17984, 22375, 18998, 21801, 19295, 21871, 23086, 22111, 13386, 23088, 23087, 21099, 23089, 23090, 23091, 19028, 23092, 18987, 23093, 23094, 13135, 22127, 23095, 15152, 13614, 23096, 23097, 14702, 20783, 21096, 23098, 14403, 20330, 12911, 23099, 23100, 15723, 20060, 21359, 23101, 20083, 23102, 21333, 15205, 23103, 19253, 19280, 23104, 18283, 22126, 23105, 17717, 13889, 23106, 14156, 16206, 23107, 23108, 19245, 23109, 13687, 23110, 16706, 22331, 23111, 19512, 21098, 17457, 23112, 13693, 15185, 23113, 20531, 23114, 23115, 20029, 23116, 23117, 23118, 12919, 23121, 23119, 20840, 23120, 17237, 23122, 23123, 23124, 23125, 20539, 21029, 12409, 23126, 18219, 23127, 15735, 17185, 23128, 23129, 17277, 19511, 23130, 23131, 16446, 18007, 23132, 23133, 18228, 23134, 23135, 14664, 15213, 13881, 29816, 29817, 19811, 30009, 27488, 20339, 15167, 14912, 21541, 24921, 30068, 12586, 12914, 30069, 30071, 14929, 30070, 17202, 30073, 30072, 12596, 21866, 14394, 14641, 12870, 21616, 20301, 12380, 21835, 15221, 22090, 14135, 19504, 17974, 12641, 14650, 22140, 14689, 14113, 15482, 27226, 27227, 19577, 14707, 27228, 13435, 17203, 14161, 14936, 27229, 21620, 27230, 15446, 15199, 27231, 16734, 16952, 21599, 22346, 27232, 27233, 27236, 27234, 27235, 18782, 14387, 13892, 27237, 19050, 18765, 13389, 25177, 17762, 27238, 16437, 22328, 27239, 22316, 18556, 22611, 22605, 21598, 21625, 18756, 21294, 14419, 13152, 18786, 29814, 14933, 29815, 22367, 29809, 14384, 21844, 14415, 18032, 13123, 29810, 13100, 21565, 18295, 29812, 29811, 19531, 18468, 29813, 22371, 17727, 30016, 30011, 30019, 30018, 22074, 30017, 21566, 30020, 30028, 12367, 13688, 30025, 30026, 17756, 30021, 30022, 30023, 30027, 15968, 30024, 14458, 30032, 30035, 16231, 14706, 30012, 30029, 16951, 19576, 15481, 30030, 30031, 30033, 13925, 30034, 30037, 30013, 30036, 21307, 13164, 19492, 30038, 30039, 15969, 30040, 19551, 30043, 12872, 22361, 30041, 30042, 30044, 30050, 30048, 30047, 30045, 30049, 30046, 30052, 30053, 19555, 25919, 13624, 30051, 30056, 19491, 30054, 30055, 30014, 12612, 30015, 13637, 12900, 30060, 30057, 13911, 30061, 30058, 30059, 13402, 21610, 30062, 13177, 30063, 30065, 30064, 30066, 30067, 18797, 14634, 18299, 13923, 19529, 27174, 13109, 21630, 14700, 20601, 26989, 22314, 26990, 16982, 18541, 14948, 26991, 26992, 26993, 22113, 26994, 26995, 26997, 26996, 26998, 26999, 18273, 27e3, 21592, 27001, 15694, 27002, 27003, 15695, 27004, 14376, 16702, 27005, 12594, 15188, 14709, 27006, 27169, 27170, 27171, 14200, 15405, 19044, 24654, 21551, 20285, 21815, 27172, 21854, 27173, 20545, 14652, 13383, 12633, 16433, 12646, 12647, 12648, 13117, 18536, 25921, 12639, 16713, 13423, 18216, 21336, 18041, 20792, 14717, 17013, 21293, 21579, 15740, 25922, 14133, 25923, 15161, 21858, 15736, 21558, 20005, 16684, 13145, 19574, 25926, 25924, 25928, 25930, 25927, 13647, 17992, 13692, 25925, 19062, 25929, 17236, 12613, 15395, 22327, 19787, 19277, 19018, 19539, 25932, 25931, 17510, 20769, 20791, 25933, 25936, 19768, 22128, 25935, 13661, 19774, 25937, 13882, 19752, 14692, 19013, 13137, 19289, 21612, 25938, 14186, 25934, 25941, 13438, 25942, 25939, 25940, 21085, 16991, 12614, 21346, 13917, 19308, 25943, 21366, 12649, 13940, 25946, 25944, 25945, 13632, 21061, 25948, 25950, 25949, 18226, 21027, 25947, 21602, 21850, 25952, 22385, 25953, 12636, 20859, 25954, 25956, 25955, 25957, 21080, 13643, 26463, 23157, 23160, 23158, 23159, 23162, 20559, 17479, 12398, 20528, 23161, 21322, 14890, 23330, 18289, 23164, 23163, 18779, 23165, 23329, 22366, 23166, 16730, 23333, 21364, 23335, 23332, 23336, 15676, 16457, 23331, 23334, 22051, 23337, 23341, 23342, 23340, 14914, 16164, 23339, 23338, 21575, 12863, 23343, 14713, 23344, 13115, 13606, 13884, 23345, 13941, 23346, 12617, 23348, 23347, 23349, 23351, 23350, 23352, 23353, 23354, 21327, 29818, 18293, 22339, 17764, 29820, 29821, 29819, 15942, 20591, 14163, 21581, 19498, 29986, 29985, 14888, 29822, 19286, 29988, 16466, 13162, 19754, 29989, 29987, 15668, 29992, 29993, 15693, 17208, 16225, 19297, 29994, 29990, 29991, 17520, 29996, 13372, 22381, 13399, 29995, 29998, 29997, 29999, 20561, 17233, 18473, 3e4, 30001, 30002, 30003, 30004, 30005, 30007, 30006, 30008, 12873, 21332, 19021, 16495, 22104, 21040, 16703, 15728, 14378, 15480, 30278, 30279, 30280, 30281, 30282, 30284, 30283, 30569, 30285, 30286, 28228, 28229, 28230, 21867, 13860, 28232, 28231, 28233, 28234, 18213, 28235, 28236, 14128, 13686, 28237, 28239, 28238, 14406, 28240, 28241, 28242, 13915, 13102, 22099, 17478, 12597, 14422, 28243, 28244, 21567, 18261, 15995, 20057, 14643, 28246, 28245, 28248, 28247, 17701, 28249, 28250, 18222, 28251, 18223, 28252, 12839, 28253, 28254, 28255, 28256, 28257, 22378, 28258, 28259, 15448, 28260, 21323, 19578, 12844, 16741, 28261, 18214, 17197, 28262, 28263, 28264, 28265, 28266, 28267, 28268, 28269, 28270, 28271, 28272, 28273, 28274, 28276, 28275, 28277, 19757, 16961, 28278, 28279, 28280, 21793, 28281, 20275, 28282, 28283, 28284, 28285, 28449, 28286, 28450, 14453, 17274, 28451, 28452, 15682, 21055, 12921, 28453, 28454, 28455, 21112, 28456, 22141, 28457, 17996, 28458, 28459, 16692, 28460, 20346, 19320, 28462, 28461, 13178, 14712, 28463, 28464, 20578, 28465, 28466, 14182, 20543, 28467, 28468, 28469, 18545, 19552, 28470, 28471, 28472, 28473, 28474, 21856, 28475, 13421, 17194, 28476, 28477, 28478, 28479, 20093, 28480, 16992, 13368, 22326, 15733, 20295, 28483, 28481, 28482, 28484, 13863, 15484, 15970, 17228, 28485, 28486, 28487, 28495, 28488, 28489, 28490, 18242, 28529, 13901, 28491, 28492, 28493, 13894, 17214, 28494, 28496, 28497, 28498, 21874, 28499, 17527, 28500, 17528, 28501, 28502, 14436, 12407, 28503, 28504, 28505, 28506, 28507, 28508, 28509, 28510, 15925, 28513, 28511, 28512, 28514, 28515, 16717, 28516, 28517, 28518, 28519, 28520, 28521, 28522, 28523, 28524, 16472, 28525, 16685, 28526, 28527, 28528, 20322, 13092, 17221, 25413, 18753, 25414, 12629, 20042, 13363, 18546, 25415, 20304, 25416, 15460, 25417, 25418, 17222, 21794, 17494, 14699, 20037, 25419, 17270, 25420, 14119, 14451, 14930, 25421, 25422, 21572, 25423, 25424, 20811, 25425, 25426, 25427, 25428, 20822, 25429, 12923, 16443, 25430, 16427, 25431, 25432, 25433, 25434, 25435, 14391, 23138, 13907, 23140, 23139, 23142, 18542, 23141, 14144, 20852, 21109, 21875, 15703, 22376, 23144, 23143, 12322, 19795, 23145, 14397, 15434, 16957, 16932, 13122, 23146, 16938, 17456, 15669, 20318, 23147, 18754, 12637, 23148, 13880, 21562, 13181, 23149, 21577, 20309, 17763, 23150, 23151, 23152, 16746, 19541, 20317, 21351, 16929, 23153, 19301, 23154, 19302, 21118, 14452, 23155, 12335, 20278, 21839, 19309, 23156, 25412, 16677, 30271, 30272, 30273, 17489, 18488, 20835, 20571, 20805, 15407, 14669, 28532, 13382, 21306, 30274, 13179, 30275, 13681, 30277, 21354, 30247, 20777, 30249, 30248, 16739, 16471, 12578, 20077, 20584, 30251, 20342, 30250, 21872, 30252, 17209, 15220, 30254, 30253, 17502, 16728, 19242, 20284, 30255, 30256, 30257, 16950, 12372, 17785, 30258, 18272, 30246, 15928, 15922, 13669, 14151, 16191, 17234, 17254, 22604, 14447, 15737, 20773, 12368, 30512, 30513, 20524, 12336, 30514, 30515, 30516, 18250, 15951, 30519, 30518, 12638, 30517, 30520, 30521, 20004, 18509, 14891, 26680, 26681, 26682, 15938, 21108, 21583, 18776, 21043, 13861, 18282, 29052, 20334, 19251, 20587, 26479, 19815, 14667, 13913, 29053, 12388, 19276, 29054, 21540, 16941, 16748, 17988, 15921, 29217, 15445, 29218, 29219, 29220, 21059, 17973, 19783, 29221, 21297, 16197, 19554, 29222, 29223, 20821, 13934, 29224, 29225, 13663, 29226, 29227, 12924, 29228, 29229, 18471, 14183, 27689, 27690, 27691, 27692, 17966, 27693, 27694, 14153, 18995, 25144, 30543, 30544, 12877, 30545, 30547, 30546, 25147, 15394, 25148, 25149, 25150, 25151, 25152, 25153, 14137, 21115, 15652, 19022, 12581, 19271, 25154, 13948, 18500, 25155, 15688, 12669, 25156, 13942, 25157, 17497, 25158, 20314, 14685, 25159, 16417, 25160, 12918, 25161, 16755, 25162, 25163, 17016, 25164, 25165, 25166, 19031, 22584, 22885, 20323, 28709, 23600, 17005, 21542, 19796, 20785, 13147, 18301, 12853, 16959, 26208, 19003, 26209, 26210, 15956, 26211, 22308, 19797, 26213, 15453, 26212, 26214, 26215, 17006, 15678, 26216, 16998, 14887, 26217, 26218, 13138, 20841, 16165, 26219, 18031, 26220, 26221, 26222, 17965, 26223, 18727, 26224, 26225, 26226, 25913, 26227, 26228, 16994, 26229, 26230, 22120, 26231, 26232, 14663, 30523, 30522, 30526, 30524, 14881, 30527, 30528, 30530, 30529, 30532, 30531, 30533, 30534, 30535, 19304, 14431, 30548, 30549, 30550, 30552, 30554, 30551, 30555, 30553, 22359, 30556, 30557, 30558, 30559, 30560, 23371, 22570, 25975, 14701, 16253, 15210, 30537, 17991, 30536, 30538, 30540, 30539, 30541, 20026, 30542, 17447, 21347, 30287, 16947, 30288, 30289, 30290, 30291, 30292, 30294, 12587, 30295, 30296, 30297, 30298, 30299, 30300, 30301, 30302, 20298, 30303, 30304, 30305, 30306, 30307, 30308, 16496, 30309, 30310, 30311, 30312, 30313, 30314, 30315, 30316, 30317, 30318, 30319, 30320, 30321, 30322, 30323, 30324, 15912, 30325, 30326, 30327, 30328, 18554, 30329, 30330, 30331, 30332, 30333, 30334, 30497, 30498, 30499, 30500, 30501, 30502, 30503, 30504, 12654, 30505, 30506, 30507, 30508, 30509, 16731, 30510, 30511, 17521, 28719, 15398, 28720, 17273, 17720, 20795, 28721, 28722, 28723, 28724, 28725, 20796, 20844, 28727, 28726, 21543, 19794, 28728, 28730, 28729, 28731, 28732, 14443, 28733, 14952, 28734, 28735, 15977, 28736, 13932, 28737, 28738, 28739, 28740, 18485, 28741, 28742, 28743, 17780, 28744, 28745, 28746, 30525, 28747, 28748, 28749, 28750, 28751, 14935, 28752, 28753, 28754, 28755, 28756, 28757, 28758, 28760, 21285, 28759, 28761, 30010, 16953, 30564, 30565, 30566, 30567, 30568, 16948, 30570, 30571, 17011, 29808, 29807, 17001, 30561, 30562, 15174, 22884, 19058, 16488, 28708, 14938, 18221, 17452, 30572, 30573, 30574, 30576, 30575, 30577, 30580, 30579, 30578, 30581, 30582, 28009, 28010, 28011, 30268, 30269, 30270, 13862, 22590, 14660, 22587, 23601, 19059, 30583, 30584, 30585, 30587, 30586, 12615, 30588, 30589, 30590, 18027, 27700, 13149, 30259, 30260, 16740, 30261, 30262, 30263, 30264, 30265, 30266, 18467, 30267, 16762, 14632, 28008, 14698, 22879, 8993, 8994, 8995, 8551, 8997, 8998, 8999, 9e3, 9001, 9002, 9003, 9004, 9005, 9006, 9007, 9008, 9009, 9010, 9011, 9012, 9013, 9014, 9015, 9016, 9017, 9018, 9019, 9020, 9021, 9022, 9023, 9024, 9025, 9026, 9027, 9028, 9029, 9030, 9031, 9032, 9033, 9034, 9035, 9036, 9037, 9038, 9039, 9040, 9041, 9042, 9043, 9044, 9045, 9046, 9047, 9048, 9049, 9050, 9051, 9052, 9053, 9054, 9055, 9056, 9057, 9058, 9059, 9060, 9061, 9062, 9063, 9064, 9065, 9066, 9067, 9068, 9069, 9070, 9071, 9072, 9073, 9074, 9075, 9076, 9077, 9078, 9079, 9080, 9081, 9082, 9083, 9084, 9085, 8491, 8553, 8554, 9086, 8996],
    gb2312Table00 = [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 400, 3, 3, 5, 0, 5, 128, 6, 14083, 13, 5772, 19, 2, 20, 2056, 22, 2048, 23, 0, 23, 8192, 24, 0, 24, 2048, 25, 0, 25, 0, 25, 0, 25, 0, 25, 0, 25, 16384, 26, 5461, 33, 0, 33, 0, 33, 0, 33, 0, 33, 0, 33, 0, 33, 0, 33, 0, 33, 0, 33, 0, 33, 0, 33, 0, 33, 0, 33, 0, 33, 640, 35, 0, 35, 0, 35, 0, 35, 0, 35, 0, 35, 0, 35, 0, 35, 0, 35, 0, 35, 0, 35, 0, 35, 0, 35, 65534, 50, 1019, 59, 65534, 74, 1019, 83, 0, 83, 0, 83, 0, 83, 2, 84, 65535, 100, 65535, 116, 65535, 132, 65535, 148, 2],
    gb2312Table20 = [149, 0, 149, 13152, 155, 64, 156, 2061, 160, 0, 160, 0, 160, 0, 160, 0, 160, 0, 160, 0, 160, 0, 160, 0, 160, 0, 160, 0, 160, 0, 160, 0, 160, 8, 161, 64, 162, 0, 162, 0, 162, 0, 162, 0, 162, 4095, 174, 0, 174, 0, 174, 15, 178, 0, 178, 0, 178, 0, 178, 0, 178, 0, 178, 0, 178, 33024, 180, 25602, 184, 20385, 192, 8432, 197, 4352, 199, 0, 199, 49203, 205, 0, 205, 0, 205, 512, 206, 32, 207, 0, 207, 0, 207, 0, 207, 0, 207, 0, 207, 0, 207, 4, 208, 0, 208, 0, 208, 0, 208, 0, 208, 0, 208, 0, 208, 0, 208, 0, 208, 0, 208, 0, 208, 0, 208, 0, 208, 0, 208, 0, 208, 0, 208, 0, 208, 0, 208, 0, 208, 0, 208, 0, 208, 1023, 218, 65520, 230, 65535, 246, 4095, 258, 0, 258, 0, 258, 0, 258, 0, 258, 0, 258, 0, 258, 65535, 274, 65535, 290, 65535, 306, 65535, 322, 4095, 334, 0, 334, 0, 334, 0, 334, 0, 334, 0, 334, 3, 336, 12, 338, 51392, 343, 0, 343, 0, 343, 0, 343, 96, 345, 0, 345, 0, 345, 0, 345, 5],
    gb2312Table30 = [347, 65327, 360, 251, 367, 0, 367, 0, 367, 65534, 382, 65535, 398, 65535, 414, 65535, 430, 65535, 446, 15, 450, 65534, 465, 65535, 481, 65535, 497, 65535, 513, 65535, 529, 2175, 537, 65504, 548, 65535, 564, 1023, 574, 0, 574, 0, 574, 0, 574, 0, 574, 0, 574, 0, 574, 0, 574, 0, 574, 0, 574, 0, 574, 0, 574, 0, 574, 0, 574, 0, 574, 0, 574, 1023],
    gb2312Table4E = [584, 32651, 595, 32635, 608, 15796, 617, 61269, 628, 64424, 638, 62301, 649, 579, 653, 16395, 657, 64320, 665, 36158, 674, 31735, 687, 35884, 693, 28415, 706, 58362, 717, 7482, 725, 43245, 734, 58882, 740, 53123, 749, 36085, 758, 13653, 766, 57416, 771, 65451, 784, 37561, 792, 55385, 800, 43800, 807, 10386, 812, 55273, 823, 32800, 825, 50232, 831, 62851, 840, 59210, 849, 17674, 854, 45056, 857, 38676, 864, 30562, 873, 21504, 876, 53640, 882, 5152, 885, 4128, 887, 51392, 892, 8481, 896, 0, 896, 5032, 902, 3076, 905, 32768, 906, 1088, 908, 28864, 913, 2088, 916, 2240, 919, 4, 920, 2, 921, 32768, 922, 11131, 932, 5234, 938, 31012, 945, 15355, 957, 13095, 965, 6884, 972, 38965, 979, 14575, 989, 39633, 997, 10242, 1e3, 43027, 1006, 49001, 1017, 26063, 1027, 12230, 1036, 27409, 1043, 45001, 1053, 13327, 1060, 20563, 1066, 34466, 1072, 40964, 1075, 262, 1078, 59401, 1084, 16143, 1094, 49166, 1099, 2696, 1103, 33093, 1108, 16, 1109, 50689, 1114, 41313, 1120, 9953, 1127, 17483, 1133, 52736, 1138, 51114, 1147, 54510, 1157, 51935, 1168, 34235, 1177, 14964, 1185, 42272, 1190, 17260, 1197, 34880, 1200, 16134, 1208, 35794, 1216, 65401, 1229, 15343, 1241, 63322, 1252, 59631, 1263, 64459, 1275, 23350, 1284, 3401, 1290, 7165, 1301, 340, 1305, 14830, 1315, 55381, 1323, 11893, 1332, 49112, 1343, 43290, 1350, 62423, 1362, 63167, 1375, 26592, 1383, 46092, 1389, 33474, 1394, 2067, 1398, 54429, 1407, 53387, 1414, 1626, 1420, 4193, 1424, 29938, 1433, 23008, 1440, 36767, 1451, 45842, 1458, 128, 1459, 27306, 1467, 12848, 1472, 45150, 1480, 40314, 1490, 24748, 1496, 54019, 1503, 51456, 1507, 12440, 1512, 35414, 1519, 28672, 1522, 5008, 1527, 7956, 1534, 6210, 1538, 49248, 1542, 8, 1543, 32776, 1545, 4224, 1547, 1024, 1548, 60560, 1555, 10263, 1561, 58931, 1570, 1880, 1576, 36864, 1578, 63240, 1586, 19977, 1592, 62597, 1600, 64643, 1609, 44883, 1619, 6344, 1624, 6268, 1631, 2060, 1634, 27359, 1645, 276, 1648, 51212, 1653, 42804, 1661, 40977, 1665, 1e4, 1670, 10437, 1676, 16930, 1680, 1043, 1684, 33, 1686, 12304, 1689, 16658, 1693, 6176, 1696, 16384, 1697, 555, 1702, 50700, 1708, 768, 1710, 4096, 1711, 34, 1713, 34, 1715, 22544, 1719, 585, 1723, 41108, 1728, 38512, 1735, 61104, 1744, 6034, 1751, 52118, 1760, 1522, 1767, 37, 1770, 9048, 1776, 9694, 1785, 17100, 1791, 53048, 1800, 18948, 1804, 3136, 1807, 13727, 1817, 4392, 1821, 35328, 1824, 5114, 1833, 37130, 1838, 553, 1842, 4182, 1847, 1601, 1851, 1056, 1853, 1156, 1856, 34032, 1862, 0, 1862, 3076, 1865, 1024, 1866, 16684, 1871, 4614, 1875, 4436, 1880, 2635, 1886, 2, 1887, 512, 1888, 192, 1890, 0, 1890, 148, 1893, 1, 1894, 49083, 1907, 5756, 1915, 9259, 1921, 39867, 1932, 32680, 1942, 3199, 1951, 58233, 1961, 4340, 1967, 57357, 1973, 16690, 1978, 40705, 1985, 34386, 1991, 13682, 1999, 4276, 2004, 65298, 2014, 53031, 2024, 16931, 2029, 49259, 2036, 34306, 2040, 12550, 2045, 8147, 2055, 14860, 2061, 41386, 2068, 2066, 2071, 516, 2073, 9586, 2080, 2049, 2082, 16588, 2087, 18512, 2091, 25296, 2097, 24592, 2100, 7296, 2104, 10496, 2107, 39424, 2111, 16, 2112, 4, 2113, 8704, 2115, 0, 2115, 128, 2116, 8224, 2118, 26624, 2121, 52198, 2131, 24734, 2138, 37230, 2146, 16243, 2157, 24768, 2161, 14722, 2167, 4148, 2171, 18480, 2175, 6, 2177, 48476, 2187, 36049, 2194, 55035, 2206, 8417, 2211, 17384, 2218, 1536, 2220, 2126, 2225, 1280, 2227, 50384, 2233, 36127, 2242, 35242, 2249, 42721, 2257, 5634, 2261, 1, 2262, 8685, 2270, 13910, 2278, 6795, 2285, 8119, 2296, 5029, 2303, 25858, 2308, 12448, 2312, 45688, 2320, 9159, 2328, 27795, 2336, 59682, 2343, 58495, 2354, 14964, 2362, 36835, 2372, 38944, 2376, 10254, 2381, 9765, 2387, 49052, 2398, 48969, 2408, 12824, 2413, 44116, 2420, 47433, 2428, 6422, 2434, 3168, 2438, 46370, 2445, 64449, 2455, 1625, 2461, 58179, 2469, 33824, 2472, 2265, 2478, 32768, 2479, 21760, 2483, 8226, 2486, 388, 2489, 161, 2492, 18432, 2494, 8208, 2496, 4992, 2500, 16512, 2502, 3332, 2506, 22, 2509, 64, 2510, 32800, 2512, 64832, 2520, 36327, 2530, 21558, 2537, 57496, 2543, 31627, 2553, 2334, 2559, 65224, 2569, 53833, 2576, 1553, 2580, 36334, 2590, 6455, 2598, 47650, 2605, 30708, 2616, 40925, 2628, 62444, 2639, 61658, 2648, 17286, 2654, 60482, 2661, 36159, 2671, 9732, 2675, 64108, 2685, 49185, 2689, 25230, 2696, 3266, 2701, 55173, 2710, 325, 2714, 30637, 2725, 21913, 2733, 57936, 2739, 16453, 2743, 9739, 2749, 41300, 2755, 38951, 2762, 22553, 2768, 13379, 2774, 42e3, 2778, 1522, 2785, 16660, 2789, 8832, 2792, 1792, 2795, 180, 2799, 16998, 2805, 29200, 2810, 5537, 2816, 24613, 2821, 16773, 2826, 84, 2829, 0, 2829, 513, 2831, 260, 2833, 51232, 2837, 52080, 2845, 37664, 2850, 27234, 2857, 6220, 2862, 149, 2866, 6272, 2869, 39563, 2877, 43698, 2885, 12801, 2889, 55418, 2898, 196, 2901, 62437, 2912, 1219, 2917, 54349, 2925, 41528, 2931, 41377, 2937, 20594, 2943, 38922, 2948, 34044, 2956, 49490, 2962, 17617, 2968, 4244, 2972, 8386, 2976, 16768, 2979, 16912, 2982, 0, 2982, 14848, 2986, 576, 2988, 53917, 2997, 12033, 3003, 43185, 3010, 48448, 3017, 9266, 3022, 54093, 3031, 53323, 3038, 42787, 3046, 53421, 3054, 2706, 3059, 30113, 3067, 44460, 3076, 489, 3082, 32794, 3086, 30495, 3097, 37413, 3103, 40987, 3109, 57249, 3119, 8394, 3124, 1538, 3127, 29580, 3135, 22399, 3147, 59, 3152, 3071, 3163, 208, 3166, 32874, 3171, 136, 3173, 41412, 3179, 41, 3182, 10757, 3187, 1316, 3191, 16393, 3194, 5667, 3200, 26658, 3205, 32773, 3208, 8209, 3211, 41489, 3216, 4, 3217, 25744, 3222, 18505, 3227, 4994, 3232, 9173, 3240, 6448, 3245, 10624, 3249, 2194, 3253, 21506, 3257, 34833, 3261, 8193, 3263, 40964, 3266, 1024, 3267, 33152, 3270, 34050, 3274, 24610, 3278, 144, 3280, 2817, 3284, 34, 3286, 4610, 3289, 16401, 3292, 131, 3295, 6657, 3299, 0, 3299, 0, 3299, 0, 3299, 0, 3299, 0, 3299, 0, 3299, 0, 3299, 159, 3305, 18052, 3310, 4808, 3315, 512, 3316, 1276, 3323, 6656, 3326, 11998, 3336, 3148, 3341, 1026, 3343, 32952, 3348, 43046, 3354, 2812, 3362, 35842, 3366, 8744, 3370, 41184, 3375, 36731, 3386, 51158, 3396, 8501, 3402, 1735, 3409, 63665, 3418, 1811, 3424, 25173, 3431, 37742, 3440, 35353, 3446, 28410, 3457, 64270, 3467, 5680, 3472, 18681, 3480, 52527, 3490, 32235, 3502, 22674, 3508, 20100, 3514, 19616, 3519, 31278, 3528, 60906, 3539, 22046, 3547, 50761, 3554, 4496, 3558, 21284, 3564, 59450, 3572, 53211, 3584, 33060, 3588, 6385, 3595, 25410, 3601, 22611, 3608, 6794, 3614, 29728, 3619, 9427, 3626, 43579, 3635, 1300, 3639, 24600, 3643, 35160, 3649, 18432, 3651, 49152, 3653, 33384, 3658, 37121, 3662, 33956, 3667, 11478, 3675, 34950, 3680, 50362, 3688, 887, 3696, 528, 3698, 33348, 3702, 56, 3705, 44561, 3712, 16458, 3716, 10432, 3720, 20736, 3723, 24644, 3727, 5396, 3732, 29456, 3738, 4096, 3739, 130, 3741, 584, 3744, 517, 3747, 16390, 3750, 49155, 3754, 0, 3754, 0, 3754, 3074, 3757, 8, 3758, 544, 3760, 36864, 3762, 16384, 3763, 47104, 3767, 53601, 3774, 17953, 3779, 12916, 3786, 63488, 3791, 15242, 3799, 1295, 3805, 35584, 3809, 48080, 3818, 8832, 3821, 1536, 3823, 1897, 3830, 32832, 3832, 67, 3835, 21536, 3839, 20480, 3841, 16848, 3846, 9484, 3851, 33808, 3854, 33552, 3858, 4353, 3861, 552, 3864, 16392, 3866, 48, 3868, 16545, 3872, 512, 3873, 64, 3874, 8192, 3875, 5376, 3878, 44003, 3888, 12672, 3892, 43588, 3898, 49862, 3905, 50724, 3911, 44051, 3918, 32772, 3920, 45056, 3923, 977, 3929, 24862, 3936, 17029, 3941, 62211, 3949, 7583, 3959, 17418, 3963, 30952, 3971, 24102, 3979, 50066, 3986, 8192, 3987, 133, 3990, 45057, 3994, 16384, 3995, 19088, 4e3, 34882, 4004, 51716, 4009, 3213, 4015, 42757, 4022, 16899, 4026, 8865, 4031, 4, 4032, 34408, 4038, 3073, 4041, 21860, 4048, 4217, 4054, 2, 4055, 56992, 4063, 8192, 4064, 16577, 4068, 18571, 4074, 20481, 4077, 896, 4080, 1024, 4081, 0, 4081, 20484, 4084, 49245, 4091, 32976, 4095, 40976, 4098, 38666, 4105, 47904, 4112, 19887, 4122, 55585, 4129, 7696, 4134, 1120, 4137, 33556, 4142, 34888, 4146, 42710, 4155, 55355, 4164, 29503, 4175, 10172, 4184, 18804, 4191, 3548, 4199, 37395, 4205, 5163, 4211, 35745, 4218, 11893, 4227, 53561, 4235, 12297, 4239, 20560, 4243, 34824, 4246, 26880, 4250, 18900, 4257, 586, 4261, 16400, 4263, 32790, 4267, 58724, 4275, 35287, 4284, 49184, 4287, 21270, 4294, 11154, 4301, 34304, 4304, 41797, 4311, 5600, 4317, 139, 4321, 3075, 4325, 6510, 4333, 57856, 4337, 28721, 4343, 32774, 4346, 5797, 4353, 43049, 4359, 8192, 4360, 6272, 4363, 31404, 4372, 57672, 4378, 12807, 4384, 46550, 4394, 13032, 4401, 24465, 4410, 20641, 4415, 8421, 4421, 31744, 4426, 4224, 4428, 29312, 4433, 40330, 4441, 170, 4445, 16927, 4452, 3618, 4457, 561, 4461, 4352, 4463, 1172, 4467, 34, 4469, 16392, 4471, 16, 4472, 23568, 4477, 835, 4482, 64712, 4491, 41381, 4498, 1408, 4501, 33843, 4507, 1024, 4508, 128, 4509, 28168, 4515, 10827, 4522, 33062, 4527, 43736, 4535, 10497, 4539, 26701, 4546, 17552, 4550, 9, 4552, 47752, 4559, 64, 4560, 130, 4562, 0, 4562, 34769, 4570, 8539, 4577, 45542, 4586, 12641, 4592, 32776, 4594, 2048, 4595, 49728, 4599, 41065, 4605, 42496, 4609, 36184, 4616, 18994, 4622, 23921, 4631, 21770, 4637, 39584, 4643, 11607, 4652, 16389, 4655, 19110, 4662, 8225, 4665, 12465, 4671, 16326, 4681, 274, 4684, 4290, 4688, 9738, 4693, 17506, 4698, 20610, 4702, 39040, 4706, 32832, 4708, 1216, 4711, 33024, 4713, 8195, 4716, 0, 4716, 0, 4716, 14360, 4721, 512, 4722, 61862, 4731, 17460, 4736, 29198, 4743, 13730, 4750, 37600, 4756, 33025, 4759, 2304, 4761, 1024, 4762, 0, 4762, 34949, 4767, 0, 4767, 0, 4767, 0, 4767, 16384, 4768, 128, 4769, 0, 4769, 0, 4769, 16448, 4771, 0, 4771, 0, 4771, 0, 4771, 0, 4771, 0, 4771, 0, 4771, 0, 4771, 0, 4771, 2048, 4772, 130, 4774, 0, 4774, 0, 4774, 0, 4774, 4, 4775, 34816, 4777, 49151, 4792, 59375, 4805, 65535, 4821, 65471, 4836, 61423, 4850, 65023, 4865, 64511, 4880, 49150, 4894, 65535, 4910, 1407, 4919, 52, 4922, 34227, 4930, 18182, 4936, 16918, 4941, 21506, 4945, 58384, 4950, 32914, 4954, 45829, 4961, 21538, 4966, 33072, 4970, 16995, 4976, 6155, 4981, 14459, 4990, 5109, 4999, 2021, 5007, 43498, 5016, 15436, 5023, 1300, 5027, 1536, 5029, 32770, 5031, 6873, 5039, 48456, 5047, 60983, 5058, 62614, 5067, 28767, 5076, 32448, 5084, 49074, 5095, 13663, 5105, 58948, 5112, 17759, 5121, 36864, 5123, 16710, 5128, 7488, 5133, 1595, 5140, 25249, 5146, 65043, 5156, 34053, 5161, 14594, 5166, 1352, 5170, 3080, 5173, 5199, 5180, 0, 5180, 13448, 5185, 22552, 5190, 12407, 5198, 55317, 5205, 48398, 5214, 19451, 5225, 35472, 5230, 34048, 5233, 49408, 5236, 58909, 5245, 60692, 5253, 45958, 5261, 65394, 5273, 25499, 5282, 64914, 5292, 55742, 5303, 34939, 5311, 2706, 5316, 54270, 5328, 7346, 5335, 47488, 5341, 6010, 5350, 33481, 5356, 56343, 5365, 65531, 5380, 14720, 5385, 16992, 5389, 22796, 5395, 3841, 5400, 14303, 5412, 38051, 5419, 45392, 5425, 1571, 5430, 8967, 5436, 63578, 5445, 12546, 5449, 496, 5454, 12546, 5458, 64, 5459, 7810, 5465, 14858, 5471, 1386, 5477, 23428, 5484, 4736, 5487, 32770, 5489, 42772, 5496, 9746, 5501, 41035, 5507, 4201, 5512, 36865, 5515, 4096, 5516, 33930, 5521, 6146, 5524, 16256, 5531, 1800, 5535, 16960, 5538, 272, 5540, 19988, 5546, 32944, 5550, 6144, 5552, 50448, 5557, 641, 5560, 33282, 5563, 4137, 5567, 528, 5569, 34816, 5571, 32, 5572, 66, 5574, 640, 5576, 4352, 5578, 57344, 5581, 17427, 5586, 22532, 5590, 65026, 5598, 15367, 5605, 12328, 5609, 38808, 5617, 1139, 5623, 52945, 5632, 51987, 5640, 25104, 5644, 17183, 5652, 10125, 5660, 21932, 5668, 16942, 5674, 51346, 5680, 21376, 5685, 648, 5688, 16441, 5693, 30801, 5700, 10540, 5706, 32904, 5709, 47360, 5714, 9256, 5718, 3137, 5722, 2062, 5726, 17441, 5730, 16896, 5732, 1032, 5734, 2152, 5738, 6, 5740, 4612, 5743, 12337, 5748, 656, 5751, 23358, 5761, 57477, 5767, 10550, 5774, 4164, 5777, 10260, 5781, 4226, 5784, 16998, 5790, 33588, 5796, 316, 5801, 21275, 5809, 1028, 5811, 3597, 5817, 3106, 5821, 81, 5824, 18, 5826, 49152, 5828, 64, 5829, 34816, 5831, 74, 5834, 0, 5834, 0, 5834, 0, 5834, 57334, 5847, 21575, 5854, 34920, 5859, 8, 5860, 129, 5862, 0, 5862, 0, 5862, 16384, 5863, 256, 5864, 0, 5864, 0, 5864, 512, 5865, 1536, 5867, 8, 5868, 0, 5868, 0, 5868, 0, 5868, 0, 5868, 0, 5868, 0, 5868, 128, 5869, 0, 5869, 64, 5870, 0, 5870, 0, 5870, 0, 5870, 4160, 5872, 0, 5872, 0, 5872, 0, 5872, 61439, 5887, 63485, 5901, 65407, 5916, 65534, 5931, 64511, 5946, 65535, 5962, 65023, 5977, 49151, 5992, 65535, 6008, 255, 6016, 4802, 6021, 1056, 6023, 3078, 6027, 1800, 6031, 5668, 6036, 272, 6038, 0, 6038, 0, 6038, 0, 6038, 0, 6038, 0, 6038, 0, 6038, 0, 6038, 57344, 6041, 65534, 6056, 65535, 6072, 65535, 6088, 32633, 6100, 10463, 6109, 249, 6115, 3122, 6120, 32786, 6123, 8, 6124, 54586, 6133, 55384, 6140, 60610, 6148, 40216, 6155, 12200, 6163, 38432, 6168, 57360, 6172, 54796, 6179, 9762, 6184, 3991, 6193, 518, 6196, 45632, 6201, 36949, 6207, 32930, 6211, 20497, 6215, 38912, 6218, 1028, 6220, 16384, 6221, 0, 6221, 0, 6221, 0, 6221, 0, 6221, 0, 6221, 0, 6221, 0, 6221, 0, 6221, 0, 6221, 64448, 6230, 65535, 6246, 61438, 6260, 57339, 6274, 2824, 6278, 25155, 6284, 16822, 6291, 64315, 6303, 28532, 6313, 9097, 6319, 44671, 6331, 60631, 6342, 57415, 6349, 22880, 6355, 41110, 6361, 2447, 6368, 24876, 6374, 41008, 6378, 2317, 6383, 10922, 6390, 54350, 6398, 20347, 6409, 50354, 6416, 14475, 6423, 43462, 6431, 24848, 6435, 20, 6437, 16896, 6439, 32780, 6442, 514, 6444, 65096, 6453, 25733, 6459, 54846, 6469, 58359, 6481, 15008, 6487, 3079, 6492, 58380, 6498, 1072, 6501, 63104, 6508, 4098, 6510, 0, 6510, 0, 6510, 0, 6510, 0, 6510, 0, 6510, 0, 6510, 0, 6510, 0, 6510, 0, 6510, 16, 6511, 16384, 6512, 0, 6512, 16384, 6513, 0, 6513, 256, 6514, 0, 6514, 0, 6514, 0, 6514, 0, 6514, 0, 6514, 0, 6514, 16384, 6515, 0, 6515, 0, 6515, 1024, 6516, 0, 6516, 32768, 6517, 0, 6517, 0, 6517, 0, 6517, 1024, 6518, 64, 6519, 0, 6519, 0, 6519, 0, 6519, 0, 6519, 0, 6519, 16384, 6520, 0, 6520, 0, 6520, 2048, 6521, 0, 6521, 65504, 6532, 65213, 6545, 65535, 6561, 65535, 6577, 32639, 6591, 64487, 6604, 65471, 6619, 63487, 6634, 65535, 6650, 61439, 6665, 65406, 6679, 57335, 6693, 63223, 6706, 64479, 6720, 49150, 6734, 32847, 6740, 0, 6740, 0, 6740, 0, 6740, 0, 6740, 0, 6740, 0, 6740, 61184, 6747, 32767, 6762, 65407, 6777, 46839, 6789, 17414, 6793, 47230, 6803, 15349, 6814, 34865, 6819, 6038, 6827, 244, 6832, 43360, 6838, 5009, 6844, 128, 6845, 29257, 6852, 62195, 6863, 36, 6865, 34561, 6870, 17096, 6875, 58323, 6885, 20552, 6889, 9216, 6891, 17157, 6896, 0, 6896, 19020, 6902, 551, 6907, 4184, 6911, 10272, 6914, 278, 6918, 43017, 6923, 20, 6925, 0, 6925, 0, 6925, 16064, 6932, 104, 6935, 0, 6935, 0, 6935, 0, 6935, 0, 6935, 0, 6935, 0, 6935, 0, 6935, 65504, 6946, 47103, 6960, 64987, 6973, 247, 6980, 0, 6980, 16384, 6981, 50990, 6990, 384, 6992, 0, 6992, 8192, 6993, 1, 6994, 16384, 6995, 0, 6995, 0, 6995, 48, 6997, 65448, 7008, 46327, 7019, 44531, 7030, 1023, 7040, 288, 7042, 0, 7042, 0, 7042, 0, 7042, 0, 7042, 0, 7042, 0, 7042, 0, 7042, 0, 7042, 0, 7042, 0, 7042, 0, 7042, 61440, 7046, 65531, 7061, 40439, 7073, 64975, 7086, 447, 7094, 5571, 7101, 6183, 7107, 33034, 7111, 43074, 7116, 2560, 7118, 33032, 7121, 32776, 7123, 32776, 7125, 6148, 7128, 41918, 7138, 18, 7140, 0, 7140, 0, 7140, 0, 7140, 0, 7140, 0, 7140, 0, 7140, 0, 7140, 0, 7140, 0, 7140, 0, 7140, 0, 7140, 0, 7140, 0, 7140, 0, 7140, 0, 7140, 0, 7140, 0, 7140, 36864, 7142, 27110, 7151, 56375, 7161, 27647, 7174, 15871, 7187, 64760, 7198, 62457, 7210, 4],
    gb2312Table9E = [7211, 0, 7211, 32768, 7212, 49007, 7225, 59374, 7237, 57342, 7251, 23970, 7259, 16344, 7269, 49163, 7274, 2436, 7278, 40972, 7282, 64, 7283, 26896, 7288, 57872, 7293, 47378, 7300, 34469, 7307, 23040, 7311, 26624, 7314, 649, 7318, 36869, 7322, 27264, 7327, 16, 7328, 3, 7330, 0, 7330, 32768, 7331, 8185, 7342, 36352, 7346, 1],
    gb2312TableFF = [7347, 65534, 7362, 65535, 7378, 65535, 7394, 65535, 7410, 65535, 7426, 32767, 7441, 0, 7441, 0, 7441, 0, 7441, 0, 7441, 0, 7441, 0, 7441, 0, 7441, 0, 7441, 43];

function unicodetogb2312(e, b) {
    var a = [],
        r = 0,
        g = 0,
        l = 0;
    if (2 <= b) {
        0 <= e && e < 1120 ? (r = parseInt(e >> 4), l = gb2312Table00[r *= 2], g = gb2312Table00[r + 1]) : 8192 <= e && e < 9808 ? (r = parseInt((e >> 4) - 512), l = gb2312Table20[r *= 2], g = gb2312Table20[r + 1]) : 12288 <= e && e < 12848 ? (r = parseInt((e >> 4) - 768), l = gb2312Table30[r *= 2], g = gb2312Table30[r + 1]) : 19968 <= e && e < 40176 ? (r = parseInt((e >> 4) - 1248), l = gb2312Table4E[r *= 2], g = gb2312Table4E[r + 1]) : 40448 <= e && e < 40880 ? (r = parseInt((e >> 4) - 2528), l = gb2312Table9E[r *= 2], g = gb2312Table9E[r + 1]) : 65280 <= e && e < 65520 && (r = parseInt((e >> 4) - 4080), l = gb2312TableFF[r *= 2], g = gb2312TableFF[r + 1]);
        var n, T = parseInt(15 & e);
        if (parseInt(g & 1 << T)) return g = parseInt(g & (1 << T) - 1), g = parseInt((21845 & g) + ((43690 & g) >> 1)), g = parseInt((13107 & g) + ((52428 & g) >> 2)), g = parseInt((3855 & g) + ((61680 & g) >> 4)), g = parseInt((255 & g) + (g >> 8)), n = gb2312Table[l + g], a[0] = parseInt(n >> 8), a[1] = parseInt(255 & n), a
    }
    return -2
}
var big5Table = [41542, 41543, 41540, 41393, 41560, 41427, 41296, 41425, 41426, 41918, 41916, 41917, 41919, 41915, 41796, 41797, 41798, 41799, 41800, 41801, 41802, 41803, 41804, 41805, 41806, 41807, 41808, 41809, 41810, 41811, 41812, 41813, 41814, 41815, 41816, 41817, 41818, 41819, 41820, 41821, 41822, 41823, 41824, 41825, 41826, 41827, 41828, 41829, 41830, 41831, 41832, 41833, 41834, 41835, 41836, 41837, 41838, 41839, 41840, 41841, 41842, 41843, 51123, 51121, 51122, 51124, 51125, 51126, 51127, 51128, 51129, 51130, 51131, 51132, 51133, 51134, 51135, 51136, 51137, 51138, 51139, 51140, 51141, 51142, 51143, 51144, 51145, 51146, 51147, 51148, 51149, 51151, 51152, 51153, 51154, 51155, 51156, 51157, 51158, 51159, 51160, 51161, 51162, 51163, 51164, 51165, 51166, 51167, 51168, 51169, 51170, 51171, 51172, 51173, 51174, 51175, 51176, 51150, 41302, 41304, 41381, 41382, 41383, 41384, 41285, 41292, 41291, 41388, 41387, 41392, 41410, 41546, 41409, 41547, 41657, 41658, 41659, 41660, 41661, 41662, 41663, 41664, 41665, 41666, 41462, 41460, 41463, 41461, 41464, 41465, 41467, 41466, 41428, 41435, 41448, 41447, 41469, 41468, 41444, 41445, 41452, 41453, 41455, 41454, 41443, 41436, 41434, 41437, 41432, 41433, 41446, 41449, 51177, 51178, 51179, 51180, 51181, 51182, 51183, 51184, 51185, 51186, 51187, 51188, 51189, 51190, 51191, 51192, 51193, 51194, 51195, 51196, 41591, 41592, 41594, 41595, 41596, 41597, 41589, 41588, 41587, 41586, 41585, 41636, 41637, 41639, 41638, 41598, 41633, 41635, 41634, 41644, 41645, 41646, 41570, 41571, 41572, 41573, 41574, 41575, 41576, 41577, 41584, 41583, 41582, 41581, 41580, 41579, 41578, 41590, 41593, 41405, 41404, 41398, 41397, 41407, 41406, 41403, 41402, 41395, 41399, 41396, 41640, 41641, 41643, 41642, 41401, 41400, 41459, 41456, 41458, 41457, 41280, 41282, 41283, 41394, 50852, 41329, 41330, 41325, 41326, 41333, 41334, 41337, 41338, 41321, 41322, 41541, 41317, 41318, 41385, 41386, 41667, 41668, 41669, 41670, 41671, 41672, 41673, 41674, 41675, 50853, 50854, 50855, 50856, 50857, 50858, 50859, 50860, 50861, 50862, 50863, 50864, 50865, 50866, 50867, 50868, 50869, 50870, 50871, 50872, 50873, 50874, 50875, 50876, 50877, 50878, 50879, 50880, 50881, 50882, 50883, 50884, 50885, 50886, 50887, 50888, 50889, 50890, 50891, 50892, 50893, 50894, 50895, 50896, 50897, 50898, 50899, 50900, 50901, 50902, 50903, 50904, 50905, 50906, 50907, 50908, 50909, 50910, 50911, 50912, 50913, 50914, 50915, 50916, 50917, 50918, 50919, 50920, 50921, 50922, 50923, 50924, 50925, 50926, 50927, 50928, 50929, 50930, 50931, 50932, 50933, 50934, 50935, 50850, 50851, 50936, 50937, 50938, 50939, 50940, 50941, 50942, 51008, 51009, 51010, 51011, 51012, 51013, 51014, 51015, 51016, 51017, 51018, 51019, 51020, 51021, 51022, 51023, 51024, 51025, 51026, 51027, 51028, 51029, 51030, 51031, 51032, 51033, 51034, 51035, 51036, 51037, 51038, 51039, 51040, 51041, 51042, 51043, 51044, 51045, 51046, 51047, 51048, 51049, 51050, 51051, 51052, 51053, 51054, 51055, 51056, 51057, 51058, 51059, 51060, 51061, 51062, 51063, 51064, 51065, 51066, 51067, 51068, 51069, 51070, 51105, 51106, 51107, 51108, 51109, 51110, 51111, 51112, 51113, 51114, 51115, 51116, 51117, 51118, 51119, 51120, 50849, 41844, 41845, 41846, 41847, 41848, 41849, 41850, 41851, 41852, 41853, 41854, 41889, 41890, 41891, 41892, 41893, 41894, 41895, 41896, 41897, 41898, 41899, 41900, 41901, 41902, 41903, 41904, 41905, 41906, 41907, 41908, 41909, 41910, 41911, 41912, 41913, 41914, 41408, 41557, 41558, 41552, 41553, 41554, 41556, 41559, 41555, 41451, 41450, 41551, 42048, 42050, 42051, 51525, 42070, 42068, 42071, 42069, 51526, 42147, 51535, 51533, 42146, 42145, 42306, 42305, 42304, 42307, 42238, 42464, 42465, 43203, 42072, 42148, 51536, 42149, 51555, 42730, 52145, 42073, 42150, 42308, 51556, 51520, 42052, 42075, 51527, 42076, 42151, 42309, 42311, 42310, 42466, 42467, 43204, 44476, 42049, 51521, 42053, 42078, 42077, 42468, 43205, 45230, 54347, 46787, 56497, 56498, 42054, 42153, 43206, 42055, 51528, 42079, 42154, 42156, 51537, 42157, 42155, 42469, 43207, 43208, 43845, 42080, 42158, 42470, 42472, 42471, 42731, 43209, 43210, 43846, 43847, 44477, 56499, 63190, 42056, 42160, 42159, 51538, 42161, 42167, 42162, 42163, 51540, 51539, 42165, 42166, 42164, 42314, 42315, 42316, 42317, 42313, 42320, 51562, 51558, 51561, 42321, 42337, 51560, 42318, 42319, 42312, 51557, 51559, 42485, 51632, 42482, 42486, 51642, 51630, 42483, 51634, 42484, 42487, 42473, 51633, 42488, 51637, 51641, 51638, 51635, 42474, 42476, 42489, 42478, 51627, 42481, 42479, 42480, 51643, 51640, 51631, 42477, 51628, 42475, 51636, 51639, 51629, 51814, 42818, 42740, 51815, 42737, 42820, 42745, 42744, 51803, 42748, 42743, 51808, 51816, 51812, 42746, 42749, 42734, 42823, 51805, 52157, 42732, 42819, 42733, 42741, 42742, 51810, 51806, 42747, 42739, 51802, 42735, 51813, 42821, 42824, 42738, 42816, 42822, 42736, 51811, 42817, 51817, 51804, 42750, 51807, 51809, 43224, 52159, 52171, 43216, 52172, 43211, 43221, 43214, 52153, 43222, 52152, 52156, 52163, 52161, 43230, 43225, 52147, 52149, 43227, 43215, 52150, 52162, 52169, 43220, 52155, 52148, 43219, 52151, 43223, 52154, 43218, 43213, 43228, 52164, 43229, 52168, 52166, 52170, 43226, 52158, 52146, 52160, 43217, 52165, 43212, 52167, 43862, 43850, 52704, 52712, 43849, 43857, 43869, 52718, 52716, 52711, 43851, 52717, 52707, 43865, 43856, 43864, 52702, 52714, 52705, 43860, 52706, 52701, 43867, 43854, 43863, 43853, 52703, 52708, 52715, 43861, 43858, 52710, 43866, 52713, 52709, 43855, 43868, 43859, 43852, 43848, 52719, 44503, 44481, 44497, 44502, 53456, 53455, 53460, 53461, 44484, 44493, 44506, 44494, 53449, 44487, 53450, 44508, 44499, 44478, 44479, 53469, 45247, 44492, 44491, 53451, 44495, 54363, 44486, 53462, 44501, 44500, 44490, 53454, 53463, 53448, 44489, 53464, 44498, 53452, 44480, 44483, 44482, 53465, 44496, 44485, 44505, 44507, 53459, 44504, 53467, 53453, 53468, 53457, 53466, 53458, 44488, 54371, 54359, 45235, 54364, 54370, 45234, 54357, 45238, 54361, 54354, 45236, 54358, 45241, 45246, 54375, 54353, 45242, 54374, 45237, 54360, 45233, 54355, 54351, 54365, 54352, 54350, 54362, 54368, 54369, 45239, 55387, 54366, 54349, 54367, 45249, 54372, 45248, 54348, 54356, 54373, 45244, 45243, 45240, 45245, 45231, 45232, 46024, 55390, 55383, 46021, 55391, 55381, 55384, 46020, 55385, 46023, 55389, 55379, 55378, 46025, 46026, 46022, 46027, 55377, 55388, 55386, 55380, 46019, 55382, 46794, 46788, 56503, 46797, 56509, 56512, 46790, 46791, 56506, 46789, 56515, 46795, 56516, 56511, 46796, 56500, 46793, 56501, 56510, 56508, 56504, 46792, 56502, 46798, 56507, 56514, 56505, 56513, 47542, 47539, 47540, 57593, 57585, 47538, 47535, 57586, 47537, 57589, 57591, 57598, 57597, 57592, 47534, 57584, 47532, 57587, 47543, 57590, 57594, 47536, 47533, 57596, 57595, 47541, 57588, 48120, 58604, 58601, 48121, 48119, 58608, 58605, 58598, 48118, 48122, 58599, 48117, 48125, 58602, 58603, 48123, 48124, 58609, 58606, 58607, 48810, 59640, 48807, 59637, 48809, 48811, 59638, 48808, 59639, 59636, 49270, 60605, 49271, 60603, 60604, 60602, 60601, 60606, 49269, 61368, 61369, 58600, 61367, 49272, 50015, 61931, 61932, 50391, 50392, 62913, 62912, 50540, 50539, 63440, 42057, 42081, 42169, 42168, 42323, 42322, 42492, 42491, 42493, 42490, 42826, 42825, 42827, 43232, 43231, 43233, 43870, 41561, 53470, 41562, 45250, 41564, 41563, 55392, 41565, 47544, 41566, 42058, 42170, 42494, 43234, 42059, 42173, 42171, 42172, 42560, 42828, 43236, 43235, 43237, 44509, 48812, 51534, 42324, 42325, 42561, 51818, 43872, 43871, 53472, 53471, 45251, 42174, 51541, 52173, 43873, 44512, 44510, 44511, 48813, 42326, 42562, 51644, 42829, 42830, 51819, 52174, 43238, 52175, 53474, 53475, 44515, 53476, 53473, 44516, 44514, 44513, 53477, 54376, 55393, 56517, 57664, 48126, 48814, 59641, 42060, 42074, 45252, 46029, 47545, 51522, 42175, 42329, 42327, 42328, 43239, 42061, 42062, 42082, 42176, 42177, 42178, 51646, 42330, 51563, 42566, 51647, 42564, 42565, 51645, 42567, 42563, 51820, 43756, 51821, 51822, 42832, 42831, 42835, 42833, 42834, 43245, 43244, 52180, 52177, 52178, 52176, 43246, 43242, 43241, 43243, 43240, 43247, 43875, 52720, 52179, 43880, 52721, 43876, 43879, 43878, 43877, 43874, 53480, 44519, 53483, 44517, 53479, 44520, 44518, 44521, 53481, 53482, 53478, 53484, 46033, 45253, 54377, 54379, 54378, 54380, 45254, 46030, 46031, 46032, 46800, 56519, 56518, 56520, 56521, 46801, 46799, 57665, 57666, 47547, 47546, 58202, 48192, 48193, 48194, 48196, 58610, 58611, 48195, 48815, 48816, 61933, 62915, 62914, 63441, 42063, 42332, 42331, 42568, 51648, 42837, 42838, 42836, 42839, 51823, 51824, 43249, 52181, 43248, 52722, 43884, 52723, 43883, 43881, 43882, 53485, 45255, 54382, 45258, 54381, 45541, 45257, 45256, 46036, 46035, 46034, 46802, 46805, 46806, 46804, 46803, 57667, 57668, 58613, 48197, 58612, 48817, 60607, 49273, 61934, 50261, 42083, 42179, 51542, 42180, 42181, 42333, 42334, 42569, 51825, 52182, 52183, 43885, 53486, 45260, 45259, 55395, 55394, 42064, 42182, 42335, 45261, 51523, 51564, 42336, 51650, 42571, 42570, 51649, 42840, 44522, 54383, 46807, 57669, 47548, 59642, 62461, 42183, 52184, 52724, 45264, 45262, 45263, 42065, 42084, 41677, 42186, 42185, 42184, 42339, 42338, 51565, 51651, 43253, 43250, 43252, 43251, 43886, 46037, 42066, 42187, 42341, 42340, 51826, 43254, 51543, 42343, 42342, 42572, 42573, 51827, 42841, 42842, 43255, 43256, 43257, 43887, 52725, 44523, 51524, 42188, 51652, 51828, 51829, 52185, 52186, 52727, 52726, 52729, 52728, 43888, 54384, 44525, 53487, 44524, 55396, 46038, 55397, 57670, 47549, 48198, 61935, 51544, 42344, 45265, 42067, 42085, 42190, 42189, 42191, 43259, 43258, 43260, 43889, 44526, 59643, 49743, 42086, 42346, 42361, 42356, 42351, 42350, 42357, 42355, 42348, 42362, 42349, 42345, 42360, 42359, 42358, 42347, 42354, 42353, 42363, 42352, 42579, 42585, 42581, 42587, 51653, 42584, 42574, 42577, 42580, 42576, 42583, 42586, 42575, 42578, 42582, 42588, 51838, 51835, 42855, 51836, 42843, 42845, 42869, 42864, 51877, 51837, 42847, 42849, 51876, 42856, 51832, 42868, 42870, 42844, 42861, 51830, 42867, 42852, 42862, 42863, 51831, 42860, 42858, 42859, 42865, 51873, 42846, 42866, 51875, 42854, 42851, 51834, 42850, 51878, 42853, 42857, 42848, 51874, 51833, 52203, 52202, 43343, 52205, 52207, 52196, 52199, 52206, 43344, 52193, 52197, 52201, 52809, 43339, 52813, 43261, 52198, 43262, 43340, 43333, 43329, 52194, 43332, 43337, 43346, 52195, 52188, 43331, 52189, 52191, 43334, 43336, 52187, 52192, 43345, 43341, 52200, 43347, 43338, 52190, 43335, 43330, 43328, 52204, 43342, 52808, 52731, 52811, 52733, 43896, 43944, 43892, 43943, 43901, 43940, 43890, 52732, 52803, 43939, 52815, 43941, 43897, 52805, 52802, 43895, 52730, 43942, 52810, 43900, 52812, 43945, 43891, 43902, 43899, 52800, 43937, 52806, 52807, 43898, 43938, 43894, 43893, 52734, 52804, 52814, 53572, 44539, 53489, 53494, 44532, 44608, 53492, 44527, 44537, 44542, 53499, 44538, 44541, 53502, 44533, 53493, 53570, 53571, 44535, 53569, 44531, 44611, 53496, 44529, 53574, 53497, 53501, 44534, 44610, 53498, 44540, 53568, 53575, 54433, 53573, 44612, 44528, 53500, 53491, 44536, 53490, 53495, 53488, 44609, 54391, 45284, 54439, 45282, 45279, 54396, 45275, 54434, 45286, 54390, 54395, 54394, 44530, 45281, 54437, 54440, 54387, 46056, 54441, 45287, 45273, 45270, 54398, 45267, 54438, 45274, 54442, 54388, 54436, 45277, 54389, 54392, 54397, 45278, 45276, 45288, 45283, 45271, 45522, 45272, 54393, 45285, 45280, 54435, 45269, 45268, 54385, 54386, 55402, 46039, 46042, 55413, 46062, 55416, 46040, 55409, 46046, 46052, 46525, 46050, 55406, 46063, 46043, 46051, 55414, 56535, 55419, 55407, 55398, 55411, 55405, 46049, 55417, 46045, 46065, 46058, 46047, 46044, 46055, 55418, 55404, 55410, 55412, 55400, 55415, 46041, 55399, 46048, 46064, 46060, 55401, 46054, 46061, 46057, 46053, 55408, 46059, 56533, 56529, 56544, 56522, 56531, 46821, 46822, 46814, 56540, 46824, 56527, 56526, 56524, 56542, 46812, 56536, 56525, 46815, 56534, 46810, 56530, 56537, 56539, 56543, 46819, 56523, 46813, 56528, 46808, 46820, 56538, 46816, 46817, 46823, 46811, 41567, 46809, 56532, 46818, 56541, 47565, 47560, 57685, 57681, 57675, 47554, 47550, 57684, 47551, 57678, 57680, 57683, 47556, 47563, 47557, 57673, 47558, 47559, 57676, 47564, 57674, 57679, 47555, 57672, 47561, 47553, 47552, 57677, 57682, 47562, 57671, 48205, 58695, 58692, 48199, 48211, 48212, 48202, 58690, 48204, 58617, 48210, 58694, 48201, 58696, 48200, 58691, 58693, 48203, 58689, 58618, 58615, 55403, 58621, 58614, 58620, 58619, 58616, 48207, 48206, 48208, 58622, 48818, 58688, 59717, 59645, 48830, 59714, 48822, 48826, 59713, 48825, 48821, 48824, 48819, 48829, 59715, 59646, 48828, 59644, 48827, 59716, 59712, 48209, 48831, 59718, 48823, 48820, 60614, 60616, 49275, 60617, 60615, 60613, 60612, 49277, 60611, 49278, 60609, 60610, 49274, 49313, 49276, 60608, 49744, 61372, 61370, 61375, 61373, 61371, 61374, 50016, 61938, 61939, 50262, 61940, 61936, 61941, 61937, 49745, 62462, 62529, 50265, 62528, 50264, 50263, 50266, 62917, 62918, 50394, 50393, 50395, 62916, 63192, 63191, 50541, 50543, 50542, 63193, 50632, 63654, 50673, 63653, 63726, 51529, 42365, 42364, 42591, 42590, 51655, 42589, 51654, 42873, 51881, 51880, 42871, 42874, 51879, 42872, 52208, 52209, 43348, 43946, 53576, 53577, 44613, 44614, 54444, 45289, 45291, 54443, 45290, 55420, 46066, 46825, 46826, 56545, 47567, 47566, 58697, 59720, 59719, 63851, 42087, 51545, 51566, 51567, 42594, 42598, 51657, 42596, 42595, 51656, 42597, 42593, 42592, 51658, 42918, 42915, 42877, 51882, 51883, 42913, 51885, 42875, 51886, 51884, 42878, 42914, 42917, 42916, 42876, 51887, 43353, 52222, 43355, 43354, 52288, 43352, 43351, 52213, 52212, 52210, 52215, 52214, 52211, 52220, 52221, 52218, 52216, 43350, 52219, 43356, 52289, 52217, 43947, 43349, 43948, 52820, 52826, 43954, 52824, 52830, 52821, 52825, 52827, 52829, 52823, 52822, 52817, 52818, 43949, 43951, 43950, 52819, 52828, 43953, 52816, 53587, 53586, 53591, 53582, 53585, 53584, 53588, 53592, 44615, 44618, 53583, 53589, 44617, 53578, 43952, 54458, 53590, 53581, 44616, 53580, 54449, 45292, 45296, 54465, 54447, 54461, 45297, 54463, 54469, 54473, 54464, 54452, 54460, 54474, 54472, 54462, 54457, 54450, 55462, 54448, 45301, 54455, 45302, 45298, 54445, 54467, 54453, 54451, 54470, 45299, 54476, 45293, 45295, 54459, 54454, 44619, 45294, 54456, 54471, 54475, 54466, 54468, 54446, 55457, 55466, 55465, 46074, 55458, 46075, 46073, 55460, 46070, 55464, 55459, 55461, 55421, 46068, 55474, 55473, 55470, 46067, 46071, 46072, 53579, 55467, 46069, 45300, 55469, 55422, 55472, 55471, 55475, 56559, 55468, 55463, 56551, 46836, 46839, 46834, 56550, 56554, 56549, 46828, 46838, 56546, 46832, 56553, 46830, 46829, 56556, 46831, 56558, 56555, 46827, 46837, 56560, 56548, 56557, 56547, 46833, 46835, 56552, 56561, 57693, 47568, 57699, 47573, 57695, 57702, 57687, 47575, 47569, 57692, 48213, 57691, 57700, 47570, 47574, 57690, 57696, 57701, 57686, 47572, 57694, 57698, 57704, 57688, 57697, 47571, 57703, 57689, 48217, 58699, 48215, 48214, 58701, 58706, 58702, 58705, 48220, 48805, 48219, 58698, 58704, 48218, 58703, 58700, 48216, 59725, 59727, 59722, 48833, 59724, 48832, 59726, 48835, 59728, 48834, 59721, 59723, 49317, 60620, 49316, 60621, 49315, 60619, 49314, 60618, 49747, 49746, 61942, 61944, 61943, 50017, 50018, 50019, 62530, 50267, 63443, 63442, 50674, 42088, 42192, 42919, 52831, 46076, 46077, 56562, 47576, 57705, 58707, 51546, 51888, 52290, 52832, 53593, 44620, 61945, 50396, 42089, 42366, 51568, 42599, 42600, 43357, 45303, 47578, 47579, 47577, 42090, 42193, 42195, 42194, 51547, 42196, 42401, 51569, 42402, 42601, 42602, 51659, 42920, 51889, 43361, 52291, 43359, 43360, 43358, 53594, 43958, 43957, 43959, 43956, 52833, 43362, 43955, 44621, 44622, 44623, 54477, 46078, 55476, 45304, 46840, 47581, 47580, 57706, 48221, 48836, 61376, 63194, 63444, 42091, 42403, 42404, 51665, 42604, 42607, 51663, 51661, 42606, 51664, 51666, 51660, 42609, 42608, 42605, 42603, 51662, 42931, 42928, 51894, 51897, 51896, 42922, 42930, 42927, 51893, 51891, 42926, 42921, 42924, 51892, 51899, 51895, 42925, 42929, 42932, 51890, 51898, 42923, 43367, 43375, 52303, 52296, 43376, 52307, 52292, 52299, 43366, 52293, 43364, 52300, 52304, 43363, 52305, 52298, 52301, 43378, 43369, 52308, 52306, 43374, 43372, 52297, 43371, 52295, 52294, 43370, 43368, 43377, 43373, 43365, 52302, 43961, 43968, 52847, 43960, 52839, 52835, 52851, 52834, 43963, 52844, 43966, 43969, 43964, 52848, 43967, 44630, 52854, 52836, 52838, 52845, 52849, 52853, 52850, 52843, 52846, 52840, 43971, 52842, 52841, 52852, 43962, 52837, 43970, 43965, 44636, 53602, 44635, 53600, 44624, 44629, 53599, 53596, 53601, 44625, 53595, 44628, 44626, 53603, 44627, 44631, 44632, 44634, 44633, 53597, 53598, 53604, 54484, 45305, 55490, 54483, 54502, 45376, 54500, 45310, 45306, 54509, 54493, 54496, 45379, 54506, 54498, 45307, 45380, 54503, 54501, 54486, 54507, 54495, 54490, 54480, 54508, 54492, 54479, 45378, 54497, 54510, 54494, 54482, 54487, 54478, 45377, 54491, 54488, 45308, 54481, 54505, 45309, 54489, 54485, 54504, 46144, 55483, 55480, 55497, 55485, 55498, 46146, 55494, 55491, 55492, 55495, 55499, 54499, 55501, 56647, 46147, 55502, 55478, 55488, 55493, 46145, 46148, 55500, 55503, 55482, 55479, 55481, 55486, 55484, 46149, 55496, 55487, 55489, 55477, 56570, 56568, 46914, 46912, 56643, 56569, 56644, 56640, 56567, 56646, 56566, 56573, 46846, 46845, 46844, 56571, 56641, 46841, 46913, 56564, 56574, 56563, 56572, 46842, 56642, 56565, 46843, 56645, 57710, 47586, 47585, 47587, 57722, 57712, 57718, 57707, 57721, 57720, 57724, 57717, 47582, 57716, 47588, 57709, 47583, 57723, 47584, 57711, 57714, 57719, 57713, 57708, 57715, 58709, 48225, 58712, 58711, 58714, 58716, 48223, 58710, 58708, 58717, 58715, 58713, 58719, 58718, 48227, 48222, 48224, 48226, 58720, 59735, 59734, 59733, 59736, 59729, 59730, 59738, 59731, 48837, 59740, 59739, 59732, 60625, 49320, 60623, 60628, 60627, 59737, 49319, 60626, 60622, 60630, 60629, 49318, 60624, 48838, 49748, 61377, 61946, 61947, 61948, 50268, 50269, 62531, 62920, 62919, 63195, 63196, 63445, 63655, 42092, 42093, 42094, 42197, 42405, 51667, 42610, 42611, 42935, 42936, 42934, 42933, 43379, 52309, 43381, 43380, 52310, 43972, 44637, 53605, 54512, 45381, 46151, 54511, 46150, 47589, 57725, 48839, 49321, 60631, 50270, 50544, 51570, 42406, 51571, 42614, 42612, 42613, 42615, 42938, 42937, 51900, 42939, 51901, 52311, 52312, 43382, 43384, 43386, 43383, 43387, 43385, 43976, 43973, 43975, 43977, 43974, 53606, 52855, 53608, 53607, 44643, 44639, 44640, 44642, 44644, 44641, 44646, 44645, 45386, 54514, 54513, 45385, 45384, 45383, 45387, 45382, 55509, 55506, 46153, 55505, 55510, 46155, 55508, 46152, 46154, 55507, 56648, 56649, 56650, 47590, 47598, 57726, 47592, 47596, 57761, 47597, 47593, 47594, 47591, 47595, 48230, 55504, 48231, 48229, 48228, 59741, 48840, 60632, 60633, 50020, 50271, 42095, 42616, 43978, 53609, 44647, 45390, 45389, 45388, 46156, 46157, 55511, 47599, 48841, 42096, 51548, 42198, 51572, 51668, 42617, 43388, 56651, 42097, 42199, 51669, 51902, 51903, 42940, 55512, 46158, 56652, 49322, 42098, 42152, 42200, 51573, 42407, 42944, 42943, 42941, 42942, 52313, 43390, 43425, 52314, 43389, 43982, 52856, 43981, 43979, 43980, 44650, 44648, 53611, 44649, 53610, 44638, 54515, 45392, 45393, 45391, 47600, 57762, 48232, 48233, 58721, 49323, 61378, 61379, 50397, 63656, 51531, 42201, 42099, 51575, 51574, 42618, 51671, 51672, 51670, 51673, 51911, 51906, 51908, 51910, 51907, 42948, 51904, 51905, 42945, 42946, 51909, 51912, 42947, 51913, 52328, 52322, 52317, 43427, 52325, 52323, 52316, 52329, 52332, 52327, 52320, 43429, 52326, 43430, 52321, 52324, 52315, 52319, 52331, 43431, 43432, 52318, 52330, 43426, 43428, 52907, 52900, 52906, 52899, 52901, 52861, 52859, 52908, 52905, 52857, 43984, 52903, 52904, 52902, 52860, 52858, 43983, 52898, 52862, 52897, 52909, 44655, 44654, 53612, 44651, 53614, 44656, 53615, 44659, 44657, 53616, 52910, 53618, 44653, 44652, 53613, 53617, 44658, 45395, 45394, 54517, 54521, 54523, 45396, 54526, 45400, 54593, 45402, 45398, 45406, 45403, 54519, 45397, 54518, 54516, 54595, 54520, 45399, 54594, 45404, 54525, 54524, 45405, 54522, 45401, 54596, 54592, 55527, 55534, 55523, 46161, 55519, 55535, 55513, 55532, 55530, 55524, 55533, 55526, 55518, 55536, 55516, 55529, 55514, 55537, 46162, 55531, 56655, 55517, 46159, 55521, 46160, 55520, 55525, 55522, 55528, 56659, 56662, 56654, 56656, 56661, 56660, 46915, 55515, 56658, 46916, 56653, 56657, 57769, 57776, 57767, 57774, 57765, 57773, 57777, 57764, 57768, 57763, 47601, 57766, 47602, 57772, 57771, 57770, 57775, 58725, 58727, 48235, 58728, 58723, 58722, 58732, 58730, 48234, 58733, 58724, 58729, 58731, 58726, 59745, 59750, 59744, 59749, 59742, 59752, 59748, 59753, 59747, 59743, 59751, 59754, 59746, 60634, 49327, 49325, 49324, 49326, 61380, 61810, 61949, 62532, 62533, 50272, 62921, 50398, 62922, 63198, 50546, 50545, 63197, 50633, 63446, 42100, 42619, 51674, 51914, 43189, 45407, 42101, 42410, 42409, 42408, 42949, 44660, 56663, 42102, 42103, 42104, 42202, 43985, 52911, 46163, 42105, 51549, 42411, 42412, 51576, 42620, 51915, 42950, 51916, 43438, 52334, 43436, 43435, 52333, 43433, 52335, 43434, 43437, 43986, 43988, 52915, 52912, 52913, 52914, 52916, 43987, 53620, 53619, 44662, 44661, 45410, 54598, 45409, 45411, 45408, 46165, 54597, 46166, 55539, 46167, 55538, 46164, 56666, 56668, 46917, 56667, 56665, 56664, 57780, 47607, 47605, 47606, 57778, 57779, 47603, 58737, 58735, 48237, 58736, 48238, 48236, 47604, 59757, 59755, 59756, 58734, 60636, 49328, 60635, 61381, 61382, 59758, 61950, 42106, 42413, 42622, 51675, 42621, 43439, 46918, 42203, 42414, 43989, 46168, 51577, 51578, 51676, 42952, 51920, 51918, 42953, 51917, 51919, 51921, 42951, 43443, 43444, 43441, 43440, 52920, 43442, 43990, 52919, 52921, 52918, 52922, 43991, 44665, 53621, 53623, 44663, 53624, 44664, 53622, 52917, 54599, 54602, 54603, 54600, 45415, 45414, 45412, 45413, 54601, 45416, 46170, 46171, 46172, 56669, 56671, 56673, 46920, 46919, 46169, 56672, 56670, 57784, 57782, 57788, 47608, 57789, 57786, 47609, 57783, 57781, 57787, 48240, 58739, 57785, 48242, 58740, 48241, 48244, 58741, 48239, 48243, 59763, 59761, 59760, 59762, 59759, 50022, 62534, 62535, 62923, 63199, 50773, 43445, 42954, 43992, 42107, 42204, 42415, 51677, 42955, 51922, 52923, 43993, 47610, 42108, 42657, 46921, 42109, 42205, 42206, 42417, 42416, 51678, 42658, 51923, 42956, 52337, 52338, 52339, 43446, 43447, 52336, 43448, 43994, 52924, 53626, 44666, 53625, 45417, 54604, 45418, 54605, 46173, 56674, 57791, 57790, 47611, 48245, 58742, 48842, 59764, 49329, 50547, 63448, 52340, 52925, 45419, 55540, 46922, 49749, 42958, 42957, 43995, 53627, 45421, 45891, 45422, 45420, 46174, 57792, 47612, 48246, 51532, 51679, 51925, 42959, 51924, 42960, 43452, 52343, 52342, 43451, 43449, 43450, 52341, 43997, 52926, 44e3, 43996, 44002, 43998, 43999, 44001, 44669, 44668, 44667, 54607, 45423, 45426, 45424, 54606, 45429, 45425, 54608, 45428, 45427, 55542, 55541, 46177, 46175, 46176, 55543, 46923, 56676, 46924, 56675, 58743, 48248, 57793, 48247, 47613, 60638, 59765, 49330, 60637, 62016, 62536, 62537, 42207, 42418, 51579, 42962, 42964, 51682, 51928, 51927, 51926, 51681, 51680, 42660, 42963, 42961, 42659, 43453, 52344, 43454, 51933, 51935, 51934, 52345, 51930, 42968, 42966, 51929, 51931, 51937, 42965, 51932, 51941, 43456, 51938, 42967, 51936, 51939, 43455, 43457, 51940, 52399, 52386, 52350, 52398, 52393, 44007, 43458, 52394, 52397, 44003, 52396, 43459, 43464, 43462, 52387, 52348, 52389, 43469, 52400, 44004, 52390, 44005, 43465, 52392, 52941, 44006, 52347, 43466, 44008, 43467, 43463, 43468, 52391, 52346, 52395, 43460, 52349, 52388, 52385, 43461, 52927, 52928, 52938, 53665, 52939, 44014, 52942, 52932, 44013, 52934, 52935, 52937, 44009, 44707, 52933, 52929, 44708, 52943, 44670, 53629, 52936, 53628, 52931, 52940, 44012, 44705, 44018, 44706, 52944, 53630, 44011, 44710, 44017, 44016, 44015, 44709, 52945, 44711, 44010, 52930, 45430, 53668, 53670, 53672, 44712, 44718, 54611, 53676, 53667, 45432, 54609, 44717, 44715, 53678, 54610, 53669, 44716, 53673, 44719, 53675, 44714, 53674, 53677, 53671, 44713, 45433, 53666, 45431, 45434, 54613, 54622, 46180, 45436, 45475, 46181, 54624, 45482, 55545, 54614, 45474, 45477, 45438, 54612, 54626, 54629, 55625, 54627, 55549, 45473, 45480, 45484, 54621, 55544, 54625, 45435, 55546, 54628, 55548, 54617, 46178, 54615, 54616, 45479, 45478, 54619, 45483, 54623, 45476, 54620, 45481, 46182, 46179, 55547, 54618, 45437, 46187, 46191, 55616, 46929, 46189, 55620, 46193, 56677, 55622, 46931, 46185, 46188, 55623, 55624, 55630, 46195, 46932, 55626, 55631, 55619, 46942, 46933, 46194, 55617, 55632, 46941, 46192, 46926, 55629, 46196, 55621, 55550, 46186, 55618, 55627, 46925, 46930, 46183, 55628, 46928, 46184, 46940, 57795, 56688, 56680, 57794, 56684, 56686, 56683, 46939, 56682, 46943, 57810, 46938, 47680, 56689, 57796, 46936, 56681, 56685, 47614, 46927, 56678, 56679, 47681, 46935, 46937, 46934, 56687, 57800, 57801, 57806, 48253, 57813, 47687, 47686, 57808, 48252, 57797, 47685, 57812, 47683, 47684, 57809, 58794, 48250, 46190, 57811, 48291, 57803, 48251, 48290, 57798, 57802, 57799, 57805, 47688, 48249, 47682, 58746, 57807, 48289, 48292, 57804, 48254, 58745, 58750, 48846, 58744, 59811, 58793, 48296, 48294, 48844, 58790, 58786, 48300, 59768, 48298, 58785, 59766, 58789, 58792, 58749, 48299, 48293, 59767, 48845, 58791, 48295, 48297, 58788, 48301, 58787, 58748, 58747, 48843, 58795, 59770, 60640, 48848, 59810, 59774, 60641, 48849, 59809, 59772, 49332, 60639, 59769, 59771, 49333, 48851, 49331, 48850, 49335, 59773, 48847, 61391, 61383, 60647, 61384, 60643, 49750, 60645, 60644, 49334, 60642, 60646, 61392, 61388, 61390, 61385, 61386, 61389, 61387, 50023, 50026, 50025, 50024, 50273, 62538, 50274, 62017, 50399, 62924, 50400, 50548, 50634, 63449, 63450, 63451, 63930, 42208, 51580, 42419, 42662, 42663, 42661, 42664, 42970, 42969, 52401, 43471, 43470, 53679, 45485, 45486, 46197, 56690, 46944, 46945, 56692, 56694, 56693, 57815, 57814, 47689, 57816, 58796, 48302, 48852, 49336, 49751, 49337, 42209, 51942, 52402, 43473, 43472, 43474, 44019, 52946, 52947, 53680, 44720, 45487, 46198, 55633, 42210, 42110, 42211, 51581, 42423, 42422, 42420, 42421, 42667, 51689, 51691, 42666, 51683, 51684, 51690, 51686, 51688, 42665, 51685, 51692, 51687, 42977, 42986, 42984, 51952, 51949, 51957, 42982, 51958, 42975, 51955, 42981, 51951, 51950, 42979, 51956, 42980, 43475, 42974, 51953, 51943, 42971, 42990, 51948, 51954, 42976, 42978, 51944, 51945, 51946, 42989, 42983, 42988, 51947, 42987, 42973, 42972, 42985, 43489, 52414, 52407, 43484, 43503, 52403, 52410, 52412, 52415, 43498, 52411, 52404, 43496, 52408, 52416, 43481, 52413, 43491, 43490, 52406, 43479, 43480, 43478, 43502, 43494, 43488, 43476, 52409, 43487, 43477, 43495, 43504, 52948, 43492, 52405, 43482, 43485, 43486, 43500, 43501, 43499, 43493, 43497, 43483, 44020, 52954, 44097, 44024, 44026, 44096, 52966, 44029, 53681, 44721, 44099, 52951, 52959, 44030, 52958, 52955, 52963, 52965, 44023, 44027, 44098, 44723, 52960, 44025, 44101, 52953, 44028, 44722, 44022, 52950, 52957, 52949, 52952, 52956, 53682, 44100, 52961, 52962, 52964, 44021, 44737, 53694, 44735, 44736, 53684, 53700, 44726, 54630, 53702, 53696, 53687, 53705, 53690, 44732, 54653, 53693, 44734, 44725, 53707, 53695, 44728, 53688, 53685, 53686, 44729, 53701, 53708, 44731, 53692, 53691, 44739, 44738, 44724, 44730, 44733, 53704, 53698, 44727, 53683, 53706, 53697, 53699, 53703, 54631, 45495, 45515, 45514, 45503, 54649, 54645, 54642, 54694, 45498, 45490, 54647, 46248, 45494, 54689, 45516, 45513, 54651, 54634, 45512, 54691, 54633, 45501, 45505, 54690, 54643, 45506, 45500, 54632, 46200, 54693, 54641, 45511, 54644, 54692, 45510, 55634, 45491, 54639, 45496, 45507, 45502, 54648, 54638, 54636, 54654, 45488, 45508, 45492, 46199, 54652, 45493, 45489, 45504, 45499, 45497, 54640, 45509, 54637, 54650, 54646, 55636, 55635, 54635, 55652, 46202, 55658, 55641, 55655, 56695, 46205, 55659, 55662, 46204, 55644, 55661, 55660, 46206, 55637, 46201, 46243, 46241, 55657, 55647, 46245, 55664, 55656, 55665, 46253, 46251, 55654, 55653, 55651, 55645, 46244, 46242, 53689, 55638, 56759, 55639, 46203, 46250, 56697, 46246, 46247, 55640, 55663, 56696, 55648, 55643, 46249, 55649, 55646, 46254, 46960, 56700, 56753, 56758, 56746, 46956, 56763, 46953, 56698, 56699, 46946, 46955, 56740, 46958, 46959, 56741, 56754, 56760, 46954, 46948, 56739, 56701, 56762, 56744, 56745, 56702, 56756, 56747, 56757, 56749, 46949, 57817, 46952, 46950, 56761, 56752, 56748, 56737, 47699, 56751, 46957, 56743, 56742, 46951, 46947, 57838, 56755, 56750, 56738, 57833, 57818, 57829, 57836, 47697, 46252, 57834, 47692, 47691, 57841, 57819, 57832, 57820, 57831, 47695, 57835, 55650, 57842, 57827, 47698, 58810, 48303, 57840, 57839, 47700, 58797, 48304, 58798, 57823, 57824, 57821, 57826, 57822, 57843, 47694, 48305, 47696, 47701, 57825, 57837, 57830, 58801, 47690, 48308, 59818, 58806, 58805, 58807, 58804, 48309, 48315, 48312, 48313, 58799, 58802, 58812, 48321, 48319, 58803, 55642, 48306, 58809, 58800, 48322, 58808, 47693, 48311, 57828, 48314, 48318, 48320, 48317, 48316, 48310, 58811, 48307, 48323, 48856, 48857, 59817, 48866, 48863, 48854, 48861, 59819, 48859, 48853, 48860, 59816, 49339, 48855, 48862, 49338, 59815, 59814, 48864, 48865, 59813, 59812, 49340, 59822, 48858, 59820, 49341, 49346, 60650, 60652, 49343, 60653, 60649, 60651, 49344, 49347, 60648, 49342, 49345, 49753, 59821, 49752, 49758, 61396, 49756, 49757, 61399, 61395, 49754, 61393, 50027, 61397, 61398, 61394, 49755, 62018, 62021, 62022, 62020, 62023, 50028, 62019, 62542, 50276, 62541, 62540, 62539, 50275, 50277, 62925, 50402, 50401, 63201, 63200, 63203, 50635, 50549, 63453, 63202, 63452, 50637, 50636, 50675, 63657, 63727, 42212, 55666, 59823, 42668, 51959, 42993, 42991, 42992, 52417, 43505, 44102, 52967, 52968, 44103, 53710, 44740, 44741, 53709, 45523, 45519, 54695, 45526, 45525, 45518, 45521, 45524, 45520, 55670, 45517, 46255, 46257, 46258, 55669, 55672, 46256, 55667, 55671, 55668, 46961, 56764, 47702, 57844, 48867, 48324, 58813, 48325, 48326, 58815, 58814, 58816, 59825, 59824, 60655, 60654, 49348, 49349, 62024, 42213, 55673, 46260, 46259, 56765, 61400, 50403, 63454, 42214, 44742, 45528, 45527, 55674, 55675, 46962, 57845, 47703, 59826, 42215, 42424, 43506, 52418, 52969, 44104, 45529, 55676, 46261, 46963, 58817, 58818, 60656, 49759, 63728, 42216, 52419, 43507, 44105, 52970, 44743, 53714, 53712, 53713, 44744, 53711, 45531, 45532, 54696, 45533, 45530, 55677, 55678, 56766, 47705, 47704, 60657, 61401, 62026, 62025, 62543, 51550, 44106, 42217, 42425, 42670, 42669, 42671, 42672, 51694, 51693, 51960, 42994, 51963, 51962, 51961, 51964, 43508, 52425, 52421, 52430, 43515, 43513, 52426, 52422, 52429, 43512, 43584, 52424, 52420, 43518, 52427, 43511, 52428, 43514, 43516, 52432, 52431, 52423, 43510, 43509, 43517, 52975, 52981, 44112, 44109, 52972, 52977, 44115, 44107, 52976, 44110, 44113, 52979, 44108, 52984, 44111, 44114, 52973, 52978, 52982, 52974, 52971, 52983, 52980, 44752, 44745, 44748, 44751, 53717, 44746, 53715, 44750, 44747, 53718, 44749, 54700, 45535, 54699, 54701, 45534, 45539, 53716, 54698, 54702, 45536, 54697, 45538, 45537, 55719, 55714, 46262, 46266, 46263, 55717, 55720, 46264, 46265, 46270, 56775, 55718, 46268, 55715, 55713, 46269, 55716, 46969, 56767, 46966, 46967, 46965, 56772, 56771, 56768, 46971, 56770, 46267, 56774, 56769, 46968, 46964, 46970, 56773, 47708, 57848, 57847, 57846, 47706, 47707, 58821, 58824, 48328, 48327, 58825, 58820, 48330, 58822, 48329, 58819, 58823, 48873, 48870, 59835, 59834, 59833, 59828, 59829, 48871, 48868, 48872, 59827, 48869, 59830, 59831, 59836, 59832, 60658, 49351, 61404, 49350, 61402, 61403, 49760, 50030, 62027, 50029, 62545, 62546, 50278, 62544, 50404, 63455, 50638, 63658, 63659, 42218, 42673, 42674, 42995, 52433, 44116, 44753, 45540, 45266, 46271, 46272, 46028, 55721, 46972, 57850, 57849, 42219, 42675, 52434, 43586, 43585, 52985, 52986, 53719, 53720, 44754, 44755, 44756, 54703, 45542, 46274, 46273, 56776, 57210, 57851, 59837, 49761, 50279, 42220, 42428, 42429, 42427, 42430, 42426, 42678, 51702, 42677, 42679, 51697, 51696, 51699, 51698, 51701, 42676, 51695, 51700, 51965, 43005, 51966, 52035, 43004, 52039, 52034, 52037, 42997, 42998, 42999, 43e3, 43072, 52033, 43002, 43073, 52032, 52038, 43001, 52036, 43003, 42996, 43006, 43607, 52436, 43587, 43597, 43598, 43590, 43608, 43592, 52444, 43603, 52439, 43593, 52454, 52455, 52447, 52440, 43606, 52452, 43601, 43599, 52453, 52451, 52443, 52435, 52442, 43594, 43600, 43588, 52446, 52445, 52437, 43602, 52449, 52438, 43605, 52456, 43589, 43596, 52441, 52450, 43604, 43591, 43595, 52448, 53083, 44124, 44137, 53078, 53068, 44130, 53066, 44123, 53061, 44133, 53074, 52990, 53057, 53060, 52987, 53073, 53089, 44128, 53062, 53080, 52989, 53087, 53088, 53091, 53082, 53067, 53075, 44134, 44121, 44129, 44141, 44118, 44120, 53059, 44138, 44131, 53085, 53056, 44140, 44135, 53065, 44139, 53072, 53064, 44132, 53084, 53076, 44126, 53090, 53063, 44122, 53081, 53071, 44127, 53077, 44119, 52988, 44136, 44771, 44125, 53070, 53069, 53058, 53086, 53079, 44117, 53740, 44778, 53741, 53729, 44767, 44779, 53722, 53731, 53739, 53721, 53748, 44757, 53747, 53742, 53743, 44765, 44776, 53733, 53734, 53744, 53735, 53730, 53724, 53725, 53738, 53732, 44758, 44762, 53746, 53726, 44774, 44770, 44773, 44780, 44763, 44775, 53737, 44777, 44760, 44759, 53723, 53727, 44768, 53745, 53736, 53728, 44772, 44769, 44761, 44764, 54724, 54708, 54709, 54713, 54728, 54725, 54718, 54717, 45549, 54721, 54736, 54704, 54737, 54723, 54741, 54729, 45548, 54727, 45543, 45564, 45554, 45558, 45557, 54705, 54734, 54740, 54732, 54739, 54720, 54706, 54738, 54722, 45546, 45559, 54731, 45552, 54730, 54707, 45560, 45562, 54733, 45563, 45545, 54714, 54735, 45551, 45561, 54716, 54726, 54711, 54715, 45556, 54710, 45544, 45553, 45550, 54719, 44766, 55744, 45547, 45555, 55747, 55769, 55758, 46294, 46289, 55741, 46290, 55757, 55750, 55763, 46286, 55723, 55765, 46276, 55731, 46279, 46278, 46295, 55725, 55759, 55760, 46281, 46277, 55739, 46288, 55734, 55761, 46284, 55753, 55766, 55728, 55733, 55727, 46283, 55746, 56798, 55729, 46287, 55738, 55762, 46282, 55735, 55732, 55749, 46285, 46275, 46297, 55752, 55751, 55724, 46280, 55764, 55740, 55742, 55755, 55754, 55722, 46291, 46293, 55730, 55737, 55745, 46292, 55736, 55748, 55767, 55756, 55768, 55726, 56818, 47014, 56816, 56795, 56800, 56793, 56812, 56779, 56786, 56810, 56820, 56796, 56783, 56802, 56807, 56787, 56804, 56784, 56791, 56792, 47016, 56811, 56809, 56780, 56814, 56815, 56817, 47020, 47012, 54712, 56788, 56806, 56789, 47009, 47025, 56813, 47023, 47019, 56778, 47011, 56781, 47024, 56797, 56777, 47017, 56801, 56785, 47018, 56794, 46974, 46296, 56803, 55743, 56782, 56808, 47013, 56805, 47010, 56799, 47021, 56790, 56819, 47015, 57030, 47022, 57930, 57928, 57950, 57926, 57944, 46973, 47711, 57922, 57949, 57927, 57941, 47716, 47709, 57947, 57920, 57946, 47727, 57937, 57953, 47725, 57929, 47710, 57931, 57945, 47719, 57924, 47723, 47713, 57933, 57923, 57852, 57943, 47720, 57952, 57853, 47717, 57939, 47718, 57925, 57936, 57932, 57934, 47712, 57951, 47726, 57935, 57954, 57854, 57940, 47715, 47724, 47722, 57921, 57942, 47721, 47714, 57938, 57948, 58837, 58833, 58829, 58849, 58846, 48333, 58853, 58836, 48344, 58843, 58832, 58842, 48341, 58862, 58859, 58845, 58830, 58850, 58852, 48337, 58840, 58835, 58826, 48334, 48342, 58855, 48343, 58827, 58861, 58848, 58854, 48340, 58851, 58858, 48345, 48339, 58844, 58831, 58863, 58828, 58856, 48336, 58838, 58839, 48335, 48332, 58834, 48338, 48331, 58857, 58860, 58841, 59850, 59842, 59838, 48886, 48875, 48880, 48876, 59852, 59863, 48874, 59844, 59853, 58847, 59854, 48881, 59869, 48885, 48888, 59840, 48884, 59867, 59868, 59858, 59857, 59849, 59859, 59866, 59865, 48879, 48877, 59851, 59848, 59845, 59864, 48887, 59862, 48883, 48882, 59856, 59839, 59841, 59843, 59861, 59855, 48878, 59846, 59860, 59847, 49359, 60741, 49352, 60661, 60737, 49354, 60744, 60668, 60663, 60745, 60659, 60670, 49361, 60740, 60746, 60669, 49353, 60736, 60660, 49360, 60743, 60665, 49356, 60667, 60664, 49362, 60666, 49355, 49358, 60739, 60662, 60742, 60738, 49763, 61415, 49768, 49769, 49762, 61414, 61411, 61412, 49766, 61406, 61410, 49765, 61407, 49767, 49764, 61405, 61409, 61413, 62033, 62030, 62039, 62038, 62036, 62031, 50034, 62032, 50033, 49357, 62035, 50032, 62040, 62034, 62029, 61408, 50031, 62028, 62550, 62549, 62037, 50280, 62553, 62554, 62548, 62552, 62547, 62929, 62551, 50407, 50405, 62927, 62930, 62926, 62928, 50406, 63205, 63206, 50550, 63204, 63458, 50639, 63456, 63457, 63660, 50774, 63731, 63729, 63730, 63732, 63931, 42221, 42680, 43609, 52457, 53092, 53749, 53751, 53750, 53752, 45565, 54743, 53753, 54742, 54744, 54745, 55770, 46299, 55771, 55773, 46300, 46298, 55772, 56826, 56824, 56823, 56822, 56821, 47026, 56825, 47728, 57955, 57957, 47729, 57956, 48347, 48346, 58864, 59871, 59870, 59872, 48889, 60747, 49363, 61416, 49770, 62041, 50551, 42222, 42431, 42681, 43074, 43610, 43611, 44142, 53754, 47027, 59089, 48890, 49771, 42223, 42682, 52459, 43612, 52458, 53093, 44143, 53094, 44144, 53756, 44782, 44781, 54750, 54748, 54749, 54747, 54746, 55774, 55777, 46302, 55775, 46301, 55776, 56827, 57958, 57959, 57960, 58867, 58866, 48348, 58865, 58868, 59873, 59874, 59875, 60748, 49364, 49772, 62042, 50408, 51551, 44145, 53095, 44783, 45566, 46303, 55778, 47029, 47028, 57961, 57962, 48349, 48350, 59877, 59876, 61417, 63459, 42224, 51552, 42432, 43075, 52040, 44146, 47030, 42225, 53096, 44147, 53097, 49365, 42226, 52460, 53098, 53826, 53825, 53758, 53757, 53827, 53824, 45632, 45633, 46304, 55779, 55780, 55781, 56897, 56898, 56896, 56829, 56830, 47031, 57963, 58871, 58870, 58869, 58872, 59879, 59878, 48891, 59880, 49366, 60749, 61418, 62043, 63207, 42227, 42434, 42433, 43613, 51553, 51582, 42683, 51703, 52041, 52042, 43614, 52461, 44148, 53099, 53100, 44784, 44788, 53828, 44787, 44785, 44786, 54751, 45634, 46307, 46305, 46306, 55782, 47730, 42228, 51617, 42435, 51620, 42438, 51619, 42437, 42436, 43076, 51618, 51704, 51708, 51710, 51776, 42693, 42694, 51707, 42689, 51705, 51709, 42690, 42685, 42686, 42692, 51706, 42684, 43077, 42687, 42688, 42691, 52059, 52057, 52044, 43089, 52051, 43084, 52045, 52053, 52050, 43087, 52049, 43094, 52058, 43096, 43098, 52043, 43085, 52060, 43092, 43095, 52549, 43079, 43102, 43093, 52046, 43082, 43097, 52054, 43080, 43081, 52547, 52047, 43088, 43099, 52061, 52048, 43086, 43091, 52462, 43100, 52055, 43090, 43101, 43078, 52052, 43083, 52056, 52548, 43626, 43642, 52469, 43633, 52555, 43618, 43621, 52546, 52467, 52471, 43629, 43631, 52474, 43638, 43624, 43622, 43623, 43637, 52551, 43632, 52473, 52475, 43630, 43635, 52476, 52554, 44149, 43641, 43619, 52553, 52557, 52472, 52559, 52544, 43628, 52468, 43627, 43645, 43634, 52466, 53109, 43640, 43644, 52545, 52550, 43646, 43639, 43625, 43615, 43620, 52470, 43616, 52558, 52464, 52463, 52477, 52465, 43643, 44789, 43636, 52478, 43617, 44198, 52556, 53116, 53153, 53156, 53111, 53159, 53162, 53164, 53108, 44150, 44155, 53833, 44205, 53157, 53165, 53115, 53107, 53860, 44158, 53154, 53112, 53114, 44197, 53117, 44157, 53104, 53160, 53163, 44154, 44200, 53101, 44202, 44152, 44206, 53161, 53103, 44203, 53854, 52552, 44156, 44151, 53110, 53102, 44204, 44196, 53155, 44201, 44199, 53113, 44193, 53105, 44194, 44195, 53106, 53158, 44153, 53118, 53836, 44797, 44867, 53845, 53851, 53847, 53834, 53837, 53830, 53831, 44874, 44794, 53846, 53855, 44869, 44790, 44864, 53838, 44866, 53839, 53849, 44868, 53864, 53832, 44796, 44795, 44872, 53829, 53862, 53850, 53863, 53857, 53843, 53858, 53852, 53861, 53859, 44873, 53844, 44793, 44792, 44865, 44871, 53856, 44870, 53841, 45635, 53865, 53840, 53835, 44798, 44875, 44791, 53848, 53853, 45669, 54753, 54757, 45650, 45648, 45639, 54755, 54754, 45659, 54760, 45653, 54778, 54855, 45636, 54775, 54768, 45671, 54752, 54780, 45668, 45656, 45667, 45646, 54764, 54782, 54774, 45647, 45641, 54853, 54781, 54848, 45649, 45657, 54850, 54762, 54779, 54767, 54852, 45662, 45638, 45660, 54772, 54770, 54771, 45651, 54766, 54765, 45640, 54759, 54854, 45642, 54769, 45672, 45666, 54758, 45663, 45661, 45670, 54776, 45665, 53842, 54777, 45664, 54849, 45637, 54773, 45655, 54761, 45654, 45652, 45644, 45643, 55783, 54851, 54763, 55804, 45645, 46401, 45658, 46318, 55798, 46332, 55786, 46315, 46311, 55881, 46317, 46321, 46316, 46325, 55885, 55876, 55793, 46330, 46324, 55805, 46308, 55882, 55875, 46312, 55799, 46327, 55893, 55894, 46309, 55880, 46329, 55803, 55789, 55790, 46333, 55794, 55801, 55795, 46331, 46404, 55791, 55784, 55785, 55787, 46314, 55800, 46328, 46402, 55802, 55891, 55883, 46310, 55889, 46322, 46320, 55895, 46319, 55873, 55796, 55806, 46407, 55877, 55874, 55792, 46403, 55887, 55884, 55892, 46313, 55872, 46406, 55879, 46323, 46326, 55878, 46405, 55797, 54756, 55888, 55886, 55890, 55788, 46400, 56929, 56928, 56902, 47037, 56927, 56905, 56906, 47047, 56936, 47042, 56926, 56899, 47048, 47038, 56914, 56904, 56907, 56931, 47032, 56938, 56930, 47041, 56919, 47052, 47051, 47045, 56937, 47033, 56917, 56908, 56921, 56933, 47053, 47035, 56916, 56909, 47044, 47043, 56912, 56922, 56932, 56903, 56913, 47036, 56923, 47049, 47040, 56910, 47039, 56901, 56915, 56935, 46334, 47792, 56918, 57964, 56920, 56934, 47046, 56911, 47034, 47050, 48368, 56900, 56925, 56924, 58026, 47789, 57981, 58020, 47778, 57966, 47791, 47735, 57965, 58032, 47793, 57969, 58019, 57971, 58035, 58031, 47733, 47777, 58963, 47790, 47741, 57967, 58030, 47779, 58027, 58040, 57973, 57982, 58038, 58028, 47740, 57980, 47734, 47732, 47784, 57978, 57975, 57976, 58034, 58039, 58037, 47738, 58041, 47742, 47783, 57968, 58874, 57977, 47736, 47788, 47785, 47739, 58021, 57972, 47786, 58023, 47780, 47782, 47731, 58025, 58017, 57970, 47781, 58033, 58036, 57979, 58024, 47737, 48351, 58022, 58873, 58029, 57974, 58948, 58958, 48354, 58957, 58969, 48356, 58955, 58959, 48367, 58950, 48359, 58962, 59888, 48371, 48370, 58964, 58947, 58974, 48365, 48355, 58967, 58971, 58976, 58965, 58953, 48358, 48361, 48369, 48364, 58956, 58018, 58952, 58975, 48360, 48363, 58977, 48352, 58966, 58875, 58972, 49375, 58954, 48353, 58949, 48357, 58876, 47787, 58945, 58970, 58946, 58944, 48362, 58968, 58878, 58961, 58960, 58973, 58951, 48366, 59891, 48969, 48894, 59968, 59883, 48961, 59895, 48968, 48963, 59893, 60751, 59899, 59970, 59898, 59881, 59896, 59972, 59974, 48893, 59973, 48964, 48970, 48967, 59902, 48966, 59897, 59885, 59890, 59901, 48965, 48962, 48892, 48960, 59889, 58877, 59884, 59887, 59969, 59892, 59882, 60750, 59971, 59886, 59900, 60753, 49379, 49367, 49371, 60755, 60761, 60759, 49369, 49370, 49377, 60762, 60754, 49372, 60758, 60757, 60763, 49378, 49373, 49376, 60756, 49380, 49374, 49381, 49368, 60760, 60752, 61431, 49777, 61428, 61430, 49775, 61426, 61427, 61422, 59894, 61423, 49776, 61419, 49773, 61432, 49774, 61420, 61421, 61425, 49779, 49778, 61424, 50040, 62047, 62053, 50041, 62044, 50038, 50035, 62055, 50039, 50036, 62046, 62049, 62050, 62051, 62054, 61429, 62045, 50037, 62052, 62056, 62048, 62557, 50282, 62560, 50283, 62568, 62559, 62556, 62558, 62562, 62565, 62564, 62567, 62555, 50281, 62563, 62566, 62569, 62561, 62931, 62932, 62936, 62937, 62934, 62935, 62933, 50409, 50552, 63211, 63208, 63209, 63210, 50553, 63461, 63460, 63663, 50676, 63661, 63664, 63662, 63733, 50775, 50789, 63907, 63852, 63906, 63952, 63953, 42229, 42695, 51777, 52062, 43103, 43106, 52063, 43104, 43105, 52568, 52570, 52565, 52562, 52564, 43684, 43682, 52566, 43683, 52563, 52560, 43681, 52567, 52561, 43685, 52569, 53167, 53171, 44215, 53174, 44207, 44210, 44212, 44214, 44211, 53170, 53169, 44209, 53172, 53173, 53166, 44213, 44208, 53168, 53879, 53880, 53881, 44880, 44876, 53870, 53878, 53883, 44881, 53868, 53874, 53867, 53877, 53873, 44877, 44879, 53882, 53866, 53869, 53875, 53876, 53884, 53872, 44878, 45677, 54862, 54864, 54860, 54872, 54858, 54871, 45673, 54856, 55899, 54866, 45676, 54867, 54870, 54874, 54863, 54868, 45674, 45675, 54873, 54861, 54857, 54875, 54865, 54869, 54859, 46408, 46409, 55909, 46415, 55897, 55906, 55896, 46412, 55904, 55902, 55903, 46410, 55907, 55900, 55898, 46411, 55901, 55905, 46413, 55908, 56944, 56951, 56953, 56993, 47066, 56939, 47058, 56954, 47063, 56994, 47054, 56957, 56941, 56958, 56940, 47068, 56952, 47055, 56995, 47060, 56945, 47065, 56956, 56943, 56950, 56946, 56942, 47057, 47064, 47062, 47059, 47067, 47056, 56949, 47061, 46414, 56955, 56947, 56948, 58049, 47796, 58045, 58051, 58047, 47798, 58046, 58050, 58042, 58044, 47797, 58048, 58043, 47799, 47794, 58052, 47795, 58983, 58980, 58992, 58986, 58988, 48372, 58982, 58990, 58989, 58987, 58993, 48375, 58984, 58991, 48373, 58979, 58981, 48374, 58978, 58994, 58985, 59978, 48977, 59989, 59987, 48971, 59977, 59980, 59981, 59976, 48981, 48982, 59975, 59990, 59985, 48975, 48972, 59984, 59982, 48978, 59986, 48973, 48974, 59983, 48976, 59979, 59988, 48979, 59991, 59992, 48980, 49383, 49390, 60764, 60770, 60768, 49386, 49385, 49382, 60766, 49388, 49387, 49384, 60769, 60765, 60767, 49389, 49783, 61435, 49780, 49781, 61437, 49782, 61434, 61433, 62060, 61436, 62061, 50042, 62059, 62058, 62057, 50043, 50284, 62570, 62571, 62940, 62939, 50410, 62938, 63212, 63213, 63462, 63665, 63734, 63932, 50809, 63942, 42230, 43686, 43687, 44216, 49391, 42231, 43688, 44882, 47069, 42232, 45678, 47800, 51554, 53175, 53885, 58053, 49392, 42233, 43689, 53176, 53177, 55910, 46416, 56996, 47070, 58054, 48376, 50044, 42234, 55911, 42235, 42697, 51778, 42696, 43109, 43108, 43107, 52064, 43690, 43691, 52571, 53178, 53181, 44218, 53179, 44217, 53180, 44219, 53922, 53921, 53886, 44883, 54877, 54878, 45679, 54876, 54879, 46418, 45680, 46417, 55915, 55914, 55912, 55913, 55916, 56998, 56997, 57001, 57e3, 56999, 47801, 58057, 58056, 47802, 58055, 58995, 58996, 48377, 59993, 59994, 62066, 50045, 62065, 62064, 62062, 62063, 50411, 62572, 63214, 63735, 42236, 51621, 42439, 51622, 51779, 51780, 52070, 52066, 52065, 43692, 52069, 43111, 52067, 43110, 52071, 52068, 52575, 53182, 52573, 52580, 43693, 43696, 52581, 52577, 52578, 52572, 43695, 52574, 43694, 52579, 52576, 53186, 44221, 44222, 53189, 53183, 53188, 53184, 44220, 53187, 53185, 53928, 53925, 53927, 44888, 44887, 44885, 53924, 53929, 44884, 44886, 53926, 54887, 53923, 53930, 54882, 54886, 54885, 55918, 55929, 54888, 54883, 55917, 45684, 45683, 54881, 54884, 45685, 45682, 45681, 54880, 54889, 55920, 55927, 46420, 55926, 55923, 46422, 55925, 55919, 55921, 55924, 55922, 46421, 55928, 46419, 47071, 57005, 57004, 57002, 47074, 47073, 57006, 57003, 58058, 47803, 47072, 57008, 57007, 58061, 58059, 48378, 47804, 58060, 58998, 48379, 58997, 59006, 59005, 59003, 59002, 58999, 59e3, 59001, 59004, 59041, 59999, 59996, 59997, 48983, 59995, 60001, 6e4, 59998, 60772, 60773, 49393, 49394, 60771, 49785, 61438, 49784, 50046, 50081, 50285, 62574, 62573, 62941, 63215, 50554, 63464, 63463, 63465, 42440, 53190, 44889, 45686, 54890, 42441, 51623, 42237, 51781, 52076, 52074, 52075, 52072, 43112, 52073, 52589, 43699, 52587, 52583, 52586, 52582, 43701, 52585, 43698, 43697, 43700, 52588, 52584, 44226, 44229, 53198, 53197, 53196, 44223, 53205, 53195, 44225, 53935, 53202, 53200, 44228, 53192, 53203, 53194, 53204, 53201, 53193, 44224, 53206, 53191, 44227, 53940, 53931, 53942, 53934, 53945, 53946, 53932, 53944, 53941, 53939, 53943, 44895, 44893, 53937, 53933, 53936, 53947, 53938, 44894, 53199, 44890, 44892, 54904, 54893, 54891, 54892, 54899, 54900, 54896, 45691, 54901, 54898, 54895, 45689, 54894, 45687, 45690, 54897, 54905, 44891, 45688, 54903, 54902, 45692, 55934, 55969, 46432, 55975, 55977, 55970, 46426, 55974, 55973, 46427, 46433, 46434, 55976, 46424, 55933, 55931, 55971, 55930, 46431, 55932, 55972, 55978, 46425, 46430, 46428, 46429, 46423, 47081, 57015, 47080, 57019, 57009, 57020, 57010, 57011, 57021, 57018, 57016, 57017, 57013, 57012, 57022, 47077, 57014, 47082, 47076, 47083, 47084, 47079, 47078, 58062, 47806, 47805, 58067, 48380, 47807, 47809, 58068, 47075, 47808, 58064, 58066, 58063, 58065, 59051, 59050, 59047, 48448, 60002, 48449, 59046, 48382, 59048, 59045, 59042, 59049, 59043, 59044, 48381, 60777, 60006, 60005, 60007, 60774, 48986, 60003, 48984, 48988, 48987, 60004, 60008, 48985, 60781, 49397, 49786, 49398, 49395, 60778, 60776, 60779, 60782, 49396, 60780, 60775, 61506, 61509, 62069, 61504, 62575, 61510, 50082, 61508, 49787, 61505, 61507, 61511, 62070, 62068, 50083, 62067, 50286, 50413, 63217, 50412, 63219, 63216, 63218, 50640, 63666, 42442, 52590, 53948, 53949, 45693, 57023, 48989, 50084, 50555, 63667, 42443, 52591, 41568, 53207, 53208, 53950, 53951, 45694, 45729, 55979, 57026, 57025, 57024, 58069, 58070, 58071, 47810, 59053, 59052, 60009, 48990, 48991, 60786, 60783, 60784, 60785, 61513, 61512, 49788, 62071, 62942, 42444, 44230, 45730, 57027, 42445, 53952, 45731, 46435, 46436, 42446, 42447, 51782, 43114, 43113, 44231, 53209, 55980, 42448, 42449, 42450, 42451, 43115, 43116, 52078, 52077, 43702, 52594, 52592, 52593, 53210, 53211, 44235, 44233, 44234, 44232, 44896, 44900, 44899, 53953, 44898, 44897, 53954, 45734, 54907, 54906, 45732, 45733, 46438, 46437, 55982, 55981, 45735, 47085, 57029, 47086, 57028, 58072, 59054, 48450, 60010, 60787, 50086, 50085, 50556, 42452, 52595, 45736, 58073, 47811, 52079, 52080, 52596, 43704, 43705, 43703, 44239, 44240, 44237, 44238, 53212, 53213, 44236, 53955, 44904, 44905, 45739, 53961, 44910, 44908, 53962, 53957, 44907, 44906, 44901, 53960, 53959, 53956, 44909, 53958, 44902, 44903, 45740, 54945, 54946, 45741, 54908, 54910, 54948, 54947, 54909, 45737, 45738, 55990, 46443, 46442, 55984, 46440, 55987, 46444, 55988, 46445, 55985, 46439, 46441, 55989, 55986, 55983, 57042, 57031, 47088, 47091, 47090, 47095, 47094, 57043, 57041, 57034, 57038, 57037, 47092, 57040, 57036, 57044, 57035, 47093, 47087, 47089, 57033, 58075, 47815, 58079, 47814, 58076, 47813, 57032, 57039, 58078, 47816, 58080, 58077, 58074, 59057, 59061, 59063, 59059, 59058, 59056, 48453, 48451, 48456, 48457, 59060, 48454, 59055, 48455, 47812, 59062, 48452, 60012, 60011, 60019, 60013, 60018, 60015, 48992, 60017, 48993, 48994, 60016, 60014, 49400, 60788, 49399, 60791, 60789, 60790, 49401, 61517, 49825, 61518, 49789, 61519, 49790, 61516, 61520, 61514, 50087, 62072, 50088, 50287, 61515, 50288, 50414, 62943, 50558, 63220, 50557, 63466, 50677, 50678, 63948, 44241, 53214, 46446, 46447, 42453, 42698, 51783, 52081, 43117, 43706, 44242, 44243, 44244, 54950, 53963, 44911, 45742, 54949, 55992, 46449, 55991, 46448, 57045, 48458, 59067, 59064, 59065, 59066, 60792, 61521, 62577, 62576, 63221, 42454, 52597, 44912, 46450, 57046, 58081, 48459, 60020, 61522, 62578, 42455, 43707, 44247, 53215, 44248, 44246, 44245, 53964, 44913, 44914, 44915, 45744, 54951, 45743, 55993, 45745, 46451, 57047, 47096, 47097, 47817, 47818, 48460, 48996, 60021, 48995, 60793, 49402, 61523, 62579, 42456, 43118, 52600, 52599, 43708, 52598, 43709, 52601, 53221, 44251, 44250, 53223, 53222, 44255, 44254, 44249, 53217, 53218, 53219, 44256, 53216, 44252, 53220, 44253, 53967, 53971, 53969, 53968, 53972, 53973, 53974, 53966, 53965, 44917, 44918, 53975, 53970, 54960, 53976, 44919, 44916, 54954, 54953, 54955, 54956, 54958, 54957, 54962, 45749, 45746, 45750, 54952, 45751, 54961, 45748, 54959, 45747, 55996, 55998, 55994, 55995, 55999, 56001, 56002, 55997, 56e3, 46452, 57051, 57056, 57048, 57052, 57057, 57053, 47098, 47171, 47101, 57049, 57050, 47822, 47174, 47102, 47172, 47100, 57055, 47173, 57054, 47169, 47099, 47170, 57058, 58086, 58088, 47168, 58083, 47820, 58089, 47821, 58087, 58082, 58085, 58090, 47819, 58084, 48462, 59071, 59070, 48465, 48463, 59068, 48461, 59069, 48464, 60029, 60065, 60030, 60022, 60026, 60025, 60023, 48998, 48999, 48997, 60024, 60027, 60028, 49e3, 49472, 60835, 49404, 60795, 49406, 49473, 49405, 60834, 60796, 49403, 60833, 60794, 60798, 60797, 61525, 49828, 49829, 49826, 49827, 61524, 62075, 50089, 62073, 62074, 62580, 62583, 62581, 62582, 62944, 50415, 63467, 63668, 50679, 63736, 63737, 50790, 42457, 44257, 56003, 57059, 42458, 43119, 43710, 53224, 53225, 44920, 56004, 46453, 47175, 49474, 60836, 62076, 62584, 42459, 52641, 52602, 52604, 52606, 52605, 52603, 43711, 44258, 53234, 53229, 53226, 53233, 44260, 44261, 53232, 53231, 53230, 53227, 53228, 53235, 44259, 44924, 44964, 44963, 53985, 53979, 53977, 44961, 54969, 44922, 53982, 53986, 53988, 53984, 53978, 44962, 53983, 53981, 44921, 53989, 44965, 53987, 44925, 53980, 44926, 44923, 45753, 54970, 54963, 54965, 54967, 54968, 54966, 45754, 54971, 54964, 56008, 46454, 56016, 56005, 56017, 56006, 56007, 56015, 56014, 56011, 45752, 46455, 56009, 56012, 46456, 56013, 56010, 57070, 57074, 47182, 58096, 47185, 57072, 57069, 57064, 57066, 57067, 57060, 47181, 47180, 47176, 57063, 47183, 47184, 57062, 57065, 57073, 47178, 47179, 57071, 57061, 58098, 47824, 58100, 57068, 58102, 47828, 58103, 58099, 47825, 58095, 47827, 58092, 58097, 58101, 58094, 47177, 58091, 47826, 58093, 48468, 59073, 48472, 48470, 47823, 59080, 59081, 48467, 59079, 59082, 48469, 48466, 59075, 59072, 59077, 59074, 48473, 59076, 59078, 48471, 49002, 60072, 60066, 60070, 60076, 60077, 60073, 60074, 60071, 60068, 49004, 49001, 60067, 60069, 49003, 60075, 49478, 60842, 60837, 49477, 49475, 60844, 49476, 60840, 60841, 60838, 60845, 61526, 49479, 60839, 60846, 60843, 61530, 61527, 49830, 61531, 61533, 61532, 61528, 61529, 62115, 50090, 62078, 62114, 62077, 62116, 62113, 62586, 62589, 62585, 50289, 62587, 62588, 62590, 50290, 50292, 50291, 62945, 62947, 62946, 63222, 63669, 63738, 42460, 52082, 43712, 52643, 43713, 43714, 52642, 53240, 53239, 44262, 44265, 44264, 44263, 53236, 53238, 53237, 53992, 44967, 53996, 53995, 53994, 53990, 44966, 44970, 44973, 44974, 53991, 53993, 44972, 44971, 44969, 44968, 54978, 54976, 54972, 45755, 54973, 45756, 54974, 54975, 54977, 45757, 56021, 56020, 56019, 56018, 57078, 47186, 57075, 57077, 47187, 47188, 57076, 58177, 58105, 58106, 47831, 47829, 47830, 58179, 58178, 58110, 58109, 58108, 58107, 58176, 58104, 59083, 59088, 59086, 59085, 59084, 59087, 60078, 49005, 49480, 60848, 49481, 60847, 61535, 61534, 49831, 62117, 50091, 62625, 50593, 63223, 63671, 63670, 51624, 44266, 44267, 54979, 47190, 42461, 43122, 43121, 43120, 52644, 43716, 43715, 44270, 53242, 53245, 53243, 44268, 44269, 53241, 53244, 44981, 54003, 54005, 54004, 44978, 53999, 44976, 44975, 44979, 44977, 44980, 54002, 53997, 53998, 54001, 54e3, 54982, 54983, 54981, 54980, 45758, 46461, 56022, 56024, 56026, 46460, 46458, 56023, 46459, 56025, 46457, 57153, 57079, 57082, 57086, 47194, 57084, 57083, 57080, 57081, 47192, 57152, 47191, 47196, 47195, 47193, 57085, 58185, 58184, 58180, 47832, 58183, 58182, 47833, 48478, 59090, 48479, 48475, 48477, 48474, 48476, 60079, 49008, 60081, 60080, 58181, 49010, 49009, 49006, 49007, 60853, 60851, 49482, 60852, 60854, 60850, 60849, 61536, 49834, 49832, 49833, 62118, 62119, 50093, 50092, 62627, 62628, 62626, 63224, 63225, 42462, 51784, 43123, 52645, 43718, 43717, 52646, 53312, 44271, 53246, 44272, 44982, 54008, 54006, 54012, 44983, 54007, 54011, 54009, 54010, 54984, 54986, 45759, 54985, 45760, 46498, 46497, 46462, 56027, 57156, 47197, 47198, 57155, 57154, 58186, 47835, 47834, 58187, 58188, 48481, 48480, 60085, 59091, 59093, 59092, 60084, 60082, 60086, 60083, 49011, 60855, 49483, 60856, 60857, 49835, 49836, 50293, 50641, 42463, 53313, 54013, 44984, 46010, 46009, 46500, 56029, 46499, 56028, 57157, 47836, 58189, 47837, 50294, 62629, 42699, 43719, 52647, 44274, 44273, 53314, 53315, 54080, 54082, 44985, 54084, 54087, 54085, 54086, 54083, 54014, 44986, 54088, 54081, 54995, 45766, 55004, 45763, 54997, 45767, 45761, 54992, 55005, 54993, 54990, 45765, 45762, 54996, 54999, 45764, 55e3, 45768, 55001, 54991, 54998, 55002, 54994, 54989, 54987, 55003, 56031, 56036, 56032, 56038, 46503, 54988, 56033, 46501, 56030, 46508, 56034, 46507, 56035, 46509, 46504, 46510, 46505, 46506, 46502, 56037, 47201, 57168, 57171, 57159, 57164, 57158, 47203, 57162, 57160, 47202, 57167, 57166, 57163, 57165, 57161, 47841, 57170, 47199, 57169, 58205, 47848, 58200, 47847, 58190, 58192, 47840, 58197, 58196, 58199, 47845, 58194, 58193, 47844, 47839, 58195, 47842, 58201, 58203, 58198, 58191, 47843, 48489, 47838, 58204, 59097, 48482, 59099, 48483, 48485, 59102, 59094, 47846, 59100, 59096, 47200, 48488, 48484, 48486, 48487, 49014, 59101, 59095, 48490, 59098, 60096, 60091, 60101, 49012, 60093, 49016, 60099, 60090, 60087, 60102, 49489, 49017, 60098, 60088, 49015, 60092, 49019, 60089, 60094, 49018, 60097, 60100, 60875, 60876, 60860, 60867, 60865, 49487, 60872, 60095, 60863, 60873, 49486, 60862, 60861, 60871, 60868, 60870, 60858, 60874, 49484, 60869, 60878, 60866, 49488, 49485, 60864, 60859, 60877, 49013, 61539, 61537, 61543, 49840, 61541, 61540, 49842, 61546, 49841, 61547, 61544, 49838, 61545, 61538, 49839, 49837, 62123, 61542, 61548, 62120, 50098, 50096, 62122, 62124, 62121, 50097, 50094, 50095, 50099, 50296, 62634, 62633, 62631, 62630, 62632, 50295, 50297, 50416, 62949, 62948, 63226, 63228, 63230, 63229, 63227, 50595, 50594, 50643, 50642, 50644, 63469, 63468, 63739, 63672, 63740, 50776, 50777, 63853, 50814, 42700, 52648, 53317, 53318, 53316, 44275, 53319, 53320, 53321, 54089, 54095, 54093, 44987, 54091, 54092, 54094, 54090, 45769, 55006, 45771, 55008, 45770, 55007, 56040, 46511, 56042, 56039, 55009, 46512, 56041, 57174, 47204, 57172, 47205, 57173, 47206, 47849, 58209, 58206, 58208, 47850, 47851, 58207, 59103, 59104, 48491, 59106, 59105, 41569, 60106, 60107, 60103, 60104, 49020, 49021, 60105, 49495, 49491, 49496, 49492, 49494, 49490, 49493, 49843, 60879, 62126, 62125, 62635, 50298, 50299, 63297, 62950, 63296, 63741, 63908, 42701, 43124, 52649, 43720, 44278, 53324, 44276, 53322, 44281, 44277, 44282, 44280, 53323, 44279, 44991, 44990, 54106, 44999, 54099, 54105, 44995, 54098, 54104, 54102, 44994, 44996, 54101, 44989, 54100, 45e3, 44997, 45001, 44998, 54097, 54096, 54103, 44992, 44988, 44993, 55024, 55017, 46517, 55016, 45775, 45782, 45779, 45785, 45784, 45780, 55010, 55013, 55012, 45776, 55014, 55023, 45777, 55011, 55020, 55021, 45778, 55018, 45783, 45773, 45781, 55015, 45772, 55019, 55022, 56059, 56050, 46514, 56057, 56054, 56046, 56055, 46516, 56047, 56043, 47212, 56052, 46513, 56058, 46520, 46522, 56045, 46521, 56048, 46515, 56056, 56049, 56053, 56051, 46518, 56044, 46523, 45774, 46519, 46524, 47208, 57181, 57183, 57185, 57189, 57179, 57177, 47210, 57184, 57188, 57180, 57176, 57175, 57186, 57178, 57182, 47211, 47209, 57190, 47207, 57187, 58226, 47854, 58218, 48504, 58228, 47857, 58232, 47863, 58213, 58229, 58210, 58231, 58214, 47870, 47867, 58230, 58224, 47853, 47861, 47860, 47859, 47865, 58211, 47866, 58225, 47862, 47852, 58227, 47855, 47856, 47864, 58216, 58215, 58212, 58220, 58217, 58221, 47869, 58233, 47858, 58222, 58223, 58219, 47868, 59111, 48496, 48505, 48501, 59108, 48498, 48502, 59120, 48492, 59112, 48500, 59115, 59110, 48499, 48503, 59109, 48497, 59119, 48494, 59118, 59117, 48506, 58738, 48493, 59116, 59107, 48507, 59114, 48495, 59113, 49058, 49063, 49022, 60120, 60111, 60123, 60115, 60121, 49064, 49057, 60108, 60114, 60124, 60117, 60122, 60110, 60118, 49059, 60116, 49062, 49061, 60112, 60113, 60109, 60119, 49060, 60126, 60125, 60890, 60886, 49503, 60880, 49497, 49513, 60892, 49505, 49501, 60883, 49508, 49511, 60894, 49500, 60885, 49509, 60896, 60893, 60881, 49504, 49498, 49512, 60888, 49507, 60882, 49502, 60895, 49506, 49499, 60889, 49510, 60887, 60891, 61550, 61556, 49849, 61559, 49844, 49845, 61551, 61558, 61553, 49850, 49847, 61549, 49846, 61555, 61557, 49848, 61554, 61552, 62136, 50103, 50104, 50100, 50101, 62132, 62130, 62134, 50106, 62135, 62128, 62127, 62131, 62129, 50102, 62133, 62636, 50302, 50301, 62637, 62639, 62638, 50337, 62955, 62952, 62953, 62951, 62954, 50418, 62956, 50417, 63298, 50645, 50647, 63470, 50646, 63673, 63808, 63810, 63742, 63809, 50796, 42702, 44283, 53871, 45002, 45786, 56060, 56061, 60127, 49514, 60897, 49851, 62138, 62137, 50338, 62957, 63299, 50680, 51785, 43721, 43125, 53325, 54112, 54107, 54111, 54109, 45003, 54110, 54108, 55025, 56062, 56128, 57193, 57194, 47214, 47215, 57192, 57195, 57191, 47213, 47936, 47216, 58234, 48508, 59121, 48509, 49065, 60130, 60128, 60129, 60900, 60899, 60898, 62139, 50105, 62140, 63300, 50681, 63674, 42703, 43723, 43722, 53327, 44284, 53326, 54114, 45004, 55026, 54113, 45788, 55029, 55027, 55028, 45787, 56130, 56131, 56129, 47219, 57197, 57196, 57198, 47218, 47217, 59122, 59124, 48510, 59123, 60131, 49066, 61561, 61560, 50107, 62141, 50109, 50108, 62640, 62958, 50419, 42704, 53328, 44285, 54117, 45006, 54116, 54115, 45005, 55035, 55037, 55030, 55031, 45789, 55032, 45790, 55036, 55033, 55034, 45791, 46526, 46527, 56132, 57199, 57200, 58238, 47939, 47937, 47938, 58235, 58236, 58237, 59129, 59130, 48545, 59127, 59126, 59128, 59125, 49069, 60132, 49067, 49068, 60902, 49515, 60901, 61352, 61562, 61563, 49852, 49853, 49516, 62142, 62143, 62641, 50339, 42705, 42706, 44286, 43724, 45007, 53329, 46528, 42707, 44353, 53330, 53331, 44352, 44354, 42708, 53332, 45009, 54118, 45011, 45008, 45010, 55105, 45792, 55104, 55038, 57201, 58273, 48546, 49070, 60134, 60133, 60903, 62959, 42709, 52083, 52650, 44355, 53333, 54120, 45012, 54119, 45013, 55107, 45794, 55106, 55108, 45793, 56134, 56135, 56133, 46529, 47220, 47221, 47941, 58275, 58274, 47940, 59131, 59132, 60135, 49520, 49519, 49517, 49518, 49521, 61564, 49855, 49854, 62144, 62642, 50597, 50596, 42710, 53755, 47223, 46530, 47222, 47942, 42711, 51625, 42712, 42713, 52651, 52086, 52087, 43127, 52084, 43126, 43129, 52085, 43131, 43130, 52088, 43128, 43729, 43727, 52653, 43726, 43731, 43733, 43730, 52656, 52652, 43734, 43728, 43132, 43732, 52655, 52654, 43725, 53339, 44359, 44360, 53341, 53335, 53338, 53347, 53345, 44361, 53351, 44364, 53348, 53340, 53337, 56137, 53346, 44356, 53349, 53334, 53343, 44358, 44363, 53344, 44367, 44365, 53336, 44362, 53342, 44366, 44357, 53350, 45018, 45027, 45016, 45014, 54122, 45022, 45019, 54124, 45021, 54123, 54121, 54126, 45026, 45024, 56136, 54127, 54125, 45015, 45017, 45020, 45023, 45025, 55118, 45796, 55109, 55111, 55112, 55120, 55116, 55114, 55117, 55121, 45797, 45801, 55110, 55119, 45799, 45798, 55115, 55113, 45795, 45800, 46536, 56145, 56143, 46538, 56138, 57249, 46537, 56142, 56139, 46533, 46539, 56144, 46535, 56141, 47943, 46534, 56140, 46540, 46532, 46531, 57207, 57205, 57211, 57203, 57250, 57208, 57202, 47227, 47267, 57213, 57206, 47230, 47228, 57214, 47225, 47224, 57209, 47229, 46541, 57212, 57204, 47226, 47265, 47266, 47948, 47944, 47949, 58278, 58277, 58279, 47946, 58276, 47947, 58282, 58281, 58280, 47945, 59201, 59204, 48552, 59203, 48551, 48547, 48548, 48549, 59200, 59134, 48550, 59202, 59133, 60137, 60147, 49073, 49072, 60141, 60143, 60138, 60142, 60136, 60145, 49071, 60144, 60140, 60146, 60139, 49524, 60904, 60910, 49528, 49530, 49527, 49526, 49525, 49523, 60905, 60908, 49522, 60909, 49529, 60907, 60906, 49856, 49857, 61601, 61565, 61566, 62146, 62145, 50110, 62644, 50340, 62643, 62960, 63301, 50598, 63811, 63812, 50648, 42714, 43735, 56146, 47950, 49531, 60911, 42715, 45029, 45028, 56147, 60148, 42716, 44368, 56148, 56149, 56150, 47951, 49074, 42717, 43736, 53352, 45030, 54128, 45802, 56151, 47268, 47952, 49075, 49532, 49858, 62645, 42718, 43737, 45031, 55122, 46542, 47953, 58283, 59205, 42719, 46543, 57251, 47954, 42720, 52657, 53353, 44369, 54130, 45034, 45032, 45033, 45035, 54129, 55127, 55124, 55126, 45803, 45805, 45804, 55123, 45806, 55125, 56152, 56153, 56154, 57254, 57255, 57253, 57256, 47269, 57252, 47955, 59210, 59206, 59209, 59211, 59208, 59207, 60149, 60150, 60151, 49076, 49077, 60913, 60912, 60914, 61603, 61602, 62148, 62149, 62147, 50341, 62646, 62647, 63302, 63471, 63675, 42721, 43133, 49533, 42722, 55128, 56155, 50753, 51786, 51787, 51789, 42723, 51790, 51788, 52130, 52131, 52091, 52129, 43169, 43170, 52092, 52090, 52089, 52093, 43134, 52094, 53354, 52662, 43740, 52661, 52663, 43739, 52668, 43743, 52658, 52672, 52678, 43750, 52675, 43747, 52665, 52671, 52673, 52660, 43746, 43741, 52666, 43748, 43751, 43745, 43738, 52670, 52664, 52677, 43753, 43749, 43744, 52669, 45036, 52667, 43742, 43752, 52659, 52674, 52676, 44386, 44380, 44388, 44385, 53361, 53364, 44381, 53355, 44374, 44384, 44387, 44389, 53410, 53367, 44373, 53409, 44377, 44375, 44370, 53359, 53374, 53363, 53366, 53413, 44390, 53373, 44382, 53368, 53412, 53365, 53369, 53372, 53357, 53411, 53371, 53356, 53360, 44383, 44378, 44371, 44376, 44372, 44391, 53358, 54181, 44379, 53370, 52801, 54184, 45050, 54134, 54179, 54141, 54194, 54186, 54142, 54185, 54136, 54140, 54197, 45053, 54189, 54180, 45037, 54195, 54132, 54188, 45052, 45047, 54131, 45045, 45044, 45049, 54187, 45041, 45048, 53362, 56156, 54182, 54138, 45051, 54139, 54177, 45054, 54133, 54191, 54190, 54198, 45043, 45040, 54196, 54192, 54183, 54178, 45046, 45042, 54135, 45038, 54193, 45039, 54137, 55134, 55136, 55141, 55161, 45820, 45810, 55133, 45821, 45822, 55144, 55151, 55157, 55138, 55145, 45888, 55159, 55154, 45818, 45816, 55150, 55146, 55132, 45807, 55137, 55129, 45815, 45817, 55142, 55139, 45812, 55155, 45809, 55140, 55162, 55148, 55147, 45808, 45819, 45811, 55130, 55135, 55152, 55158, 45889, 55131, 55143, 55149, 45814, 55160, 55153, 55156, 45813, 56172, 56160, 46551, 56189, 56231, 56234, 46549, 56168, 56227, 56169, 56183, 46562, 56179, 46559, 56180, 56157, 56228, 46568, 56225, 56181, 56236, 56176, 57288, 56239, 46566, 56174, 56186, 46569, 46548, 56178, 56237, 56171, 56164, 56175, 56163, 56161, 46544, 56229, 56170, 56232, 56233, 46552, 46557, 46553, 46561, 56190, 46554, 56182, 56166, 46546, 56158, 56226, 56235, 56165, 46560, 56240, 56177, 56173, 46545, 46565, 56188, 46567, 56184, 46556, 46550, 46558, 46547, 46564, 56185, 56167, 56187, 56162, 56230, 56238, 56159, 57287, 57309, 47189, 57292, 57290, 57269, 47273, 57285, 57305, 57281, 47281, 57304, 57279, 46563, 57295, 57280, 57302, 47280, 47272, 57258, 57266, 57291, 57283, 57308, 57286, 47286, 57303, 47277, 57289, 57297, 57270, 57296, 57313, 57265, 57298, 57311, 57259, 46555, 57273, 57272, 47279, 57276, 57278, 57293, 57310, 47282, 47283, 57264, 47275, 57268, 57306, 47284, 47276, 47278, 47285, 57312, 57299, 57294, 57275, 57274, 47274, 57260, 47271, 57284, 57261, 57282, 57271, 57307, 47270, 57267, 57263, 57301, 57262, 47968, 58323, 58306, 58284, 58314, 47960, 58299, 58309, 47963, 58302, 47961, 58287, 58317, 58286, 58305, 58285, 58303, 58312, 58310, 58298, 58293, 58291, 58292, 58311, 58322, 58300, 47962, 58295, 58315, 47965, 58294, 58288, 58304, 47969, 47957, 47966, 58296, 58290, 47959, 57300, 47958, 58307, 47956, 47971, 47964, 58308, 58297, 58289, 58316, 58301, 47970, 58320, 47967, 58319, 58313, 58318, 58321, 59251, 59252, 59239, 59238, 59234, 48564, 48556, 59254, 59253, 57257, 59231, 59235, 59229, 59248, 59233, 59255, 59226, 59224, 59236, 59246, 59241, 48566, 59215, 59245, 48567, 57277, 59227, 59218, 59221, 59259, 59228, 59219, 59217, 59214, 48560, 59237, 48559, 48563, 59232, 59240, 48553, 59256, 59260, 48555, 59223, 59243, 59247, 59220, 59257, 48562, 48561, 59212, 48565, 59250, 59222, 59242, 59216, 59230, 59225, 48557, 48558, 59244, 59261, 59258, 59249, 59213, 48554, 60233, 60224, 60227, 49083, 60229, 60153, 60225, 60231, 49080, 49084, 49078, 60155, 60236, 60230, 60156, 60245, 60239, 60152, 60998, 60158, 49079, 60234, 60244, 49087, 60241, 60157, 60228, 60232, 60226, 60246, 60243, 60240, 49081, 49082, 49086, 60154, 60247, 49085, 60237, 60235, 60238, 61011, 60992, 60997, 61010, 60996, 60923, 60993, 49570, 60916, 61005, 61007, 60915, 49569, 61009, 61001, 49576, 61008, 60994, 49578, 60921, 60242, 61002, 60999, 60917, 61013, 49572, 49573, 60919, 61e3, 61012, 61003, 60925, 49575, 49571, 61004, 60926, 61014, 60920, 60995, 61006, 60922, 60924, 49867, 60918, 49577, 49860, 49534, 49574, 49864, 61619, 61609, 61604, 61610, 61620, 61624, 61623, 49866, 49865, 61611, 61625, 61614, 61606, 61608, 61607, 61613, 61618, 61605, 61612, 61617, 49863, 61615, 49861, 61616, 49859, 49862, 62165, 61621, 50114, 62157, 62161, 62153, 62156, 62164, 50112, 62169, 62162, 62154, 62170, 62163, 50115, 50116, 62167, 62155, 50111, 50113, 62150, 62158, 62152, 62168, 62166, 62151, 62159, 62654, 50117, 62160, 50343, 50345, 50342, 62659, 62651, 62649, 62653, 62650, 62655, 62657, 50346, 50348, 62656, 50349, 50347, 62658, 50344, 50420, 62961, 62967, 50422, 62652, 62966, 62973, 62964, 62971, 62970, 62648, 62965, 61622, 62974, 62963, 62968, 62972, 62962, 63306, 50421, 62969, 63476, 63307, 63305, 63303, 63304, 63308, 50649, 63474, 63472, 63477, 63475, 63478, 50650, 63473, 63676, 63813, 63814, 63815, 63943, 63933, 51791, 43754, 44392, 54200, 54199, 45120, 45890, 55164, 55163, 46570, 47288, 47287, 47289, 58324, 59262, 60248, 60250, 60249, 49579, 61015, 61626, 63909, 42724, 52681, 52682, 52680, 52679, 43755, 53417, 53415, 53414, 44393, 44395, 44394, 53416, 54212, 54209, 54207, 45121, 54210, 45126, 54204, 54219, 54221, 54205, 45123, 54222, 54217, 54203, 54208, 54218, 54214, 54211, 45128, 54220, 54206, 54215, 54201, 45127, 45124, 54213, 54216, 54202, 45125, 45122, 45900, 55205, 45899, 55208, 55211, 45896, 45894, 55166, 55209, 55207, 55204, 55212, 55213, 55215, 55216, 55165, 45893, 55202, 55201, 55214, 45895, 55203, 45897, 45892, 55206, 45901, 45898, 55210, 46577, 56255, 56244, 46574, 57319, 56253, 56241, 46572, 56246, 46575, 56250, 56248, 46578, 46571, 56242, 56245, 46576, 56243, 56254, 56252, 56247, 56249, 56251, 46573, 57320, 57326, 57316, 57322, 47290, 57318, 47296, 47295, 47294, 57325, 47297, 47298, 57315, 57328, 47299, 47293, 47292, 57324, 47300, 57314, 57317, 57327, 57323, 58356, 58345, 47291, 47978, 58333, 58354, 58334, 47973, 58331, 58340, 58332, 47975, 58326, 58353, 47976, 58350, 58351, 58327, 47981, 58342, 58336, 58343, 58330, 58355, 58347, 58341, 58325, 47977, 58348, 47980, 58352, 58346, 47974, 58344, 58338, 47972, 58329, 58337, 58349, 58335, 58339, 48577, 57321, 59314, 59323, 59313, 59309, 59306, 48578, 59304, 47979, 59297, 48576, 59303, 48575, 59308, 59305, 59321, 59316, 59310, 59315, 48571, 59307, 59326, 59298, 59299, 59322, 48572, 59327, 48574, 59328, 59312, 58328, 59318, 59311, 59320, 59317, 59302, 48569, 59325, 48570, 59300, 48573, 60260, 59319, 59324, 60257, 48568, 49088, 60267, 60263, 60261, 60256, 60271, 49092, 60252, 60264, 60265, 60255, 60254, 60268, 60258, 60253, 60259, 60270, 60251, 60269, 60266, 49090, 49089, 49091, 60262, 61643, 61017, 49585, 61021, 61018, 61025, 61031, 61020, 61040, 49582, 61034, 61023, 61035, 61030, 61037, 61022, 49587, 49586, 61024, 61038, 61016, 61036, 49580, 61028, 61027, 61032, 61019, 49584, 49588, 61026, 61033, 49589, 61029, 49581, 49583, 61639, 61637, 61644, 61641, 61645, 61630, 61638, 61649, 61039, 61634, 49871, 59301, 61629, 61642, 61636, 61633, 61628, 61627, 61648, 61632, 61631, 49869, 61640, 49868, 49870, 61635, 61647, 62174, 62175, 50121, 62172, 50118, 62180, 50122, 62182, 62171, 61646, 62184, 62173, 50119, 62179, 62181, 62176, 62183, 62178, 62177, 50120, 62661, 62662, 62664, 50350, 50351, 62665, 62663, 62660, 63042, 63045, 63041, 50426, 63043, 50425, 50424, 50423, 63044, 63313, 63311, 63310, 63040, 63312, 63046, 63309, 63481, 63447, 63479, 50651, 63480, 63482, 63679, 50682, 63678, 63677, 50683, 50778, 63854, 63911, 63910, 63912, 42725, 53418, 54223, 54224, 56256, 63047, 63680, 42726, 44396, 53419, 55217, 45902, 56258, 56257, 46579, 47301, 59329, 48579, 48580, 49093, 50684, 42727, 53420, 43757, 53422, 53421, 44397, 54225, 54232, 45129, 54230, 54228, 54235, 54226, 54227, 45130, 45134, 54236, 45133, 54234, 54231, 54229, 45131, 45132, 54233, 45904, 55218, 45909, 55234, 45908, 55236, 55224, 45906, 55235, 55219, 45907, 55231, 55227, 55229, 55223, 55230, 45903, 55226, 55225, 55221, 55232, 55228, 55220, 55222, 45905, 55233, 46582, 56269, 56265, 56267, 56262, 56261, 56259, 56266, 56268, 56264, 56263, 46580, 46581, 56271, 47309, 57330, 57336, 57331, 57332, 57337, 47311, 47303, 47310, 57329, 56260, 47306, 47304, 57335, 57334, 47305, 47307, 57333, 47302, 47308, 58358, 47988, 58434, 58433, 58363, 47990, 58432, 58359, 58360, 47982, 47984, 58365, 58357, 47986, 47985, 58361, 58366, 58364, 47987, 58362, 56270, 47983, 59330, 59337, 48582, 59341, 48586, 59333, 59331, 59340, 48581, 59339, 48583, 48584, 59332, 48585, 59338, 59334, 59335, 59336, 47989, 60272, 60284, 49098, 60279, 60281, 49096, 60273, 60277, 60280, 49094, 49097, 60283, 60275, 60276, 60282, 60274, 60278, 49095, 61042, 61041, 49591, 61047, 49593, 49590, 61043, 49594, 61044, 61045, 61048, 49592, 61654, 61657, 61651, 61653, 61652, 61655, 61656, 61046, 61650, 50125, 62188, 62191, 62193, 62186, 62187, 62190, 62192, 50126, 50124, 50123, 62189, 62185, 62666, 50352, 62667, 63049, 50427, 63051, 50428, 63048, 63050, 50600, 63314, 50599, 63485, 63484, 63483, 63816, 63817, 63819, 63818, 51792, 42728, 44398, 55237, 46583, 57338, 49872, 62194, 43171, 45911, 45910, 56272, 46584, 56274, 56273, 57339, 47312, 58435, 58438, 58437, 58436, 59342, 59344, 59343, 49100, 49099, 49595, 61049, 61051, 61050, 49873, 62196, 62195, 62668, 50353, 50429, 63316, 63315, 50779, 43172, 53423, 44399, 55240, 55238, 55239, 56276, 56277, 57411, 56275, 57340, 57409, 57408, 57410, 47313, 57342, 57341, 57412, 58441, 58439, 58440, 59347, 59345, 59346, 60285, 61052, 61053, 49874, 62197, 62669, 50354, 63052, 63317, 50601, 63486, 63820, 43173, 44401, 44402, 53424, 53425, 44400, 45140, 45138, 45137, 45144, 45136, 45145, 54237, 45142, 45139, 45143, 45141, 45135, 45919, 45913, 55244, 45918, 45920, 45914, 45915, 55242, 45912, 55243, 45917, 55241, 45916, 46660, 46662, 56280, 46661, 46585, 46589, 47332, 57417, 56282, 46590, 56285, 56286, 46659, 56288, 56290, 56291, 56279, 56278, 56292, 46658, 56289, 56287, 46656, 46587, 46663, 56283, 56284, 56281, 46657, 46588, 46586, 57416, 47327, 47322, 47317, 47333, 47318, 47314, 47329, 47326, 47328, 47319, 47324, 47315, 47316, 57424, 57421, 57413, 57418, 47330, 57425, 47331, 47321, 57415, 57423, 57419, 57422, 57420, 47325, 57414, 47320, 58444, 47992, 47995, 58446, 48037, 58445, 47997, 48591, 58447, 48036, 58443, 48038, 47993, 47323, 47996, 47994, 47998, 48034, 47991, 48039, 48035, 48033, 58442, 48598, 48594, 48601, 59350, 48602, 59362, 59355, 48587, 59363, 59357, 48597, 59358, 48596, 59361, 48590, 59359, 59349, 48589, 60330, 48595, 48592, 48600, 59348, 59352, 48588, 59351, 59353, 59354, 48599, 59356, 59360, 59364, 48603, 49106, 60325, 60331, 60328, 60286, 60332, 60321, 60327, 49101, 49107, 60333, 49103, 49113, 49108, 60335, 60329, 49104, 60322, 49114, 60323, 60324, 49115, 49112, 48593, 49102, 60336, 49116, 49109, 60334, 49105, 49110, 49111, 49603, 61092, 61101, 61098, 61100, 49600, 61093, 61099, 49596, 61095, 49604, 61091, 61096, 61103, 60326, 61097, 61090, 49597, 61089, 49598, 61104, 49599, 61102, 49602, 61054, 49601, 61094, 61660, 61674, 61669, 61671, 61659, 49875, 61658, 49878, 49877, 61673, 61665, 61662, 61668, 61661, 61663, 61672, 61670, 49876, 61677, 61675, 61666, 61676, 61667, 62201, 50127, 62273, 63055, 50134, 61664, 62199, 50130, 62200, 62205, 50132, 50133, 62198, 62272, 62274, 62202, 62204, 62206, 62203, 62275, 50129, 50135, 50131, 50128, 62672, 50359, 62670, 62674, 62675, 50357, 62676, 62673, 62671, 50360, 50356, 62677, 50358, 50355, 50430, 50496, 63054, 63053, 63056, 63057, 50497, 63318, 63323, 50602, 63320, 63319, 63322, 63321, 63555, 50652, 63554, 63552, 63553, 50686, 50685, 63681, 63682, 50752, 63821, 63822, 50791, 50797, 63913, 63944, 43174, 55245, 55246, 57426, 58448, 59365, 49606, 49605, 61678, 62276, 63556, 43175, 54238, 45146, 45921, 57428, 57427, 48604, 59366, 48605, 61105, 49879, 50806, 43176, 52683, 54239, 45922, 55247, 55248, 56293, 46664, 47334, 57430, 57429, 57431, 58449, 58450, 48040, 49117, 48606, 49118, 61109, 61106, 61108, 61107, 49607, 61679, 62278, 62277, 52132, 45148, 45147, 54240, 55249, 56295, 56294, 46665, 57433, 57434, 57432, 47336, 47335, 48042, 48041, 59367, 60339, 60337, 60338, 49119, 61111, 61110, 61682, 61681, 61680, 62279, 63914, 43177, 44403, 44404, 45149, 45150, 54242, 54241, 55250, 45928, 45926, 45923, 45927, 45925, 45924, 46666, 56298, 47341, 46668, 46673, 56300, 46675, 46674, 46677, 56299, 56296, 46671, 46667, 46669, 56297, 46676, 46672, 46670, 47343, 47342, 47340, 47344, 47338, 47339, 47337, 57435, 58452, 48044, 48045, 48043, 58451, 58453, 59370, 59372, 48615, 59373, 48608, 59369, 48607, 48617, 48613, 48614, 48610, 59368, 48609, 59374, 59371, 48616, 48611, 48612, 60341, 60343, 60342, 60344, 49120, 60340, 49611, 61112, 49608, 49612, 49610, 49609, 61683, 61686, 61685, 61684, 49880, 62280, 62281, 50136, 62282, 50137, 50362, 50361, 63058, 50498, 63059, 63324, 50603, 50604, 63557, 50754, 43178, 45930, 45929, 57436, 57437, 48046, 60345, 48618, 60346, 61113, 43179, 53426, 44406, 44405, 54243, 45151, 54244, 55253, 55252, 55251, 56302, 46680, 56301, 46679, 56303, 46678, 57439, 57442, 57440, 57441, 57445, 57438, 57446, 57443, 57444, 48048, 58454, 48047, 59378, 59376, 48619, 59375, 59377, 48620, 60347, 60348, 49613, 62284, 62286, 62283, 62285, 62678, 63060, 63855, 43180, 44407, 54245, 54247, 54246, 55256, 45932, 55254, 45931, 55257, 55258, 55255, 56315, 46688, 56307, 56313, 46683, 46686, 56306, 46681, 56310, 57452, 46685, 56305, 56311, 56308, 56314, 56304, 56312, 46684, 46687, 56309, 46682, 47346, 57448, 47345, 57455, 57454, 47352, 47353, 57456, 47347, 57453, 47351, 57458, 57449, 57451, 47348, 57447, 57450, 57457, 47349, 57459, 47350, 48049, 58459, 58465, 58457, 58466, 58456, 58461, 58467, 58464, 58463, 58462, 58455, 58460, 58458, 48625, 48622, 59387, 59457, 59459, 59456, 59384, 59386, 59461, 59458, 59388, 59462, 59385, 59460, 48623, 48629, 48627, 59379, 48628, 48624, 59380, 59382, 59381, 59389, 59390, 48626, 48621, 59383, 60358, 49122, 60349, 49123, 49126, 60354, 60351, 49125, 60355, 60356, 60350, 60359, 60352, 60357, 49124, 49121, 60353, 61119, 49616, 49614, 49617, 49615, 61118, 61115, 61114, 61117, 61116, 61765, 49886, 61691, 61690, 49881, 61761, 61760, 61687, 61763, 61692, 49885, 61689, 61762, 61688, 49882, 49884, 61693, 49883, 61694, 61764, 62290, 50142, 62287, 62291, 50139, 62289, 50144, 50141, 62288, 50143, 62292, 50138, 50364, 50366, 62681, 50365, 62679, 50140, 62680, 50363, 50499, 50501, 63062, 50500, 63061, 63329, 50605, 63328, 50606, 63326, 63325, 63330, 63331, 63558, 63327, 63686, 63683, 63684, 63685, 50780, 63825, 63824, 63823, 63856, 63934, 63915, 50798, 43181, 45152, 47354, 48630, 60360, 49887, 62293, 63916, 43182, 43758, 44409, 44408, 45155, 54248, 45153, 54249, 45154, 55263, 55259, 45933, 55262, 55261, 55260, 45934, 55264, 55265, 56387, 56385, 56389, 56390, 56396, 56392, 56394, 56386, 56316, 56393, 56395, 56388, 56391, 56317, 46690, 56384, 56318, 46689, 46691, 47357, 57461, 57463, 57462, 57467, 47355, 57464, 57460, 57465, 57466, 47356, 47358, 57468, 58471, 58470, 58468, 58469, 48051, 48053, 48050, 48052, 59469, 59470, 59465, 59466, 48632, 48637, 48631, 48638, 48633, 59467, 59468, 59464, 48704, 48635, 48634, 48636, 59463, 60362, 49128, 60364, 49130, 60367, 60363, 60361, 60366, 49129, 60365, 49127, 49619, 49622, 61121, 49620, 61120, 49618, 49621, 61766, 61767, 61768, 49888, 61769, 49889, 50146, 62296, 62297, 62295, 62294, 62298, 50145, 62685, 62683, 62684, 62686, 62682, 62687, 63064, 63065, 63063, 50502, 63332, 50607, 63333, 63560, 63559, 43183, 46692, 47424, 48054, 49132, 49131, 50147, 50300, 50503, 43184, 45156, 47425, 62299, 52134, 43185, 43188, 43187, 43186, 52133, 52685, 52687, 43759, 43761, 52684, 52686, 43760, 52689, 52688, 52690, 53430, 53428, 44412, 53427, 44451, 44414, 44411, 44452, 44413, 44450, 44449, 53429, 44410, 45162, 54251, 54257, 45159, 45166, 45161, 54254, 54256, 45164, 54250, 54253, 45160, 45157, 54252, 45163, 54255, 45165, 45158, 55267, 55270, 45936, 45946, 45942, 55268, 45950, 45943, 45948, 45938, 45935, 45937, 45949, 55269, 45941, 45944, 45940, 45945, 55271, 45947, 45939, 55266, 56397, 46693, 56399, 46695, 46697, 56398, 46694, 46698, 46696, 47431, 57507, 47439, 57470, 47440, 47429, 57505, 47434, 57506, 47427, 47426, 47437, 47436, 47435, 47433, 47438, 57469, 47428, 47430, 47432, 48056, 48059, 48063, 48057, 48062, 48060, 48055, 48061, 48058, 59474, 48707, 48705, 59475, 48708, 48706, 59473, 59472, 49136, 59471, 49134, 49133, 60368, 48709, 49135, 60369, 49138, 60370, 49137, 49624, 61123, 49623, 49628, 49626, 49627, 49891, 49625, 61122, 60371, 49890, 49892, 50148, 50149, 62688, 50654, 50653, 43190, 51797, 45167, 51794, 51795, 51793, 51796, 52138, 52135, 52140, 52136, 43191, 43194, 52137, 43193, 52139, 43192, 52693, 52695, 43764, 52691, 52694, 52692, 43762, 43765, 43763, 53432, 53436, 53433, 44455, 44456, 53435, 53437, 53439, 44453, 53438, 44454, 55278, 53434, 54258, 54267, 54265, 54260, 54261, 54266, 54268, 45169, 54263, 54259, 45168, 45170, 54262, 54269, 54264, 45985, 55281, 55273, 55279, 55280, 45986, 55272, 55274, 53431, 55276, 55277, 55275, 46700, 56406, 60372, 56407, 56404, 45987, 46702, 56403, 56409, 56408, 46699, 56412, 56402, 56411, 56400, 56410, 56405, 46701, 57514, 57509, 57515, 57510, 57508, 57511, 47441, 57513, 57512, 47442, 48065, 48064, 58478, 58481, 58473, 58477, 48066, 58476, 58474, 58480, 58475, 58472, 58479, 59481, 48712, 61770, 59478, 59479, 59477, 56401, 48711, 59482, 59476, 48710, 48713, 59480, 60373, 49139, 60374, 60375, 61124, 49629, 61771, 61772, 61773, 62301, 62300, 62690, 62689, 63067, 63068, 63066, 63334, 50608, 43195, 44458, 44457, 45173, 45172, 54336, 54337, 54270, 45171, 55285, 55286, 55282, 45988, 55283, 55284, 56415, 56417, 56413, 56416, 46703, 56414, 46704, 56691, 47445, 47444, 47443, 57516, 57517, 58483, 58485, 48070, 48067, 48069, 48068, 58484, 58482, 59489, 59486, 59487, 48717, 59488, 59483, 59484, 48714, 48715, 59485, 48716, 60379, 60380, 60377, 60378, 49140, 60376, 61128, 61125, 61127, 49632, 61131, 49631, 61129, 61132, 61130, 61126, 49630, 61775, 61776, 61774, 61778, 49893, 49894, 62303, 50151, 61777, 62302, 50150, 62693, 62694, 50367, 62692, 62691, 63069, 50504, 63561, 63688, 63687, 50755, 50781, 63689, 63857, 50799, 43196, 43766, 47446, 50368, 43197, 44459, 45989, 46705, 49895, 43767, 53441, 53440, 54338, 45176, 45174, 45178, 54340, 45177, 45175, 54339, 45992, 55292, 45991, 45993, 55362, 45995, 55294, 55360, 55287, 45994, 55363, 55289, 55290, 55288, 45990, 55361, 55291, 55293, 56429, 56428, 56426, 56418, 56433, 56421, 56431, 56438, 56430, 46713, 46709, 56419, 56425, 46711, 56424, 46712, 46714, 56427, 46706, 46707, 56439, 56437, 56436, 56422, 56434, 46710, 46708, 56435, 56420, 56423, 56432, 58554, 57527, 57520, 57539, 57548, 57523, 47457, 57536, 47447, 47449, 47461, 57521, 47450, 47452, 47462, 47451, 47460, 57529, 57518, 47458, 57528, 47454, 57546, 47459, 57544, 57532, 57542, 47456, 57519, 57545, 57540, 57547, 47448, 47463, 47453, 57525, 57533, 57537, 57541, 47455, 57524, 57522, 57534, 57531, 57530, 57535, 57538, 57543, 58488, 48071, 58532, 58490, 48076, 48080, 58541, 58549, 58534, 48072, 58538, 57526, 48073, 58545, 58550, 58542, 58544, 58553, 58546, 58494, 58537, 48081, 48077, 58492, 58539, 48075, 58533, 48074, 58547, 58530, 58489, 48078, 58552, 58491, 58543, 58540, 58535, 58487, 58486, 58529, 58548, 48079, 58551, 58493, 58531, 48722, 48730, 48725, 59556, 59553, 59495, 48720, 48719, 48726, 59493, 48724, 59505, 59491, 59492, 48718, 59555, 48728, 59508, 59513, 59507, 60398, 59503, 59511, 59509, 59496, 59490, 59517, 48727, 59518, 59512, 59501, 59499, 59494, 59502, 59515, 59498, 59514, 59554, 48723, 59510, 59516, 59506, 59500, 48721, 58536, 59504, 48729, 59497, 60404, 49143, 60403, 60400, 60484, 49147, 60481, 60408, 60483, 60393, 60406, 49149, 60385, 60383, 60482, 60480, 60414, 60397, 60396, 60386, 49216, 60392, 60402, 60413, 49219, 60485, 49640, 49221, 49150, 60390, 60399, 60382, 60384, 49141, 49218, 49146, 60391, 60407, 60401, 49217, 60381, 49635, 60409, 60412, 49148, 60395, 49220, 49145, 49144, 60405, 60411, 49142, 60388, 60410, 60389, 60394, 61138, 61143, 49637, 49639, 61149, 49633, 61164, 61155, 61144, 61145, 61154, 49646, 61153, 61137, 61152, 61140, 61165, 49645, 49643, 61141, 61160, 61146, 61159, 61161, 61136, 49638, 61162, 61150, 49642, 61147, 49644, 61156, 49636, 61142, 61157, 61151, 60387, 61158, 61139, 49641, 61163, 49634, 61134, 61792, 61785, 49897, 61780, 61795, 61787, 61148, 61797, 61781, 49896, 61791, 49898, 49906, 49904, 61793, 49905, 61783, 61784, 61789, 61794, 61133, 49899, 61802, 61799, 61803, 61790, 61786, 61800, 62314, 61788, 49902, 49901, 61135, 49903, 61796, 61798, 49900, 61801, 61779, 61782, 62323, 62307, 50155, 62321, 62305, 50156, 62316, 62312, 50161, 62322, 62306, 62309, 50153, 62324, 62317, 62320, 50159, 50164, 50162, 62313, 62308, 50157, 50158, 62304, 50154, 50152, 50160, 62319, 50163, 62315, 62325, 50165, 62311, 62318, 62707, 62786, 62709, 62716, 62310, 62714, 62697, 62784, 50371, 62701, 62718, 62708, 50370, 62788, 62710, 62715, 62717, 62695, 62785, 62706, 62711, 62699, 62703, 62787, 62713, 62696, 62700, 62702, 62712, 50369, 62705, 62698, 62704, 63073, 63078, 50511, 63080, 50505, 63076, 63082, 50510, 50506, 50507, 63072, 63079, 50509, 63077, 50508, 63071, 63075, 63074, 63070, 63081, 50609, 63341, 63344, 63340, 63342, 63343, 63337, 63338, 63335, 63339, 63336, 50610, 50611, 63563, 63565, 63564, 63566, 50656, 63562, 50655, 50657, 63691, 63692, 50756, 63690, 63827, 63826, 63828, 50783, 63829, 50782, 63830, 63858, 63861, 63860, 50792, 63859, 50802, 50800, 50801, 50807, 63936, 63937, 63935, 63945, 43768, 55364, 56440, 59557, 62326, 43769, 44460, 45179, 55365, 55366, 45996, 46717, 56442, 56441, 46755, 46716, 56443, 46718, 46754, 46753, 46715, 47464, 57552, 57550, 57551, 57549, 48082, 48085, 48087, 48086, 48083, 48084, 59559, 59558, 48731, 59560, 59561, 48732, 60493, 60491, 61171, 60489, 60490, 49222, 60486, 60494, 60488, 60492, 61167, 61169, 61170, 49651, 61166, 49650, 61168, 49647, 49648, 49649, 60487, 49909, 61806, 61804, 61805, 49907, 49910, 49908, 62327, 62328, 50166, 62789, 62791, 62790, 50372, 50512, 63085, 63084, 63083, 43770, 51626, 51800, 42729, 51798, 51801, 51799, 52142, 43201, 43202, 52144, 43199, 52143, 52141, 43200, 43198, 52696, 52699, 43773, 52698, 52697, 43772, 43771, 43840, 52700, 43774, 53446, 44462, 44463, 44464, 53447, 53443, 44461, 53444, 53445, 53442, 45220, 45217, 54341, 45218, 45221, 54342, 45182, 45180, 45181, 45219, 45997, 55369, 46005, 55368, 55371, 46001, 55370, 46763, 45999, 46002, 45998, 46003, 46004, 46e3, 55367, 46759, 56445, 56483, 56482, 46764, 46760, 46761, 56444, 56446, 56481, 46756, 46758, 46762, 46757, 57555, 57553, 57554, 47466, 47467, 57556, 47465, 48088, 48090, 48089, 58555, 58556, 59563, 59562, 49223, 49224, 60495, 49225, 61174, 61172, 61173, 49652, 61807, 50167, 49653, 43841, 45222, 54343, 55372, 46006, 46765, 56484, 56486, 46767, 46766, 46768, 46769, 56485, 47470, 47471, 47469, 48091, 47468, 57557, 48092, 59564, 60496, 49226, 49654, 61808, 61812, 49913, 61809, 49914, 49912, 61813, 49915, 61811, 62329, 49911, 50168, 63693, 43842, 46008, 46007, 46770, 56488, 56487, 46771, 57561, 47475, 47472, 57560, 47474, 57558, 47473, 57559, 58557, 48093, 59567, 48733, 59565, 48734, 48735, 59566, 48736, 60497, 49230, 49227, 49232, 60499, 49228, 60498, 49231, 49229, 61177, 61179, 49655, 61178, 49656, 61176, 61175, 61815, 61814, 49916, 61816, 62334, 50170, 62333, 62330, 50169, 62331, 62332, 62792, 62793, 50373, 50515, 63086, 50513, 50514, 63087, 50612, 50613, 63345, 50757, 63695, 50759, 63694, 63696, 50758, 63831, 63917, 43843, 47476, 58558, 59568, 49233, 49234, 43844, 48737, 50171, 44465, 49235, 50658, 44466, 55373, 56489, 56491, 56490, 57565, 57562, 47477, 47478, 57563, 57564, 58560, 58565, 48094, 58559, 58561, 58568, 58563, 58567, 58564, 58562, 58566, 48095, 59571, 59569, 48739, 48738, 59570, 48740, 60502, 60501, 49236, 60500, 61180, 61182, 61249, 61248, 49657, 61181, 61857, 49917, 61821, 61858, 49918, 61819, 61822, 61820, 61817, 49984, 61818, 62369, 62371, 62370, 62794, 62795, 63088, 50615, 50614, 63567, 63568, 50760, 63697, 50793, 44467, 46772, 58570, 58569, 59573, 59572, 49658, 61251, 61250, 61861, 61859, 61862, 61860, 50172, 62372, 62373, 62374, 63089, 63346, 63698, 44468, 60503, 61252, 44469, 48096, 60504, 49985, 61863, 50173, 62796, 62797, 50516, 63569, 44470, 46011, 46012, 55374, 46773, 46774, 56492, 46775, 47482, 47484, 57567, 57568, 57566, 47479, 47480, 47483, 47481, 58571, 48097, 48098, 59580, 48743, 59575, 59574, 59579, 48741, 49243, 59576, 59581, 59578, 59577, 48742, 49241, 60506, 49237, 60507, 60505, 49240, 49238, 49242, 49239, 61253, 61258, 61254, 61257, 49659, 60884, 61256, 61255, 49988, 49986, 49989, 49987, 61864, 61865, 61866, 49990, 62378, 50240, 62376, 50241, 62375, 62377, 50174, 62801, 62798, 62799, 62800, 63090, 50518, 50517, 63348, 63347, 50616, 50659, 50761, 50784, 63832, 63918, 63919, 44471, 56493, 57569, 58572, 58573, 48099, 48100, 59582, 48744, 49660, 61867, 49991, 62381, 50242, 62380, 62382, 62379, 63093, 62802, 62803, 50374, 63092, 63091, 63349, 63920, 44472, 44473, 45223, 54344, 55375, 46776, 46779, 46777, 56494, 46781, 46778, 46780, 47486, 57570, 57571, 59584, 47485, 47521, 47522, 58575, 58574, 48101, 48102, 58576, 59583, 48104, 48745, 48103, 49244, 59585, 48747, 48746, 59586, 59589, 59587, 59588, 48748, 49249, 49247, 49246, 60509, 49248, 60508, 61259, 60510, 49245, 60511, 61262, 61260, 61261, 61266, 49995, 61265, 61268, 61267, 61264, 61263, 49661, 61870, 61869, 49994, 49992, 49993, 61868, 62385, 50243, 62384, 62383, 50244, 62808, 62807, 62805, 62804, 50376, 50375, 62809, 63350, 50617, 63095, 50519, 63094, 62806, 63351, 50660, 50785, 63833, 63921, 44474, 55376, 61269, 44475, 58578, 58577, 60512, 61271, 61270, 49996, 62386, 62387, 50377, 63922, 45224, 46783, 46782, 57572, 57574, 47524, 57573, 47523, 47525, 57575, 58580, 58582, 58581, 58584, 48105, 58583, 58579, 58585, 59596, 59599, 59601, 59591, 59595, 59592, 48750, 48753, 48755, 59593, 59594, 48754, 59597, 59600, 59598, 48756, 48752, 59590, 48749, 48751, 49251, 60518, 60516, 60515, 60521, 60520, 60519, 60514, 49250, 60513, 60517, 49252, 61274, 61278, 61275, 61277, 61276, 61273, 61279, 61282, 61280, 61281, 49728, 49662, 61272, 61283, 61875, 61878, 61880, 61879, 61873, 61877, 61872, 61874, 49997, 61871, 61876, 62400, 62389, 50245, 50246, 62388, 62393, 62399, 62391, 62398, 62395, 62394, 62397, 62392, 62390, 62396, 62816, 62814, 50378, 62813, 62819, 62817, 50379, 62812, 62810, 62811, 50381, 62815, 50380, 62818, 63096, 63102, 63097, 50523, 63137, 50522, 63101, 63100, 50521, 63099, 50520, 63098, 63357, 63393, 63358, 63355, 50619, 63352, 63356, 63395, 63394, 63353, 63354, 50618, 63570, 50663, 63571, 50661, 50662, 63699, 50762, 63862, 50794, 63923, 50795, 63924, 63925, 63939, 63938, 50810, 63949, 45225, 57577, 57576, 48106, 48107, 58586, 59602, 60524, 48757, 49253, 60522, 60525, 49254, 61284, 60523, 61881, 49998, 62401, 62822, 62820, 62821, 63138, 50524, 63396, 50666, 50620, 50664, 50665, 63700, 50786, 45226, 61882, 54345, 47526, 58587, 48108, 58588, 59604, 59603, 49256, 48758, 48759, 59607, 59606, 59605, 60526, 60529, 60528, 60527, 49255, 61288, 61286, 61285, 61287, 49999, 61884, 61885, 5e4, 61883, 62403, 62402, 62405, 50247, 62404, 62823, 62825, 62824, 63139, 63142, 63140, 63141, 63397, 50621, 63572, 63573, 63574, 50763, 50787, 63926, 45227, 48760, 49257, 61886, 63398, 63940, 54346, 50811, 45228, 60530, 61887, 62406, 63143, 63399, 45229, 58589, 58590, 48109, 48110, 59609, 48762, 48761, 59608, 61289, 61888, 61890, 61889, 50003, 50002, 50001, 50526, 63144, 50525, 63401, 63400, 50764, 63701, 46013, 57578, 58593, 58591, 58592, 59618, 59613, 59610, 59617, 59619, 48764, 59616, 59612, 59611, 59615, 59614, 48763, 60541, 60536, 60534, 60577, 60535, 60531, 60537, 60532, 61298, 60533, 60578, 60540, 49258, 60539, 60538, 60542, 61290, 61293, 61292, 61300, 61295, 61299, 61297, 61296, 61294, 61291, 49731, 49730, 49732, 49729, 61301, 61896, 61899, 61897, 61901, 61902, 61894, 50008, 61895, 61893, 61900, 61892, 61891, 50007, 50005, 50004, 61898, 62415, 62421, 50250, 62416, 62419, 62423, 50251, 62418, 62410, 62409, 62422, 62413, 62411, 62420, 62412, 50249, 50248, 62407, 62408, 62417, 62414, 62828, 62831, 50006, 62829, 62835, 62833, 62827, 62838, 62826, 50383, 62834, 62830, 50382, 62837, 62836, 63147, 63146, 63153, 63149, 63152, 50528, 63150, 63151, 63145, 63148, 50527, 50623, 63412, 63407, 63411, 63414, 63410, 63406, 50625, 63409, 63413, 50624, 63404, 62832, 63408, 63405, 63402, 63403, 50622, 63578, 63580, 63583, 63579, 63584, 63577, 63575, 50667, 63581, 50669, 50668, 63576, 63582, 63706, 50765, 63707, 63705, 63702, 63704, 63703, 63834, 63836, 63835, 63865, 63864, 63863, 63866, 50803, 50804, 63946, 63950, 46014, 56495, 57581, 47527, 57579, 57580, 58594, 58595, 48113, 48111, 58596, 48112, 59624, 59627, 59621, 59628, 59620, 59622, 59623, 59626, 48801, 59631, 59630, 48765, 59625, 59629, 48766, 60588, 49263, 60583, 49259, 60580, 60586, 60589, 49264, 60585, 60582, 60590, 60581, 60587, 49260, 60579, 49261, 49262, 60584, 61353, 61306, 61307, 61310, 61308, 61302, 61305, 61349, 61309, 49733, 61351, 61348, 49734, 61350, 61303, 61346, 61347, 61345, 61906, 61908, 61911, 61905, 50009, 61913, 61904, 61914, 61910, 61912, 61916, 61909, 61917, 61907, 61903, 50010, 61915, 50011, 50253, 61304, 62449, 62440, 50255, 62436, 50256, 62445, 62439, 62429, 50254, 62442, 62437, 62438, 62424, 62431, 62446, 62443, 62435, 62447, 62430, 62425, 62444, 62427, 62441, 62432, 62448, 62428, 50252, 62426, 62433, 62434, 62845, 62843, 62882, 62894, 62885, 62844, 62840, 62887, 62846, 62883, 62842, 62890, 62839, 62881, 62886, 62888, 62891, 62841, 62895, 62896, 62889, 62893, 62884, 63169, 63172, 50529, 63171, 63176, 63174, 50530, 63165, 63155, 63154, 50532, 63167, 63168, 63164, 63156, 63161, 62892, 63157, 50531, 63163, 63162, 63158, 63170, 63159, 63419, 63173, 63175, 63166, 63160, 63420, 63422, 63416, 50626, 63429, 63427, 50627, 63426, 63425, 63418, 63415, 63421, 63430, 63417, 63423, 63593, 63598, 63588, 63591, 50670, 63595, 63602, 63424, 63589, 63599, 63603, 63594, 63587, 63597, 63596, 63601, 63600, 63428, 63592, 63586, 63590, 50766, 50767, 63585, 63718, 63709, 63717, 63714, 63715, 63708, 63711, 63719, 63713, 63712, 63710, 63716, 63837, 63838, 63840, 63839, 63842, 63841, 63868, 63867, 63927, 63928, 63941, 50808, 50812, 63951, 50813, 46015, 50384, 63177, 50768, 50769, 46016, 57582, 47528, 59632, 60592, 60593, 60591, 61355, 61354, 49735, 61919, 61356, 61918, 62451, 50257, 50259, 62450, 50258, 62897, 62899, 62898, 63178, 50533, 50671, 63720, 63843, 63954, 46017, 58597, 48802, 60595, 60594, 61357, 50260, 50385, 63431, 63947, 46018, 48114, 48803, 62452, 63604, 46784, 61358, 50788, 46785, 48804, 49736, 63605, 46786, 59633, 49266, 60596, 60597, 49265, 61359, 49740, 49738, 49739, 49737, 61920, 50012, 62901, 62900, 62903, 62902, 50386, 63179, 63181, 63180, 50534, 63432, 63606, 63607, 50672, 63844, 63869, 50805, 56496, 60598, 61360, 62453, 57583, 61361, 61922, 61921, 63608, 50770, 63845, 63870, 47529, 59634, 59635, 60599, 47530, 50013, 61923, 63183, 50535, 63184, 63182, 63609, 63721, 47531, 61364, 61363, 61362, 61924, 61928, 61927, 61926, 61925, 50014, 62454, 62905, 50387, 62904, 63185, 63435, 63434, 50628, 63433, 63612, 63611, 63610, 48115, 60600, 49741, 62455, 62456, 63436, 63613, 63722, 63846, 63929, 63956, 48116, 49742, 61929, 62457, 63186, 63614, 48806, 61365, 61930, 62458, 62459, 62460, 62910, 62906, 50536, 62909, 62908, 50388, 62907, 50390, 50389, 63188, 63187, 50537, 50538, 50630, 63437, 50629, 63651, 63652, 63650, 63649, 50772, 63723, 63724, 63725, 50771, 63847, 63850, 63849, 63848, 63955, 49267, 50021, 62911, 63189, 50631, 63438, 63957, 49268, 61366, 63439, 63905, 51530, 56828, 41290, 41303, 41305, 41307, 41311, 41312, 41315, 41316, 41319, 41320, 41323, 41324, 41327, 41328, 41331, 41332, 41335, 41336, 41339, 41340, 41414, 41415, 41418, 41419, 41416, 41417, 41308, 41293, 41295, 41297, 41298, 41299, 41300, 41341, 41342, 41377, 41378, 41379, 41380, 41420, 41421, 41422, 41438, 41439, 41440, 41441, 41442, 41548, 41549, 41550, 41289, 41389, 41539, 41544, 41390, 41309, 41310, 41391, 41423, 41281, 41424, 41284, 41537, 41647, 41648, 41649, 41650, 41651, 41652, 41653, 41654, 41655, 41656, 41287, 41286, 41429, 41431, 41430, 41288, 41545, 41679, 41680, 41681, 41682, 41683, 41684, 41685, 41686, 41687, 41688, 41689, 41690, 41691, 41692, 41693, 41694, 41695, 41696, 41697, 41698, 41699, 41700, 41701, 41702, 41703, 41704, 41538, 41412, 41705, 41706, 41707, 41708, 41709, 41710, 41711, 41712, 41713, 41714, 41715, 41716, 41717, 41718, 41719, 41720, 41721, 41722, 41723, 41724, 41725, 41726, 41792, 41793, 41794, 41795, 41313, 41301, 41314, 41294],
    big5Table00 = [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 172, 4, 131, 7, 0, 7, 128, 8, 0, 8, 128],
    big5Table02 = [9, 0, 9, 0, 9, 0, 9, 0, 9, 0, 9, 0, 9, 0, 9, 0, 9, 3712, 13, 512, 14, 0, 14, 0, 14, 0, 14, 0, 14, 0, 14, 0, 14, 0, 14, 0, 14, 0, 14, 0, 14, 0, 14, 65534, 29, 1019, 38, 65534, 53, 1019, 62, 0, 62, 0, 62, 0, 62, 2, 63, 8176, 72, 65528, 85, 65535, 101, 65535, 117, 2],
    big5Table20 = [118, 0, 118, 13080, 124, 100, 127, 18468, 131, 0, 131, 0, 131, 0, 131, 0, 131, 0, 131, 0, 131, 0, 131, 0, 131, 0, 131, 0, 131, 0, 131, 0, 131, 552, 134, 0, 134, 0, 134, 0, 134, 0, 134, 0, 134, 1023, 144, 0, 144, 0, 144, 975, 152, 0, 152, 0, 152, 0, 152, 0, 152, 0, 152, 0, 152, 0, 152, 50176, 155, 20009, 162, 4144, 165, 0, 165, 4, 166, 195, 170, 0, 170, 0, 170, 0, 170, 32, 171, 32768],
    big5Table24 = [172, 0, 172, 0, 172, 0, 172, 0, 172, 0, 172, 0, 172, 1023, 182, 16368, 192, 0, 192, 0, 192, 0, 192, 0, 192, 0, 192, 0, 192, 0, 192, 0, 192, 4101, 195, 4369, 199, 4112, 201, 4112, 203, 0, 203, 16385, 205, 58370, 210, 15, 214, 65534, 229, 48, 231, 3, 233, 12300, 237, 51392, 242, 0, 242, 60, 246, 0, 246, 608, 249, 0, 249, 0, 249, 0, 249, 7],
    big5Table30 = [252, 65327, 265, 24631, 272, 1022, 281, 0, 281, 65534, 296, 65535, 312, 65535, 328, 65535, 344, 65535, 360, 24591, 366, 65534, 381, 65535, 397, 65535, 413, 65535, 429, 65535, 445, 16511, 453, 65504, 464, 65535, 480, 1023, 490, 0, 490, 0, 490, 0, 490, 0, 490, 0, 490, 0, 490, 0, 490, 0, 490, 0, 490, 0, 490, 0, 490, 0, 490, 0, 490, 0, 490, 0, 490, 0, 490, 0, 490, 0, 490, 0, 490, 0, 490, 0, 490, 0, 490, 0, 490, 8, 491, 0, 491, 0, 491, 0, 491, 0, 491, 0, 491, 0, 491, 0, 491, 0, 491, 0, 491, 0, 491, 0, 491, 0, 491, 0, 491, 49152, 493, 28672, 496, 2, 497, 0, 497, 16400, 499, 38],
    big5Table4E = [502, 65419, 514, 50035, 523, 26688, 527, 6927, 535, 59820, 544, 62284, 553, 512, 554, 49160, 557, 31068, 566, 51774, 575, 31094, 585, 1608, 589, 12255, 601, 63472, 612, 826, 618, 43263, 629, 61239, 641, 9023, 650, 45060, 654, 64857, 665, 62410, 675, 65535, 691, 56991, 703, 65529, 717, 44031, 730, 32247, 743, 49152, 745, 36588, 754, 61119, 767, 65499, 781, 53251, 786, 17914, 795, 64225, 805, 57342, 819, 49135, 833, 4267, 839, 65515, 853, 64682, 863, 61247, 876, 9469, 885, 30893, 894, 32630, 906, 61452, 912, 60927, 926, 53238, 938, 11514, 947, 63481, 960, 60267, 971, 8189, 983, 38335, 994, 26231, 1004, 49087, 1018, 15355, 1030, 65204, 1041, 31662, 1052, 4578, 1058, 42625, 1064, 16830, 1072, 5173, 1078, 29379, 1086, 32112, 1095, 29073, 1102, 3, 1104, 10091, 1113, 22475, 1123, 28879, 1132, 18226, 1139, 3567, 1149, 32474, 1160, 64628, 1170, 65030, 1179, 48564, 1189, 16287, 1201, 35786, 1209, 32329, 1218, 22528, 1221, 8847, 1228, 60396, 1239, 35420, 1246, 56763, 1258, 61280, 1267, 46823, 1278, 41999, 1285, 62099, 1294, 14267, 1305, 21662, 1313, 53323, 1320, 39855, 1331, 50196, 1336, 63444, 1347, 12464, 1352, 2580, 1356, 12040, 1362, 35024, 1367, 65406, 1381, 6447, 1389, 65498, 1402, 64263, 1412, 32753, 1424, 31723, 1436, 50671, 1447, 16, 1448, 39423, 1460, 65023, 1475, 31191, 1486, 1383, 1493, 65511, 1507, 64971, 1519, 50175, 1531, 16448, 1533, 28663, 1546, 48526, 1556, 57338, 1569, 1175, 1575, 62656, 1582, 23551, 1595, 60795, 1607, 53479, 1616, 1150, 1623, 63712, 1631, 65439, 1645, 46910, 1656, 32254, 1669, 34862, 1675, 65533, 1690, 48767, 1703, 33790, 1713, 63172, 1722, 62295, 1733, 47357, 1744, 54912, 1750, 61309, 1763, 22375, 1773, 18312, 1779, 65405, 1793, 50143, 1804, 61695, 1816, 14249, 1825, 32224, 1834, 28924, 1843, 16239, 1855, 60570, 1864, 19635, 1872, 34433, 1877, 16286, 1888, 56668, 1898, 63245, 1908, 18457, 1913, 65187, 1924, 7, 1927, 44886, 1937, 14591, 1948, 38925, 1954, 61368, 1965, 16445, 1971, 46944, 1979, 55502, 1988, 36917, 1994, 29375, 2005, 16383, 2019, 32759, 2033, 31249, 2040, 63419, 2053, 44031, 2066, 65280, 2074, 28606, 2086, 43324, 2094, 65138, 2105, 53231, 2118, 61723, 2127, 56171, 2138, 62474, 2145, 50150, 2154, 61310, 2167, 39836, 2176, 62992, 2183, 61512, 2189, 5876, 2197, 65205, 2209, 20866, 2214, 51121, 2223, 5563, 2232, 28295, 2241, 64479, 2255, 58431, 2265, 25549, 2274, 49663, 2285, 32382, 2297, 65003, 2310, 32095, 2322, 30587, 2334, 64766, 2347, 38411, 2354, 56298, 2365, 25129, 2371, 21480, 2379, 14303, 2391, 65007, 2405, 14069, 2415, 48513, 2423, 56344, 2430, 64701, 2442, 53988, 2450, 65535, 2466, 16343, 2478, 65504, 2489, 32623, 2502, 44024, 2512, 39854, 2522, 28377, 2532, 62971, 2545, 61717, 2553, 31145, 2562, 48635, 2575, 23100, 2583, 44463, 2594, 56250, 2605, 8108, 2614, 29180, 2624, 33657, 2632, 31991, 2644, 50015, 2654, 57343, 2669, 1383, 2676, 65434, 2688, 33895, 2695, 5428, 2701, 57227, 2712, 63987, 2724, 13171, 2733, 63421, 2746, 24090, 2754, 48960, 2762, 41023, 2770, 65535, 2786, 491, 2793, 57280, 2802, 53213, 2814, 29952, 2819, 43987, 2829, 63683, 2838, 61142, 2849, 17405, 2859, 47103, 2873, 24239, 2884, 16935, 2890, 39852, 2899, 63110, 2908, 10199, 2918, 63164, 2929, 63367, 2940, 13751, 2950, 43725, 2959, 57718, 2968, 18919, 2977, 58015, 2987, 21596, 2994, 45042, 3005, 11071, 3015, 25048, 3022, 64571, 3033, 48056, 3043, 65487, 3057, 31613, 3069, 49045, 3080, 7392, 3086, 32253, 3099, 17407, 3110, 24566, 3122, 65534, 3137, 54255, 3149, 50382, 3157, 36278, 3166, 44476, 3176, 25564, 3185, 4587, 3193, 57177, 3204, 9168, 3210, 48820, 3220, 62427, 3232, 8167, 3243, 56263, 3254, 65379, 3266, 64228, 3276, 45611, 3284, 25591, 3295, 60731, 3306, 44474, 3316, 65025, 3324, 32511, 3338, 65527, 3353, 700, 3359, 13055, 3370, 61241, 3381, 65532, 3395, 32773, 3398, 30715, 3411, 48373, 3422, 269, 3426, 65527, 3441, 65531, 3456, 48954, 3467, 87, 3472, 57343, 3487, 61307, 3500, 48509, 3512, 56200, 3520, 51412, 3527, 65523, 3541, 60796, 3552, 24046, 3563, 22271, 3575, 32269, 3584, 44127, 3594, 65430, 3606, 54655, 3618, 16366, 3630, 49472, 3634, 28665, 3646, 65511, 3660, 30619, 3671, 36471, 3681, 28351, 3693, 58461, 3702, 28623, 3714, 24351, 3725, 57471, 3735, 65247, 3749, 55259, 3761, 510, 3769, 65280, 3777, 64379, 3790, 65492, 3802, 8159, 3814, 63488, 3819, 65535, 3835, 64399, 3847, 123, 3853, 48896, 3860, 32604, 3871, 65535, 3887, 2035, 3896, 60320, 3904, 15847, 3915, 63423, 3929, 64471, 3942, 65471, 3957, 24579, 3961, 65533, 3976, 49133, 3989, 61371, 4002, 639, 4010, 65088, 4018, 56829, 4031, 65023, 4046, 58105, 4056, 26635, 4062, 64287, 4074, 64483, 4086, 45053, 4099, 40868, 4108, 63469, 4121, 31357, 4132, 63503, 4141, 61118, 4153, 4053, 4162, 47965, 4173, 64927, 4186, 62171, 4197, 15353, 4208, 65151, 4222, 60364, 4232, 34666, 4240, 29690, 4251, 38396, 4261, 40956, 4273, 4255, 4280, 64247, 4293, 56759, 4305, 48077, 4316, 63614, 4327, 60621, 4337, 62310, 4347, 15423, 4357, 65533, 4372, 45119, 4381, 59895, 4393, 1662, 4401, 38574, 4410, 65030, 4419, 54646, 4429, 24535, 4441, 16337, 4451, 41971, 4461, 52999, 4470, 28599, 4482, 40913, 4492, 32580, 4501, 31577, 4511, 54237, 4522, 44859, 4533, 43453, 4543, 32207, 4555, 65338, 4567, 64480, 4577, 63211, 4589, 46081, 4594, 65535, 4610, 31482, 4621, 47039, 4634, 49152, 4636, 4093, 4647, 65407, 4662, 65311, 4675, 65276, 4688, 38399, 4700, 0, 4700, 46556, 4710, 61283, 4721, 16190, 4732, 64383, 4746, 27, 4750, 59392, 4754, 64502, 4767, 40687, 4779, 47327, 4790, 65439, 4804, 63, 4810, 31696, 4819, 62975, 4833, 57307, 4846, 16383, 4860, 65008, 4871, 191, 4878, 33824, 4881, 48061, 4893, 57143, 4905, 65502, 4919, 65389, 4932, 4083, 4942, 24652, 4947, 24315, 4959, 65531, 4974, 64251, 4987, 65118, 4999, 537, 5003, 31220, 5013, 63966, 5025, 42999, 5037, 60410, 5049, 491, 5056, 65332, 5067, 60371, 5078, 61299, 5090, 45015, 5102, 49216, 5105, 29371, 5115, 56575, 5128, 61823, 5140, 12248, 5149, 47340, 5158, 65035, 5168, 56739, 5178, 7947, 5186, 36637, 5195, 18383, 5205, 45355, 5213, 65502, 5227, 32750, 5240, 55923, 5250, 9471, 5260, 52164, 5268, 63325, 5280, 52210, 5290, 60669, 5302, 46317, 5312, 49145, 5325, 19933, 5335, 39389, 5345, 64397, 5356, 47999, 5369, 44923, 5381, 56827, 5394, 51545, 5402, 64591, 5413, 64181, 5424, 45027, 5435, 27999, 5446, 65535, 5462, 16253, 5474, 30720, 5478, 65499, 5492, 46847, 5505, 32511, 5519, 64431, 5532, 559, 5538, 65435, 5551, 61383, 5563, 65445, 5575, 65535, 5591, 7, 5594, 50944, 5599, 63487, 5614, 65521, 5627, 32765, 5641, 447, 5649, 56320, 5654, 64956, 5666, 49141, 5679, 65535, 5695, 65407, 5710, 16127, 5723, 41, 5726, 48640, 5732, 63999, 5746, 65407, 5761, 28411, 5773, 64894, 5786, 52223, 5799, 926, 5806, 58112, 5811, 64477, 5824, 52479, 5836, 63199, 5849, 65535, 5865, 4479, 5874, 63488, 5879, 64502, 5892, 59375, 5905, 55100, 5915, 65263, 5929, 57327, 5943, 49163, 5948, 60863, 5961, 65247, 5975, 64973, 5987, 31733, 5999, 16637, 6007, 65535, 6023, 46943, 6035, 65503, 6050, 63792, 6058, 64479, 6072, 56471, 6082, 65267, 6095, 49138, 6107, 36831, 6119, 57279, 6133, 6015, 6144, 60902, 6155, 3967, 6166, 13651, 6174, 17532, 6181, 34686, 6191, 64018, 6199, 17851, 6208, 60896, 6217, 30622, 6228, 32791, 6233, 49113, 6245, 32341, 6255, 56969, 6264, 49519, 6273, 1095, 6278, 31454, 6289, 63325, 6301, 22527, 6314, 10501, 6319, 34551, 6329, 65173, 6340, 38835, 6350, 62255, 6361, 53247, 6375, 40821, 6386, 29175, 6397, 64279, 6408, 13550, 6417, 60953, 6426, 14284, 6435, 61281, 6445, 40918, 6456, 61260, 6466, 54927, 6476, 64477, 6489, 31603, 6500, 28143, 6512, 55294, 6525, 42033, 6531, 24191, 6543, 38871, 6554, 3931, 6563, 65496, 6575, 40323, 6583, 31694, 6594, 8940, 6601, 56575, 6614, 30269, 6624, 61319, 6635, 57319, 6648, 65005, 6661, 20479, 6674, 41212, 6682, 15223, 6693, 56316, 6705, 15853, 6716, 32732, 6728, 28585, 6738, 62832, 6747, 16379, 6760, 11328, 6764, 65407, 6779, 33919, 6788, 60503, 6798, 57015, 6810, 59036, 6819, 61999, 6829, 4075, 6839, 54709, 6849, 45035, 6861, 60903, 6873, 35887, 6881, 65520, 6893, 21375, 6904, 59632, 6912, 47517, 6922, 46591, 6935, 65382, 6947, 59279, 6958, 55681, 6965, 48656, 6972, 40060, 6981, 58305, 6989, 40145, 6997, 10035, 7005, 3260, 7012, 65389, 7025, 64695, 7037, 61367, 7050, 41183, 7059, 65535, 7075, 48907, 7085, 65147, 7098, 41983, 7110, 13631, 7120, 5068, 7127, 38861, 7137, 30263, 7147, 64295, 7158, 53206, 7169, 32364, 7179, 60496, 7186, 60721, 7195, 26492, 7205, 64540, 7214, 63226, 7226, 24511, 7239, 4026, 7248, 44591, 7258, 41901, 7267, 32766, 7281, 64752, 7291, 56948, 7301, 65519, 7316, 61952, 7321, 64447, 7335, 65186, 7345, 15791, 7356, 48383, 7369, 63124, 7378, 24505, 7389, 62381, 7400, 16271, 7411, 62060, 7420, 40991, 7427, 65519, 7442, 447, 7450, 30504, 7458, 28677, 7463, 65333, 7475, 55811, 7482, 54009, 7492, 51194, 7503, 16319, 7516, 23581, 7524, 65338, 7536, 60467, 7545, 47023, 7557, 65180, 7568, 21046, 7575, 31391, 7586, 49146, 7599, 59170, 7607, 40951, 7620, 64767, 7634, 12219, 7645, 46621, 7654, 60678, 7662, 7677, 7673, 32215, 7685, 61407, 7699, 60195, 7708, 61798, 7717, 32473, 7728, 3520, 7733, 15677, 7743, 57279, 7757, 51525, 7764, 47747, 7772, 32209, 7782, 40400, 7790, 31623, 7800, 53107, 7811, 40947, 7823, 50165, 7833, 57101, 7843, 50686, 7854, 3251, 7861, 33538, 7865, 59513, 7874, 44736, 7881, 51059, 7891, 28431, 7901, 64893, 7914, 2367, 7922, 65521, 7935, 343, 7941, 25339, 7951, 511, 7960, 64948, 7971, 15347, 7982, 45075, 7988, 17330, 7995, 24275, 8005, 65328, 8015, 4095, 8027, 60319, 8039, 65263, 8053, 61955, 8060, 16367, 8073, 64393, 8083, 14249, 8092, 40601, 8101, 57081, 8113, 42796, 8121, 14131, 8130, 49654, 8139, 33070, 8145, 65086, 8157, 23840, 8163, 62199, 8175, 54661, 8183, 27095, 8193, 65535, 8209, 65535, 8225, 56071, 8234, 65391, 8248, 50431, 8259, 55679, 8271, 61390, 8283, 48655, 8293, 61819, 8304, 61534, 8313, 63183, 8325, 65463, 8339, 24311, 8351, 61316, 8360, 55243, 8371, 3807, 8381, 65288, 8390, 64767, 8404, 60991, 8416, 65535, 8432, 5119, 8443, 55295, 8457, 44815, 8467, 32765, 8481, 48583, 8492, 8186, 8503, 0, 8503, 0, 8503, 0, 8503, 0, 8503, 0, 8503, 0, 8503, 0, 8503, 0, 8503, 0, 8503, 59200, 8510, 48440, 8519, 63795, 8529, 32747, 8542, 65261, 8555, 32744, 8566, 31862, 8576, 46071, 8588, 65519, 8603, 65199, 8616, 55479, 8626, 65391, 8640, 64447, 8654, 63739, 8666, 56311, 8679, 5970, 8686, 58105, 8696, 34248, 8702, 30023, 8711, 37008, 8715, 58351, 8727, 40692, 8737, 16237, 8748, 60974, 8758, 1334, 8764, 63420, 8776, 32755, 8789, 41083, 8797, 32575, 8810, 1383, 8817, 60256, 8825, 47806, 8836, 26113, 8841, 64728, 8851, 22591, 8860, 51959, 8871, 34783, 8882, 49101, 8894, 65440, 8904, 23501, 8914, 65215, 8928, 46845, 8940, 61351, 8952, 30703, 8965, 57244, 8976, 16311, 8988, 63607, 8999, 40231, 9008, 47100, 9020, 51893, 9029, 57327, 9043, 64346, 9054, 61878, 9064, 60473, 9073, 61215, 9085, 64447, 9099, 32763, 9113, 13, 9116, 56062, 9128, 48635, 9141, 20095, 9152, 13311, 9164, 23232, 9170, 49141, 9183, 40958, 9196, 65471, 9211, 95, 9217, 0, 9217, 65016, 9229, 65482, 9241, 28669, 9254, 53245, 9267, 40961, 9270, 57343, 9285, 64498, 9297, 57279, 9311, 65407, 9326, 65242, 9338, 2063, 9343, 47624, 9349, 49151, 9364, 31485, 9376, 61143, 9388, 64491, 9401, 26617, 9412, 57412, 9417, 65427, 9429, 57239, 9441, 40791, 9452, 65271, 9466, 2271, 9474, 57216, 9482, 65247, 9496, 65477, 9508, 63486, 9522, 65531, 9537, 26627, 9542, 26619, 9554, 27642, 9565, 32767, 9580, 24546, 9590, 65535, 9606, 65395, 9619, 34783, 9630, 59387, 9643, 60413, 9656, 63399, 9668, 49022, 9681, 61383, 9693, 7923, 9703, 57218, 9712, 30463, 9725, 57214, 9738, 31177, 9747, 55933, 9758, 61374, 9771, 7835, 9780, 31968, 9788, 30715, 9801, 34750, 9811, 65531, 9826, 7167, 9838, 65499, 9852, 16220, 9862, 20448, 9870, 32767, 9885, 24334, 9894, 30719, 9908, 56767, 9921, 61519, 9930, 65535, 9946, 65535, 9962, 4088, 9971, 41918, 9981, 64991, 9995, 64540, 10004, 65533, 10019, 8061, 10030, 64414, 10042, 48639, 10056, 57052, 10067, 16239, 10079, 47867, 10091, 57215, 10105, 64495, 10119, 32027, 10129, 12012, 10138, 44942, 10148, 62199, 10160, 31503, 10170, 53230, 10182, 7574, 10190, 30662, 10200, 32263, 10209, 65525, 10223, 55682, 10230, 32735, 10244, 24294, 10254, 51199, 10267, 65262, 10280, 31215, 10292, 39510, 10300, 65487, 10314, 65119, 10327, 56926, 10338, 35182, 10346, 63976, 10356, 62558, 10366, 59076, 10374, 1, 10375, 48764, 10386, 15231, 10398, 56799, 10411, 54685, 10421, 59887, 10433, 13484, 10440, 56915, 10450, 62835, 10461, 19447, 10472, 31567, 10483, 40703, 10496, 47358, 10507, 18286, 10516, 3579, 10526, 65349, 10537, 44029, 10549, 64510, 10563, 59863, 10574, 56831, 10588, 60919, 10601, 32767, 10616, 56829, 10629, 32491, 10641, 53223, 10653, 47103, 10667, 48617, 10678, 61329, 10688, 23925, 10698, 55164, 10709, 0, 10709, 0, 10709, 0, 10709, 0, 10709, 0, 10709, 0, 10709, 0, 10709, 0, 10709, 0, 10709, 64128, 10716, 65518, 10730, 46321, 10739, 49014, 10751, 12271, 10763, 46711, 10774, 30655, 10787, 40895, 10800, 65533, 10815, 38335, 10826, 63150, 10837, 30207, 10850, 32571, 10862, 42997, 10873, 2809, 10881, 0, 10881, 0, 10881, 0, 10881, 0, 10881, 64464, 10891, 11229, 10901, 63027, 10911, 39551, 10922, 64939, 10934, 55036, 10945, 63974, 10956, 49131, 10969, 57311, 10983, 62495, 10993, 42749, 11004, 65535, 11020, 19199, 11031, 62331, 11043, 32695, 11056, 65273, 11069, 46847, 11082, 7516, 11090, 32758, 11103, 58879, 11116, 8059, 11127, 9220, 11130, 48645, 11138, 63902, 11149, 56291, 11160, 57330, 11172, 28655, 11185, 65023, 11200, 54905, 11210, 52220, 11221, 60413, 11234, 61439, 11249, 31, 11254, 0, 11254, 0, 11254, 38912, 11257, 57672, 11263, 32791, 11268, 27252, 11276, 254, 11283, 28031, 11295, 65009, 11307, 47231, 11318, 65267, 11331, 57375, 11339, 61814, 11349, 61078, 11359, 31551, 11371, 60301, 11381, 65533, 11396, 44543, 11409, 52147, 11419, 34031, 11428, 57727, 11439, 19882, 11447, 49136, 11458, 48959, 11471, 65087, 11484, 60415, 11498, 65495, 11512, 65503, 11527, 53119, 11540, 65531, 11555, 34285, 11564, 55103, 11576, 1980, 11584, 44799, 11597, 65039, 11608, 64943, 11621, 30399, 11633, 64239, 11646, 14267, 11657, 32732, 11669, 41914, 11678, 46847, 11691, 22263, 11702, 24824, 11709, 59359, 11722, 65377, 11733, 19679, 11743, 45307, 11753, 65349, 11764, 32237, 11776, 16378, 11788, 8191, 11801, 6396, 11809, 65535, 11825, 58287, 11836, 51155, 11846, 57219, 11856, 64343, 11868, 61309, 11881, 61439, 11896, 4984, 11903, 65216, 11912, 24567, 11925, 13499, 11934, 24291, 11944, 63245, 11954, 61430, 11967, 55294, 11980, 191, 11987, 62877, 11998, 63479, 12012, 20958, 12021, 65504, 12032, 65225, 12043, 895, 12052, 24321, 12059, 49135, 12073, 40945, 12084, 24743, 12091, 61213, 12102, 61951, 12115, 15, 12119, 0, 12119, 0, 12119, 0, 12119, 0, 12119, 0, 12119, 0, 12119, 0, 12119, 0, 12119, 0, 12119, 0, 12119, 0, 12119, 0, 12119, 0, 12119, 0, 12119, 15488, 12124, 64333, 12135, 55583, 12145, 31546, 12155, 65251, 12167, 16361, 12178, 56447, 12190, 63, 12196, 0, 12196, 0, 12196, 20480, 12198, 62751, 12209, 48647, 12218, 64541, 12228, 63771, 12238, 48158, 12247, 29183, 12259, 28665, 12271, 23486, 12282, 22422, 12291, 39707, 12300, 32767, 12315, 65532, 12329, 34606, 12337, 45031, 12349, 60405, 12361, 62287, 12372, 57341, 12386, 59173, 12395, 3036, 12403, 23876, 12410, 22343, 12419, 64989, 12432, 60735, 12444, 30608, 12452, 32127, 12465, 35528, 12471, 64250, 12483, 62457, 12495, 8234, 12499, 61259, 12510, 62975, 12524, 31183, 12535, 43987, 12545, 2981, 12552, 63354, 12564, 64399, 12576, 36541, 12586, 31, 12591, 0, 12591, 0, 12591, 62208, 12597, 64846, 12608, 6743, 12616, 34816, 12618, 44716, 12627, 30292, 12635, 6061, 12644, 52735, 12657, 65458, 12669, 62511, 12679, 23466, 12688, 56319, 12702, 2, 12703, 0, 12703, 0, 12703, 29632, 12710, 63978, 12721, 11839, 12731, 64142, 12741, 48127, 12755, 30396, 12765, 65491, 12778, 61182, 12791, 32370, 12801, 32445, 12813, 59383, 12826, 63359, 12840, 52989, 12852, 4085, 12862, 0, 12862, 0, 12862, 0, 12862, 43264, 12866, 56219, 12877, 42183, 12885, 37247, 12895, 63690, 12904, 32462, 12915, 32122, 12926, 51175, 12937, 52157, 12948, 56494, 12958, 64894, 12971, 36726, 12981, 37331, 12989, 31987, 13e3, 485, 13006, 19503, 13014, 60791, 13026, 41824, 13032, 2011, 13041, 24312, 13051, 7671, 13062, 8577, 13066, 27616, 13074, 12444, 13080, 15162, 13089, 64222, 13101, 32595, 13112, 50165, 13122, 25037, 13130, 1978, 13138, 0, 13138, 0, 13138, 0, 13138, 0, 13138, 0, 13138, 0, 13138, 9952, 13144, 48894, 13157, 1017, 13165, 60341, 13176, 58221, 13186, 59851, 13196, 39983, 13205, 49118, 13218, 40835, 13227, 43967, 13239, 8183, 13251, 65493, 13264, 47071, 13277, 57342, 13291, 64942, 13303, 65519, 13318, 64382, 13331, 61437, 13345, 43775, 13357, 28351, 13369, 0, 13369, 0, 13369, 0, 13369, 0, 13369, 0, 13369, 46624, 13375, 32717, 13387, 48798, 13398, 25267, 13406, 22769, 13414, 61709, 13422, 64891, 13435, 59889, 13445, 48893, 13458, 50883, 13466, 24429, 13477, 65341, 13490, 27135, 13502, 65487, 13516, 64500, 13528, 56571, 13540, 20471, 13552, 8192, 13553, 4407, 13560, 21],
    big5TableFA = [13563, 12288],
    big5TableFE = [13565, 0, 13565, 0, 13565, 0, 13565, 65531, 13580, 65055, 13592, 65269, 13605, 3711, 13615, 0, 13615, 0, 13615, 0, 13615, 0, 13615, 0, 13615, 0, 13615, 0, 13615, 0, 13615, 0, 13615, 65402, 13628, 65535, 13644, 65535, 13660, 38911, 13673, 65534, 13688, 16383, 13702, 16];

function unicodetobig5(e, b) {
    var a = [],
        i = 0,
        g = 0,
        l = 0;
    if (2 <= b) {
        0 <= e && e < 256 ? (i = parseInt(e >> 4), l = big5Table00[i *= 2], g = big5Table00[i + 1]) : 512 <= e && e < 1120 ? (i = parseInt((e >> 4) - 32), l = big5Table02[i *= 2], g = big5Table02[i + 1]) : 8192 <= e && e < 8896 ? (i = parseInt((e >> 4) - 512), l = big5Table20[i *= 2], g = big5Table20[i + 1]) : 9216 <= e && e < 9808 ? (i = parseInt((e >> 4) - 576), l = big5Table24[i *= 2], g = big5Table24[i + 1]) : 12288 <= e && e < 13280 ? (i = parseInt((e >> 4) - 768), l = big5Table30[i *= 2], g = big5Table30[i + 1]) : 19968 <= e && e < 40880 ? (i = parseInt((e >> 4) - 1248), l = big5Table4E[i *= 2], g = big5Table4E[i + 1]) : 64e3 <= e && e < 64016 ? (i = parseInt((e >> 4) - 4e3), l = big5TableFA[i *= 2], g = big5TableFA[i + 1]) : 65024 <= e && e < 65392 && (i = parseInt((e >> 4) - 4064), l = big5TableFE[i *= 2], g = big5TableFE[i + 1]);
        var T, r = parseInt(15 & e);
        if (parseInt(g & 1 << r)) return g = parseInt(g & (1 << r) - 1), g = parseInt((21845 & g) + ((43690 & g) >> 1)), g = parseInt((13107 & g) + ((52428 & g) >> 2)), g = parseInt((3855 & g) + ((61680 & g) >> 4)), g = parseInt((255 & g) + (g >> 8)), T = big5Table[l + g], a[0] = parseInt(T >> 8), a[1] = parseInt(255 & T), a
    }
    return -2
}
